!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_20687) = coupl(nGC_MI)*dZmuMinusL_QED2
    coupl(nGC_20688) = coupl(nGC_MI)*dZmuMinusR_QED2
    coupl(nGC_20690) = coupl(nGC_20686) + coupl(nGC_20689)
    coupl(nGC_20698) = coupl(nGC_13577) + coupl(nGC_TS_GC_223_Hl) + coupl(     &
                       nGC_TS_GC_224_Hh)
    coupl(nGC_20695) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_20696) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_20697) = coupl(nGC_MI)*dZtauMinusR_QED2
    coupl(nGC_20699) = coupl(nGC_20695) + coupl(nGC_20698)
    coupl(nGC_13578) = -cima*dMU_QCD2
    coupl(nGC_20706) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_20708) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_20710) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_20712) = coupl(nGC_13578) + coupl(nGC_20706)
    coupl(nGC_20707) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_20709) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_20711) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_13580) = -cima*dMC_QCD2
    coupl(nGC_20721) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_20723) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_20725) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_20727) = coupl(nGC_13580) + coupl(nGC_20721)
    coupl(nGC_20722) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_20724) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_20726) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_13582) = -cima*dMT_QCD2
    coupl(nGC_20736) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_20738) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_20740) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_20742) = coupl(nGC_13582) + coupl(nGC_20736)
    coupl(nGC_20737) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_20739) = coupl(nGC_MI)*dZtL_QED2
    coupl(nGC_20741) = coupl(nGC_MI)*dZtR_QED2
    coupl(nGC_20749) = coupl(nGC_TS_GC_101_Hl) + coupl(nGC_TS_GC_118_Hh)
    coupl(nGC_20755) = coupl(nGC_TS_GC_100_Hl) + coupl(nGC_TS_GC_117_Hh)
    coupl(nGC_20762) = coupl(nGC_13591) + coupl(nGC_MW)*dZWMinus_QED2 + coupl( &
                       nGC_TS_GC_162_Hl) + coupl(nGC_TS_GC_165_Hh)
    coupl(nGC_20761) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_20763) = -coupl(nGC_20761)
    coupl(nGC_20768) = coupl(nGC_TS_GC_130_Hl) + coupl(nGC_TS_GC_135_Hh)
    coupl(nGC_20775) = coupl(nGC_13590) + coupl(nGC_MZ)*dZZ_QED2 + coupl(      &
                       nGC_TS_GC_175_Hl) + coupl(nGC_TS_GC_178_Hh)
    coupl(nGC_20774) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_20776) = -coupl(nGC_20774)
    coupl(nGC_20783) = coupl(nGC_MI)*dZnu_eL_QED2
    coupl(nGC_20784) = coupl(nGC_MI)*dZnu_muL_QED2
    coupl(nGC_20785) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_20786) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_20787) = -coupl(nGC_20786)
    coupl(nGC_20788) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_20789) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_20790) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_20799) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_20800) = -coupl(nGC_20799)
    coupl(nGC_20802) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_12957) = (-Nc*cMB**2d0*cima*coupl(nGC_193)**2d0 - Nc*cMB**2d0*   &
                       cima*coupl(nGC_217)**2d0 - Nc*cMC**2d0*cima*coupl(      &
                       nGC_197)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_213)**2d0 -  &
                       Nc*cMD**2d0*cima*coupl(nGC_201)**2d0 - Nc*cMD**2d0*cima*&
                       coupl(nGC_225)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_197)** &
                       2d0 - Nc*cMS**2d0*cima*coupl(nGC_213)**2d0 - Nc*cMT**2d0&
                       *cima*coupl(nGC_193)**2d0 - Nc*cMT**2d0*cima*coupl(     &
                       nGC_217)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_201)**2d0 -  &
                       Nc*cMU**2d0*cima*coupl(nGC_225)**2d0 - cME**2d0*cima*   &
                       coupl(nGC_205)**2d0 - cMM**2d0*cima*coupl(nGC_209)**2d0 &
                        - cMTA**2d0*cima*coupl(nGC_221)**2d0 - 2d0*cMW**2d0*   &
                       coupl(nGC_71) - cMZ**2d0*coupl(nGC_141) + 2d0*cima*coupl&
                       (nGC_154)**2d0 + 2d0*cima*coupl(nGC_166)**2d0)/(16d0*pi &
                       **2d0)
    coupl(nGC_12958) = cima*(Nc*coupl(nGC_193)**2d0 + Nc*coupl(nGC_197)**2d0 + &
                       Nc*coupl(nGC_201)**2d0 + Nc*coupl(nGC_213)**2d0 + Nc*   &
                       coupl(nGC_217)**2d0 + Nc*coupl(nGC_225)**2d0 + coupl(   &
                       nGC_205)**2d0 + coupl(nGC_209)**2d0 + coupl(nGC_221)**  &
                       2d0)/(48d0*pi**2d0)
    coupl(nGC_12959) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_1215)*coupl(nGC_194) - &
                       4d0*Nc*cMC**2d0*cima*coupl(nGC_1331)*coupl(nGC_198) -   &
                       4d0*Nc*cMD**2d0*cima*coupl(nGC_1207)*coupl(nGC_202) -   &
                       4d0*Nc*cMS**2d0*cima*coupl(nGC_1211)*coupl(nGC_214) -   &
                       4d0*Nc*cMT**2d0*cima*coupl(nGC_1335)*coupl(nGC_218) -   &
                       4d0*Nc*cMU**2d0*cima*coupl(nGC_1327)*coupl(nGC_226) -   &
                       4d0*cME**2d0*cima*coupl(nGC_1261)*coupl(nGC_206) - 4d0* &
                       cMM**2d0*cima*coupl(nGC_1265)*coupl(nGC_210) - 4d0*cMTA &
                       **2d0*cima*coupl(nGC_1269)*coupl(nGC_222) - 2d0*cMW**2d0&
                       *coupl(nGC_71) - cMZ**2d0*coupl(nGC_142))/(16d0*pi**2d0)
    coupl(nGC_12960) = cima*(Nc*coupl(nGC_1207)*coupl(nGC_202) + Nc*coupl(     &
                       nGC_1211)*coupl(nGC_214) + Nc*coupl(nGC_1215)*coupl(    &
                       nGC_194) + Nc*coupl(nGC_1327)*coupl(nGC_226) + Nc*coupl(&
                       nGC_1331)*coupl(nGC_198) + Nc*coupl(nGC_1335)*coupl(    &
                       nGC_218) + coupl(nGC_1261)*coupl(nGC_206) + coupl(      &
                       nGC_1265)*coupl(nGC_210) + coupl(nGC_1269)*coupl(nGC_222&
                       ))/(24d0*pi**2d0)
    coupl(nGC_12961) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_122) + 2d0*&
                       Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_125) + 2d0*Nc*  &
                       cMC**2d0*cima*coupl(nGC_123)*coupl(nGC_2) + 2d0*Nc*cMC**&
                       2d0*cima*coupl(nGC_126)*coupl(nGC_2) + 2d0*Nc*cMD**2d0* &
                       cima*coupl(nGC_1)*coupl(nGC_122) + 2d0*Nc*cMD**2d0*cima*&
                       coupl(nGC_1)*coupl(nGC_125) + 2d0*Nc*cMS**2d0*cima*coupl&
                       (nGC_1)*coupl(nGC_122) + 2d0*Nc*cMS**2d0*cima*coupl(    &
                       nGC_1)*coupl(nGC_125) + 2d0*Nc*cMT**2d0*cima*coupl(     &
                       nGC_123)*coupl(nGC_2) + 2d0*Nc*cMT**2d0*cima*coupl(     &
                       nGC_126)*coupl(nGC_2) + 2d0*Nc*cMU**2d0*cima*coupl(     &
                       nGC_123)*coupl(nGC_2) + 2d0*Nc*cMU**2d0*cima*coupl(     &
                       nGC_126)*coupl(nGC_2) + 2d0*cME**2d0*cima*coupl(nGC_124 &
                       )*coupl(nGC_4) + 2d0*cME**2d0*cima*coupl(nGC_128)*coupl(&
                       nGC_4) + 2d0*cMM**2d0*cima*coupl(nGC_124)*coupl(nGC_4   &
                       ) + 2d0*cMM**2d0*cima*coupl(nGC_128)*coupl(nGC_4) + 2d0*&
                       cMTA**2d0*cima*coupl(nGC_124)*coupl(nGC_4) + 2d0*cMTA** &
                       2d0*cima*coupl(nGC_128)*coupl(nGC_4) - cMW**2d0*cima*   &
                       coupl(nGC_102)*coupl(nGC_3) + cMW**2d0*cima*coupl(      &
                       nGC_102)*coupl(nGC_4) + cMW**2d0*cima*coupl(nGC_103)*   &
                       coupl(nGC_3) - cMW**2d0*cima*coupl(nGC_103)*coupl(nGC_4 &
                       ) - 2d0*cMW**2d0*coupl(nGC_116))/(16d0*pi**2d0)
    coupl(nGC_12962) = cima*(-6d0*Nc*coupl(nGC_1)*coupl(nGC_122) - 6d0*Nc*coupl&
                       (nGC_1)*coupl(nGC_125) - 6d0*Nc*coupl(nGC_123)*coupl(   &
                       nGC_2) - 6d0*Nc*coupl(nGC_126)*coupl(nGC_2) + coupl(    &
                       nGC_102)*coupl(nGC_3) - coupl(nGC_102)*coupl(nGC_4) -   &
                       coupl(nGC_103)*coupl(nGC_3) + coupl(nGC_103)*coupl(nGC_4&
                       ) - 6d0*coupl(nGC_124)*coupl(nGC_4) - 6d0*coupl(nGC_128 &
                       )*coupl(nGC_4))/(96d0*pi**2d0)
    coupl(nGC_12963) = cima*(-2d0*coupl(nGC_102)*coupl(nGC_3) - coupl(nGC_102)*&
                       coupl(nGC_4) - coupl(nGC_103)*coupl(nGC_3) - 2d0*coupl( &
                       nGC_103)*coupl(nGC_4))/(48d0*pi**2d0)
    coupl(nGC_12964) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_196)**2d0 - 4d0*Nc*cMC &
                       **2d0*cima*coupl(nGC_200)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                       coupl(nGC_204)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_216&
                       )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_220)**2d0 - 4d0*&
                       Nc*cMU**2d0*cima*coupl(nGC_228)**2d0 - 4d0*cME**2d0*cima&
                       *coupl(nGC_208)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_212  &
                       )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_224)**2d0 - 2d0*  &
                       cMW**2d0*coupl(nGC_96) - cMZ**2d0*coupl(nGC_151) + 2d0* &
                       cima*coupl(nGC_165)**2d0 + cima*coupl(nGC_178)**2d0)/(  &
                       16d0*pi**2d0)
    coupl(nGC_12965) = cima*(Nc*coupl(nGC_196)**2d0 + Nc*coupl(nGC_200)**2d0 + &
                       Nc*coupl(nGC_204)**2d0 + Nc*coupl(nGC_216)**2d0 + Nc*   &
                       coupl(nGC_220)**2d0 + Nc*coupl(nGC_228)**2d0 + coupl(   &
                       nGC_208)**2d0 + coupl(nGC_212)**2d0 + coupl(nGC_224)**  &
                       2d0)/(24d0*pi**2d0)
    coupl(nGC_12966) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**  &
                       2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(&
                       nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +  &
                       4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0&
                       *cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4 &
                       )**2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA &
                       **2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl(nGC_3&
                       )**2d0 - 2d0*cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_4) +  &
                       cMW**2d0*cima*coupl(nGC_4)**2d0 - 2d0*cMW**2d0*coupl(   &
                       nGC_9))/(16d0*pi**2d0)
    coupl(nGC_12967) = cima*(-12d0*Nc*coupl(nGC_1)**2d0 - 12d0*Nc*coupl(nGC_2  &
                       )**2d0 - coupl(nGC_3)**2d0 + 2d0*coupl(nGC_3)*coupl(    &
                       nGC_4) - 13d0*coupl(nGC_4)**2d0)/(96d0*pi**2d0)
    coupl(nGC_12968) = cima*(-coupl(nGC_3)**2d0 - 4d0*coupl(nGC_3)*coupl(nGC_4 &
                       ) - coupl(nGC_4)**2d0)/(48d0*pi**2d0)
    coupl(nGC_12969) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_99)**2d0 + 2d0*Nc*cMC** &
                       2d0*cima*coupl(nGC_99)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl&
                       (nGC_99)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_99)**2d0 &
                        + 2d0*Nc*cMT**2d0*cima*coupl(nGC_99)**2d0 + 2d0*Nc*cMU &
                       **2d0*cima*coupl(nGC_99)**2d0 + 2d0*cME**2d0*cima*coupl(&
                       nGC_99)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_99)**2d0 +   &
                       2d0*cMTA**2d0*cima*coupl(nGC_99)**2d0 + cMW**2d0*cima*  &
                       coupl(nGC_102)**2d0 - 2d0*cMW**2d0*cima*coupl(nGC_102)* &
                       coupl(nGC_103) + cMW**2d0*cima*coupl(nGC_103)**2d0 + cMW&
                       **2d0*cima*coupl(nGC_3)**2d0 - cMW**2d0*cima*coupl(nGC_3&
                       )*coupl(nGC_4) - cMW**2d0*cima*coupl(nGC_3)*coupl(      &
                       nGC_999) + cMW**2d0*cima*coupl(nGC_4)*coupl(nGC_999) -  &
                       4d0*cMW**2d0*coupl(nGC_72) + cMZ**2d0*cima*coupl(nGC_102&
                       )**2d0 - 2d0*cMZ**2d0*cima*coupl(nGC_102)*coupl(nGC_103 &
                       ) + cMZ**2d0*cima*coupl(nGC_103)**2d0 - 2d0*cMZ**2d0*   &
                       coupl(nGC_85))/(32d0*pi**2d0)
    coupl(nGC_12970) = cima*(-6d0*Nc*coupl(nGC_99)**2d0 - coupl(nGC_102)**2d0  &
                        + 2d0*coupl(nGC_102)*coupl(nGC_103) - coupl(nGC_103)** &
                       2d0 - coupl(nGC_3)**2d0 + coupl(nGC_3)*coupl(nGC_4) +   &
                       coupl(nGC_3)*coupl(nGC_999) - coupl(nGC_4)*coupl(nGC_999&
                       ) - 6d0*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_12971) = cima*(-2d0*coupl(nGC_102)**2d0 - 8d0*coupl(nGC_102)*    &
                       coupl(nGC_103) - 2d0*coupl(nGC_103)**2d0 + coupl(nGC_3  &
                       )**2d0 - coupl(nGC_3)*coupl(nGC_4) - coupl(nGC_3)*coupl(&
                       nGC_999) + coupl(nGC_4)*coupl(nGC_999))/(96d0*pi**2d0)
    coupl(nGC_12972) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)**2d0 - 4d0*Nc*cMC &
                       **2d0*cima*coupl(nGC_199)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                       coupl(nGC_203)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_215&
                       )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_219)**2d0 - 4d0*&
                       Nc*cMU**2d0*cima*coupl(nGC_227)**2d0 - 4d0*cME**2d0*cima&
                       *coupl(nGC_207)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_211  &
                       )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_223)**2d0 - 2d0*  &
                       cMW**2d0*coupl(nGC_82) - cMZ**2d0*coupl(nGC_145) + 2d0* &
                       cima*coupl(nGC_162)**2d0 + cima*coupl(nGC_175)**2d0)/(  &
                       16d0*pi**2d0)
    coupl(nGC_12973) = cima*(Nc*coupl(nGC_195)**2d0 + Nc*coupl(nGC_199)**2d0 + &
                       Nc*coupl(nGC_203)**2d0 + Nc*coupl(nGC_215)**2d0 + Nc*   &
                       coupl(nGC_219)**2d0 + Nc*coupl(nGC_227)**2d0 + coupl(   &
                       nGC_207)**2d0 + coupl(nGC_211)**2d0 + coupl(nGC_223)**  &
                       2d0)/(24d0*pi**2d0)
    coupl(nGC_12974) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)*coupl(nGC_196) -  &
                       4d0*Nc*cMC**2d0*cima*coupl(nGC_199)*coupl(nGC_200) - 4d0&
                       *Nc*cMD**2d0*cima*coupl(nGC_203)*coupl(nGC_204) - 4d0*Nc&
                       *cMS**2d0*cima*coupl(nGC_215)*coupl(nGC_216) - 4d0*Nc*  &
                       cMT**2d0*cima*coupl(nGC_219)*coupl(nGC_220) - 4d0*Nc*cMU&
                       **2d0*cima*coupl(nGC_227)*coupl(nGC_228) - 4d0*cME**2d0*&
                       cima*coupl(nGC_207)*coupl(nGC_208) - 4d0*cMM**2d0*cima* &
                       coupl(nGC_211)*coupl(nGC_212) - 4d0*cMTA**2d0*cima*coupl&
                       (nGC_223)*coupl(nGC_224) - 2d0*cMW**2d0*coupl(nGC_93) - &
                       cMZ**2d0*coupl(nGC_148) + 2d0*cima*coupl(nGC_162)*coupl(&
                       nGC_165) + cima*coupl(nGC_175)*coupl(nGC_178))/(16d0*pi &
                       **2d0)
    coupl(nGC_12975) = cima*(Nc*coupl(nGC_195)*coupl(nGC_196) + Nc*coupl(      &
                       nGC_199)*coupl(nGC_200) + Nc*coupl(nGC_203)*coupl(      &
                       nGC_204) + Nc*coupl(nGC_215)*coupl(nGC_216) + Nc*coupl( &
                       nGC_219)*coupl(nGC_220) + Nc*coupl(nGC_227)*coupl(      &
                       nGC_228) + coupl(nGC_207)*coupl(nGC_208) + coupl(nGC_211&
                       )*coupl(nGC_212) + coupl(nGC_223)*coupl(nGC_224))/(24d0*&
                       pi**2d0)
    coupl(nGC_12976) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_122)**2d0 + 2d0*Nc*cMB**&
                       2d0*cima*coupl(nGC_125)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                       coupl(nGC_123)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_126&
                       )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_122)**2d0 + 2d0*&
                       Nc*cMD**2d0*cima*coupl(nGC_125)**2d0 + 2d0*Nc*cMS**2d0* &
                       cima*coupl(nGC_122)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                       nGC_125)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_123)**2d0&
                        + 2d0*Nc*cMT**2d0*cima*coupl(nGC_126)**2d0 + 2d0*Nc*cMU&
                       **2d0*cima*coupl(nGC_123)**2d0 + 2d0*Nc*cMU**2d0*cima*  &
                       coupl(nGC_126)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_124)**&
                       2d0 + 2d0*cME**2d0*cima*coupl(nGC_128)**2d0 + 2d0*cMM** &
                       2d0*cima*coupl(nGC_124)**2d0 + 2d0*cMM**2d0*cima*coupl( &
                       nGC_128)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_124)**2d0  &
                        + 2d0*cMTA**2d0*cima*coupl(nGC_128)**2d0 + cMW**2d0*   &
                       cima*coupl(nGC_102)**2d0 - 2d0*cMW**2d0*cima*coupl(     &
                       nGC_102)*coupl(nGC_103) + cMW**2d0*cima*coupl(nGC_103)**&
                       2d0 - 2d0*cMW**2d0*coupl(nGC_85))/(16d0*pi**2d0)
    coupl(nGC_12977) = cima*(-6d0*Nc*coupl(nGC_122)**2d0 - 6d0*Nc*coupl(nGC_123&
                       )**2d0 - 6d0*Nc*coupl(nGC_125)**2d0 - 6d0*Nc*coupl(     &
                       nGC_126)**2d0 - coupl(nGC_102)**2d0 + 2d0*coupl(nGC_102 &
                       )*coupl(nGC_103) - coupl(nGC_103)**2d0 - 6d0*coupl(     &
                       nGC_124)**2d0 - 6d0*coupl(nGC_128)**2d0 - 6d0*coupl(    &
                       nGC_129)**2d0)/(96d0*pi**2d0)
    coupl(nGC_12978) = cima*(-coupl(nGC_102)**2d0 - 4d0*coupl(nGC_102)*coupl(  &
                       nGC_103) - coupl(nGC_103)**2d0)/(48d0*pi**2d0)
    coupl(nGC_12979) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(    &
                       nGC_125))/(8d0*pi**2d0)
    coupl(nGC_12981) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)**2d0)/(16d0*pi&
                       **2d0)
    coupl(nGC_12982) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_125)**2d0 - coupl( &
                       nGC_99)**2d0)/(16d0*pi**2d0)
    coupl(nGC_12980) = cMB*cima*coupl(nGC_19)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(  &
                       32d0*pi**2d0*Nc)
    coupl(nGC_12983) = cima*coupl(nGC_19)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(64d0* &
                       pi**2d0*Nc)
    coupl(nGC_12984) = cMC*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_12986) = cima*(-coupl(nGC_123)**2d0 - coupl(nGC_2)**2d0)/(16d0*pi&
                       **2d0)
    coupl(nGC_12987) = cima*(-coupl(nGC_126)**2d0 - coupl(nGC_2)**2d0 - coupl( &
                       nGC_99)**2d0)/(16d0*pi**2d0)
    coupl(nGC_12985) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(  &
                       32d0*pi**2d0*Nc)
    coupl(nGC_12988) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(    &
                       nGC_125))/(8d0*pi**2d0)
    coupl(nGC_12989) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(  &
                       32d0*pi**2d0*Nc)
    coupl(nGC_12990) = cME*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_12991) = cima*(coupl(nGC_128)**2d0 + coupl(nGC_4)**2d0 + coupl(  &
                       nGC_99)**2d0)/(16d0*pi**2d0)
    coupl(nGC_12992) = cima*(coupl(nGC_124)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi &
                       **2d0)
    coupl(nGC_12993) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                       cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0&
                       )
    coupl(nGC_12994) = cima*sq2**2d0*(Nc*coupl(nGC_1123)**2d0 - 6d0*coupl(     &
                       nGC_19)**2d0)/(96d0*pi**2d0)
    coupl(nGC_12995) = -Nc*cima*coupl(nGC_1123)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_12996) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                        - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**&
                       2d0*Nc)
    coupl(nGC_12997) = cima*sq2**2d0*(-Nc*coupl(nGC_1123)**2d0 + 6d0*coupl(    &
                       nGC_19)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_12998) = cima*coupl(nGC_1123)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_12999) = cMM*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_13000) = cima*(-coupl(nGC_129)**2d0 - coupl(nGC_99)**2d0)/(16d0* &
                       pi**2d0)
    coupl(nGC_13001) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(    &
                       nGC_125))/(8d0*pi**2d0)
    coupl(nGC_13002) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(  &
                       32d0*pi**2d0*Nc)
    coupl(nGC_13003) = cMT*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_13004) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(  &
                       32d0*pi**2d0*Nc)
    coupl(nGC_13005) = cMTA*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4 &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_13006) = cMU*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_13007) = cMU*cima*coupl(nGC_19)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(  &
                       32d0*pi**2d0*Nc)
    coupl(nGC_13008) = (-2d0*Nc*cMB*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_99   &
                       ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_217)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_99 &
                       ) + 4d0*cima*coupl(nGC_113)*coupl(nGC_154) + 4d0*cima*  &
                       coupl(nGC_166)*coupl(nGC_8) + coupl(nGC_102)*coupl(     &
                       nGC_154)*coupl(nGC_3) - coupl(nGC_102)*coupl(nGC_154)*  &
                       coupl(nGC_4) - coupl(nGC_103)*coupl(nGC_154)*coupl(nGC_3&
                       ) + coupl(nGC_103)*coupl(nGC_154)*coupl(nGC_4) - coupl( &
                       nGC_166)*coupl(nGC_3)**2d0 + 2d0*coupl(nGC_166)*coupl(  &
                       nGC_3)*coupl(nGC_4) - coupl(nGC_166)*coupl(nGC_4)**2d0  &
                       )/(32d0*pi**2d0)
    coupl(nGC_13009) = (-2d0*Nc*cMB*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_99   &
                       ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_217)*coupl(nGC_99 &
                       ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_99 &
                       ) + 4d0*cima*coupl(nGC_113)*coupl(nGC_154) + 4d0*cima*  &
                       coupl(nGC_166)*coupl(nGC_8) + coupl(nGC_102)*coupl(     &
                       nGC_154)*coupl(nGC_3) - coupl(nGC_102)*coupl(nGC_154)*  &
                       coupl(nGC_4) - coupl(nGC_103)*coupl(nGC_154)*coupl(nGC_3&
                       ) + coupl(nGC_103)*coupl(nGC_154)*coupl(nGC_4) - 2d0*   &
                       coupl(nGC_166)*coupl(nGC_3)**2d0 + 2d0*coupl(nGC_166)*  &
                       coupl(nGC_3)*coupl(nGC_4))/(32d0*pi**2d0)
    coupl(nGC_13010) = (2d0*Nc*coupl(nGC_1)*coupl(nGC_193)**2d0 + 2d0*Nc*coupl(&
                       nGC_1)*coupl(nGC_197)**2d0 + 2d0*Nc*coupl(nGC_1)*coupl( &
                       nGC_201)**2d0 + 2d0*Nc*coupl(nGC_1)*coupl(nGC_213)**2d0 &
                        + 2d0*Nc*coupl(nGC_1)*coupl(nGC_217)**2d0 + 2d0*Nc*    &
                       coupl(nGC_1)*coupl(nGC_225)**2d0 - 2d0*Nc*coupl(nGC_193 &
                       )**2d0*coupl(nGC_2) - 2d0*Nc*coupl(nGC_197)**2d0*coupl( &
                       nGC_2) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_201)**2d0 - 2d0* &
                       Nc*coupl(nGC_2)*coupl(nGC_213)**2d0 - 2d0*Nc*coupl(nGC_2&
                       )*coupl(nGC_217)**2d0 - 2d0*Nc*coupl(nGC_2)*coupl(      &
                       nGC_225)**2d0 + 3d0*cima*coupl(nGC_3)*coupl(nGC_71) +   &
                       3d0*cima*coupl(nGC_4)*coupl(nGC_71) + 2d0*coupl(nGC_205 &
                       )**2d0*coupl(nGC_4) + 2d0*coupl(nGC_209)**2d0*coupl(    &
                       nGC_4) + 2d0*coupl(nGC_221)**2d0*coupl(nGC_4))/(48d0*pi &
                       **2d0)
    coupl(nGC_13011) = (-2d0*Nc*coupl(nGC_1)*coupl(nGC_193)**2d0 - 2d0*Nc*coupl&
                       (nGC_1)*coupl(nGC_197)**2d0 - 2d0*Nc*coupl(nGC_1)*coupl(&
                       nGC_201)**2d0 - 2d0*Nc*coupl(nGC_1)*coupl(nGC_213)**2d0 &
                        - 2d0*Nc*coupl(nGC_1)*coupl(nGC_217)**2d0 - 2d0*Nc*    &
                       coupl(nGC_1)*coupl(nGC_225)**2d0 + 2d0*Nc*coupl(nGC_193 &
                       )**2d0*coupl(nGC_2) + 2d0*Nc*coupl(nGC_197)**2d0*coupl( &
                       nGC_2) + 2d0*Nc*coupl(nGC_2)*coupl(nGC_201)**2d0 + 2d0* &
                       Nc*coupl(nGC_2)*coupl(nGC_213)**2d0 + 2d0*Nc*coupl(nGC_2&
                       )*coupl(nGC_217)**2d0 + 2d0*Nc*coupl(nGC_2)*coupl(      &
                       nGC_225)**2d0 + 3d0*cima*coupl(nGC_3)*coupl(nGC_71) +   &
                       3d0*cima*coupl(nGC_4)*coupl(nGC_71) - 2d0*coupl(nGC_205 &
                       )**2d0*coupl(nGC_4) - 2d0*coupl(nGC_209)**2d0*coupl(    &
                       nGC_4) - 2d0*coupl(nGC_221)**2d0*coupl(nGC_4))/(48d0*pi &
                       **2d0)
    coupl(nGC_13012) = (-12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 + 12d0*Nc*    &
                       coupl(nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_3)*&
                       coupl(nGC_72) + 6d0*cima*coupl(nGC_4)*coupl(nGC_72) +   &
                       2d0*coupl(nGC_102)**2d0*coupl(nGC_3) + coupl(nGC_102)** &
                       2d0*coupl(nGC_4) - 4d0*coupl(nGC_102)*coupl(nGC_103)*   &
                       coupl(nGC_3) - 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl( &
                       nGC_4) + 2d0*coupl(nGC_103)**2d0*coupl(nGC_3) + coupl(  &
                       nGC_103)**2d0*coupl(nGC_4) - 4d0*coupl(nGC_3)**2d0*coupl&
                       (nGC_999) + 2d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_999 &
                       ) + 2d0*coupl(nGC_4)**2d0*coupl(nGC_999) - 12d0*coupl(  &
                       nGC_4)*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13013) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 - 12d0*Nc*coupl&
                       (nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_102)*   &
                       coupl(nGC_113) + 6d0*cima*coupl(nGC_103)*coupl(nGC_113  &
                       ) + 6d0*cima*coupl(nGC_3)*coupl(nGC_8) + 6d0*cima*coupl(&
                       nGC_4)*coupl(nGC_8) + coupl(nGC_102)**2d0*coupl(nGC_3   &
                       ) - coupl(nGC_102)**2d0*coupl(nGC_4) + coupl(nGC_102)*  &
                       coupl(nGC_103)*coupl(nGC_3) - coupl(nGC_102)*coupl(     &
                       nGC_103)*coupl(nGC_4) - 2d0*coupl(nGC_103)**2d0*coupl(  &
                       nGC_3) + 2d0*coupl(nGC_103)**2d0*coupl(nGC_4) + 4d0*    &
                       coupl(nGC_3)**2d0*coupl(nGC_999) - 2d0*coupl(nGC_3)*    &
                       coupl(nGC_4)*coupl(nGC_999) - 2d0*coupl(nGC_4)**2d0*    &
                       coupl(nGC_999) + 12d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(&
                       96d0*pi**2d0)
    coupl(nGC_13014) = (-12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 + 12d0*Nc*    &
                       coupl(nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_102&
                       )*coupl(nGC_113) + 6d0*cima*coupl(nGC_103)*coupl(nGC_113&
                       ) + 2d0*coupl(nGC_102)**2d0*coupl(nGC_3) - 2d0*coupl(   &
                       nGC_102)**2d0*coupl(nGC_4) - coupl(nGC_102)*coupl(      &
                       nGC_103)*coupl(nGC_3) + coupl(nGC_102)*coupl(nGC_103)*  &
                       coupl(nGC_4) - coupl(nGC_103)**2d0*coupl(nGC_3) + coupl(&
                       nGC_103)**2d0*coupl(nGC_4) - coupl(nGC_3)**2d0*coupl(   &
                       nGC_999) + 2d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_999  &
                       ) - coupl(nGC_4)**2d0*coupl(nGC_999) - 12d0*coupl(nGC_4 &
                       )*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13015) = (-12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 + 12d0*Nc*    &
                       coupl(nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_102&
                       )*coupl(nGC_113) + 6d0*cima*coupl(nGC_103)*coupl(nGC_113&
                       ) + 6d0*cima*coupl(nGC_3)*coupl(nGC_8) + 6d0*cima*coupl(&
                       nGC_4)*coupl(nGC_8) + 2d0*coupl(nGC_102)**2d0*coupl(    &
                       nGC_3) - 2d0*coupl(nGC_102)**2d0*coupl(nGC_4) - coupl(  &
                       nGC_102)*coupl(nGC_103)*coupl(nGC_3) + coupl(nGC_102)*  &
                       coupl(nGC_103)*coupl(nGC_4) - coupl(nGC_103)**2d0*coupl(&
                       nGC_3) + coupl(nGC_103)**2d0*coupl(nGC_4) + 2d0*coupl(  &
                       nGC_3)**2d0*coupl(nGC_999) + 2d0*coupl(nGC_3)*coupl(    &
                       nGC_4)*coupl(nGC_999) - 4d0*coupl(nGC_4)**2d0*coupl(    &
                       nGC_999) - 12d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(96d0* &
                       pi**2d0)
    coupl(nGC_13016) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 - 12d0*Nc*coupl&
                       (nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_102)*   &
                       coupl(nGC_113) + 6d0*cima*coupl(nGC_103)*coupl(nGC_113  &
                       ) + coupl(nGC_102)**2d0*coupl(nGC_3) - coupl(nGC_102)** &
                       2d0*coupl(nGC_4) + coupl(nGC_102)*coupl(nGC_103)*coupl( &
                       nGC_3) - coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4) -   &
                       2d0*coupl(nGC_103)**2d0*coupl(nGC_3) + 2d0*coupl(nGC_103&
                       )**2d0*coupl(nGC_4) + coupl(nGC_3)**2d0*coupl(nGC_999   &
                       ) - 2d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_999) + coupl&
                       (nGC_4)**2d0*coupl(nGC_999) + 12d0*coupl(nGC_4)*coupl(  &
                       nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13017) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 - 12d0*Nc*coupl&
                       (nGC_2)*coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_3)*coupl&
                       (nGC_72) + 6d0*cima*coupl(nGC_4)*coupl(nGC_72) + coupl( &
                       nGC_102)**2d0*coupl(nGC_3) + 2d0*coupl(nGC_102)**2d0*   &
                       coupl(nGC_4) - 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl( &
                       nGC_3) - 4d0*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_4  &
                       ) + coupl(nGC_103)**2d0*coupl(nGC_3) + 2d0*coupl(nGC_103&
                       )**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)**2d0*coupl(      &
                       nGC_999) - 2d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_999  &
                       ) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_999) + 12d0*coupl(  &
                       nGC_4)*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_13018) = (-4d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_195) - 4d0*Nc* &
                       cMC*coupl(nGC_199)*coupl(nGC_2)**2d0 - 4d0*Nc*cMD*coupl(&
                       nGC_1)**2d0*coupl(nGC_203) - 4d0*Nc*cMS*coupl(nGC_1)**  &
                       2d0*coupl(nGC_215) - 4d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(&
                       nGC_219) - 4d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_227   &
                       ) - 4d0*cME*coupl(nGC_207)*coupl(nGC_4)**2d0 - 4d0*cMM* &
                       coupl(nGC_211)*coupl(nGC_4)**2d0 - 4d0*cMTA*coupl(      &
                       nGC_223)*coupl(nGC_4)**2d0 + 2d0*cima*coupl(nGC_162)*   &
                       coupl(nGC_9) + coupl(nGC_162)*coupl(nGC_3)**2d0 - 2d0*  &
                       coupl(nGC_162)*coupl(nGC_3)*coupl(nGC_4) + coupl(nGC_162&
                       )*coupl(nGC_4)**2d0)/(16d0*pi**2d0)
    coupl(nGC_13019) = (-2d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195  &
                       ) - 2d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_195&
                       ) - 2d0*Nc*cMC*coupl(nGC_123)*coupl(nGC_199)*coupl(nGC_2&
                       ) - 2d0*Nc*cMC*coupl(nGC_126)*coupl(nGC_199)*coupl(nGC_2&
                       ) - 2d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_203&
                       ) - 2d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_203&
                       ) - 2d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_215&
                       ) - 2d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_215&
                       ) - 2d0*Nc*cMT*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219&
                       ) - 2d0*Nc*cMT*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_219&
                       ) - 2d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_227&
                       ) - 2d0*Nc*cMU*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_227&
                       ) - 2d0*cME*coupl(nGC_124)*coupl(nGC_207)*coupl(nGC_4   &
                       ) - 2d0*cME*coupl(nGC_128)*coupl(nGC_207)*coupl(nGC_4   &
                       ) - 2d0*cMM*coupl(nGC_124)*coupl(nGC_211)*coupl(nGC_4   &
                       ) - 2d0*cMM*coupl(nGC_128)*coupl(nGC_211)*coupl(nGC_4   &
                       ) - 2d0*cMTA*coupl(nGC_124)*coupl(nGC_223)*coupl(nGC_4  &
                       ) - 2d0*cMTA*coupl(nGC_128)*coupl(nGC_223)*coupl(nGC_4  &
                       ) + 2d0*cima*coupl(nGC_116)*coupl(nGC_162) - coupl(     &
                       nGC_102)*coupl(nGC_162)*coupl(nGC_3) + coupl(nGC_102)*  &
                       coupl(nGC_162)*coupl(nGC_4) + coupl(nGC_103)*coupl(     &
                       nGC_162)*coupl(nGC_3) - coupl(nGC_103)*coupl(nGC_162)*  &
                       coupl(nGC_4))/(16d0*pi**2d0)
    coupl(nGC_13020) = (-2d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_196  &
                       ) - 2d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_196&
                       ) - 2d0*Nc*cMC*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_200&
                       ) - 2d0*Nc*cMC*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_200&
                       ) - 2d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_204&
                       ) - 2d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_204&
                       ) - 2d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_216&
                       ) - 2d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_216&
                       ) - 2d0*Nc*cMT*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_220&
                       ) - 2d0*Nc*cMT*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_220&
                       ) - 2d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_228&
                       ) - 2d0*Nc*cMU*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_228&
                       ) - 2d0*cME*coupl(nGC_124)*coupl(nGC_208)*coupl(nGC_4   &
                       ) - 2d0*cME*coupl(nGC_128)*coupl(nGC_208)*coupl(nGC_4   &
                       ) - 2d0*cMM*coupl(nGC_124)*coupl(nGC_212)*coupl(nGC_4   &
                       ) - 2d0*cMM*coupl(nGC_128)*coupl(nGC_212)*coupl(nGC_4   &
                       ) - 2d0*cMTA*coupl(nGC_124)*coupl(nGC_224)*coupl(nGC_4  &
                       ) - 2d0*cMTA*coupl(nGC_128)*coupl(nGC_224)*coupl(nGC_4  &
                       ) + 2d0*cima*coupl(nGC_116)*coupl(nGC_165) - coupl(     &
                       nGC_102)*coupl(nGC_165)*coupl(nGC_3) + coupl(nGC_102)*  &
                       coupl(nGC_165)*coupl(nGC_4) + coupl(nGC_103)*coupl(     &
                       nGC_165)*coupl(nGC_3) - coupl(nGC_103)*coupl(nGC_165)*  &
                       coupl(nGC_4))/(16d0*pi**2d0)
    coupl(nGC_13021) = (-4d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_196) - 4d0*Nc* &
                       cMC*coupl(nGC_2)**2d0*coupl(nGC_200) - 4d0*Nc*cMD*coupl(&
                       nGC_1)**2d0*coupl(nGC_204) - 4d0*Nc*cMS*coupl(nGC_1)**  &
                       2d0*coupl(nGC_216) - 4d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(&
                       nGC_220) - 4d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_228   &
                       ) - 4d0*cME*coupl(nGC_208)*coupl(nGC_4)**2d0 - 4d0*cMM* &
                       coupl(nGC_212)*coupl(nGC_4)**2d0 - 4d0*cMTA*coupl(      &
                       nGC_224)*coupl(nGC_4)**2d0 + 2d0*cima*coupl(nGC_165)*   &
                       coupl(nGC_9) + coupl(nGC_165)*coupl(nGC_3)**2d0 - 2d0*  &
                       coupl(nGC_165)*coupl(nGC_3)*coupl(nGC_4) + coupl(nGC_165&
                       )*coupl(nGC_4)**2d0)/(16d0*pi**2d0)
    coupl(nGC_13022) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1215)*  &
                       coupl(nGC_194) + 4d0*coupl(nGC_1)*coupl(nGC_125)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_195)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_196)**2d0 + coupl(nGC_2)*coupl(nGC_217)**2d0 + 4d0* &
                       coupl(nGC_2)*coupl(nGC_99)**2d0 - coupl(nGC_3)*coupl(   &
                       nGC_99)**2d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
    coupl(nGC_13023) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1215)*  &
                       coupl(nGC_194) + 4d0*coupl(nGC_1)*coupl(nGC_122)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_195)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_196)**2d0 + coupl(nGC_193)**2d0*coupl(nGC_2))/(32d0*&
                       pi**2d0)
    coupl(nGC_13024) = coupl(nGC_1)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_13025) = (coupl(nGC_1)*coupl(nGC_213)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(nGC_2&
                       ) + coupl(nGC_1331)*coupl(nGC_198)*coupl(nGC_2) + coupl(&
                       nGC_199)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 +    &
                       coupl(nGC_2)*coupl(nGC_200)**2d0 + coupl(nGC_3)*coupl(  &
                       nGC_99)**2d0 - coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
    coupl(nGC_13026) = (coupl(nGC_1)*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_123)**&
                       2d0*coupl(nGC_2) + coupl(nGC_1331)*coupl(nGC_198)*coupl(&
                       nGC_2) + coupl(nGC_199)**2d0*coupl(nGC_2) + 4d0*coupl(  &
                       nGC_2)**3d0 + coupl(nGC_2)*coupl(nGC_200)**2d0)/(32d0*pi&
                       **2d0)
    coupl(nGC_13027) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_13028) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1207)*  &
                       coupl(nGC_202) + 4d0*coupl(nGC_1)*coupl(nGC_125)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_204)**2d0 + coupl(nGC_2)*coupl(nGC_225)**2d0 + 4d0* &
                       coupl(nGC_2)*coupl(nGC_99)**2d0 - coupl(nGC_3)*coupl(   &
                       nGC_99)**2d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
    coupl(nGC_13029) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1207)*  &
                       coupl(nGC_202) + 4d0*coupl(nGC_1)*coupl(nGC_122)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_204)**2d0 + coupl(nGC_2)*coupl(nGC_201)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_13030) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_1261)*&
                       coupl(nGC_206) + coupl(nGC_207)**2d0 + coupl(nGC_208)** &
                       2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13031) = (coupl(nGC_1261)*coupl(nGC_206)*coupl(nGC_4) + 4d0*coupl&
                       (nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_207)**2d0*coupl(&
                       nGC_4) + coupl(nGC_208)**2d0*coupl(nGC_4) - coupl(nGC_3 &
                       )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0 + coupl(   &
                       nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13032) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_1265)*&
                       coupl(nGC_210) + coupl(nGC_211)**2d0 + coupl(nGC_212)** &
                       2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13033) = (coupl(nGC_1265)*coupl(nGC_210)*coupl(nGC_4) + 4d0*coupl&
                       (nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_211)**2d0*coupl(&
                       nGC_4) + coupl(nGC_212)**2d0*coupl(nGC_4) - coupl(nGC_3 &
                       )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0 + coupl(   &
                       nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13034) = (coupl(nGC_205)**2d0*coupl(nGC_4) + coupl(nGC_3)*coupl( &
                       nGC_99)**2d0 + 3d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_13035) = (coupl(nGC_209)**2d0*coupl(nGC_4) + coupl(nGC_3)*coupl( &
                       nGC_99)**2d0 + 3d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_13036) = (coupl(nGC_221)**2d0*coupl(nGC_4) + coupl(nGC_3)*coupl( &
                       nGC_99)**2d0 + 3d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_13037) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1211)*  &
                       coupl(nGC_214) + 4d0*coupl(nGC_1)*coupl(nGC_125)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_216)**2d0 + coupl(nGC_197)**2d0*coupl(nGC_2) + 4d0* &
                       coupl(nGC_2)*coupl(nGC_99)**2d0 - coupl(nGC_3)*coupl(   &
                       nGC_99)**2d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
    coupl(nGC_13038) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1211)*  &
                       coupl(nGC_214) + 4d0*coupl(nGC_1)*coupl(nGC_122)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_216)**2d0 + coupl(nGC_2)*coupl(nGC_213)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_13039) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(nGC_2&
                       ) + coupl(nGC_1335)*coupl(nGC_2)*coupl(nGC_218) + 4d0*  &
                       coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(nGC_219)**2d0 +  &
                       coupl(nGC_2)*coupl(nGC_220)**2d0 + coupl(nGC_3)*coupl(  &
                       nGC_99)**2d0 - coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
    coupl(nGC_13040) = (coupl(nGC_1)*coupl(nGC_217)**2d0 + 4d0*coupl(nGC_123)**&
                       2d0*coupl(nGC_2) + coupl(nGC_1335)*coupl(nGC_2)*coupl(  &
                       nGC_218) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(  &
                       nGC_219)**2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_13041) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_1269)*&
                       coupl(nGC_222) + coupl(nGC_223)**2d0 + coupl(nGC_224)** &
                       2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13042) = (coupl(nGC_1269)*coupl(nGC_222)*coupl(nGC_4) + 4d0*coupl&
                       (nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_223)**2d0*coupl(&
                       nGC_4) + coupl(nGC_224)**2d0*coupl(nGC_4) - coupl(nGC_3 &
                       )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0 + coupl(   &
                       nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13043) = (coupl(nGC_1)*coupl(nGC_201)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(nGC_2&
                       ) + coupl(nGC_1327)*coupl(nGC_2)*coupl(nGC_226) + 4d0*  &
                       coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(nGC_227)**2d0 +  &
                       coupl(nGC_2)*coupl(nGC_228)**2d0 + coupl(nGC_3)*coupl(  &
                       nGC_99)**2d0 - coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
    coupl(nGC_13044) = (coupl(nGC_1)*coupl(nGC_225)**2d0 + 4d0*coupl(nGC_123)**&
                       2d0*coupl(nGC_2) + coupl(nGC_1327)*coupl(nGC_2)*coupl(  &
                       nGC_226) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(  &
                       nGC_227)**2d0 + coupl(nGC_2)*coupl(nGC_228)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_13045) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_196) + 2d0*Nc*&
                       cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_220) + 2d0* &
                       Nc*cMB*coupl(nGC_196)*coupl(nGC_217)**2d0 + 2d0*Nc*cMC* &
                       coupl(nGC_197)**2d0*coupl(nGC_200) + 2d0*Nc*cMC*coupl(  &
                       nGC_197)*coupl(nGC_213)*coupl(nGC_216) + 2d0*Nc*cMC*    &
                       coupl(nGC_200)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_201)**2d0*coupl(nGC_204) + 2d0*Nc*cMD*coupl(nGC_201 &
                       )*coupl(nGC_225)*coupl(nGC_228) + 2d0*Nc*cMD*coupl(     &
                       nGC_204)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(nGC_197 &
                       )**2d0*coupl(nGC_216) + 2d0*Nc*cMS*coupl(nGC_197)*coupl(&
                       nGC_200)*coupl(nGC_213) + 2d0*Nc*cMS*coupl(nGC_213)**2d0&
                       *coupl(nGC_216) + 2d0*Nc*cMT*coupl(nGC_193)**2d0*coupl( &
                       nGC_220) + 2d0*Nc*cMT*coupl(nGC_193)*coupl(nGC_196)*    &
                       coupl(nGC_217) + 2d0*Nc*cMT*coupl(nGC_217)**2d0*coupl(  &
                       nGC_220) + 2d0*Nc*cMU*coupl(nGC_201)**2d0*coupl(nGC_228 &
                       ) + 2d0*Nc*cMU*coupl(nGC_201)*coupl(nGC_204)*coupl(     &
                       nGC_225) + 2d0*Nc*cMU*coupl(nGC_225)**2d0*coupl(nGC_228 &
                       ) + 2d0*cME*coupl(nGC_205)**2d0*coupl(nGC_208) + 2d0*cMM&
                       *coupl(nGC_209)**2d0*coupl(nGC_212) + 2d0*cMTA*coupl(   &
                       nGC_221)**2d0*coupl(nGC_224) + 4d0*cima*coupl(nGC_119)* &
                       coupl(nGC_166) + cima*coupl(nGC_141)*coupl(nGC_178) +   &
                       4d0*cima*coupl(nGC_154)*coupl(nGC_27) + 2d0*cima*coupl( &
                       nGC_165)*coupl(nGC_71))/(16d0*pi**2d0)
    coupl(nGC_13046) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_195) + 2d0*Nc*&
                       cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_219) + 2d0* &
                       Nc*cMB*coupl(nGC_195)*coupl(nGC_217)**2d0 + 2d0*Nc*cMC* &
                       coupl(nGC_197)**2d0*coupl(nGC_199) + 2d0*Nc*cMC*coupl(  &
                       nGC_197)*coupl(nGC_213)*coupl(nGC_215) + 2d0*Nc*cMC*    &
                       coupl(nGC_199)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*coupl(  &
                       nGC_201)**2d0*coupl(nGC_203) + 2d0*Nc*cMD*coupl(nGC_201 &
                       )*coupl(nGC_225)*coupl(nGC_227) + 2d0*Nc*cMD*coupl(     &
                       nGC_203)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(nGC_197 &
                       )**2d0*coupl(nGC_215) + 2d0*Nc*cMS*coupl(nGC_197)*coupl(&
                       nGC_199)*coupl(nGC_213) + 2d0*Nc*cMS*coupl(nGC_213)**2d0&
                       *coupl(nGC_215) + 2d0*Nc*cMT*coupl(nGC_193)**2d0*coupl( &
                       nGC_219) + 2d0*Nc*cMT*coupl(nGC_193)*coupl(nGC_195)*    &
                       coupl(nGC_217) + 2d0*Nc*cMT*coupl(nGC_217)**2d0*coupl(  &
                       nGC_219) + 2d0*Nc*cMU*coupl(nGC_201)**2d0*coupl(nGC_227 &
                       ) + 2d0*Nc*cMU*coupl(nGC_201)*coupl(nGC_203)*coupl(     &
                       nGC_225) + 2d0*Nc*cMU*coupl(nGC_225)**2d0*coupl(nGC_227 &
                       ) + 2d0*cME*coupl(nGC_205)**2d0*coupl(nGC_207) + 2d0*cMM&
                       *coupl(nGC_209)**2d0*coupl(nGC_211) + 2d0*cMTA*coupl(   &
                       nGC_221)**2d0*coupl(nGC_223) + 4d0*cima*coupl(nGC_110)* &
                       coupl(nGC_166) + cima*coupl(nGC_141)*coupl(nGC_175) +   &
                       4d0*cima*coupl(nGC_15)*coupl(nGC_154) + 2d0*cima*coupl( &
                       nGC_162)*coupl(nGC_71))/(16d0*pi**2d0)
    coupl(nGC_13047) = (-2d0*Nc*coupl(nGC_122)*coupl(nGC_193)**2d0 - 2d0*Nc*   &
                       coupl(nGC_122)*coupl(nGC_201)**2d0 - 2d0*Nc*coupl(      &
                       nGC_122)*coupl(nGC_213)**2d0 + 2d0*Nc*coupl(nGC_123)*   &
                       coupl(nGC_197)**2d0 + 2d0*Nc*coupl(nGC_123)*coupl(      &
                       nGC_217)**2d0 + 2d0*Nc*coupl(nGC_123)*coupl(nGC_225)**  &
                       2d0 - 2d0*Nc*coupl(nGC_125)*coupl(nGC_197)**2d0 - 2d0*Nc&
                       *coupl(nGC_125)*coupl(nGC_217)**2d0 - 2d0*Nc*coupl(     &
                       nGC_125)*coupl(nGC_225)**2d0 + 2d0*Nc*coupl(nGC_126)*   &
                       coupl(nGC_193)**2d0 + 2d0*Nc*coupl(nGC_126)*coupl(      &
                       nGC_201)**2d0 + 2d0*Nc*coupl(nGC_126)*coupl(nGC_213)**  &
                       2d0 + 3d0*cima*coupl(nGC_102)*coupl(nGC_71) + 3d0*cima* &
                       coupl(nGC_103)*coupl(nGC_71) - 2d0*coupl(nGC_124)*coupl(&
                       nGC_205)**2d0 - 2d0*coupl(nGC_124)*coupl(nGC_209)**2d0  &
                        - 2d0*coupl(nGC_124)*coupl(nGC_221)**2d0 + 2d0*coupl(  &
                       nGC_129)*coupl(nGC_205)**2d0 + 2d0*coupl(nGC_129)*coupl(&
                       nGC_209)**2d0 + 2d0*coupl(nGC_129)*coupl(nGC_221)**2d0  &
                       )/(48d0*pi**2d0)
    coupl(nGC_13048) = (2d0*Nc*coupl(nGC_122)*coupl(nGC_193)**2d0 + 2d0*Nc*    &
                       coupl(nGC_122)*coupl(nGC_201)**2d0 + 2d0*Nc*coupl(      &
                       nGC_122)*coupl(nGC_213)**2d0 - 2d0*Nc*coupl(nGC_123)*   &
                       coupl(nGC_197)**2d0 - 2d0*Nc*coupl(nGC_123)*coupl(      &
                       nGC_217)**2d0 - 2d0*Nc*coupl(nGC_123)*coupl(nGC_225)**  &
                       2d0 + 2d0*Nc*coupl(nGC_125)*coupl(nGC_197)**2d0 + 2d0*Nc&
                       *coupl(nGC_125)*coupl(nGC_217)**2d0 + 2d0*Nc*coupl(     &
                       nGC_125)*coupl(nGC_225)**2d0 - 2d0*Nc*coupl(nGC_126)*   &
                       coupl(nGC_193)**2d0 - 2d0*Nc*coupl(nGC_126)*coupl(      &
                       nGC_201)**2d0 - 2d0*Nc*coupl(nGC_126)*coupl(nGC_213)**  &
                       2d0 + 3d0*cima*coupl(nGC_102)*coupl(nGC_71) + 3d0*cima* &
                       coupl(nGC_103)*coupl(nGC_71) + 2d0*coupl(nGC_124)*coupl(&
                       nGC_205)**2d0 + 2d0*coupl(nGC_124)*coupl(nGC_209)**2d0  &
                        + 2d0*coupl(nGC_124)*coupl(nGC_221)**2d0 - 2d0*coupl(  &
                       nGC_129)*coupl(nGC_205)**2d0 - 2d0*coupl(nGC_129)*coupl(&
                       nGC_209)**2d0 - 2d0*coupl(nGC_129)*coupl(nGC_221)**2d0  &
                       )/(48d0*pi**2d0)
    coupl(nGC_13049) = (-2d0*Nc*coupl(nGC_1327)*coupl(nGC_225)*coupl(nGC_99) - &
                       2d0*Nc*coupl(nGC_1331)*coupl(nGC_197)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_1335)*coupl(nGC_217)*coupl(nGC_99) +   &
                       2d0*Nc*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_99) + 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) + 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_214)*coupl(nGC_99) + 3d0*cima*&
                       coupl(nGC_102)*coupl(nGC_13) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_13) + 3d0*cima*coupl(nGC_107)*coupl(nGC_3) +  &
                       3d0*cima*coupl(nGC_107)*coupl(nGC_4) + 2d0*coupl(nGC_205&
                       )*coupl(nGC_206)*coupl(nGC_99) + 2d0*coupl(nGC_209)*    &
                       coupl(nGC_210)*coupl(nGC_99) + 2d0*coupl(nGC_221)*coupl(&
                       nGC_222)*coupl(nGC_99))/(48d0*pi**2d0)
    coupl(nGC_13050) = (2d0*Nc*coupl(nGC_1327)*coupl(nGC_225)*coupl(nGC_99) +  &
                       2d0*Nc*coupl(nGC_1331)*coupl(nGC_197)*coupl(nGC_99) +   &
                       2d0*Nc*coupl(nGC_1335)*coupl(nGC_217)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_99) - 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) - 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_214)*coupl(nGC_99) + 3d0*cima*&
                       coupl(nGC_102)*coupl(nGC_13) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_13) + 3d0*cima*coupl(nGC_107)*coupl(nGC_3) +  &
                       3d0*cima*coupl(nGC_107)*coupl(nGC_4) - 2d0*coupl(nGC_205&
                       )*coupl(nGC_206)*coupl(nGC_99) - 2d0*coupl(nGC_209)*    &
                       coupl(nGC_210)*coupl(nGC_99) - 2d0*coupl(nGC_221)*coupl(&
                       nGC_222)*coupl(nGC_99))/(48d0*pi**2d0)
    coupl(nGC_13051) = (2d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99) + 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_27) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_27) + 3d0*cima*coupl(nGC_119)*coupl(nGC_3) +  &
                       3d0*cima*coupl(nGC_119)*coupl(nGC_4) + 2d0*coupl(nGC_205&
                       )*coupl(nGC_208)*coupl(nGC_99) + 2d0*coupl(nGC_209)*    &
                       coupl(nGC_212)*coupl(nGC_99) + 2d0*coupl(nGC_221)*coupl(&
                       nGC_224)*coupl(nGC_99))/(48d0*pi**2d0)
    coupl(nGC_13052) = (-2d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99) +  &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99) - 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) + 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) + 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_27) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_27) + 3d0*cima*coupl(nGC_119)*coupl(nGC_3) +  &
                       3d0*cima*coupl(nGC_119)*coupl(nGC_4) - 2d0*coupl(nGC_205&
                       )*coupl(nGC_208)*coupl(nGC_99) - 2d0*coupl(nGC_209)*    &
                       coupl(nGC_212)*coupl(nGC_99) - 2d0*coupl(nGC_221)*coupl(&
                       nGC_224)*coupl(nGC_99))/(48d0*pi**2d0)
    coupl(nGC_13053) = (2d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99) + 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) - 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_15) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_15) + 3d0*cima*coupl(nGC_110)*coupl(nGC_3) +  &
                       3d0*cima*coupl(nGC_110)*coupl(nGC_4) + 2d0*coupl(nGC_205&
                       )*coupl(nGC_207)*coupl(nGC_99) + 2d0*coupl(nGC_209)*    &
                       coupl(nGC_211)*coupl(nGC_99) + 2d0*coupl(nGC_221)*coupl(&
                       nGC_223)*coupl(nGC_99))/(48d0*pi**2d0)
    coupl(nGC_13054) = (-2d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99) +  &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99) - 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) - 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) + 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) + 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_15) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_15) + 3d0*cima*coupl(nGC_110)*coupl(nGC_3) +  &
                       3d0*cima*coupl(nGC_110)*coupl(nGC_4) - 2d0*coupl(nGC_205&
                       )*coupl(nGC_207)*coupl(nGC_99) - 2d0*coupl(nGC_209)*    &
                       coupl(nGC_211)*coupl(nGC_99) - 2d0*coupl(nGC_221)*coupl(&
                       nGC_223)*coupl(nGC_99))/(48d0*pi**2d0)
    coupl(nGC_13055) = (2d0*Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99  &
                       ) - 2d0*Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(     &
                       nGC_99) - 2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_193)*coupl&
                       (nGC_99) + 2d0*Nc*cMC*coupl(nGC_123)*coupl(nGC_197)*    &
                       coupl(nGC_99) - 2d0*Nc*cMC*coupl(nGC_125)*coupl(nGC_197 &
                       )*coupl(nGC_99) - 2d0*Nc*cMC*coupl(nGC_126)*coupl(      &
                       nGC_197)*coupl(nGC_99) + 2d0*Nc*cMD*coupl(nGC_122)*coupl&
                       (nGC_201)*coupl(nGC_99) - 2d0*Nc*cMD*coupl(nGC_125)*    &
                       coupl(nGC_201)*coupl(nGC_99) - 2d0*Nc*cMD*coupl(nGC_126 &
                       )*coupl(nGC_201)*coupl(nGC_99) + 2d0*Nc*cMS*coupl(      &
                       nGC_122)*coupl(nGC_213)*coupl(nGC_99) - 2d0*Nc*cMS*coupl&
                       (nGC_125)*coupl(nGC_213)*coupl(nGC_99) - 2d0*Nc*cMS*    &
                       coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_99) + 2d0*Nc*cMT&
                       *coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_99) - 2d0*Nc*  &
                       cMT*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_99) - 2d0*Nc&
                       *cMT*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_99) + 2d0* &
                       Nc*cMU*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) - 2d0&
                       *Nc*cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) -   &
                       2d0*Nc*cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99   &
                       ) + 2d0*cME*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99  &
                       ) - 2d0*cME*coupl(nGC_128)*coupl(nGC_205)*coupl(nGC_99  &
                       ) - 2d0*cME*coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_99  &
                       ) + 2d0*cMM*coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_99  &
                       ) - 2d0*cMM*coupl(nGC_128)*coupl(nGC_209)*coupl(nGC_99  &
                       ) - 2d0*cMM*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_99  &
                       ) + 2d0*cMTA*coupl(nGC_124)*coupl(nGC_221)*coupl(nGC_99 &
                       ) - 2d0*cMTA*coupl(nGC_128)*coupl(nGC_221)*coupl(nGC_99 &
                       ) - 2d0*cMTA*coupl(nGC_129)*coupl(nGC_221)*coupl(nGC_99 &
                       ) + 4d0*cima*coupl(nGC_113)*coupl(nGC_166) + 4d0*cima*  &
                       coupl(nGC_154)*coupl(nGC_84) - coupl(nGC_102)**2d0*coupl&
                       (nGC_154) + 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl(    &
                       nGC_154) + coupl(nGC_102)*coupl(nGC_166)*coupl(nGC_3) - &
                       coupl(nGC_102)*coupl(nGC_166)*coupl(nGC_4) - coupl(     &
                       nGC_103)**2d0*coupl(nGC_154) - coupl(nGC_103)*coupl(    &
                       nGC_166)*coupl(nGC_3) + coupl(nGC_103)*coupl(nGC_166)*  &
                       coupl(nGC_4))/(32d0*pi**2d0)
    coupl(nGC_13056) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) - coupl(  &
                       nGC_1215)*coupl(nGC_1335)*coupl(nGC_217) + 8d0*coupl(   &
                       nGC_122)*coupl(nGC_126)*coupl(nGC_193) - coupl(nGC_195)*&
                       coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_196)*coupl(   &
                       nGC_217)*coupl(nGC_220))/(32d0*pi**2d0)
    coupl(nGC_13058) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*    &
                       coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl(   &
                       nGC_193)*coupl(nGC_194)*coupl(nGC_218) - coupl(nGC_193)*&
                       coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193)*coupl(   &
                       nGC_196)*coupl(nGC_220))/(32d0*pi**2d0)
    coupl(nGC_13057) = coupl(nGC_19)**2d0*coupl(nGC_193)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13059) = coupl(nGC_19)**2d0*coupl(nGC_217)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13060) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl(   &
                       nGC_198)*coupl(nGC_213)*coupl(nGC_214) - coupl(nGC_199)*&
                       coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200)*coupl(   &
                       nGC_213)*coupl(nGC_216))/(32d0*pi**2d0)
    coupl(nGC_13062) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_213) - coupl(  &
                       nGC_1211)*coupl(nGC_1331)*coupl(nGC_197) + 8d0*coupl(   &
                       nGC_122)*coupl(nGC_126)*coupl(nGC_213) - coupl(nGC_197)*&
                       coupl(nGC_199)*coupl(nGC_215) - coupl(nGC_197)*coupl(   &
                       nGC_200)*coupl(nGC_216))/(32d0*pi**2d0)
    coupl(nGC_13061) = coupl(nGC_19)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13063) = coupl(nGC_19)**2d0*coupl(nGC_213)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13064) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) - coupl(  &
                       nGC_1207)*coupl(nGC_1327)*coupl(nGC_225) + 8d0*coupl(   &
                       nGC_122)*coupl(nGC_126)*coupl(nGC_201) - coupl(nGC_203)*&
                       coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_204)*coupl(   &
                       nGC_225)*coupl(nGC_228))/(32d0*pi**2d0)
    coupl(nGC_13066) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) + 8d0*    &
                       coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_225) - coupl(   &
                       nGC_201)*coupl(nGC_202)*coupl(nGC_226) - coupl(nGC_201)*&
                       coupl(nGC_203)*coupl(nGC_227) - coupl(nGC_201)*coupl(   &
                       nGC_204)*coupl(nGC_228))/(32d0*pi**2d0)
    coupl(nGC_13065) = coupl(nGC_19)**2d0*coupl(nGC_201)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13067) = coupl(nGC_19)**2d0*coupl(nGC_225)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13068) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_205)/(4d0*pi**  &
                       2d0)
    coupl(nGC_13069) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209)/(4d0*pi**  &
                       2d0)
    coupl(nGC_13070) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_221)/(4d0*pi**  &
                       2d0)
    coupl(nGC_13071) = (-2d0*Nc*coupl(nGC_1207)*coupl(nGC_201)*coupl(nGC_99) - &
                       2d0*Nc*coupl(nGC_1211)*coupl(nGC_213)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_1215)*coupl(nGC_193)*coupl(nGC_99) +   &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_99) + 2d0&
                       *Nc*coupl(nGC_217)*coupl(nGC_218)*coupl(nGC_99) + 2d0*Nc&
                       *coupl(nGC_225)*coupl(nGC_226)*coupl(nGC_99) + 3d0*cima*&
                       coupl(nGC_102)*coupl(nGC_14) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_14) - 2d0*coupl(nGC_1261)*coupl(nGC_205)*coupl&
                       (nGC_99) - 2d0*coupl(nGC_1265)*coupl(nGC_209)*coupl(    &
                       nGC_99) - 2d0*coupl(nGC_1269)*coupl(nGC_221)*coupl(     &
                       nGC_99))/(48d0*pi**2d0)
    coupl(nGC_13072) = (2d0*Nc*coupl(nGC_1207)*coupl(nGC_201)*coupl(nGC_99) +  &
                       2d0*Nc*coupl(nGC_1211)*coupl(nGC_213)*coupl(nGC_99) +   &
                       2d0*Nc*coupl(nGC_1215)*coupl(nGC_193)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_99) - 2d0&
                       *Nc*coupl(nGC_217)*coupl(nGC_218)*coupl(nGC_99) - 2d0*Nc&
                       *coupl(nGC_225)*coupl(nGC_226)*coupl(nGC_99) + 3d0*cima*&
                       coupl(nGC_102)*coupl(nGC_14) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_14) + 2d0*coupl(nGC_1261)*coupl(nGC_205)*coupl&
                       (nGC_99) + 2d0*coupl(nGC_1265)*coupl(nGC_209)*coupl(    &
                       nGC_99) + 2d0*coupl(nGC_1269)*coupl(nGC_221)*coupl(     &
                       nGC_99))/(48d0*pi**2d0)
    coupl(nGC_13073) = (-2d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99) +  &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99) - 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) + 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) + 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_27) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_27) - 2d0*coupl(nGC_205)*coupl(nGC_208)*coupl(&
                       nGC_99) - 2d0*coupl(nGC_209)*coupl(nGC_212)*coupl(nGC_99&
                       ) - 2d0*coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99))/(  &
                       48d0*pi**2d0)
    coupl(nGC_13074) = (2d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_200)*coupl(nGC_99) + 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_228)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_27) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_27) + 2d0*coupl(nGC_205)*coupl(nGC_208)*coupl(&
                       nGC_99) + 2d0*coupl(nGC_209)*coupl(nGC_212)*coupl(nGC_99&
                       ) + 2d0*coupl(nGC_221)*coupl(nGC_224)*coupl(nGC_99))/(  &
                       48d0*pi**2d0)
    coupl(nGC_13075) = (-2d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99) +  &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99) - 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) - 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) + 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) + 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_15) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_15) - 2d0*coupl(nGC_205)*coupl(nGC_207)*coupl(&
                       nGC_99) - 2d0*coupl(nGC_209)*coupl(nGC_211)*coupl(nGC_99&
                       ) - 2d0*coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99))/(  &
                       48d0*pi**2d0)
    coupl(nGC_13076) = (2d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_99) -   &
                       2d0*Nc*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_99) + 2d0&
                       *Nc*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 2d0*Nc&
                       *coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - 2d0*Nc*  &
                       coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) - 2d0*Nc*   &
                       coupl(nGC_225)*coupl(nGC_227)*coupl(nGC_99) + 3d0*cima* &
                       coupl(nGC_102)*coupl(nGC_15) + 3d0*cima*coupl(nGC_103)* &
                       coupl(nGC_15) + 2d0*coupl(nGC_205)*coupl(nGC_207)*coupl(&
                       nGC_99) + 2d0*coupl(nGC_209)*coupl(nGC_211)*coupl(nGC_99&
                       ) + 2d0*coupl(nGC_221)*coupl(nGC_223)*coupl(nGC_99))/(  &
                       48d0*pi**2d0)
    coupl(nGC_13077) = (2d0*Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99  &
                       ) - 2d0*Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(     &
                       nGC_99) - 2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_193)*coupl&
                       (nGC_99) + 2d0*Nc*cMC*coupl(nGC_123)*coupl(nGC_197)*    &
                       coupl(nGC_99) - 2d0*Nc*cMC*coupl(nGC_125)*coupl(nGC_197 &
                       )*coupl(nGC_99) - 2d0*Nc*cMC*coupl(nGC_126)*coupl(      &
                       nGC_197)*coupl(nGC_99) + 2d0*Nc*cMD*coupl(nGC_122)*coupl&
                       (nGC_201)*coupl(nGC_99) - 2d0*Nc*cMD*coupl(nGC_125)*    &
                       coupl(nGC_201)*coupl(nGC_99) - 2d0*Nc*cMD*coupl(nGC_126 &
                       )*coupl(nGC_201)*coupl(nGC_99) + 2d0*Nc*cMS*coupl(      &
                       nGC_122)*coupl(nGC_213)*coupl(nGC_99) - 2d0*Nc*cMS*coupl&
                       (nGC_125)*coupl(nGC_213)*coupl(nGC_99) - 2d0*Nc*cMS*    &
                       coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_99) + 2d0*Nc*cMT&
                       *coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_99) - 2d0*Nc*  &
                       cMT*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_99) - 2d0*Nc&
                       *cMT*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_99) + 2d0* &
                       Nc*cMU*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) - 2d0&
                       *Nc*cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) -   &
                       2d0*Nc*cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99   &
                       ) + 2d0*cME*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99  &
                       ) - 2d0*cME*coupl(nGC_128)*coupl(nGC_205)*coupl(nGC_99  &
                       ) - 2d0*cME*coupl(nGC_129)*coupl(nGC_205)*coupl(nGC_99  &
                       ) + 2d0*cMM*coupl(nGC_124)*coupl(nGC_209)*coupl(nGC_99  &
                       ) - 2d0*cMM*coupl(nGC_128)*coupl(nGC_209)*coupl(nGC_99  &
                       ) - 2d0*cMM*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_99  &
                       ) + 2d0*cMTA*coupl(nGC_124)*coupl(nGC_221)*coupl(nGC_99 &
                       ) - 2d0*cMTA*coupl(nGC_128)*coupl(nGC_221)*coupl(nGC_99 &
                       ) - 2d0*cMTA*coupl(nGC_129)*coupl(nGC_221)*coupl(nGC_99 &
                       ) + 4d0*cima*coupl(nGC_113)*coupl(nGC_166) + 4d0*cima*  &
                       coupl(nGC_154)*coupl(nGC_84) - coupl(nGC_102)**2d0*coupl&
                       (nGC_154) + 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl(    &
                       nGC_154) + 2d0*coupl(nGC_102)*coupl(nGC_166)*coupl(nGC_3&
                       ) - coupl(nGC_103)**2d0*coupl(nGC_154) - 2d0*coupl(     &
                       nGC_103)*coupl(nGC_166)*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_13078) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) - coupl(  &
                       nGC_1211)*coupl(nGC_1331)*coupl(nGC_213) + 8d0*coupl(   &
                       nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl(nGC_199)*&
                       coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200)*coupl(   &
                       nGC_213)*coupl(nGC_216))/(32d0*pi**2d0)
    coupl(nGC_13079) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_213) + 8d0*    &
                       coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_213) - coupl(   &
                       nGC_197)*coupl(nGC_198)*coupl(nGC_214) - coupl(nGC_197)*&
                       coupl(nGC_199)*coupl(nGC_215) - coupl(nGC_197)*coupl(   &
                       nGC_200)*coupl(nGC_216))/(32d0*pi**2d0)
    coupl(nGC_13080) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_193) - coupl(   &
                       nGC_194)*coupl(nGC_217)*coupl(nGC_218) - coupl(nGC_195)*&
                       coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_196)*coupl(   &
                       nGC_217)*coupl(nGC_220))/(32d0*pi**2d0)
    coupl(nGC_13081) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) - coupl(  &
                       nGC_1215)*coupl(nGC_1335)*coupl(nGC_193) + 8d0*coupl(   &
                       nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl(nGC_193)*&
                       coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193)*coupl(   &
                       nGC_196)*coupl(nGC_220))/(32d0*pi**2d0)
    coupl(nGC_13082) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) + 8d0*    &
                       coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_201) - coupl(   &
                       nGC_202)*coupl(nGC_225)*coupl(nGC_226) - coupl(nGC_203)*&
                       coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_204)*coupl(   &
                       nGC_225)*coupl(nGC_228))/(32d0*pi**2d0)
    coupl(nGC_13083) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) - coupl(  &
                       nGC_1207)*coupl(nGC_1327)*coupl(nGC_201) + 8d0*coupl(   &
                       nGC_123)*coupl(nGC_125)*coupl(nGC_225) - coupl(nGC_201)*&
                       coupl(nGC_203)*coupl(nGC_227) - coupl(nGC_201)*coupl(   &
                       nGC_204)*coupl(nGC_228))/(32d0*pi**2d0)
    coupl(nGC_13084) = (2d0*Nc*cMB*coupl(nGC_1215)**2d0*coupl(nGC_196) + 8d0*Nc&
                       *cMB*coupl(nGC_1215)*coupl(nGC_194)*coupl(nGC_196) + 2d0&
                       *Nc*cMB*coupl(nGC_194)**2d0*coupl(nGC_196) + 2d0*Nc*cMC*&
                       coupl(nGC_1331)**2d0*coupl(nGC_200) + 8d0*Nc*cMC*coupl( &
                       nGC_1331)*coupl(nGC_198)*coupl(nGC_200) + 2d0*Nc*cMC*   &
                       coupl(nGC_198)**2d0*coupl(nGC_200) + 2d0*Nc*cMD*coupl(  &
                       nGC_1207)**2d0*coupl(nGC_204) + 8d0*Nc*cMD*coupl(       &
                       nGC_1207)*coupl(nGC_202)*coupl(nGC_204) + 2d0*Nc*cMD*   &
                       coupl(nGC_202)**2d0*coupl(nGC_204) + 2d0*Nc*cMS*coupl(  &
                       nGC_1211)**2d0*coupl(nGC_216) + 8d0*Nc*cMS*coupl(       &
                       nGC_1211)*coupl(nGC_214)*coupl(nGC_216) + 2d0*Nc*cMS*   &
                       coupl(nGC_214)**2d0*coupl(nGC_216) + 2d0*Nc*cMT*coupl(  &
                       nGC_1335)**2d0*coupl(nGC_220) + 8d0*Nc*cMT*coupl(       &
                       nGC_1335)*coupl(nGC_218)*coupl(nGC_220) + 2d0*Nc*cMT*   &
                       coupl(nGC_218)**2d0*coupl(nGC_220) + 2d0*Nc*cMU*coupl(  &
                       nGC_1327)**2d0*coupl(nGC_228) + 8d0*Nc*cMU*coupl(       &
                       nGC_1327)*coupl(nGC_226)*coupl(nGC_228) + 2d0*Nc*cMU*   &
                       coupl(nGC_226)**2d0*coupl(nGC_228) + 2d0*cME*coupl(     &
                       nGC_1261)**2d0*coupl(nGC_208) + 8d0*cME*coupl(nGC_1261)*&
                       coupl(nGC_206)*coupl(nGC_208) + 2d0*cME*coupl(nGC_206)**&
                       2d0*coupl(nGC_208) + 2d0*cMM*coupl(nGC_1265)**2d0*coupl(&
                       nGC_212) + 8d0*cMM*coupl(nGC_1265)*coupl(nGC_210)*coupl(&
                       nGC_212) + 2d0*cMM*coupl(nGC_210)**2d0*coupl(nGC_212) + &
                       2d0*cMTA*coupl(nGC_1269)**2d0*coupl(nGC_224) + 8d0*cMTA*&
                       coupl(nGC_1269)*coupl(nGC_222)*coupl(nGC_224) + 2d0*cMTA&
                       *coupl(nGC_222)**2d0*coupl(nGC_224) + cima*coupl(nGC_142&
                       )*coupl(nGC_178) + 2d0*cima*coupl(nGC_165)*coupl(nGC_71 &
                       ))/(16d0*pi**2d0)
    coupl(nGC_13085) = (2d0*Nc*cMB*coupl(nGC_1215)**2d0*coupl(nGC_195) + 8d0*Nc&
                       *cMB*coupl(nGC_1215)*coupl(nGC_194)*coupl(nGC_195) + 2d0&
                       *Nc*cMB*coupl(nGC_194)**2d0*coupl(nGC_195) + 2d0*Nc*cMC*&
                       coupl(nGC_1331)**2d0*coupl(nGC_199) + 8d0*Nc*cMC*coupl( &
                       nGC_1331)*coupl(nGC_198)*coupl(nGC_199) + 2d0*Nc*cMC*   &
                       coupl(nGC_198)**2d0*coupl(nGC_199) + 2d0*Nc*cMD*coupl(  &
                       nGC_1207)**2d0*coupl(nGC_203) + 8d0*Nc*cMD*coupl(       &
                       nGC_1207)*coupl(nGC_202)*coupl(nGC_203) + 2d0*Nc*cMD*   &
                       coupl(nGC_202)**2d0*coupl(nGC_203) + 2d0*Nc*cMS*coupl(  &
                       nGC_1211)**2d0*coupl(nGC_215) + 8d0*Nc*cMS*coupl(       &
                       nGC_1211)*coupl(nGC_214)*coupl(nGC_215) + 2d0*Nc*cMS*   &
                       coupl(nGC_214)**2d0*coupl(nGC_215) + 2d0*Nc*cMT*coupl(  &
                       nGC_1335)**2d0*coupl(nGC_219) + 8d0*Nc*cMT*coupl(       &
                       nGC_1335)*coupl(nGC_218)*coupl(nGC_219) + 2d0*Nc*cMT*   &
                       coupl(nGC_218)**2d0*coupl(nGC_219) + 2d0*Nc*cMU*coupl(  &
                       nGC_1327)**2d0*coupl(nGC_227) + 8d0*Nc*cMU*coupl(       &
                       nGC_1327)*coupl(nGC_226)*coupl(nGC_227) + 2d0*Nc*cMU*   &
                       coupl(nGC_226)**2d0*coupl(nGC_227) + 2d0*cME*coupl(     &
                       nGC_1261)**2d0*coupl(nGC_207) + 8d0*cME*coupl(nGC_1261)*&
                       coupl(nGC_206)*coupl(nGC_207) + 2d0*cME*coupl(nGC_206)**&
                       2d0*coupl(nGC_207) + 2d0*cMM*coupl(nGC_1265)**2d0*coupl(&
                       nGC_211) + 8d0*cMM*coupl(nGC_1265)*coupl(nGC_210)*coupl(&
                       nGC_211) + 2d0*cMM*coupl(nGC_210)**2d0*coupl(nGC_211) + &
                       2d0*cMTA*coupl(nGC_1269)**2d0*coupl(nGC_223) + 8d0*cMTA*&
                       coupl(nGC_1269)*coupl(nGC_222)*coupl(nGC_223) + 2d0*cMTA&
                       *coupl(nGC_222)**2d0*coupl(nGC_223) + cima*coupl(nGC_142&
                       )*coupl(nGC_175) + 2d0*cima*coupl(nGC_162)*coupl(nGC_71 &
                       ))/(16d0*pi**2d0)
    coupl(nGC_13086) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1215) - coupl(nGC_1215 &
                       )**2d0*coupl(nGC_194) + 8d0*coupl(nGC_1215)*coupl(      &
                       nGC_122)*coupl(nGC_125) - coupl(nGC_193)*coupl(nGC_217)*&
                       coupl(nGC_218) - coupl(nGC_194)*coupl(nGC_195)**2d0 -   &
                       coupl(nGC_194)*coupl(nGC_196)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13088) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_194) - coupl(nGC_1215)*&
                       coupl(nGC_194)**2d0 - coupl(nGC_1215)*coupl(nGC_195)**  &
                       2d0 - coupl(nGC_1215)*coupl(nGC_196)**2d0 + 8d0*coupl(  &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_194) - coupl(nGC_1335 &
                       )*coupl(nGC_193)*coupl(nGC_217))/(32d0*pi**2d0)
    coupl(nGC_13087) = coupl(nGC_1215)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13089) = coupl(nGC_19)**2d0*coupl(nGC_194)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13090) = (-Nc*coupl(nGC_1207)*coupl(nGC_122)*coupl(nGC_204) + Nc*&
                       coupl(nGC_1207)*coupl(nGC_125)*coupl(nGC_204) - Nc*coupl&
                       (nGC_1211)*coupl(nGC_122)*coupl(nGC_216) + Nc*coupl(    &
                       nGC_1211)*coupl(nGC_125)*coupl(nGC_216) - Nc*coupl(     &
                       nGC_1215)*coupl(nGC_122)*coupl(nGC_196) + Nc*coupl(     &
                       nGC_1215)*coupl(nGC_125)*coupl(nGC_196) + Nc*coupl(     &
                       nGC_122)*coupl(nGC_194)*coupl(nGC_196) + Nc*coupl(      &
                       nGC_122)*coupl(nGC_202)*coupl(nGC_204) + Nc*coupl(      &
                       nGC_122)*coupl(nGC_214)*coupl(nGC_216) - Nc*coupl(      &
                       nGC_123)*coupl(nGC_1327)*coupl(nGC_228) - Nc*coupl(     &
                       nGC_123)*coupl(nGC_1331)*coupl(nGC_200) - Nc*coupl(     &
                       nGC_123)*coupl(nGC_1335)*coupl(nGC_220) + Nc*coupl(     &
                       nGC_123)*coupl(nGC_198)*coupl(nGC_200) + Nc*coupl(      &
                       nGC_123)*coupl(nGC_218)*coupl(nGC_220) + Nc*coupl(      &
                       nGC_123)*coupl(nGC_226)*coupl(nGC_228) - Nc*coupl(      &
                       nGC_125)*coupl(nGC_194)*coupl(nGC_196) - Nc*coupl(      &
                       nGC_125)*coupl(nGC_202)*coupl(nGC_204) - Nc*coupl(      &
                       nGC_125)*coupl(nGC_214)*coupl(nGC_216) + Nc*coupl(      &
                       nGC_126)*coupl(nGC_1327)*coupl(nGC_228) + Nc*coupl(     &
                       nGC_126)*coupl(nGC_1331)*coupl(nGC_200) + Nc*coupl(     &
                       nGC_126)*coupl(nGC_1335)*coupl(nGC_220) - Nc*coupl(     &
                       nGC_126)*coupl(nGC_198)*coupl(nGC_200) - Nc*coupl(      &
                       nGC_126)*coupl(nGC_218)*coupl(nGC_220) - Nc*coupl(      &
                       nGC_126)*coupl(nGC_226)*coupl(nGC_228) - coupl(nGC_124)*&
                       coupl(nGC_1261)*coupl(nGC_208) - coupl(nGC_124)*coupl(  &
                       nGC_1265)*coupl(nGC_212) - coupl(nGC_124)*coupl(nGC_1269&
                       )*coupl(nGC_224) + coupl(nGC_124)*coupl(nGC_206)*coupl( &
                       nGC_208) + coupl(nGC_124)*coupl(nGC_210)*coupl(nGC_212  &
                       ) + coupl(nGC_124)*coupl(nGC_222)*coupl(nGC_224) + coupl&
                       (nGC_1261)*coupl(nGC_128)*coupl(nGC_208) + coupl(       &
                       nGC_1265)*coupl(nGC_128)*coupl(nGC_212) + coupl(nGC_1269&
                       )*coupl(nGC_128)*coupl(nGC_224) - coupl(nGC_128)*coupl( &
                       nGC_206)*coupl(nGC_208) - coupl(nGC_128)*coupl(nGC_210)*&
                       coupl(nGC_212) - coupl(nGC_128)*coupl(nGC_222)*coupl(   &
                       nGC_224))/(24d0*pi**2d0)
    coupl(nGC_30508) = -coupl(nGC_13090)
    coupl(nGC_13091) = (-Nc*coupl(nGC_1207)*coupl(nGC_122)*coupl(nGC_203) + Nc*&
                       coupl(nGC_1207)*coupl(nGC_125)*coupl(nGC_203) - Nc*coupl&
                       (nGC_1211)*coupl(nGC_122)*coupl(nGC_215) + Nc*coupl(    &
                       nGC_1211)*coupl(nGC_125)*coupl(nGC_215) - Nc*coupl(     &
                       nGC_1215)*coupl(nGC_122)*coupl(nGC_195) + Nc*coupl(     &
                       nGC_1215)*coupl(nGC_125)*coupl(nGC_195) + Nc*coupl(     &
                       nGC_122)*coupl(nGC_194)*coupl(nGC_195) + Nc*coupl(      &
                       nGC_122)*coupl(nGC_202)*coupl(nGC_203) + Nc*coupl(      &
                       nGC_122)*coupl(nGC_214)*coupl(nGC_215) - Nc*coupl(      &
                       nGC_123)*coupl(nGC_1327)*coupl(nGC_227) - Nc*coupl(     &
                       nGC_123)*coupl(nGC_1331)*coupl(nGC_199) - Nc*coupl(     &
                       nGC_123)*coupl(nGC_1335)*coupl(nGC_219) + Nc*coupl(     &
                       nGC_123)*coupl(nGC_198)*coupl(nGC_199) + Nc*coupl(      &
                       nGC_123)*coupl(nGC_218)*coupl(nGC_219) + Nc*coupl(      &
                       nGC_123)*coupl(nGC_226)*coupl(nGC_227) - Nc*coupl(      &
                       nGC_125)*coupl(nGC_194)*coupl(nGC_195) - Nc*coupl(      &
                       nGC_125)*coupl(nGC_202)*coupl(nGC_203) - Nc*coupl(      &
                       nGC_125)*coupl(nGC_214)*coupl(nGC_215) + Nc*coupl(      &
                       nGC_126)*coupl(nGC_1327)*coupl(nGC_227) + Nc*coupl(     &
                       nGC_126)*coupl(nGC_1331)*coupl(nGC_199) + Nc*coupl(     &
                       nGC_126)*coupl(nGC_1335)*coupl(nGC_219) - Nc*coupl(     &
                       nGC_126)*coupl(nGC_198)*coupl(nGC_199) - Nc*coupl(      &
                       nGC_126)*coupl(nGC_218)*coupl(nGC_219) - Nc*coupl(      &
                       nGC_126)*coupl(nGC_226)*coupl(nGC_227) - coupl(nGC_124)*&
                       coupl(nGC_1261)*coupl(nGC_207) - coupl(nGC_124)*coupl(  &
                       nGC_1265)*coupl(nGC_211) - coupl(nGC_124)*coupl(nGC_1269&
                       )*coupl(nGC_223) + coupl(nGC_124)*coupl(nGC_206)*coupl( &
                       nGC_207) + coupl(nGC_124)*coupl(nGC_210)*coupl(nGC_211  &
                       ) + coupl(nGC_124)*coupl(nGC_222)*coupl(nGC_223) + coupl&
                       (nGC_1261)*coupl(nGC_128)*coupl(nGC_207) + coupl(       &
                       nGC_1265)*coupl(nGC_128)*coupl(nGC_211) + coupl(nGC_1269&
                       )*coupl(nGC_128)*coupl(nGC_223) - coupl(nGC_128)*coupl( &
                       nGC_206)*coupl(nGC_207) - coupl(nGC_128)*coupl(nGC_210)*&
                       coupl(nGC_211) - coupl(nGC_128)*coupl(nGC_222)*coupl(   &
                       nGC_223))/(24d0*pi**2d0)
    coupl(nGC_30515) = -coupl(nGC_13091)
    coupl(nGC_13092) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_1331) -    &
                       coupl(nGC_1331)**2d0*coupl(nGC_198) + 8d0*coupl(nGC_1331&
                       )*coupl(nGC_2)**2d0 - coupl(nGC_197)*coupl(nGC_213)*    &
                       coupl(nGC_214) - coupl(nGC_198)*coupl(nGC_199)**2d0 -   &
                       coupl(nGC_198)*coupl(nGC_200)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13094) = (-coupl(nGC_1211)*coupl(nGC_197)*coupl(nGC_213) + 8d0*  &
                       coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_198) - coupl(   &
                       nGC_1331)*coupl(nGC_198)**2d0 - coupl(nGC_1331)*coupl(  &
                       nGC_199)**2d0 - coupl(nGC_1331)*coupl(nGC_200)**2d0 +   &
                       8d0*coupl(nGC_198)*coupl(nGC_2)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13093) = coupl(nGC_1331)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13095) = coupl(nGC_19)**2d0*coupl(nGC_198)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13096) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_206) -     &
                       coupl(nGC_1261)*coupl(nGC_206)**2d0 - coupl(nGC_1261)*  &
                       coupl(nGC_207)**2d0 - coupl(nGC_1261)*coupl(nGC_208)**  &
                       2d0 + 8d0*coupl(nGC_206)*coupl(nGC_4)**2d0)/(32d0*pi**  &
                       2d0)
    coupl(nGC_13097) = (8d0*coupl(nGC_124)*coupl(nGC_1261)*coupl(nGC_128) -    &
                       coupl(nGC_1261)**2d0*coupl(nGC_206) + 8d0*coupl(nGC_1261&
                       )*coupl(nGC_4)**2d0 - coupl(nGC_206)*coupl(nGC_207)**2d0&
                        - coupl(nGC_206)*coupl(nGC_208)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13098) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1207) - coupl(nGC_1207 &
                       )**2d0*coupl(nGC_202) + 8d0*coupl(nGC_1207)*coupl(      &
                       nGC_122)*coupl(nGC_125) - coupl(nGC_201)*coupl(nGC_225)*&
                       coupl(nGC_226) - coupl(nGC_202)*coupl(nGC_203)**2d0 -   &
                       coupl(nGC_202)*coupl(nGC_204)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13100) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_202) - coupl(nGC_1207)*&
                       coupl(nGC_202)**2d0 - coupl(nGC_1207)*coupl(nGC_203)**  &
                       2d0 - coupl(nGC_1207)*coupl(nGC_204)**2d0 + 8d0*coupl(  &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_202) - coupl(nGC_1327 &
                       )*coupl(nGC_201)*coupl(nGC_225))/(32d0*pi**2d0)
    coupl(nGC_13099) = coupl(nGC_1207)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13101) = coupl(nGC_19)**2d0*coupl(nGC_202)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13102) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_210) -     &
                       coupl(nGC_1265)*coupl(nGC_210)**2d0 - coupl(nGC_1265)*  &
                       coupl(nGC_211)**2d0 - coupl(nGC_1265)*coupl(nGC_212)**  &
                       2d0 + 8d0*coupl(nGC_210)*coupl(nGC_4)**2d0)/(32d0*pi**  &
                       2d0)
    coupl(nGC_13103) = (8d0*coupl(nGC_124)*coupl(nGC_1265)*coupl(nGC_128) -    &
                       coupl(nGC_1265)**2d0*coupl(nGC_210) + 8d0*coupl(nGC_1265&
                       )*coupl(nGC_4)**2d0 - coupl(nGC_210)*coupl(nGC_211)**2d0&
                        - coupl(nGC_210)*coupl(nGC_212)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13104) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1211) - coupl(nGC_1211 &
                       )**2d0*coupl(nGC_214) + 8d0*coupl(nGC_1211)*coupl(      &
                       nGC_122)*coupl(nGC_125) - coupl(nGC_197)*coupl(nGC_198)*&
                       coupl(nGC_213) - coupl(nGC_214)*coupl(nGC_215)**2d0 -   &
                       coupl(nGC_214)*coupl(nGC_216)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13106) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_214) - coupl(nGC_1211)*&
                       coupl(nGC_214)**2d0 - coupl(nGC_1211)*coupl(nGC_215)**  &
                       2d0 - coupl(nGC_1211)*coupl(nGC_216)**2d0 + 8d0*coupl(  &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_214) - coupl(nGC_1331 &
                       )*coupl(nGC_197)*coupl(nGC_213))/(32d0*pi**2d0)
    coupl(nGC_13105) = coupl(nGC_1211)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13107) = coupl(nGC_19)**2d0*coupl(nGC_214)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13108) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_1335) -    &
                       coupl(nGC_1335)**2d0*coupl(nGC_218) + 8d0*coupl(nGC_1335&
                       )*coupl(nGC_2)**2d0 - coupl(nGC_193)*coupl(nGC_194)*    &
                       coupl(nGC_217) - coupl(nGC_218)*coupl(nGC_219)**2d0 -   &
                       coupl(nGC_218)*coupl(nGC_220)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13110) = (-coupl(nGC_1215)*coupl(nGC_193)*coupl(nGC_217) + 8d0*  &
                       coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_218) - coupl(   &
                       nGC_1335)*coupl(nGC_218)**2d0 - coupl(nGC_1335)*coupl(  &
                       nGC_219)**2d0 - coupl(nGC_1335)*coupl(nGC_220)**2d0 +   &
                       8d0*coupl(nGC_2)**2d0*coupl(nGC_218))/(32d0*pi**2d0)
    coupl(nGC_13109) = coupl(nGC_1335)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13111) = coupl(nGC_19)**2d0*coupl(nGC_218)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13112) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_222) -     &
                       coupl(nGC_1269)*coupl(nGC_222)**2d0 - coupl(nGC_1269)*  &
                       coupl(nGC_223)**2d0 - coupl(nGC_1269)*coupl(nGC_224)**  &
                       2d0 + 8d0*coupl(nGC_222)*coupl(nGC_4)**2d0)/(32d0*pi**  &
                       2d0)
    coupl(nGC_13113) = (8d0*coupl(nGC_124)*coupl(nGC_1269)*coupl(nGC_128) -    &
                       coupl(nGC_1269)**2d0*coupl(nGC_222) + 8d0*coupl(nGC_1269&
                       )*coupl(nGC_4)**2d0 - coupl(nGC_222)*coupl(nGC_223)**2d0&
                        - coupl(nGC_222)*coupl(nGC_224)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13114) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_1327) -    &
                       coupl(nGC_1327)**2d0*coupl(nGC_226) + 8d0*coupl(nGC_1327&
                       )*coupl(nGC_2)**2d0 - coupl(nGC_201)*coupl(nGC_202)*    &
                       coupl(nGC_225) - coupl(nGC_226)*coupl(nGC_227)**2d0 -   &
                       coupl(nGC_226)*coupl(nGC_228)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13116) = (-coupl(nGC_1207)*coupl(nGC_201)*coupl(nGC_225) + 8d0*  &
                       coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_226) - coupl(   &
                       nGC_1327)*coupl(nGC_226)**2d0 - coupl(nGC_1327)*coupl(  &
                       nGC_227)**2d0 - coupl(nGC_1327)*coupl(nGC_228)**2d0 +   &
                       8d0*coupl(nGC_2)**2d0*coupl(nGC_226))/(32d0*pi**2d0)
    coupl(nGC_13115) = coupl(nGC_1327)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13117) = coupl(nGC_19)**2d0*coupl(nGC_226)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13118) = 3d0*(4d0*Nc*cMB*coupl(nGC_196)**3d0 + 4d0*Nc*cMC*coupl( &
                       nGC_200)**3d0 + 4d0*Nc*cMD*coupl(nGC_204)**3d0 + 4d0*Nc*&
                       cMS*coupl(nGC_216)**3d0 + 4d0*Nc*cMT*coupl(nGC_220)**3d0&
                        + 4d0*Nc*cMU*coupl(nGC_228)**3d0 + 4d0*cME*coupl(      &
                       nGC_208)**3d0 + 4d0*cMM*coupl(nGC_212)**3d0 + 4d0*cMTA* &
                       coupl(nGC_224)**3d0 + cima*coupl(nGC_151)*coupl(nGC_178 &
                       ) + 2d0*cima*coupl(nGC_165)*coupl(nGC_96))/(16d0*pi**2d0&
                       )
    coupl(nGC_13119) = (12d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_196)**2d0 + 12d0* &
                       Nc*cMC*coupl(nGC_199)*coupl(nGC_200)**2d0 + 12d0*Nc*cMD*&
                       coupl(nGC_203)*coupl(nGC_204)**2d0 + 12d0*Nc*cMS*coupl( &
                       nGC_215)*coupl(nGC_216)**2d0 + 12d0*Nc*cMT*coupl(nGC_219&
                       )*coupl(nGC_220)**2d0 + 12d0*Nc*cMU*coupl(nGC_227)*coupl&
                       (nGC_228)**2d0 + 12d0*cME*coupl(nGC_207)*coupl(nGC_208  &
                       )**2d0 + 12d0*cMM*coupl(nGC_211)*coupl(nGC_212)**2d0 +  &
                       12d0*cMTA*coupl(nGC_223)*coupl(nGC_224)**2d0 + 2d0*cima*&
                       coupl(nGC_148)*coupl(nGC_178) + cima*coupl(nGC_151)*    &
                       coupl(nGC_175) + 2d0*cima*coupl(nGC_162)*coupl(nGC_96   &
                       ) + 4d0*cima*coupl(nGC_165)*coupl(nGC_93))/(16d0*pi**2d0&
                       )
    coupl(nGC_13120) = (12d0*Nc*cMB*coupl(nGC_195)**2d0*coupl(nGC_196) + 12d0* &
                       Nc*cMC*coupl(nGC_199)**2d0*coupl(nGC_200) + 12d0*Nc*cMD*&
                       coupl(nGC_203)**2d0*coupl(nGC_204) + 12d0*Nc*cMS*coupl( &
                       nGC_215)**2d0*coupl(nGC_216) + 12d0*Nc*cMT*coupl(nGC_219&
                       )**2d0*coupl(nGC_220) + 12d0*Nc*cMU*coupl(nGC_227)**2d0*&
                       coupl(nGC_228) + 12d0*cME*coupl(nGC_207)**2d0*coupl(    &
                       nGC_208) + 12d0*cMM*coupl(nGC_211)**2d0*coupl(nGC_212   &
                       ) + 12d0*cMTA*coupl(nGC_223)**2d0*coupl(nGC_224) + cima*&
                       coupl(nGC_145)*coupl(nGC_178) + 2d0*cima*coupl(nGC_148)*&
                       coupl(nGC_175) + 4d0*cima*coupl(nGC_162)*coupl(nGC_93   &
                       ) + 2d0*cima*coupl(nGC_165)*coupl(nGC_82))/(16d0*pi**2d0&
                       )
    coupl(nGC_13121) = (-4d0*Nc*cMB*coupl(nGC_196)*coupl(nGC_99)**2d0 - 4d0*Nc*&
                       cMC*coupl(nGC_200)*coupl(nGC_99)**2d0 - 4d0*Nc*cMD*coupl&
                       (nGC_204)*coupl(nGC_99)**2d0 - 4d0*Nc*cMS*coupl(nGC_216 &
                       )*coupl(nGC_99)**2d0 - 4d0*Nc*cMT*coupl(nGC_220)*coupl( &
                       nGC_99)**2d0 - 4d0*Nc*cMU*coupl(nGC_228)*coupl(nGC_99)**&
                       2d0 - 4d0*cME*coupl(nGC_208)*coupl(nGC_99)**2d0 - 4d0*  &
                       cMM*coupl(nGC_212)*coupl(nGC_99)**2d0 - 4d0*cMTA*coupl( &
                       nGC_224)*coupl(nGC_99)**2d0 + 4d0*cima*coupl(nGC_165)*  &
                       coupl(nGC_72) + 2d0*cima*coupl(nGC_178)*coupl(nGC_85) + &
                       coupl(nGC_102)**2d0*coupl(nGC_165) + coupl(nGC_102)**2d0&
                       *coupl(nGC_178) - 2d0*coupl(nGC_102)*coupl(nGC_103)*    &
                       coupl(nGC_165) - 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl&
                       (nGC_178) + coupl(nGC_103)**2d0*coupl(nGC_165) + coupl( &
                       nGC_103)**2d0*coupl(nGC_178) - 2d0*coupl(nGC_165)*coupl(&
                       nGC_3)*coupl(nGC_999) + 2d0*coupl(nGC_165)*coupl(nGC_4)*&
                       coupl(nGC_999))/(32d0*pi**2d0)
    coupl(nGC_13122) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_196) - coupl(nGC_1215  &
                       )**2d0*coupl(nGC_196) + 8d0*coupl(nGC_122)*coupl(nGC_125&
                       )*coupl(nGC_196) - coupl(nGC_193)*coupl(nGC_217)*coupl( &
                       nGC_220) - coupl(nGC_195)**2d0*coupl(nGC_196) - coupl(  &
                       nGC_196)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13123) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_196) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_196) - coupl(nGC_193)*&
                       coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_194)**2d0*    &
                       coupl(nGC_196) - coupl(nGC_195)**2d0*coupl(nGC_196) -   &
                       coupl(nGC_196)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13124) = coupl(nGC_19)**2d0*coupl(nGC_196)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13125) = (-4d0*Nc*cMB*coupl(nGC_122)**2d0*coupl(nGC_196) + 4d0*Nc&
                       *cMB*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_196) - 4d0*&
                       Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_196) - 4d0*Nc*cMC* &
                       coupl(nGC_123)**2d0*coupl(nGC_200) + 4d0*Nc*cMC*coupl(  &
                       nGC_123)*coupl(nGC_126)*coupl(nGC_200) - 4d0*Nc*cMC*    &
                       coupl(nGC_126)**2d0*coupl(nGC_200) - 4d0*Nc*cMD*coupl(  &
                       nGC_122)**2d0*coupl(nGC_204) + 4d0*Nc*cMD*coupl(nGC_122 &
                       )*coupl(nGC_125)*coupl(nGC_204) - 4d0*Nc*cMD*coupl(     &
                       nGC_125)**2d0*coupl(nGC_204) - 4d0*Nc*cMS*coupl(nGC_122 &
                       )**2d0*coupl(nGC_216) + 4d0*Nc*cMS*coupl(nGC_122)*coupl(&
                       nGC_125)*coupl(nGC_216) - 4d0*Nc*cMS*coupl(nGC_125)**2d0&
                       *coupl(nGC_216) - 4d0*Nc*cMT*coupl(nGC_123)**2d0*coupl( &
                       nGC_220) + 4d0*Nc*cMT*coupl(nGC_123)*coupl(nGC_126)*    &
                       coupl(nGC_220) - 4d0*Nc*cMT*coupl(nGC_126)**2d0*coupl(  &
                       nGC_220) - 4d0*Nc*cMU*coupl(nGC_123)**2d0*coupl(nGC_228 &
                       ) + 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_126)*coupl(     &
                       nGC_228) - 4d0*Nc*cMU*coupl(nGC_126)**2d0*coupl(nGC_228 &
                       ) - 4d0*cME*coupl(nGC_124)**2d0*coupl(nGC_208) + 4d0*cME&
                       *coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_208) - 4d0*cME*&
                       coupl(nGC_128)**2d0*coupl(nGC_208) - 4d0*cMM*coupl(     &
                       nGC_124)**2d0*coupl(nGC_212) + 4d0*cMM*coupl(nGC_124)*  &
                       coupl(nGC_128)*coupl(nGC_212) - 4d0*cMM*coupl(nGC_128)**&
                       2d0*coupl(nGC_212) - 4d0*cMTA*coupl(nGC_124)**2d0*coupl(&
                       nGC_224) + 4d0*cMTA*coupl(nGC_124)*coupl(nGC_128)*coupl(&
                       nGC_224) - 4d0*cMTA*coupl(nGC_128)**2d0*coupl(nGC_224   &
                       ) + 2d0*cima*coupl(nGC_165)*coupl(nGC_85) + coupl(      &
                       nGC_102)**2d0*coupl(nGC_165) - 2d0*coupl(nGC_102)*coupl(&
                       nGC_103)*coupl(nGC_165) + coupl(nGC_103)**2d0*coupl(    &
                       nGC_165))/(16d0*pi**2d0)
    coupl(nGC_13126) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) -     &
                       coupl(nGC_1331)**2d0*coupl(nGC_200) - coupl(nGC_197)*   &
                       coupl(nGC_213)*coupl(nGC_216) - coupl(nGC_199)**2d0*    &
                       coupl(nGC_200) + 8d0*coupl(nGC_2)**2d0*coupl(nGC_200) - &
                       coupl(nGC_200)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13127) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) -     &
                       coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) - coupl(   &
                       nGC_198)**2d0*coupl(nGC_200) - coupl(nGC_199)**2d0*coupl&
                       (nGC_200) + 8d0*coupl(nGC_2)**2d0*coupl(nGC_200) - coupl&
                       (nGC_200)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13128) = coupl(nGC_19)**2d0*coupl(nGC_200)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13129) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_204) - coupl(nGC_1207  &
                       )**2d0*coupl(nGC_204) + 8d0*coupl(nGC_122)*coupl(nGC_125&
                       )*coupl(nGC_204) - coupl(nGC_201)*coupl(nGC_225)*coupl( &
                       nGC_228) - coupl(nGC_203)**2d0*coupl(nGC_204) - coupl(  &
                       nGC_204)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13130) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_204) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_204) - coupl(nGC_201)*&
                       coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_202)**2d0*    &
                       coupl(nGC_204) - coupl(nGC_203)**2d0*coupl(nGC_204) -   &
                       coupl(nGC_204)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13131) = coupl(nGC_19)**2d0*coupl(nGC_204)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13132) = coupl(nGC_208)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_206)**2d0 - coupl(nGC_207)**2d0 - coupl(      &
                       nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13133) = coupl(nGC_208)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_1261)**2d0 - coupl(nGC_207)**2d0 - coupl(     &
                       nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13134) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(      &
                       nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13135) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_1265)**2d0 - coupl(nGC_211)**2d0 - coupl(     &
                       nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13136) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) - coupl(nGC_1211  &
                       )**2d0*coupl(nGC_216) + 8d0*coupl(nGC_122)*coupl(nGC_125&
                       )*coupl(nGC_216) - coupl(nGC_197)*coupl(nGC_200)*coupl( &
                       nGC_213) - coupl(nGC_215)**2d0*coupl(nGC_216) - coupl(  &
                       nGC_216)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13137) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_216) - coupl(nGC_197)*&
                       coupl(nGC_200)*coupl(nGC_213) - coupl(nGC_214)**2d0*    &
                       coupl(nGC_216) - coupl(nGC_215)**2d0*coupl(nGC_216) -   &
                       coupl(nGC_216)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13138) = coupl(nGC_19)**2d0*coupl(nGC_216)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13139) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_196) - cMC* &
                       coupl(nGC_200) - cMD*coupl(nGC_204) - cMS*coupl(nGC_216 &
                       ) - cMT*coupl(nGC_220) - cMU*coupl(nGC_228))/(16d0*pi** &
                       2d0)
    coupl(nGC_13140) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_196) + cMC*  &
                       coupl(nGC_200) + cMD*coupl(nGC_204) + cMS*coupl(nGC_216 &
                       ) + cMT*coupl(nGC_220) + cMU*coupl(nGC_228))/(16d0*pi** &
                       2d0*Nc)
    coupl(nGC_13141) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -     &
                       coupl(nGC_1335)**2d0*coupl(nGC_220) - coupl(nGC_193)*   &
                       coupl(nGC_196)*coupl(nGC_217) + 8d0*coupl(nGC_2)**2d0*  &
                       coupl(nGC_220) - coupl(nGC_219)**2d0*coupl(nGC_220) -   &
                       coupl(nGC_220)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13142) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -     &
                       coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_220) - coupl(nGC_218)**2d0*coupl(&
                       nGC_220) - coupl(nGC_219)**2d0*coupl(nGC_220) - coupl(  &
                       nGC_220)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13143) = coupl(nGC_19)**2d0*coupl(nGC_220)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13144) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(      &
                       nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13145) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -     &
                       coupl(nGC_1269)**2d0 - coupl(nGC_223)**2d0 - coupl(     &
                       nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13146) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) -     &
                       coupl(nGC_1327)**2d0*coupl(nGC_228) + 8d0*coupl(nGC_2)**&
                       2d0*coupl(nGC_228) - coupl(nGC_201)*coupl(nGC_204)*coupl&
                       (nGC_225) - coupl(nGC_227)**2d0*coupl(nGC_228) - coupl( &
                       nGC_228)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13147) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) + 8d0*&
                       coupl(nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*coupl(&
                       nGC_204)*coupl(nGC_225) - coupl(nGC_226)**2d0*coupl(    &
                       nGC_228) - coupl(nGC_227)**2d0*coupl(nGC_228) - coupl(  &
                       nGC_228)**3d0)/(32d0*pi**2d0)
    coupl(nGC_13148) = coupl(nGC_19)**2d0*coupl(nGC_228)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_13149) = 3d0*(4d0*Nc*cMB*coupl(nGC_195)**3d0 + 4d0*Nc*cMC*coupl( &
                       nGC_199)**3d0 + 4d0*Nc*cMD*coupl(nGC_203)**3d0 + 4d0*Nc*&
                       cMS*coupl(nGC_215)**3d0 + 4d0*Nc*cMT*coupl(nGC_219)**3d0&
                        + 4d0*Nc*cMU*coupl(nGC_227)**3d0 + 4d0*cME*coupl(      &
                       nGC_207)**3d0 + 4d0*cMM*coupl(nGC_211)**3d0 + 4d0*cMTA* &
                       coupl(nGC_223)**3d0 + cima*coupl(nGC_145)*coupl(nGC_175 &
                       ) + 2d0*cima*coupl(nGC_162)*coupl(nGC_82))/(16d0*pi**2d0&
                       )
    coupl(nGC_13150) = (-4d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_99)**2d0 - 4d0*Nc*&
                       cMC*coupl(nGC_199)*coupl(nGC_99)**2d0 - 4d0*Nc*cMD*coupl&
                       (nGC_203)*coupl(nGC_99)**2d0 - 4d0*Nc*cMS*coupl(nGC_215 &
                       )*coupl(nGC_99)**2d0 - 4d0*Nc*cMT*coupl(nGC_219)*coupl( &
                       nGC_99)**2d0 - 4d0*Nc*cMU*coupl(nGC_227)*coupl(nGC_99)**&
                       2d0 - 4d0*cME*coupl(nGC_207)*coupl(nGC_99)**2d0 - 4d0*  &
                       cMM*coupl(nGC_211)*coupl(nGC_99)**2d0 - 4d0*cMTA*coupl( &
                       nGC_223)*coupl(nGC_99)**2d0 + 4d0*cima*coupl(nGC_162)*  &
                       coupl(nGC_72) + 2d0*cima*coupl(nGC_175)*coupl(nGC_85) + &
                       coupl(nGC_102)**2d0*coupl(nGC_162) + coupl(nGC_102)**2d0&
                       *coupl(nGC_175) - 2d0*coupl(nGC_102)*coupl(nGC_103)*    &
                       coupl(nGC_162) - 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl&
                       (nGC_175) + coupl(nGC_103)**2d0*coupl(nGC_162) + coupl( &
                       nGC_103)**2d0*coupl(nGC_175) - 2d0*coupl(nGC_162)*coupl(&
                       nGC_3)*coupl(nGC_999) + 2d0*coupl(nGC_162)*coupl(nGC_4)*&
                       coupl(nGC_999))/(32d0*pi**2d0)
    coupl(nGC_13151) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_195) - coupl(nGC_1215  &
                       )**2d0*coupl(nGC_195) + 8d0*coupl(nGC_122)*coupl(nGC_125&
                       )*coupl(nGC_195) - coupl(nGC_193)*coupl(nGC_217)*coupl( &
                       nGC_219) - coupl(nGC_195)**3d0 - coupl(nGC_195)*coupl(  &
                       nGC_196)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13152) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_195) + 8d0*coupl(      &
                       nGC_122)*coupl(nGC_125)*coupl(nGC_195) - coupl(nGC_193)*&
                       coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_194)**2d0*    &
                       coupl(nGC_195) - coupl(nGC_195)**3d0 - coupl(nGC_195)*  &
                       coupl(nGC_196)**2d0)/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
