!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_13384) = coupl(nGC_12689)*dZee_QED2
    coupl(nGC_13385) = coupl(nGC_12645)*dZee_QED2
    coupl(nGC_13386) = coupl(nGC_12653)*dZee_QED2
    coupl(nGC_13387) = coupl(nGC_12629)*dZee_QED2
    coupl(nGC_13388) = coupl(nGC_12795)*dsw_QED2 + coupl(nGC_12796)*dcw_QED2 + &
                       coupl(nGC_12797)*dZee_QED2
    coupl(nGC_13389) = coupl(nGC_12784)*dsw_QED2 + coupl(nGC_12785)*dcw_QED2 + &
                       coupl(nGC_12786)*dZee_QED2
    coupl(nGC_13390) = coupl(nGC_12766)*dZgs_QCD2
    coupl(nGC_13391) = coupl(nGC_12798)*dZgs_QCD2
    coupl(nGC_13392) = coupl(nGC_12758)*dZgs_QCD2
    coupl(nGC_13426) = coupl(nGC_12584)*dye_QED3
    coupl(nGC_13427) = coupl(nGC_12490)*dym_QED3
    coupl(nGC_13428) = coupl(nGC_12545)*dytau_QED3
    coupl(nGC_13429) = coupl(nGC_12491)*dye_QED3 + coupl(nGC_12492)*da_QED2
    coupl(nGC_13430) = coupl(nGC_12503)*dym_QED3 + coupl(nGC_12504)*da_QED2
    coupl(nGC_13431) = coupl(nGC_363)*dytau_QED3 + coupl(nGC_365)*da_QED2
    coupl(nGC_13432) = coupl(nGC_12485)*dye_QED3 + coupl(nGC_12486)*da_QED2
    coupl(nGC_13433) = coupl(nGC_12505)*dym_QED3 + coupl(nGC_12506)*da_QED2
    coupl(nGC_13434) = coupl(nGC_369)*dytau_QED3 + coupl(nGC_371)*da_QED2
    coupl(nGC_13453) = coupl(nGC_12661)*dZee_QED2
    coupl(nGC_13454) = coupl(nGC_12873)*dsw_QED2 + coupl(nGC_12874)*dcw_QED2 + &
                       coupl(nGC_12875)*dZee_QED2
    coupl(nGC_13455) = coupl(nGC_12836)*dsw_QED2 + coupl(nGC_12837)*dZee_QED2  &
                        + coupl(nGC_12838)*da_QED2
    coupl(nGC_13456) = coupl(nGC_12928)*dsw_QED2 + coupl(nGC_12929)*dZee_QED2  &
                        + coupl(nGC_12930)*da_QED2
    coupl(nGC_13457) = coupl(nGC_12487)*dvev_QED1 + coupl(nGC_12488)*dsw_QED2  &
                        + coupl(nGC_12489)*dZee_QED2
    coupl(nGC_13458) = coupl(nGC_12732)*dsw_QED2 + coupl(nGC_12733)*dZee_QED2
    coupl(nGC_13459) = coupl(nGC_12755)*dsw_QED2 + coupl(nGC_12756)*dZee_QED2  &
                        + coupl(nGC_12757)*da_QED2
    coupl(nGC_13460) = coupl(nGC_12910)*dsw_QED2 + coupl(nGC_12911)*dZee_QED2  &
                        + coupl(nGC_12912)*da_QED2
    coupl(nGC_13461) = coupl(nGC_12593)*dZee_QED2
    coupl(nGC_13462) = coupl(nGC_12899)*dsw_QED2 + coupl(nGC_12900)*dZee_QED2
    coupl(nGC_13463) = coupl(nGC_12752)*dsw_QED2 + coupl(nGC_12753)*dZee_QED2  &
                        + coupl(nGC_12754)*da_QED2
    coupl(nGC_13464) = coupl(nGC_12901)*dsw_QED2 + coupl(nGC_12902)*dZee_QED2  &
                        + coupl(nGC_12903)*da_QED2
    coupl(nGC_13465) = coupl(nGC_12862)*dsw_QED2 + coupl(nGC_12863)*dZee_QED2
    coupl(nGC_13466) = coupl(nGC_12884)*dsw_QED2 + coupl(nGC_12885)*dZee_QED2
    coupl(nGC_13467) = coupl(nGC_12623)*dsw_QED2 + coupl(nGC_12624)*dcw_QED2 + &
                       coupl(nGC_12625)*dZee_QED2
    coupl(nGC_13468) = coupl(nGC_12597)*dsw_QED2 + coupl(nGC_12598)*dZee_QED2  &
                        + coupl(nGC_12599)*da_QED2
    coupl(nGC_13469) = coupl(nGC_12682)*dsw_QED2 + coupl(nGC_12683)*dZee_QED2  &
                        + coupl(nGC_12684)*da_QED2
    coupl(nGC_13470) = coupl(nGC_12713)*dsw_QED2 + coupl(nGC_12714)*dZee_QED2  &
                        + coupl(nGC_12715)*da_QED2
    coupl(nGC_13471) = coupl(nGC_12896)*dsw_QED2 + coupl(nGC_12897)*dcw_QED2 + &
                       coupl(nGC_12898)*dZee_QED2
    coupl(nGC_13472) = coupl(nGC_12942)*dvev_QED1 + coupl(nGC_12943)*dsw_QED2  &
                        + coupl(nGC_12944)*dZee_QED2 + coupl(nGC_12945)*da_QED2
    coupl(nGC_13473) = coupl(nGC_12496)*dvev_QED1 + coupl(nGC_12497)*dsw_QED2  &
                        + coupl(nGC_12498)*dZee_QED2 + coupl(nGC_12499)*da_QED2
    coupl(nGC_13474) = coupl(nGC_12674)*dZee_QED2
    coupl(nGC_13475) = coupl(nGC_12770)*dsw_QED2 + coupl(nGC_12771)*dcw_QED2 + &
                       coupl(nGC_12772)*dZee_QED2
    coupl(nGC_13476) = coupl(nGC_12781)*dsw_QED2 + coupl(nGC_12782)*dcw_QED2 + &
                       coupl(nGC_12783)*dZee_QED2
    coupl(nGC_13477) = coupl(nGC_12904)*dsw_QED2 + coupl(nGC_12905)*dZee_QED2
    coupl(nGC_13478) = coupl(nGC_12876)*dsw_QED2 + coupl(nGC_12877)*dZee_QED2
    coupl(nGC_13479) = coupl(nGC_12679)*dsw_QED2 + coupl(nGC_12680)*dcw_QED2 + &
                       coupl(nGC_12681)*dZee_QED2
    coupl(nGC_13480) = coupl(nGC_12657)*dsw_QED2 + coupl(nGC_12658)*dcw_QED2 + &
                       coupl(nGC_12659)*dZee_QED2 + coupl(nGC_12660)*da_QED2
    coupl(nGC_13481) = coupl(nGC_12646)*dsw_QED2 + coupl(nGC_12647)*dcw_QED2 + &
                       coupl(nGC_12648)*dZee_QED2 + coupl(nGC_12649)*da_QED2
    coupl(nGC_13482) = coupl(nGC_12696)*dsw_QED2 + coupl(nGC_12697)*dcw_QED2 + &
                       coupl(nGC_12698)*dZee_QED2 + coupl(nGC_12699)*da_QED2
    coupl(nGC_13483) = coupl(nGC_12685)*dsw_QED2 + coupl(nGC_12686)*dcw_QED2 + &
                       coupl(nGC_12687)*dZee_QED2 + coupl(nGC_12688)*da_QED2
    coupl(nGC_13484) = coupl(nGC_12613)*dsw_QED2 + coupl(nGC_12614)*dcw_QED2 + &
                       coupl(nGC_12615)*dZee_QED2
    coupl(nGC_13485) = coupl(nGC_12619)*dsw_QED2 + coupl(nGC_12620)*dcw_QED2 + &
                       coupl(nGC_12621)*dZee_QED2
    coupl(nGC_13486) = coupl(nGC_12737)*dcw_QED2 + coupl(nGC_12738)*dZee_QED2  &
                        + coupl(nGC_12739)*da_QED2
    coupl(nGC_13487) = coupl(nGC_12844)*dcw_QED2 + coupl(nGC_12845)*dZee_QED2  &
                        + coupl(nGC_12846)*da_QED2
    coupl(nGC_13488) = coupl(nGC_12606)*dsw_QED2 + coupl(nGC_12607)*dcw_QED2 + &
                       coupl(nGC_12608)*dZee_QED2
    coupl(nGC_13489) = coupl(nGC_12849)*dvev_QED1 + coupl(nGC_12850)*dcw_QED2  &
                        + coupl(nGC_12851)*dZee_QED2
    coupl(nGC_13490) = coupl(nGC_12870)*dsw_QED2 + coupl(nGC_12871)*dcw_QED2 + &
                       coupl(nGC_12872)*dZee_QED2
    coupl(nGC_13491) = coupl(nGC_12890)*dsw_QED2 + coupl(nGC_12891)*dcw_QED2 + &
                       coupl(nGC_12892)*dZee_QED2
    coupl(nGC_13492) = coupl(nGC_12759)*dsw_QED2 + coupl(nGC_12760)*dcw_QED2 + &
                       coupl(nGC_12761)*dZee_QED2
    coupl(nGC_13493) = coupl(nGC_12746)*dsw_QED2 + coupl(nGC_12747)*dcw_QED2 + &
                       coupl(nGC_12748)*dZee_QED2
    coupl(nGC_13494) = coupl(nGC_12791)*dsw_QED2 + coupl(nGC_12792)*dcw_QED2 + &
                       coupl(nGC_12793)*dZee_QED2 + coupl(nGC_12794)*da_QED2
    coupl(nGC_13495) = coupl(nGC_12826)*dsw_QED2 + coupl(nGC_12827)*dcw_QED2 + &
                       coupl(nGC_12828)*dZee_QED2 + coupl(nGC_12829)*da_QED2
    coupl(nGC_13496) = coupl(nGC_12855)*dsw_QED2 + coupl(nGC_12856)*dcw_QED2 + &
                       coupl(nGC_12857)*dZee_QED2 + coupl(nGC_12858)*da_QED2
    coupl(nGC_13497) = coupl(nGC_12540)*dvev_QED1 + coupl(nGC_12541)*dsw_QED2  &
                        + coupl(nGC_12542)*dcw_QED2 + coupl(nGC_12543)*        &
                       dZee_QED2 + coupl(nGC_12544)*da_QED2
    coupl(nGC_13498) = coupl(nGC_12551)*dvev_QED1 + coupl(nGC_12552)*dsw_QED2  &
                        + coupl(nGC_12553)*dcw_QED2 + coupl(nGC_12554)*        &
                       dZee_QED2 + coupl(nGC_12555)*da_QED2
    coupl(nGC_13499) = coupl(nGC_12616)*dsw_QED2 + coupl(nGC_12617)*dcw_QED2 + &
                       coupl(nGC_12618)*dZee_QED2
    coupl(nGC_13500) = coupl(nGC_12603)*dsw_QED2 + coupl(nGC_12604)*dcw_QED2 + &
                       coupl(nGC_12605)*dZee_QED2
    coupl(nGC_13501) = coupl(nGC_12612)*dZee_QED2
    coupl(nGC_13502) = coupl(nGC_12622)*dZee_QED2
    coupl(nGC_13503) = coupl(nGC_387)*dZgs_QCD2
    coupl(nGC_13504) = coupl(nGC_12744)*dsw_QED2 + coupl(nGC_12745)*dZee_QED2
    coupl(nGC_13505) = coupl(nGC_12587)*dsw_QED2 + coupl(nGC_12588)*dcw_QED2 + &
                       coupl(nGC_12589)*dZee_QED2
    coupl(nGC_13506) = coupl(nGC_12609)*dsw_QED2 + coupl(nGC_12610)*dcw_QED2 + &
                       coupl(nGC_12611)*dZee_QED2
    coupl(nGC_13507) = coupl(nGC_12806)*dsw_QED2 + coupl(nGC_12807)*dcw_QED2 + &
                       coupl(nGC_12808)*dZee_QED2
    coupl(nGC_13508) = coupl(nGC_12600)*dsw_QED2 + coupl(nGC_12601)*dcw_QED2 + &
                       coupl(nGC_12602)*dZee_QED2
    coupl(nGC_13509) = coupl(nGC_12633)*dsw_QED2 + coupl(nGC_12634)*dcw_QED2 + &
                       coupl(nGC_12635)*dZee_QED2
    coupl(nGC_13510) = coupl(nGC_12594)*dsw_QED2 + coupl(nGC_12595)*dcw_QED2 + &
                       coupl(nGC_12596)*dZee_QED2
    coupl(nGC_13592) = coupl(nGC_509)*dMW2_QED2
    coupl(nGC_13593) = coupl(nGC_513)*dMW2_QED2
    coupl(nGC_13594) = coupl(nGC_517)*dMZ2_QED2
    coupl(nGC_19079) = coupl(nGC_13347) + coupl(nGC_16)*dZHl_QED2/2d0 + coupl( &
                       nGC_28)*dZHhHl_QED2/2d0
    coupl(nGC_19083) = coupl(nGC_13357) + coupl(nGC_16)*dZHlHh_QED2/2d0 + coupl&
                       (nGC_28)*dZHh_QED2/2d0
    coupl(nGC_19105) = coupl(nGC_13348) + coupl(nGC_144)*dZHl_QED2 + coupl(    &
                       nGC_147)*dZHhHl_QED2
    coupl(nGC_19110) = coupl(nGC_13358) + coupl(nGC_144)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_147)*dZHh_QED2/2d0 + coupl(nGC_147)*dZHl_QED2/&
                       2d0 + coupl(nGC_150)*dZHhHl_QED2/2d0
    coupl(nGC_19114) = coupl(nGC_13349) + 2d0*coupl(nGC_33)*dZHlHh_QED2 + 2d0* &
                       coupl(nGC_35)*dZHh_QED2
    coupl(nGC_19119) = coupl(nGC_13359) + 3d0*coupl(nGC_33)*dZHh_QED2/2d0 +    &
                       coupl(nGC_33)*dZHl_QED2/2d0 + coupl(nGC_35)*dZHhHl_QED2/&
                       2d0 + 3d0*coupl(nGC_36)*dZHlHh_QED2/2d0
    coupl(nGC_19126) = coupl(nGC_13353) + coupl(nGC_29)*dZHhHl_QED2 + coupl(   &
                       nGC_31)*dZHl_QED2
    coupl(nGC_19131) = coupl(nGC_13360) + coupl(nGC_29)*dZHh_QED2/2d0 + coupl( &
                       nGC_29)*dZHl_QED2/2d0 + coupl(nGC_30)*dZHhHl_QED2/2d0 + &
                       coupl(nGC_31)*dZHlHh_QED2/2d0
    coupl(nGC_19142) = coupl(nGC_13354) + 2d0*coupl(nGC_32)*dZHhHl_QED2 + 2d0* &
                       coupl(nGC_34)*dZHl_QED2
    coupl(nGC_19147) = coupl(nGC_13361) + coupl(nGC_32)*dZHh_QED2/2d0 + 3d0*   &
                       coupl(nGC_32)*dZHl_QED2/2d0 + coupl(nGC_34)*dZHlHh_QED2/&
                       2d0 + 3d0*coupl(nGC_36)*dZHhHl_QED2/2d0
    coupl(nGC_19151) = coupl(nGC_13355) + coupl(nGC_29)*dZHlHh_QED2 + coupl(   &
                       nGC_30)*dZHh_QED2
    coupl(nGC_19167) = coupl(nGC_13356) + coupl(nGC_32)*dZHlHh_QED2 + coupl(   &
                       nGC_33)*dZHhHl_QED2 + coupl(nGC_36)*dZHh_QED2 + coupl(  &
                       nGC_36)*dZHl_QED2
    coupl(nGC_19179) = coupl(nGC_13362) + coupl(nGC_147)*dZHlHh_QED2 + coupl(  &
                       nGC_150)*dZHh_QED2
    coupl(nGC_19195) = coupl(nGC_13364) + coupl(nGC_81)*dZHl_QED2 + coupl(     &
                       nGC_92)*dZHhHl_QED2
    coupl(nGC_19200) = coupl(nGC_13365) + coupl(nGC_81)*dZHlHh_QED2/2d0 + coupl&
                       (nGC_92)*dZHh_QED2/2d0 + coupl(nGC_92)*dZHl_QED2/2d0 +  &
                       coupl(nGC_95)*dZHhHl_QED2/2d0
    coupl(nGC_19211) = coupl(nGC_13366) + coupl(nGC_92)*dZHlHh_QED2 + coupl(   &
                       nGC_95)*dZHh_QED2
    coupl(nGC_19232) = coupl(nGC_111)*dZHl_QED2/2d0 + coupl(nGC_120)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_13370)
    coupl(nGC_19236) = coupl(nGC_111)*dZHlHh_QED2/2d0 + coupl(nGC_120)*        &
                       dZHh_QED2/2d0 + coupl(nGC_13371)
    coupl(nGC_19262) = coupl(nGC_13373) + coupl(nGC_174)*dZHl_QED2/2d0 + coupl(&
                       nGC_177)*dZHhHl_QED2/2d0
    coupl(nGC_19266) = coupl(nGC_13377) + coupl(nGC_174)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_177)*dZHh_QED2/2d0
    coupl(nGC_19272) = coupl(nGC_13374) + coupl(nGC_179)*dZHhHl_QED2/2d0 +     &
                       coupl(nGC_184)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_29_Hh) + &
                       coupl(nGC_TS_GC_31_Hl)
    coupl(nGC_19278) = coupl(nGC_13378) + coupl(nGC_179)*dZHh_QED2/2d0 + coupl(&
                       nGC_184)*dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_29_Hl) +     &
                       coupl(nGC_TS_GC_30_Hh)
    coupl(nGC_19294) = coupl(nGC_13375) + 3d0*coupl(nGC_189)*dZHhHl_QED2/2d0 + &
                       3d0*coupl(nGC_191)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_32_Hh&
                       ) + coupl(nGC_TS_GC_34_Hl)
    coupl(nGC_19301) = coupl(nGC_13379) + coupl(nGC_189)*dZHh_QED2/2d0 + coupl(&
                       nGC_189)*dZHl_QED2 + coupl(nGC_191)*dZHlHh_QED2/2d0 +   &
                       coupl(nGC_192)*dZHhHl_QED2 + coupl(nGC_TS_GC_32_Hl) +   &
                       coupl(nGC_TS_GC_36_Hh)
    coupl(nGC_19308) = coupl(nGC_13376) + coupl(nGC_189)*dZHlHh_QED2 + coupl(  &
                       nGC_190)*dZHhHl_QED2/2d0 + coupl(nGC_192)*dZHh_QED2 +   &
                       coupl(nGC_192)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_33_Hh) + &
                       coupl(nGC_TS_GC_36_Hl)
    coupl(nGC_19320) = coupl(nGC_13380) + 3d0*coupl(nGC_190)*dZHh_QED2/2d0 +   &
                       3d0*coupl(nGC_192)*dZHlHh_QED2/2d0 + coupl(             &
                       nGC_TS_GC_33_Hl) + coupl(nGC_TS_GC_35_Hh)
    coupl(nGC_19330) = coupl(nGC_13381) + coupl(nGC_161)*dZHl_QED2/2d0 + coupl(&
                       nGC_164)*dZHhHl_QED2/2d0
    coupl(nGC_19334) = coupl(nGC_13382) + coupl(nGC_161)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_164)*dZHh_QED2/2d0
    coupl(nGC_19348) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_115)*dZZA_QED2 +     &
                       coupl(nGC_13384)
    coupl(nGC_19353) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_115)*dZA_QED2/  &
                       2d0 + coupl(nGC_115)*dZZ_QED2/2d0 + coupl(nGC_13471) +  &
                       coupl(nGC_86)*dZZA_QED2/2d0
    coupl(nGC_19364) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_13384) + coupl(      &
                       nGC_134)*dZZA_QED2
    coupl(nGC_19369) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_134)*dZA_QED2/  &
                       2d0 + coupl(nGC_134)*dZZ_QED2/2d0 + coupl(nGC_13479) +  &
                       coupl(nGC_141)*dZZA_QED2/2d0
    coupl(nGC_19373) = coupl(nGC_105)*dZZA_QED2/2d0 + coupl(nGC_13385) + coupl(&
                       nGC_5)*dZA_QED2/2d0
    coupl(nGC_19377) = coupl(nGC_105)*dZZ_QED2/2d0 + coupl(nGC_13388) + coupl( &
                       nGC_5)*dZAZ_QED2/2d0
    coupl(nGC_19381) = coupl(nGC_104)*dZZA_QED2/2d0 + coupl(nGC_13386) + coupl(&
                       nGC_6)*dZA_QED2/2d0
    coupl(nGC_19385) = coupl(nGC_104)*dZZ_QED2/2d0 + coupl(nGC_13389) + coupl( &
                       nGC_6)*dZAZ_QED2/2d0
    coupl(nGC_19390) = coupl(nGC_13387) + coupl(nGC_4)*dZA_QED2/2d0
    coupl(nGC_19391) = coupl(nGC_19388) - coupl(nGC_19390)
    coupl(nGC_19392) = coupl(nGC_19389) + coupl(nGC_19390)
    coupl(nGC_19398) = coupl(nGC_127)*dZZ_QED2/2d0 + coupl(nGC_13484)
    coupl(nGC_19399) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_13485)
    coupl(nGC_19400) = -coupl(nGC_19393) + coupl(nGC_19398)
    coupl(nGC_19401) = coupl(nGC_19393) + coupl(nGC_19399)
    coupl(nGC_19404) = coupl(nGC_13386) + coupl(nGC_6)*dZWMinus_QED2/2d0
    coupl(nGC_19407) = coupl(nGC_13385) + coupl(nGC_5)*dZWMinus_QED2/2d0
    coupl(nGC_19410) = coupl(nGC_105)*dZWMinus_QED2/2d0 + coupl(nGC_13388)
    coupl(nGC_19413) = coupl(nGC_104)*dZWMinus_QED2/2d0 + coupl(nGC_13389)
    coupl(nGC_19424) = coupl(nGC_13390) + 3d0*coupl(nGC_18)*dZg_QCD2/2d0
    coupl(nGC_19429) = coupl(nGC_13391) + 2d0*coupl(nGC_21)*dZg_QCD2
    coupl(nGC_19430) = -2d0*coupl(nGC_19429)
    coupl(nGC_19433) = 2d0*coupl(nGC_19429)
    coupl(nGC_19434) = -coupl(nGC_19429)
    coupl(nGC_19445) = coupl(nGC_13392) + coupl(nGC_17)*dZg_QCD2/2d0
    coupl(nGC_19450) = coupl(nGC_13391) + coupl(nGC_21)*dZg_QCD2
    coupl(nGC_19451) = 2d0*coupl(nGC_19450)
    coupl(nGC_19470) = coupl(nGC_13393) + coupl(nGC_225)*dZdL_QCD2/2d0 + coupl(&
                       nGC_225)*dZuR_QCD2/2d0
    coupl(nGC_19471) = coupl(nGC_13395) + coupl(nGC_201)*dZdR_QCD2/2d0 + coupl(&
                       nGC_201)*dZuL_QCD2/2d0
    coupl(nGC_19472) = coupl(nGC_13394) + coupl(nGC_225)*dZdL_QED2/2d0 + coupl(&
                       nGC_225)*dZuR_QED2/2d0
    coupl(nGC_19473) = coupl(nGC_13396) + coupl(nGC_201)*dZdR_QED2/2d0 + coupl(&
                       nGC_201)*dZuL_QED2/2d0
    coupl(nGC_19482) = coupl(nGC_13397) + coupl(nGC_197)*dZcR_QCD2/2d0 + coupl(&
                       nGC_197)*dZsL_QCD2/2d0
    coupl(nGC_19483) = coupl(nGC_13399) + coupl(nGC_213)*dZcL_QCD2/2d0 + coupl(&
                       nGC_213)*dZsR_QCD2/2d0
    coupl(nGC_19484) = coupl(nGC_13398) + coupl(nGC_197)*dZcR_QED2/2d0 + coupl(&
                       nGC_197)*dZsL_QED2/2d0
    coupl(nGC_19485) = coupl(nGC_13400) + coupl(nGC_213)*dZcL_QED2/2d0 + coupl(&
                       nGC_213)*dZsR_QED2/2d0
    coupl(nGC_19494) = coupl(nGC_13401) + coupl(nGC_217)*dZbL_QCD2/2d0 + coupl(&
                       nGC_217)*dZtR_QCD2/2d0
    coupl(nGC_19495) = coupl(nGC_13403) + coupl(nGC_193)*dZbR_QCD2/2d0 + coupl(&
                       nGC_193)*dZtL_QCD2/2d0
    coupl(nGC_19496) = coupl(nGC_13402) + coupl(nGC_217)*dZbL_QED2/2d0 + coupl(&
                       nGC_217)*dZtR_QED2/2d0
    coupl(nGC_19497) = coupl(nGC_13404) + coupl(nGC_193)*dZbR_QED2/2d0 + coupl(&
                       nGC_193)*dZtL_QED2/2d0
    coupl(nGC_13406) = coupl(nGC_12576)*dydo_QED3
    coupl(nGC_19504) = -coupl(nGC_13406) - coupl(nGC_19501)
    coupl(nGC_19505) = coupl(nGC_13406) + coupl(nGC_19501)
    coupl(nGC_13405) = coupl(nGC_12576)*dydo_QCD2_QED1
    coupl(nGC_19506) = -coupl(nGC_13405) - coupl(nGC_19500)
    coupl(nGC_19507) = coupl(nGC_13405) + coupl(nGC_19500)
    coupl(nGC_13407) = coupl(nGC_12511)*dys_QCD2_QED1
    coupl(nGC_19514) = -coupl(nGC_13407) - coupl(nGC_19510)
    coupl(nGC_19515) = coupl(nGC_13407) + coupl(nGC_19510)
    coupl(nGC_13408) = coupl(nGC_12511)*dys_QED3
    coupl(nGC_19516) = -coupl(nGC_13408) - coupl(nGC_19511)
    coupl(nGC_19517) = coupl(nGC_13408) + coupl(nGC_19511)
    coupl(nGC_13409) = coupl(nGC_12571)*dyb_QCD2_QED1
    coupl(nGC_19524) = -coupl(nGC_13409) - coupl(nGC_19520)
    coupl(nGC_19525) = coupl(nGC_13409) + coupl(nGC_19520)
    coupl(nGC_13410) = coupl(nGC_12571)*dyb_QED3
    coupl(nGC_19526) = -coupl(nGC_13410) - coupl(nGC_19521)
    coupl(nGC_19527) = coupl(nGC_13410) + coupl(nGC_19521)
    coupl(nGC_13411) = coupl(nGC_12580)*dydo_QCD2_QED1
    coupl(nGC_19536) = coupl(nGC_13411) + coupl(nGC_19530)
    coupl(nGC_13417) = coupl(nGC_12578)*dydo_QCD2_QED1
    coupl(nGC_19547) = coupl(nGC_13417) + coupl(nGC_19545)
    coupl(nGC_13413) = coupl(nGC_12516)*dys_QCD2_QED1
    coupl(nGC_19560) = coupl(nGC_13413) + coupl(nGC_19552)
    coupl(nGC_13419) = coupl(nGC_12522)*dys_QCD2_QED1
    coupl(nGC_19569) = coupl(nGC_13419) + coupl(nGC_19567)
    coupl(nGC_13415) = coupl(nGC_12572)*dyb_QCD2_QED1
    coupl(nGC_19582) = coupl(nGC_13415) + coupl(nGC_19574)
    coupl(nGC_13421) = coupl(nGC_12574)*dyb_QCD2_QED1
    coupl(nGC_19591) = coupl(nGC_13421) + coupl(nGC_19589)
    coupl(nGC_19606) = -coupl(nGC_13426) - coupl(nGC_19604)
    coupl(nGC_19607) = coupl(nGC_13426) + coupl(nGC_19604)
    coupl(nGC_19611) = -coupl(nGC_13427) - coupl(nGC_19609)
    coupl(nGC_19612) = coupl(nGC_13427) + coupl(nGC_19609)
    coupl(nGC_19616) = -coupl(nGC_13428) - coupl(nGC_19614)
    coupl(nGC_19617) = coupl(nGC_13428) + coupl(nGC_19614)
    coupl(nGC_19623) = coupl(nGC_13429) + coupl(nGC_207)*dZHl_QED2/2d0 + coupl(&
                       nGC_208)*dZHhHl_QED2/2d0
    coupl(nGC_19624) = coupl(nGC_19619) + coupl(nGC_19623)
    coupl(nGC_19630) = coupl(nGC_13432) + coupl(nGC_207)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_208)*dZHh_QED2/2d0
    coupl(nGC_19631) = coupl(nGC_19629) + coupl(nGC_19630)
    coupl(nGC_19637) = coupl(nGC_13430) + coupl(nGC_211)*dZHl_QED2/2d0 + coupl(&
                       nGC_212)*dZHhHl_QED2/2d0
    coupl(nGC_19638) = coupl(nGC_19633) + coupl(nGC_19637)
    coupl(nGC_19644) = coupl(nGC_13433) + coupl(nGC_211)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_212)*dZHh_QED2/2d0
    coupl(nGC_19645) = coupl(nGC_19643) + coupl(nGC_19644)
    coupl(nGC_19651) = coupl(nGC_13431) + coupl(nGC_223)*dZHl_QED2/2d0 + coupl(&
                       nGC_224)*dZHhHl_QED2/2d0
    coupl(nGC_19652) = coupl(nGC_19647) + coupl(nGC_19651)
    coupl(nGC_19658) = coupl(nGC_13434) + coupl(nGC_223)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_224)*dZHh_QED2/2d0
    coupl(nGC_19659) = coupl(nGC_19657) + coupl(nGC_19658)
    coupl(nGC_13436) = coupl(nGC_12566)*dyup_QED3
    coupl(nGC_19690) = -coupl(nGC_13436) - coupl(nGC_19687)
    coupl(nGC_19691) = coupl(nGC_13436) + coupl(nGC_19687)
    coupl(nGC_13435) = coupl(nGC_12566)*dyup_QCD2_QED1
    coupl(nGC_19692) = -coupl(nGC_13435) - coupl(nGC_19686)
    coupl(nGC_19693) = coupl(nGC_13435) + coupl(nGC_19686)
    coupl(nGC_13437) = coupl(nGC_12577)*dyc_QCD2_QED1
    coupl(nGC_19700) = -coupl(nGC_13437) - coupl(nGC_19696)
    coupl(nGC_19701) = coupl(nGC_13437) + coupl(nGC_19696)
    coupl(nGC_13438) = coupl(nGC_12577)*dyc_QED3
    coupl(nGC_19702) = -coupl(nGC_13438) - coupl(nGC_19697)
    coupl(nGC_19703) = coupl(nGC_13438) + coupl(nGC_19697)
    coupl(nGC_13440) = coupl(nGC_12524)*dyt_QED3
    coupl(nGC_19710) = -coupl(nGC_13440) - coupl(nGC_19707)
    coupl(nGC_19711) = coupl(nGC_13440) + coupl(nGC_19707)
    coupl(nGC_13439) = coupl(nGC_12524)*dyt_QCD2_QED1
    coupl(nGC_19712) = -coupl(nGC_13439) - coupl(nGC_19706)
    coupl(nGC_19713) = coupl(nGC_13439) + coupl(nGC_19706)
    coupl(nGC_13441) = coupl(nGC_12567)*dyup_QCD2_QED1
    coupl(nGC_19724) = coupl(nGC_13441) + coupl(nGC_19716)
    coupl(nGC_13447) = coupl(nGC_12569)*dyup_QCD2_QED1
    coupl(nGC_19733) = coupl(nGC_13447) + coupl(nGC_19731)
    coupl(nGC_13443) = coupl(nGC_12582)*dyc_QCD2_QED1
    coupl(nGC_19744) = coupl(nGC_13443) + coupl(nGC_19738)
    coupl(nGC_13449) = coupl(nGC_12585)*dyc_QCD2_QED1
    coupl(nGC_19755) = coupl(nGC_13449) + coupl(nGC_19753)
    coupl(nGC_13445) = coupl(nGC_375)*dyt_QCD2_QED1
    coupl(nGC_19766) = coupl(nGC_13445) + coupl(nGC_19760)
    coupl(nGC_13451) = coupl(nGC_381)*dyt_QCD2_QED1
    coupl(nGC_19777) = coupl(nGC_13451) + coupl(nGC_19775)
    coupl(nGC_19783) = coupl(nGC_114)*dZZA_QED2/2d0 + coupl(nGC_13453) + coupl(&
                       nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2/2d0
    coupl(nGC_19787) = coupl(nGC_114)*dZWMinus_QED2/2d0 + coupl(nGC_114)*      &
                       dZZ_QED2/2d0 + coupl(nGC_13454) + coupl(nGC_7)*dZAZ_QED2&
                       /2d0
    coupl(nGC_19797) = coupl(nGC_114)*dZA_QED2/2d0 + coupl(nGC_114)*           &
                       dZWMinus_QED2/2d0 + coupl(nGC_13454) + coupl(nGC_83)*   &
                       dZZA_QED2/2d0
    coupl(nGC_19801) = coupl(nGC_114)*dZAZ_QED2/2d0 + coupl(nGC_13488) + coupl(&
                       nGC_83)*dZWMinus_QED2/2d0 + coupl(nGC_83)*dZZ_QED2/2d0
    coupl(nGC_19811) = coupl(nGC_108)*dZA_QED2/2d0 + coupl(nGC_108)*           &
                       dZWMinus_QED2/2d0 + coupl(nGC_13367) + coupl(nGC_14)*   &
                       dZZA_QED2/2d0
    coupl(nGC_19815) = coupl(nGC_108)*dZAZ_QED2/2d0 + coupl(nGC_13343) + coupl(&
                       nGC_14)*dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0
    coupl(nGC_19820) = coupl(nGC_110)*dZA_QED2/2d0 + coupl(nGC_110)*dZHl_QED2/ &
                       2d0 + coupl(nGC_110)*dZWMinus_QED2/2d0 + coupl(nGC_119)*&
                       dZHhHl_QED2/2d0 + coupl(nGC_13455) + coupl(nGC_15)*     &
                       dZZA_QED2/2d0
    coupl(nGC_19825) = coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(nGC_13486) + coupl(&
                       nGC_15)*dZHl_QED2/2d0 + coupl(nGC_15)*dZWMinus_QED2/2d0 &
                        + coupl(nGC_15)*dZZ_QED2/2d0 + coupl(nGC_27)*          &
                       dZHhHl_QED2/2d0
    coupl(nGC_19830) = coupl(nGC_110)*dZHlHh_QED2/2d0 + coupl(nGC_119)*dZA_QED2&
                       /2d0 + coupl(nGC_119)*dZHh_QED2/2d0 + coupl(nGC_119)*   &
                       dZWMinus_QED2/2d0 + coupl(nGC_13456) + coupl(nGC_27)*   &
                       dZZA_QED2/2d0
    coupl(nGC_19835) = coupl(nGC_119)*dZAZ_QED2/2d0 + coupl(nGC_13487) + coupl(&
                       nGC_15)*dZHlHh_QED2/2d0 + coupl(nGC_27)*dZHh_QED2/2d0 + &
                       coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_27)*dZZ_QED2&
                       /2d0
    coupl(nGC_19841) = coupl(nGC_13457) + coupl(nGC_154)*dZZA_QED2/2d0 + coupl(&
                       nGC_166)*dZA_QED2/2d0 + coupl(nGC_166)*dZWMinus_QED2/2d0&
                        + coupl(nGC_TS_GC_110_Hl) + coupl(nGC_TS_GC_119_Hh)
    coupl(nGC_19847) = coupl(nGC_13489) + coupl(nGC_154)*dZWMinus_QED2/2d0 +   &
                       coupl(nGC_154)*dZZ_QED2/2d0 + coupl(nGC_166)*dZAZ_QED2/ &
                       2d0 + coupl(nGC_TS_GC_15_Hl) + coupl(nGC_TS_GC_27_Hh)
    coupl(nGC_19850) = coupl(nGC_13458) + coupl(nGC_98)*dZWMinus_QED2/2d0
    coupl(nGC_19854) = coupl(nGC_101)*dZHl_QED2/2d0 + coupl(nGC_101)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_118)*dZHhHl_QED2/2d0 +    &
                       coupl(nGC_13459)
    coupl(nGC_19858) = coupl(nGC_101)*dZHlHh_QED2/2d0 + coupl(nGC_118)*        &
                       dZHh_QED2/2d0 + coupl(nGC_118)*dZWMinus_QED2/2d0 + coupl&
                       (nGC_13460)
    coupl(nGC_19863) = coupl(nGC_13461) + coupl(nGC_3)*dZA_QED2/2d0 + coupl(   &
                       nGC_3)*dZWMinus_QED2
    coupl(nGC_19864) = coupl(nGC_19861) - coupl(nGC_19863)
    coupl(nGC_19865) = coupl(nGC_19862) + coupl(nGC_19863)
    coupl(nGC_19871) = coupl(nGC_102)*dZWMinus_QED2 + coupl(nGC_102)*dZZ_QED2/ &
                       2d0 + coupl(nGC_13475)
    coupl(nGC_19872) = coupl(nGC_103)*dZWMinus_QED2 + coupl(nGC_103)*dZZ_QED2/ &
                       2d0 + coupl(nGC_13476)
    coupl(nGC_19873) = -coupl(nGC_19866) + coupl(nGC_19871)
    coupl(nGC_19874) = coupl(nGC_19866) + coupl(nGC_19872)
    coupl(nGC_19877) = coupl(nGC_13462) + coupl(nGC_74)*dZWMinus_QED2
    coupl(nGC_19905) = coupl(nGC_107)*dZA_QED2/2d0 + coupl(nGC_107)*           &
                       dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZA_QED2/2d0 + coupl(&
                       nGC_13368)
    coupl(nGC_19909) = coupl(nGC_107)*dZAZ_QED2/2d0 + coupl(nGC_13)*           &
                       dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZ_QED2/2d0 + coupl( &
                       nGC_13344)
    coupl(nGC_19942) = coupl(nGC_100)*dZHl_QED2/2d0 + coupl(nGC_100)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_13463)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
