!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  implicit none
  contains
  subroutine fill_vertices_mdl10()
    use class_vertices
    use class_couplings
    allocate(vertices(3187)%branchCT(0:0))
    call avCT(3187, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3188)%branchCT(0:0))
    call avCT(3188, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3189)%branchCT(0:0))
    call avCT(3189, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3190)%branchCT(0:0))
    call avCT(3190, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3191)%branchCT(0:0))
    call avCT(3191, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3192)%branchCT(0:0))
    call avCT(3192, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3193)%branchCT(0:0))
    call avCT(3193, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3194)%branchCT(0:0))
    call avCT(3194, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3195)%branchCT(0:0))
    call avCT(3195, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3196)%branchCT(0:0))
    call avCT(3196, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3197)%branchCT(0:0))
    call avCT(3197, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3198)%branchCT(0:0))
    call avCT(3198, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3199)%branchCT(0:0))
    call avCT(3199, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3200)%branchCT(0:0))
    call avCT(3200, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3201)%branchCT(0:0))
    call avCT(3201, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3203)%branchCT(0:0))
    call avCT(3203, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3204)%branchCT(0:0))
    call avCT(3204, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(4251)%branchCT(0:0))
    call avCT(4251, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4252)%branchCT(0:0))
    call avCT(4252, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4253)%branchCT(0:0))
    call avCT(4253, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4254)%branchCT(0:0))
    call avCT(4254, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4255)%branchCT(0:0))
    call avCT(4255, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4256)%branchCT(0:0))
    call avCT(4256, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4257)%branchCT(0:0))
    call avCT(4257, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4258)%branchCT(0:0))
    call avCT(4258, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4259)%branchCT(0:0))
    call avCT(4259, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4260)%branchCT(0:0))
    call avCT(4260, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4261)%branchCT(0:0))
    call avCT(4261, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4262)%branchCT(0:0))
    call avCT(4262, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4263)%branchCT(0:0))
    call avCT(4263, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4264)%branchCT(0:0))
    call avCT(4264, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4265)%branchCT(0:0))
    call avCT(4265, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4266)%branchCT(0:0))
    call avCT(4266, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4267)%branchCT(0:0))
    call avCT(4267, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4268)%branchCT(0:0))
    call avCT(4268, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4269)%branchCT(0:0))
    call avCT(4269, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4270)%branchCT(0:0))
    call avCT(4270, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4272)%branchCT(0:0))
    call avCT(4272, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4273)%branchCT(0:0))
    call avCT(4273, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(3205)%branchCT(0:0))
    call avCT(3205, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3206)%branchCT(0:0))
    call avCT(3206, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3207)%branchCT(0:0))
    call avCT(3207, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3208)%branchCT(0:0))
    call avCT(3208, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3209)%branchCT(0:0))
    call avCT(3209, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3210)%branchCT(0:0))
    call avCT(3210, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3212)%branchCT(0:0))
    call avCT(3212, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3213)%branchCT(0:0))
    call avCT(3213, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3214)%branchCT(0:0))
    call avCT(3214, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3215)%branchCT(0:0))
    call avCT(3215, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3216)%branchCT(0:0))
    call avCT(3216, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3217)%branchCT(0:0))
    call avCT(3217, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3218)%branchCT(0:0))
    call avCT(3218, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3219)%branchCT(0:0))
    call avCT(3219, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3220)%branchCT(0:0))
    call avCT(3220, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3221)%branchCT(0:0))
    call avCT(3221, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3222)%branchCT(0:0))
    call avCT(3222, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3223)%branchCT(0:0))
    call avCT(3223, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3224)%branchCT(0:0))
    call avCT(3224, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3225)%branchCT(0:0))
    call avCT(3225, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3226)%branchCT(0:0))
    call avCT(3226, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19905])

    allocate(vertices(3227)%branchCT(0:0))
    call avCT(3227, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19905])

    allocate(vertices(4150)%branchCT(0:0))
    call avCT(4150, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4152)%branchCT(0:0))
    call avCT(4152, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4153)%branchCT(0:0))
    call avCT(4153, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4154)%branchCT(0:0))
    call avCT(4154, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4155)%branchCT(0:0))
    call avCT(4155, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4156)%branchCT(0:0))
    call avCT(4156, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4157)%branchCT(0:0))
    call avCT(4157, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4158)%branchCT(0:0))
    call avCT(4158, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4159)%branchCT(0:0))
    call avCT(4159, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4160)%branchCT(0:0))
    call avCT(4160, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4161)%branchCT(0:0))
    call avCT(4161, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4162)%branchCT(0:0))
    call avCT(4162, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4163)%branchCT(0:0))
    call avCT(4163, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4164)%branchCT(0:0))
    call avCT(4164, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4165)%branchCT(0:0))
    call avCT(4165, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4166)%branchCT(0:0))
    call avCT(4166, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4167)%branchCT(0:0))
    call avCT(4167, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4168)%branchCT(0:0))
    call avCT(4168, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4169)%branchCT(0:0))
    call avCT(4169, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4170)%branchCT(0:0))
    call avCT(4170, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4171)%branchCT(0:0))
    call avCT(4171, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19909])

    allocate(vertices(4172)%branchCT(0:0))
    call avCT(4172, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19909])

    allocate(vertices(3231)%branchCT(0:0))
    call avCT(3231, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3232)%branchCT(0:0))
    call avCT(3232, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3233)%branchCT(0:0))
    call avCT(3233, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3234)%branchCT(0:0))
    call avCT(3234, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3235)%branchCT(0:0))
    call avCT(3235, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3237)%branchCT(0:0))
    call avCT(3237, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3238)%branchCT(0:0))
    call avCT(3238, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3239)%branchCT(0:0))
    call avCT(3239, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3240)%branchCT(0:0))
    call avCT(3240, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3241)%branchCT(0:0))
    call avCT(3241, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3242)%branchCT(0:0))
    call avCT(3242, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3243)%branchCT(0:0))
    call avCT(3243, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3244)%branchCT(0:0))
    call avCT(3244, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3245)%branchCT(0:0))
    call avCT(3245, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3246)%branchCT(0:0))
    call avCT(3246, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3247)%branchCT(0:0))
    call avCT(3247, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3248)%branchCT(0:0))
    call avCT(3248, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3249)%branchCT(0:0))
    call avCT(3249, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3250)%branchCT(0:0))
    call avCT(3250, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3251)%branchCT(0:0))
    call avCT(3251, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3252)%branchCT(0:0))
    call avCT(3252, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3253)%branchCT(0:0))
    call avCT(3253, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(4177)%branchCT(0:0))
    call avCT(4177, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4178)%branchCT(0:0))
    call avCT(4178, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4179)%branchCT(0:0))
    call avCT(4179, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4180)%branchCT(0:0))
    call avCT(4180, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4181)%branchCT(0:0))
    call avCT(4181, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4182)%branchCT(0:0))
    call avCT(4182, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4183)%branchCT(0:0))
    call avCT(4183, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4184)%branchCT(0:0))
    call avCT(4184, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4185)%branchCT(0:0))
    call avCT(4185, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4186)%branchCT(0:0))
    call avCT(4186, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4187)%branchCT(0:0))
    call avCT(4187, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4188)%branchCT(0:0))
    call avCT(4188, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4189)%branchCT(0:0))
    call avCT(4189, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4190)%branchCT(0:0))
    call avCT(4190, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4191)%branchCT(0:0))
    call avCT(4191, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4192)%branchCT(0:0))
    call avCT(4192, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4193)%branchCT(0:0))
    call avCT(4193, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4194)%branchCT(0:0))
    call avCT(4194, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4195)%branchCT(0:0))
    call avCT(4195, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4196)%branchCT(0:0))
    call avCT(4196, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4197)%branchCT(0:0))
    call avCT(4197, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4198)%branchCT(0:0))
    call avCT(4198, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(3257)%branchCT(0:0))
    call avCT(3257, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3258)%branchCT(0:0))
    call avCT(3258, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3259)%branchCT(0:0))
    call avCT(3259, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3260)%branchCT(0:0))
    call avCT(3260, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3261)%branchCT(0:0))
    call avCT(3261, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3263)%branchCT(0:0))
    call avCT(3263, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3264)%branchCT(0:0))
    call avCT(3264, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3265)%branchCT(0:0))
    call avCT(3265, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3266)%branchCT(0:0))
    call avCT(3266, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3267)%branchCT(0:0))
    call avCT(3267, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3268)%branchCT(0:0))
    call avCT(3268, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3269)%branchCT(0:0))
    call avCT(3269, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3270)%branchCT(0:0))
    call avCT(3270, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3271)%branchCT(0:0))
    call avCT(3271, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3272)%branchCT(0:0))
    call avCT(3272, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3273)%branchCT(0:0))
    call avCT(3273, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3274)%branchCT(0:0))
    call avCT(3274, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3275)%branchCT(0:0))
    call avCT(3275, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3276)%branchCT(0:0))
    call avCT(3276, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3277)%branchCT(0:0))
    call avCT(3277, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3278)%branchCT(0:0))
    call avCT(3278, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3279)%branchCT(0:0))
    call avCT(3279, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(4203)%branchCT(0:0))
    call avCT(4203, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4204)%branchCT(0:0))
    call avCT(4204, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4205)%branchCT(0:0))
    call avCT(4205, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4206)%branchCT(0:0))
    call avCT(4206, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4207)%branchCT(0:0))
    call avCT(4207, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4208)%branchCT(0:0))
    call avCT(4208, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4209)%branchCT(0:0))
    call avCT(4209, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4210)%branchCT(0:0))
    call avCT(4210, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4211)%branchCT(0:0))
    call avCT(4211, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4212)%branchCT(0:0))
    call avCT(4212, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4213)%branchCT(0:0))
    call avCT(4213, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4214)%branchCT(0:0))
    call avCT(4214, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4215)%branchCT(0:0))
    call avCT(4215, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4216)%branchCT(0:0))
    call avCT(4216, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4217)%branchCT(0:0))
    call avCT(4217, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4218)%branchCT(0:0))
    call avCT(4218, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4219)%branchCT(0:0))
    call avCT(4219, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4220)%branchCT(0:0))
    call avCT(4220, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4221)%branchCT(0:0))
    call avCT(4221, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4222)%branchCT(0:0))
    call avCT(4222, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4223)%branchCT(0:0))
    call avCT(4223, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4224)%branchCT(0:0))
    call avCT(4224, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(3283)%branchCT(0:0))
    call avCT(3283, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19841])

    allocate(vertices(3285)%branchCT(0:0))
    call avCT(3285, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19841])

    allocate(vertices(3286)%branchCT(0:0))
    call avCT(3286, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19841])

    allocate(vertices(3287)%branchCT(0:0))
    call avCT(3287, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19841])

    allocate(vertices(4321)%branchCT(0:0))
    call avCT(4321, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19847])

    allocate(vertices(4322)%branchCT(0:0))
    call avCT(4322, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19847])

    allocate(vertices(4323)%branchCT(0:0))
    call avCT(4323, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19847])

    allocate(vertices(4324)%branchCT(0:0))
    call avCT(4324, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19847])

    allocate(vertices(3312)%branchCT(0:0))
    call avCT(3312, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_26087])

    allocate(vertices(3313)%branchCT(0:0))
    call avCT(3313, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19850])

    allocate(vertices(3314)%branchCT(0:0))
    call avCT(3314, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_26087])

    allocate(vertices(3315)%branchCT(0:0))
    call avCT(3315, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_26087])

    allocate(vertices(3316)%branchCT(0:0))
    call avCT(3316, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19850])

    allocate(vertices(3317)%branchCT(0:0))
    call avCT(3317, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19944, nGC_19943])

    allocate(vertices(3318)%branchCT(0:0))
    call avCT(3318, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19943, nGC_19944])

    allocate(vertices(3319)%branchCT(0:0))
    call avCT(3319, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_19943, nGC_19944])

    allocate(vertices(3320)%branchCT(0:0))
    call avCT(3320, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19944, nGC_19943])

    allocate(vertices(3321)%branchCT(0:0))
    call avCT(3321, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_19944, nGC_19943])

    allocate(vertices(3322)%branchCT(0:0))
    call avCT(3322, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19953, nGC_19952])

    allocate(vertices(3323)%branchCT(0:0))
    call avCT(3323, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19952, nGC_19953])

    allocate(vertices(3324)%branchCT(0:0))
    call avCT(3324, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_19952, nGC_19953])

    allocate(vertices(3325)%branchCT(0:0))
    call avCT(3325, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19953, nGC_19952])

    allocate(vertices(3326)%branchCT(0:0))
    call avCT(3326, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_19953, nGC_19952])

    allocate(vertices(3331)%branchCT(0:0))
    call avCT(3331, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3332)%branchCT(0:0))
    call avCT(3332, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3333)%branchCT(0:0))
    call avCT(3333, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3334)%branchCT(0:0))
    call avCT(3334, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3335)%branchCT(0:0))
    call avCT(3335, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3336)%branchCT(0:0))
    call avCT(3336, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3337)%branchCT(0:0))
    call avCT(3337, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3338)%branchCT(0:0))
    call avCT(3338, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3339)%branchCT(0:0))
    call avCT(3339, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3340)%branchCT(0:0))
    call avCT(3340, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3341)%branchCT(0:0))
    call avCT(3341, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3342)%branchCT(0:0))
    call avCT(3342, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3343)%branchCT(0:0))
    call avCT(3343, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3344)%branchCT(0:0))
    call avCT(3344, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3345)%branchCT(0:0))
    call avCT(3345, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3346)%branchCT(0:0))
    call avCT(3346, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3347)%branchCT(0:0))
    call avCT(3347, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3348)%branchCT(0:0))
    call avCT(3348, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3349)%branchCT(0:0))
    call avCT(3349, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3350)%branchCT(0:0))
    call avCT(3350, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3351)%branchCT(0:0))
    call avCT(3351, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3352)%branchCT(0:0))
    call avCT(3352, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3353)%branchCT(0:0))
    call avCT(3353, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19956])

    allocate(vertices(3354)%branchCT(0:0))
    call avCT(3354, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3355)%branchCT(0:0))
    call avCT(3355, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3356)%branchCT(0:0))
    call avCT(3356, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3357)%branchCT(0:0))
    call avCT(3357, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3358)%branchCT(0:0))
    call avCT(3358, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3359)%branchCT(0:0))
    call avCT(3359, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3360)%branchCT(0:0))
    call avCT(3360, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3361)%branchCT(0:0))
    call avCT(3361, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3362)%branchCT(0:0))
    call avCT(3362, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3363)%branchCT(0:0))
    call avCT(3363, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3364)%branchCT(0:0))
    call avCT(3364, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3365)%branchCT(0:0))
    call avCT(3365, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3366)%branchCT(0:0))
    call avCT(3366, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3367)%branchCT(0:0))
    call avCT(3367, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3368)%branchCT(0:0))
    call avCT(3368, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3369)%branchCT(0:0))
    call avCT(3369, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3370)%branchCT(0:0))
    call avCT(3370, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3371)%branchCT(0:0))
    call avCT(3371, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3372)%branchCT(0:0))
    call avCT(3372, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3373)%branchCT(0:0))
    call avCT(3373, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3374)%branchCT(0:0))
    call avCT(3374, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3375)%branchCT(0:0))
    call avCT(3375, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3376)%branchCT(0:0))
    call avCT(3376, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3377)%branchCT(0:0))
    call avCT(3377, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3378)%branchCT(0:0))
    call avCT(3378, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3379)%branchCT(0:0))
    call avCT(3379, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3380)%branchCT(0:0))
    call avCT(3380, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3381)%branchCT(0:0))
    call avCT(3381, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3382)%branchCT(0:0))
    call avCT(3382, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3383)%branchCT(0:0))
    call avCT(3383, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3384)%branchCT(0:0))
    call avCT(3384, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3385)%branchCT(0:0))
    call avCT(3385, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3386)%branchCT(0:0))
    call avCT(3386, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3387)%branchCT(0:0))
    call avCT(3387, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3388)%branchCT(0:0))
    call avCT(3388, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3389)%branchCT(0:0))
    call avCT(3389, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3390)%branchCT(0:0))
    call avCT(3390, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3391)%branchCT(0:0))
    call avCT(3391, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3392)%branchCT(0:0))
    call avCT(3392, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3393)%branchCT(0:0))
    call avCT(3393, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3394)%branchCT(0:0))
    call avCT(3394, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3395)%branchCT(0:0))
    call avCT(3395, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3396)%branchCT(0:0))
    call avCT(3396, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3397)%branchCT(0:0))
    call avCT(3397, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3398)%branchCT(0:0))
    call avCT(3398, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3399)%branchCT(0:0))
    call avCT(3399, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3400)%branchCT(0:0))
    call avCT(3400, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3401)%branchCT(0:0))
    call avCT(3401, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3402)%branchCT(0:0))
    call avCT(3402, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3403)%branchCT(0:0))
    call avCT(3403, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3404)%branchCT(0:0))
    call avCT(3404, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3405)%branchCT(0:0))
    call avCT(3405, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3406)%branchCT(0:0))
    call avCT(3406, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3407)%branchCT(0:0))
    call avCT(3407, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3408)%branchCT(0:0))
    call avCT(3408, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3409)%branchCT(0:0))
    call avCT(3409, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3410)%branchCT(0:0))
    call avCT(3410, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19962])

    allocate(vertices(3411)%branchCT(0:0))
    call avCT(3411, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3412)%branchCT(0:0))
    call avCT(3412, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3413)%branchCT(0:0))
    call avCT(3413, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3414)%branchCT(0:0))
    call avCT(3414, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3415)%branchCT(0:0))
    call avCT(3415, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3416)%branchCT(0:0))
    call avCT(3416, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3417)%branchCT(0:0))
    call avCT(3417, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3418)%branchCT(0:0))
    call avCT(3418, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3419)%branchCT(0:0))
    call avCT(3419, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3420)%branchCT(0:0))
    call avCT(3420, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3421)%branchCT(0:0))
    call avCT(3421, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3422)%branchCT(0:0))
    call avCT(3422, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3423)%branchCT(0:0))
    call avCT(3423, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3424)%branchCT(0:0))
    call avCT(3424, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3425)%branchCT(0:0))
    call avCT(3425, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3426)%branchCT(0:0))
    call avCT(3426, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3427)%branchCT(0:0))
    call avCT(3427, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3428)%branchCT(0:0))
    call avCT(3428, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3429)%branchCT(0:0))
    call avCT(3429, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3430)%branchCT(0:0))
    call avCT(3430, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3431)%branchCT(0:0))
    call avCT(3431, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3432)%branchCT(0:0))
    call avCT(3432, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3433)%branchCT(0:0))
    call avCT(3433, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19967])

    allocate(vertices(3434)%branchCT(0:0))
    call avCT(3434, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3435)%branchCT(0:0))
    call avCT(3435, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3436)%branchCT(0:0))
    call avCT(3436, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3437)%branchCT(0:0))
    call avCT(3437, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3438)%branchCT(0:0))
    call avCT(3438, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3439)%branchCT(0:0))
    call avCT(3439, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3440)%branchCT(0:0))
    call avCT(3440, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3441)%branchCT(0:0))
    call avCT(3441, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3442)%branchCT(0:0))
    call avCT(3442, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3443)%branchCT(0:0))
    call avCT(3443, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3444)%branchCT(0:0))
    call avCT(3444, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3445)%branchCT(0:0))
    call avCT(3445, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3446)%branchCT(0:0))
    call avCT(3446, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3447)%branchCT(0:0))
    call avCT(3447, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3448)%branchCT(0:0))
    call avCT(3448, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3449)%branchCT(0:0))
    call avCT(3449, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3450)%branchCT(0:0))
    call avCT(3450, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3451)%branchCT(0:0))
    call avCT(3451, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3452)%branchCT(0:0))
    call avCT(3452, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3453)%branchCT(0:0))
    call avCT(3453, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3454)%branchCT(0:0))
    call avCT(3454, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3455)%branchCT(0:0))
    call avCT(3455, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3456)%branchCT(0:0))
    call avCT(3456, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19959])

    allocate(vertices(3461)%branchCT(0:0))
    call avCT(3461, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19973])

    allocate(vertices(3462)%branchCT(0:0))
    call avCT(3462, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19973])

    allocate(vertices(3463)%branchCT(0:0))
    call avCT(3463, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19973])

    allocate(vertices(3464)%branchCT(0:0))
    call avCT(3464, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19973])

    allocate(vertices(3465)%branchCT(0:0))
    call avCT(3465, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19973])

    allocate(vertices(3466)%branchCT(0:0))
    call avCT(3466, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19973])

    allocate(vertices(3467)%branchCT(0:0))
    call avCT(3467, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19973])

    allocate(vertices(3468)%branchCT(0:0))
    call avCT(3468, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19973])

    allocate(vertices(3469)%branchCT(0:0))
    call avCT(3469, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19973])

    allocate(vertices(3470)%branchCT(0:0))
    call avCT(3470, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19973])

    allocate(vertices(3471)%branchCT(0:0))
    call avCT(3471, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19973])

    allocate(vertices(3473)%branchCT(0:0))
    call avCT(3473, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3474)%branchCT(0:0))
    call avCT(3474, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3475)%branchCT(0:0))
    call avCT(3475, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3476)%branchCT(0:0))
    call avCT(3476, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3477)%branchCT(0:0))
    call avCT(3477, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3478)%branchCT(0:0))
    call avCT(3478, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3479)%branchCT(0:0))
    call avCT(3479, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3480)%branchCT(0:0))
    call avCT(3480, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3481)%branchCT(0:0))
    call avCT(3481, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3482)%branchCT(0:0))
    call avCT(3482, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3483)%branchCT(0:0))
    call avCT(3483, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3484)%branchCT(0:0))
    call avCT(3484, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3486)%branchCT(0:0))
    call avCT(3486, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3487)%branchCT(0:0))
    call avCT(3487, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3488)%branchCT(0:0))
    call avCT(3488, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3489)%branchCT(0:0))
    call avCT(3489, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3490)%branchCT(0:0))
    call avCT(3490, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3491)%branchCT(0:0))
    call avCT(3491, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3492)%branchCT(0:0))
    call avCT(3492, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3493)%branchCT(0:0))
    call avCT(3493, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3494)%branchCT(0:0))
    call avCT(3494, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3495)%branchCT(0:0))
    call avCT(3495, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19978])

    allocate(vertices(3499)%branchCT(0:0))
    call avCT(3499, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19982])

    allocate(vertices(3500)%branchCT(0:0))
    call avCT(3500, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19982])

    allocate(vertices(3501)%branchCT(0:0))
    call avCT(3501, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19982])

    allocate(vertices(3502)%branchCT(0:0))
    call avCT(3502, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19982])

    allocate(vertices(3503)%branchCT(0:0))
    call avCT(3503, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19982])

    allocate(vertices(3504)%branchCT(0:0))
    call avCT(3504, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19982])

    allocate(vertices(3505)%branchCT(0:0))
    call avCT(3505, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19982])

    allocate(vertices(3506)%branchCT(0:0))
    call avCT(3506, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19982])

    allocate(vertices(3507)%branchCT(0:0))
    call avCT(3507, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19982])

    allocate(vertices(3508)%branchCT(0:0))
    call avCT(3508, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19982])

    allocate(vertices(3509)%branchCT(0:0))
    call avCT(3509, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19982])

    allocate(vertices(3511)%branchCT(0:0))
    call avCT(3511, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3512)%branchCT(0:0))
    call avCT(3512, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3513)%branchCT(0:0))
    call avCT(3513, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3514)%branchCT(0:0))
    call avCT(3514, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3515)%branchCT(0:0))
    call avCT(3515, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3516)%branchCT(0:0))
    call avCT(3516, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3517)%branchCT(0:0))
    call avCT(3517, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3518)%branchCT(0:0))
    call avCT(3518, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3519)%branchCT(0:0))
    call avCT(3519, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3520)%branchCT(0:0))
    call avCT(3520, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3521)%branchCT(0:0))
    call avCT(3521, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3522)%branchCT(0:0))
    call avCT(3522, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3523)%branchCT(0:0))
    call avCT(3523, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3524)%branchCT(0:0))
    call avCT(3524, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3525)%branchCT(0:0))
    call avCT(3525, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3526)%branchCT(0:0))
    call avCT(3526, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3527)%branchCT(0:0))
    call avCT(3527, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3528)%branchCT(0:0))
    call avCT(3528, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3529)%branchCT(0:0))
    call avCT(3529, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3530)%branchCT(0:0))
    call avCT(3530, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3531)%branchCT(0:0))
    call avCT(3531, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3532)%branchCT(0:0))
    call avCT(3532, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3533)%branchCT(0:0))
    call avCT(3533, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3534)%branchCT(0:0))
    call avCT(3534, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3535)%branchCT(0:0))
    call avCT(3535, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3536)%branchCT(0:0))
    call avCT(3536, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3537)%branchCT(0:0))
    call avCT(3537, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3538)%branchCT(0:0))
    call avCT(3538, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3539)%branchCT(0:0))
    call avCT(3539, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3540)%branchCT(0:0))
    call avCT(3540, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3541)%branchCT(0:0))
    call avCT(3541, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3542)%branchCT(0:0))
    call avCT(3542, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3543)%branchCT(0:0))
    call avCT(3543, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3544)%branchCT(0:0))
    call avCT(3544, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3545)%branchCT(0:0))
    call avCT(3545, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3546)%branchCT(0:0))
    call avCT(3546, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3547)%branchCT(0:0))
    call avCT(3547, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3548)%branchCT(0:0))
    call avCT(3548, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3549)%branchCT(0:0))
    call avCT(3549, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3550)%branchCT(0:0))
    call avCT(3550, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3551)%branchCT(0:0))
    call avCT(3551, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3552)%branchCT(0:0))
    call avCT(3552, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3553)%branchCT(0:0))
    call avCT(3553, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3554)%branchCT(0:0))
    call avCT(3554, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3555)%branchCT(0:0))
    call avCT(3555, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3556)%branchCT(0:0))
    call avCT(3556, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19989])

    allocate(vertices(3557)%branchCT(0:0))
    call avCT(3557, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_19997])

    allocate(vertices(3558)%branchCT(0:0))
    call avCT(3558, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19997])

    allocate(vertices(3559)%branchCT(0:0))
    call avCT(3559, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19997])

    allocate(vertices(3560)%branchCT(0:0))
    call avCT(3560, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19997])

    allocate(vertices(3561)%branchCT(0:0))
    call avCT(3561, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19997])

    allocate(vertices(3562)%branchCT(0:0))
    call avCT(3562, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_20003])

    allocate(vertices(3563)%branchCT(0:0))
    call avCT(3563, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_20003])

    allocate(vertices(3564)%branchCT(0:0))
    call avCT(3564, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_20003])

    allocate(vertices(3565)%branchCT(0:0))
    call avCT(3565, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_20003])

    allocate(vertices(3566)%branchCT(0:0))
    call avCT(3566, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_20003])

    allocate(vertices(3567)%branchCT(0:0))
    call avCT(3567, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20011, nGC_20011,       &
    nGC_20010])

    allocate(vertices(3568)%branchCT(0:0))
    call avCT(3568, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20011, nGC_20010,       &
    nGC_20011])

    allocate(vertices(3569)%branchCT(0:0))
    call avCT(3569, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20010, nGC_20011,       &
    nGC_20011])

    allocate(vertices(3570)%branchCT(0:0))
    call avCT(3570, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20011, nGC_20010,       &
    nGC_20011])

    allocate(vertices(3572)%branchCT(0:0))
    call avCT(3572, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20010, nGC_20011,       &
    nGC_20011])

    allocate(vertices(3573)%branchCT(0:0))
    call avCT(3573, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20011, nGC_20010,       &
    nGC_20011])

    allocate(vertices(3574)%branchCT(0:0))
    call avCT(3574, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20011, nGC_20011,       &
    nGC_20010])

    allocate(vertices(3575)%branchCT(0:0))
    call avCT(3575, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20010, nGC_20011,       &
    nGC_20011])

    allocate(vertices(3576)%branchCT(0:0))
    call avCT(3576, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20011, nGC_20010,       &
    nGC_20011])

    allocate(vertices(3577)%branchCT(0:0))
    call avCT(3577, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20011, nGC_20011,       &
    nGC_20010])

    allocate(vertices(4336)%branchCT(0:0))
    call avCT(4336, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20021,       &
    nGC_20020])

    allocate(vertices(4338)%branchCT(0:0))
    call avCT(4338, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20020,       &
    nGC_20021])

    allocate(vertices(4339)%branchCT(0:0))
    call avCT(4339, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20020, nGC_20021,       &
    nGC_20021])

    allocate(vertices(4340)%branchCT(0:0))
    call avCT(4340, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20020,       &
    nGC_20021])

    allocate(vertices(4341)%branchCT(0:0))
    call avCT(4341, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20020, nGC_20021,       &
    nGC_20021])

    allocate(vertices(4332)%branchCT(0:0))
    call avCT(4332, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20020, nGC_20021,       &
    nGC_20021])

    allocate(vertices(4333)%branchCT(0:0))
    call avCT(4333, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20020,       &
    nGC_20021])

    allocate(vertices(4330)%branchCT(0:0))
    call avCT(4330, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20020, nGC_20021,       &
    nGC_20021])

    allocate(vertices(4331)%branchCT(0:0))
    call avCT(4331, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20020,       &
    nGC_20021])

    allocate(vertices(4335)%branchCT(0:0))
    call avCT(4335, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20021,       &
    nGC_20020])

    allocate(vertices(4334)%branchCT(0:0))
    call avCT(4334, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20021,       &
    nGC_20020])

    allocate(vertices(4325)%branchCT(0:0))
    call avCT(4325, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20021,       &
    nGC_20020])

    allocate(vertices(4326)%branchCT(0:0))
    call avCT(4326, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20021,       &
    nGC_20020])

    allocate(vertices(4327)%branchCT(0:0))
    call avCT(4327, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20020,       &
    nGC_20021])

    allocate(vertices(4328)%branchCT(0:0))
    call avCT(4328, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20020, nGC_20021,       &
    nGC_20021])

    allocate(vertices(4329)%branchCT(0:0))
    call avCT(4329, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20020,       &
    nGC_20021])

    allocate(vertices(4346)%branchCT(0:0))
    call avCT(4346, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20020, nGC_20021,       &
    nGC_20021])

    allocate(vertices(4347)%branchCT(0:0))
    call avCT(4347, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20020,       &
    nGC_20021])

    allocate(vertices(4344)%branchCT(0:0))
    call avCT(4344, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20021,       &
    nGC_20020])

    allocate(vertices(4342)%branchCT(0:0))
    call avCT(4342, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20020, nGC_20021,       &
    nGC_20021])

    allocate(vertices(4343)%branchCT(0:0))
    call avCT(4343, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20021, nGC_20020,       &
    nGC_20021])

    allocate(vertices(3584)%branchCT(0:0))
    call avCT(3584, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3585)%branchCT(0:0))
    call avCT(3585, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3586)%branchCT(0:0))
    call avCT(3586, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3587)%branchCT(0:0))
    call avCT(3587, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3588)%branchCT(0:0))
    call avCT(3588, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3589)%branchCT(0:0))
    call avCT(3589, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3590)%branchCT(0:0))
    call avCT(3590, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3591)%branchCT(0:0))
    call avCT(3591, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3592)%branchCT(0:0))
    call avCT(3592, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3593)%branchCT(0:0))
    call avCT(3593, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3594)%branchCT(0:0))
    call avCT(3594, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3595)%branchCT(0:0))
    call avCT(3595, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20038, nGC_20038,       &
    nGC_20037])

    allocate(vertices(3596)%branchCT(0:0))
    call avCT(3596, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20038, nGC_20037,       &
    nGC_20038])

    allocate(vertices(3597)%branchCT(0:0))
    call avCT(3597, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20037, nGC_20038,       &
    nGC_20038])

    allocate(vertices(3598)%branchCT(0:0))
    call avCT(3598, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20037, nGC_20038,       &
    nGC_20038])

    allocate(vertices(3599)%branchCT(0:0))
    call avCT(3599, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20038, nGC_20037,       &
    nGC_20038])

    allocate(vertices(3841)%branchCT(0:0))
    call avCT(3841, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_19596])

    allocate(vertices(3842)%branchCT(0:0))
    call avCT(3842, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_19596])

    allocate(vertices(3843)%branchCT(0:0))
    call avCT(3843, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_19596])

    allocate(vertices(3844)%branchCT(0:0))
    call avCT(3844, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_19596])

    allocate(vertices(3845)%branchCT(0:0))
    call avCT(3845, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_19596])

    allocate(vertices(3846)%branchCT(0:0))
    call avCT(3846, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_19599])

    allocate(vertices(3847)%branchCT(0:0))
    call avCT(3847, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_19599])

    allocate(vertices(3848)%branchCT(0:0))
    call avCT(3848, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_19599])

    allocate(vertices(3849)%branchCT(0:0))
    call avCT(3849, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_19599])

    allocate(vertices(3850)%branchCT(0:0))
    call avCT(3850, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_19599])

    allocate(vertices(3851)%branchCT(0:0))
    call avCT(3851, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_19602])

    allocate(vertices(3852)%branchCT(0:0))
    call avCT(3852, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_19602])

    allocate(vertices(3853)%branchCT(0:0))
    call avCT(3853, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_19602])

    allocate(vertices(3854)%branchCT(0:0))
    call avCT(3854, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_19602])

    allocate(vertices(3855)%branchCT(0:0))
    call avCT(3855, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_19602])

    allocate(vertices(4462)%branchCT(0:0))
    call avCT(4462, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4463)%branchCT(0:0))
    call avCT(4463, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4464)%branchCT(0:0))
    call avCT(4464, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4465)%branchCT(0:0))
    call avCT(4465, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4466)%branchCT(0:0))
    call avCT(4466, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4467)%branchCT(0:0))
    call avCT(4467, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4468)%branchCT(0:0))
    call avCT(4468, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4469)%branchCT(0:0))
    call avCT(4469, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4470)%branchCT(0:0))
    call avCT(4470, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4471)%branchCT(0:0))
    call avCT(4471, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4472)%branchCT(0:0))
    call avCT(4472, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4473)%branchCT(0:0))
    call avCT(4473, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4474)%branchCT(0:0))
    call avCT(4474, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4475)%branchCT(0:0))
    call avCT(4475, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4476)%branchCT(0:0))
    call avCT(4476, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4477)%branchCT(0:0))
    call avCT(4477, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4478)%branchCT(0:0))
    call avCT(4478, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4479)%branchCT(0:0))
    call avCT(4479, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4480)%branchCT(0:0))
    call avCT(4480, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4481)%branchCT(0:0))
    call avCT(4481, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4482)%branchCT(0:0))
    call avCT(4482, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4483)%branchCT(0:0))
    call avCT(4483, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_20052])

    allocate(vertices(4428)%branchCT(0:0))
    call avCT(4428, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20067])

    allocate(vertices(4429)%branchCT(0:0))
    call avCT(4429, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20067])

    allocate(vertices(4430)%branchCT(0:0))
    call avCT(4430, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20067])

    allocate(vertices(4431)%branchCT(0:0))
    call avCT(4431, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20067])

    allocate(vertices(4432)%branchCT(0:0))
    call avCT(4432, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20067])

    allocate(vertices(4433)%branchCT(0:0))
    call avCT(4433, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20067])

    allocate(vertices(4434)%branchCT(0:0))
    call avCT(4434, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20067])

    allocate(vertices(4435)%branchCT(0:0))
    call avCT(4435, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20067])

    allocate(vertices(4436)%branchCT(0:0))
    call avCT(4436, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20067])

    allocate(vertices(4437)%branchCT(0:0))
    call avCT(4437, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20067])

    allocate(vertices(4438)%branchCT(0:0))
    call avCT(4438, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20067])

    allocate(vertices(3957)%branchCT(0:0))
    call avCT(3957, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_20075, nGC_20074])

    allocate(vertices(3958)%branchCT(0:0))
    call avCT(3958, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_20074, nGC_20075])

    allocate(vertices(3959)%branchCT(0:0))
    call avCT(3959, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_20074, nGC_20075])

    allocate(vertices(3960)%branchCT(0:0))
    call avCT(3960, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_20075, nGC_20074])

    allocate(vertices(3961)%branchCT(0:0))
    call avCT(3961, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_20075, nGC_20074])

    allocate(vertices(5016)%branchCT(0:0))
    call avCT(5016, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_20077, nGC_20076])

    allocate(vertices(5017)%branchCT(0:0))
    call avCT(5017, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_20076, nGC_20077])

    allocate(vertices(5018)%branchCT(0:0))
    call avCT(5018, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_20076, nGC_20077])

    allocate(vertices(5019)%branchCT(0:0))
    call avCT(5019, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_20077, nGC_20076])

    allocate(vertices(5020)%branchCT(0:0))
    call avCT(5020, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_20077, nGC_20076])

    allocate(vertices(3962)%branchCT(0:0))
    call avCT(3962, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_20085, nGC_20084])

    allocate(vertices(3963)%branchCT(0:0))
    call avCT(3963, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_20084, nGC_20085])

    allocate(vertices(3964)%branchCT(0:0))
    call avCT(3964, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_20084, nGC_20085])

    allocate(vertices(3965)%branchCT(0:0))
    call avCT(3965, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_20085, nGC_20084])

    allocate(vertices(3966)%branchCT(0:0))
    call avCT(3966, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_20085, nGC_20084])

    allocate(vertices(5021)%branchCT(0:0))
    call avCT(5021, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_20087, nGC_20086])

    allocate(vertices(5022)%branchCT(0:0))
    call avCT(5022, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_20086, nGC_20087])

    allocate(vertices(5023)%branchCT(0:0))
    call avCT(5023, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_20086, nGC_20087])

    allocate(vertices(5024)%branchCT(0:0))
    call avCT(5024, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_20087, nGC_20086])

    allocate(vertices(5025)%branchCT(0:0))
    call avCT(5025, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_20087, nGC_20086])

    allocate(vertices(4488)%branchCT(0:0))
    call avCT(4488, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20214, nGC_20214,       &
    nGC_20215])

    allocate(vertices(4489)%branchCT(0:0))
    call avCT(4489, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20214, nGC_20214,       &
    nGC_20215])

    allocate(vertices(4490)%branchCT(0:0))
    call avCT(4490, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20214, nGC_20215,       &
    nGC_20214])

    allocate(vertices(4491)%branchCT(0:0))
    call avCT(4491, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20215, nGC_20214,       &
    nGC_20214])

    allocate(vertices(4492)%branchCT(0:0))
    call avCT(4492, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20214, nGC_20215,       &
    nGC_20214])

    allocate(vertices(4494)%branchCT(0:0))
    call avCT(4494, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20215, nGC_20214,       &
    nGC_20214])

    allocate(vertices(4495)%branchCT(0:0))
    call avCT(4495, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20214, nGC_20215,       &
    nGC_20214])

    allocate(vertices(4496)%branchCT(0:0))
    call avCT(4496, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20214, nGC_20214,       &
    nGC_20215])

    allocate(vertices(4497)%branchCT(0:0))
    call avCT(4497, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20215, nGC_20214,       &
    nGC_20214])

    allocate(vertices(4498)%branchCT(0:0))
    call avCT(4498, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_20214, nGC_20215,       &
    nGC_20214])

    allocate(vertices(4423)%branchCT(0:0))
    call avCT(4423, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20224])

    allocate(vertices(4424)%branchCT(0:0))
    call avCT(4424, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20224])

    allocate(vertices(4425)%branchCT(0:0))
    call avCT(4425, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20224])

    allocate(vertices(4426)%branchCT(0:0))
    call avCT(4426, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20224])

    allocate(vertices(4427)%branchCT(0:0))
    call avCT(4427, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20224])

    allocate(vertices(5026)%branchCT(0:0))
    call avCT(5026, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20225])

    allocate(vertices(5027)%branchCT(0:0))
    call avCT(5027, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20225])

    allocate(vertices(5028)%branchCT(0:0))
    call avCT(5028, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20225])

    allocate(vertices(5029)%branchCT(0:0))
    call avCT(5029, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20225])

    allocate(vertices(5030)%branchCT(0:0))
    call avCT(5030, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20225])

    allocate(vertices(5031)%branchCT(0:0))
    call avCT(5031, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20225])

    allocate(vertices(5032)%branchCT(0:0))
    call avCT(5032, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20225])

    allocate(vertices(5033)%branchCT(0:0))
    call avCT(5033, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20225])

    allocate(vertices(5034)%branchCT(0:0))
    call avCT(5034, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20225])

    allocate(vertices(5035)%branchCT(0:0))
    call avCT(5035, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20225])

    allocate(vertices(5036)%branchCT(0:0))
    call avCT(5036, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20225])

    allocate(vertices(4440)%branchCT(0:0))
    call avCT(4440, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20229])

    allocate(vertices(4441)%branchCT(0:0))
    call avCT(4441, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20229])

    allocate(vertices(4442)%branchCT(0:0))
    call avCT(4442, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20229])

    allocate(vertices(4443)%branchCT(0:0))
    call avCT(4443, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20229])

    allocate(vertices(4444)%branchCT(0:0))
    call avCT(4444, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20229])

    allocate(vertices(5037)%branchCT(0:0))
    call avCT(5037, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20230])

    allocate(vertices(5038)%branchCT(0:0))
    call avCT(5038, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20230])

    allocate(vertices(5039)%branchCT(0:0))
    call avCT(5039, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20230])

    allocate(vertices(5040)%branchCT(0:0))
    call avCT(5040, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20230])

    allocate(vertices(5041)%branchCT(0:0))
    call avCT(5041, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20230])

    allocate(vertices(5042)%branchCT(0:0))
    call avCT(5042, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20230])

    allocate(vertices(5043)%branchCT(0:0))
    call avCT(5043, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20230])

    allocate(vertices(5044)%branchCT(0:0))
    call avCT(5044, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20230])

    allocate(vertices(5045)%branchCT(0:0))
    call avCT(5045, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20230])

    allocate(vertices(5046)%branchCT(0:0))
    call avCT(5046, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20230])

    allocate(vertices(5047)%branchCT(0:0))
    call avCT(5047, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20230])

    allocate(vertices(4446)%branchCT(0:0))
    call avCT(4446, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20235])

    allocate(vertices(4447)%branchCT(0:0))
    call avCT(4447, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20235])

    allocate(vertices(4448)%branchCT(0:0))
    call avCT(4448, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20235])

    allocate(vertices(4449)%branchCT(0:0))
    call avCT(4449, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20235])

    allocate(vertices(4450)%branchCT(0:0))
    call avCT(4450, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20235])

    allocate(vertices(4451)%branchCT(0:0))
    call avCT(4451, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20235])

    allocate(vertices(4452)%branchCT(0:0))
    call avCT(4452, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20235])

    allocate(vertices(4453)%branchCT(0:0))
    call avCT(4453, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20235])

    allocate(vertices(4454)%branchCT(0:0))
    call avCT(4454, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20235])

    allocate(vertices(4455)%branchCT(0:0))
    call avCT(4455, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20235])

    allocate(vertices(5048)%branchCT(0:0))
    call avCT(5048, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5049)%branchCT(0:0))
    call avCT(5049, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5050)%branchCT(0:0))
    call avCT(5050, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5051)%branchCT(0:0))
    call avCT(5051, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5052)%branchCT(0:0))
    call avCT(5052, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5053)%branchCT(0:0))
    call avCT(5053, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5054)%branchCT(0:0))
    call avCT(5054, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5055)%branchCT(0:0))
    call avCT(5055, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5056)%branchCT(0:0))
    call avCT(5056, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5057)%branchCT(0:0))
    call avCT(5057, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5058)%branchCT(0:0))
    call avCT(5058, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5059)%branchCT(0:0))
    call avCT(5059, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5060)%branchCT(0:0))
    call avCT(5060, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5061)%branchCT(0:0))
    call avCT(5061, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5062)%branchCT(0:0))
    call avCT(5062, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5063)%branchCT(0:0))
    call avCT(5063, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5064)%branchCT(0:0))
    call avCT(5064, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5065)%branchCT(0:0))
    call avCT(5065, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5066)%branchCT(0:0))
    call avCT(5066, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5067)%branchCT(0:0))
    call avCT(5067, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5068)%branchCT(0:0))
    call avCT(5068, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5069)%branchCT(0:0))
    call avCT(5069, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20236])

    allocate(vertices(5070)%branchCT(0:0))
    call avCT(5070, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20236])

    allocate(vertices(4457)%branchCT(0:0))
    call avCT(4457, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20240])

    allocate(vertices(4458)%branchCT(0:0))
    call avCT(4458, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20240])

    allocate(vertices(4459)%branchCT(0:0))
    call avCT(4459, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20240])

    allocate(vertices(4460)%branchCT(0:0))
    call avCT(4460, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20240])

    allocate(vertices(4461)%branchCT(0:0))
    call avCT(4461, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20240])

    allocate(vertices(5071)%branchCT(0:0))
    call avCT(5071, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20241])

    allocate(vertices(5072)%branchCT(0:0))
    call avCT(5072, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20241])

    allocate(vertices(5073)%branchCT(0:0))
    call avCT(5073, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_20241])

    allocate(vertices(5074)%branchCT(0:0))
    call avCT(5074, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_20241])

    allocate(vertices(5075)%branchCT(0:0))
    call avCT(5075, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_20241])

    allocate(vertices(5076)%branchCT(0:0))
    call avCT(5076, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20241])

    allocate(vertices(5077)%branchCT(0:0))
    call avCT(5077, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20241])

    allocate(vertices(5078)%branchCT(0:0))
    call avCT(5078, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_20241])

    allocate(vertices(5079)%branchCT(0:0))
    call avCT(5079, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_20241])

    allocate(vertices(5080)%branchCT(0:0))
    call avCT(5080, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20241])

    allocate(vertices(5081)%branchCT(0:0))
    call avCT(5081, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_20241])

    allocate(vertices(4484)%branchCT(0:0))
    call avCT(4484, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_20251])

    allocate(vertices(4485)%branchCT(0:0))
    call avCT(4485, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_20251])

    allocate(vertices(5082)%branchCT(0:0))
    call avCT(5082, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_20252])

    allocate(vertices(5083)%branchCT(0:0))
    call avCT(5083, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_20252])

    allocate(vertices(5084)%branchCT(0:0))
    call avCT(5084, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_20252])

    allocate(vertices(5085)%branchCT(0:0))
    call avCT(5085, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_20252])

    allocate(vertices(5086)%branchCT(0:0))
    call avCT(5086, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_20252])

    allocate(vertices(4486)%branchCT(0:0))
    call avCT(4486, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_20258])

    allocate(vertices(4487)%branchCT(0:0))
    call avCT(4487, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_20258])

    allocate(vertices(5087)%branchCT(0:0))
    call avCT(5087, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_20259])

    allocate(vertices(5088)%branchCT(0:0))
    call avCT(5088, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_20259])

    allocate(vertices(5089)%branchCT(0:0))
    call avCT(5089, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_20259])

    allocate(vertices(5090)%branchCT(0:0))
    call avCT(5090, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_20259])

    allocate(vertices(5091)%branchCT(0:0))
    call avCT(5091, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_20259])

    allocate(vertices(4664)%branchCT(0:0))
    call avCT(4664, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20282, nGC_20283])

    allocate(vertices(4665)%branchCT(0:0))
    call avCT(4665, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20282, nGC_20283])

    allocate(vertices(4666)%branchCT(0:0))
    call avCT(4666, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_20282, nGC_20283])

    allocate(vertices(4667)%branchCT(0:0))
    call avCT(4667, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_20282, nGC_20283])

    allocate(vertices(4668)%branchCT(0:0))
    call avCT(4668, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_20282, nGC_20283])

    allocate(vertices(4952)%branchCT(0:0))
    call avCT(4952, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20291, nGC_20292])

    allocate(vertices(4953)%branchCT(0:0))
    call avCT(4953, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20291, nGC_20292])

    allocate(vertices(4954)%branchCT(0:0))
    call avCT(4954, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_20291, nGC_20292])

    allocate(vertices(4955)%branchCT(0:0))
    call avCT(4955, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_20291, nGC_20292])

    allocate(vertices(4956)%branchCT(0:0))
    call avCT(4956, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_20291, nGC_20292])

    allocate(vertices(4669)%branchCT(0:0))
    call avCT(4669, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20301, nGC_20302])

    allocate(vertices(4670)%branchCT(0:0))
    call avCT(4670, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20301, nGC_20302])

    allocate(vertices(4671)%branchCT(0:0))
    call avCT(4671, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_20301, nGC_20302])

    allocate(vertices(4672)%branchCT(0:0))
    call avCT(4672, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_20301, nGC_20302])

    allocate(vertices(4673)%branchCT(0:0))
    call avCT(4673, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_20301, nGC_20302])

    allocate(vertices(4957)%branchCT(0:0))
    call avCT(4957, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20310, nGC_20311])

    allocate(vertices(4958)%branchCT(0:0))
    call avCT(4958, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20310, nGC_20311])

    allocate(vertices(4959)%branchCT(0:0))
    call avCT(4959, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_20310, nGC_20311])

    allocate(vertices(4960)%branchCT(0:0))
    call avCT(4960, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_20310, nGC_20311])

    allocate(vertices(4961)%branchCT(0:0))
    call avCT(4961, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_20310, nGC_20311])

    allocate(vertices(4674)%branchCT(0:0))
    call avCT(4674, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_20320, nGC_20321])

    allocate(vertices(4675)%branchCT(0:0))
    call avCT(4675, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_20320, nGC_20321])

    allocate(vertices(4676)%branchCT(0:0))
    call avCT(4676, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20320, nGC_20321])

    allocate(vertices(4677)%branchCT(0:0))
    call avCT(4677, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20320, nGC_20321])

    allocate(vertices(4678)%branchCT(0:0))
    call avCT(4678, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_20320, nGC_20321])

    allocate(vertices(4962)%branchCT(0:0))
    call avCT(4962, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_20329, nGC_20330])

    allocate(vertices(4963)%branchCT(0:0))
    call avCT(4963, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_20329, nGC_20330])

    allocate(vertices(4964)%branchCT(0:0))
    call avCT(4964, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_20329, nGC_20330])

    allocate(vertices(4965)%branchCT(0:0))
    call avCT(4965, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_20329, nGC_20330])

    allocate(vertices(4966)%branchCT(0:0))
    call avCT(4966, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_20329, nGC_20330])

    allocate(vertices(4688)%branchCT(0:1))
    call avCT(4688, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_20334, nGC_20331])

    call avCT(4688, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_20342, nGC_20343])

    allocate(vertices(4689)%branchCT(0:1))
    call avCT(4689, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_20334, nGC_20331])

    call avCT(4689, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_20342, nGC_20343])

    allocate(vertices(4690)%branchCT(0:1))
    call avCT(4690, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_20342, nGC_20343])

    call avCT(4690, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_20334, nGC_20331])

    allocate(vertices(4691)%branchCT(0:1))
    call avCT(4691, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_20334, nGC_20331])

    call avCT(4691, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_20342, nGC_20343])

    allocate(vertices(4692)%branchCT(0:1))
    call avCT(4692, 0, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_20342, nGC_20343])

    call avCT(4692, 1, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_20334, nGC_20331])

    allocate(vertices(4880)%branchCT(0:1))
    call avCT(4880, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_20353, nGC_20354])

    call avCT(4880, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_20347, nGC_20350])

    allocate(vertices(4881)%branchCT(0:1))
    call avCT(4881, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_20353, nGC_20354])

    call avCT(4881, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_20347, nGC_20350])

    allocate(vertices(4882)%branchCT(0:1))
    call avCT(4882, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_20353, nGC_20354])

    call avCT(4882, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_20347, nGC_20350])

    allocate(vertices(4883)%branchCT(0:1))
    call avCT(4883, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_20353, nGC_20354])

    call avCT(4883, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_20347, nGC_20350])

    allocate(vertices(4884)%branchCT(0:1))
    call avCT(4884, 0, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_20353, nGC_20354])

    call avCT(4884, 1, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_20347, nGC_20350])

    allocate(vertices(4693)%branchCT(0:1))
    call avCT(4693, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_20358, nGC_20355])

    call avCT(4693, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_20365, nGC_20366])

    allocate(vertices(4694)%branchCT(0:1))
    call avCT(4694, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_20358, nGC_20355])

    call avCT(4694, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_20365, nGC_20366])

    allocate(vertices(4695)%branchCT(0:1))
    call avCT(4695, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_20358, nGC_20355])

    call avCT(4695, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_20365, nGC_20366])

    allocate(vertices(4696)%branchCT(0:1))
    call avCT(4696, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_20365, nGC_20366])

    call avCT(4696, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_20358, nGC_20355])

    allocate(vertices(4697)%branchCT(0:1))
    call avCT(4697, 0, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_20365, nGC_20366])

    call avCT(4697, 1, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_20358, nGC_20355])

    allocate(vertices(4885)%branchCT(0:1))
    call avCT(4885, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_20376, nGC_20377])

    call avCT(4885, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_20370, nGC_20373])

    allocate(vertices(4886)%branchCT(0:1))
    call avCT(4886, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_20376, nGC_20377])

    call avCT(4886, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_20370, nGC_20373])

    allocate(vertices(4887)%branchCT(0:1))
    call avCT(4887, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_20376, nGC_20377])

    call avCT(4887, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_20370, nGC_20373])

    allocate(vertices(4888)%branchCT(0:1))
    call avCT(4888, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_20376, nGC_20377])

    call avCT(4888, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_20370, nGC_20373])

    allocate(vertices(4889)%branchCT(0:1))
    call avCT(4889, 0, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_20376, nGC_20377])

    call avCT(4889, 1, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_20370, nGC_20373])

    allocate(vertices(4698)%branchCT(0:1))
    call avCT(4698, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_20381, nGC_20378])

    call avCT(4698, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_20388, nGC_20389])

    allocate(vertices(4699)%branchCT(0:1))
    call avCT(4699, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_20388, nGC_20389])

    call avCT(4699, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_20381, nGC_20378])

    allocate(vertices(4700)%branchCT(0:1))
    call avCT(4700, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_20388, nGC_20389])

    call avCT(4700, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_20381, nGC_20378])

    allocate(vertices(4701)%branchCT(0:1))
    call avCT(4701, 0, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_20381, nGC_20378])

    call avCT(4701, 1, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_20388, nGC_20389])

    allocate(vertices(4702)%branchCT(0:1))
    call avCT(4702, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_20381, nGC_20378])

    call avCT(4702, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_20388, nGC_20389])

    allocate(vertices(4890)%branchCT(0:1))
    call avCT(4890, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_20399, nGC_20400])

    call avCT(4890, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_20393, nGC_20396])

    allocate(vertices(4891)%branchCT(0:1))
    call avCT(4891, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_20399, nGC_20400])

    call avCT(4891, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_20393, nGC_20396])

    allocate(vertices(4892)%branchCT(0:1))
    call avCT(4892, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_20399, nGC_20400])

    call avCT(4892, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_20393, nGC_20396])

    allocate(vertices(4893)%branchCT(0:1))
    call avCT(4893, 0, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_20399, nGC_20400])

    call avCT(4893, 1, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_20393, nGC_20396])

    allocate(vertices(4894)%branchCT(0:1))
    call avCT(4894, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_20399, nGC_20400])

    call avCT(4894, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_20393, nGC_20396])

    allocate(vertices(4703)%branchCT(0:1))
    call avCT(4703, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_20412, nGC_20413])

    call avCT(4703, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_20404, nGC_20401])

    allocate(vertices(4704)%branchCT(0:1))
    call avCT(4704, 0, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_20412, nGC_20413])

    call avCT(4704, 1, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_20404, nGC_20401])

    allocate(vertices(4705)%branchCT(0:1))
    call avCT(4705, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_20412, nGC_20413])

    call avCT(4705, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_20404, nGC_20401])

    allocate(vertices(4706)%branchCT(0:1))
    call avCT(4706, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_20412, nGC_20413])

    call avCT(4706, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_20404, nGC_20401])

    allocate(vertices(4707)%branchCT(0:1))
    call avCT(4707, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_20412, nGC_20413])

    call avCT(4707, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_20404, nGC_20401])

    allocate(vertices(4904)%branchCT(0:1))
    call avCT(4904, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_20423, nGC_20424])

    call avCT(4904, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_20417, nGC_20420])

    allocate(vertices(4905)%branchCT(0:1))
    call avCT(4905, 0, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_20423, nGC_20424])

    call avCT(4905, 1, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_20417, nGC_20420])

    allocate(vertices(4906)%branchCT(0:1))
    call avCT(4906, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_20423, nGC_20424])

    call avCT(4906, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_20417, nGC_20420])

    allocate(vertices(4907)%branchCT(0:1))
    call avCT(4907, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_20423, nGC_20424])

    call avCT(4907, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_20417, nGC_20420])

    allocate(vertices(4908)%branchCT(0:1))
    call avCT(4908, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_20423, nGC_20424])

    call avCT(4908, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_20417, nGC_20420])

    allocate(vertices(4708)%branchCT(0:1))
    call avCT(4708, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_20435, nGC_20436])

    call avCT(4708, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_20428, nGC_20425])

    allocate(vertices(4709)%branchCT(0:1))
    call avCT(4709, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_20428, nGC_20425])

    call avCT(4709, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_20435, nGC_20436])

    allocate(vertices(4710)%branchCT(0:1))
    call avCT(4710, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_20435, nGC_20436])

    call avCT(4710, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_20428, nGC_20425])

    allocate(vertices(4711)%branchCT(0:1))
    call avCT(4711, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_20435, nGC_20436])

    call avCT(4711, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_20428, nGC_20425])

    allocate(vertices(4712)%branchCT(0:1))
    call avCT(4712, 0, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_20428, nGC_20425])

    call avCT(4712, 1, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_20435, nGC_20436])

    allocate(vertices(4909)%branchCT(0:1))
    call avCT(4909, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_20446, nGC_20447])

    call avCT(4909, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_20440, nGC_20443])

    allocate(vertices(4910)%branchCT(0:1))
    call avCT(4910, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_20446, nGC_20447])

    call avCT(4910, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_20440, nGC_20443])

    allocate(vertices(4911)%branchCT(0:1))
    call avCT(4911, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_20446, nGC_20447])

    call avCT(4911, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_20440, nGC_20443])

    allocate(vertices(4912)%branchCT(0:1))
    call avCT(4912, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_20446, nGC_20447])

    call avCT(4912, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_20440, nGC_20443])

    allocate(vertices(4913)%branchCT(0:1))
    call avCT(4913, 0, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_20446, nGC_20447])

    call avCT(4913, 1, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_20440, nGC_20443])

    allocate(vertices(4713)%branchCT(0:1))
    call avCT(4713, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_20451, nGC_20448])

    call avCT(4713, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_20458, nGC_20459])

    allocate(vertices(4714)%branchCT(0:1))
    call avCT(4714, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_20451, nGC_20448])

    call avCT(4714, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_20458, nGC_20459])

    allocate(vertices(4715)%branchCT(0:1))
    call avCT(4715, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_20451, nGC_20448])

    call avCT(4715, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_20458, nGC_20459])

    allocate(vertices(4716)%branchCT(0:1))
    call avCT(4716, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_20458, nGC_20459])

    call avCT(4716, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_20451, nGC_20448])

    allocate(vertices(4717)%branchCT(0:1))
    call avCT(4717, 0, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_20458, nGC_20459])

    call avCT(4717, 1, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_20451, nGC_20448])

    allocate(vertices(4914)%branchCT(0:1))
    call avCT(4914, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_20469, nGC_20470])

    call avCT(4914, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_20463, nGC_20466])

    allocate(vertices(4915)%branchCT(0:1))
    call avCT(4915, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_20469, nGC_20470])

    call avCT(4915, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_20463, nGC_20466])

    allocate(vertices(4916)%branchCT(0:1))
    call avCT(4916, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_20469, nGC_20470])

    call avCT(4916, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_20463, nGC_20466])

    allocate(vertices(4917)%branchCT(0:1))
    call avCT(4917, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_20469, nGC_20470])

    call avCT(4917, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_20463, nGC_20466])

    allocate(vertices(4918)%branchCT(0:1))
    call avCT(4918, 0, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_20469, nGC_20470])

    call avCT(4918, 1, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_20463, nGC_20466])

    allocate(vertices(4736)%branchCT(0:3))
    call avCT(4736, 0, 22, 6, 0, FVFa0, 0, [1, 2], [nGC_20474, nGC_20472])

    call avCT(4736, 1, 22, 6, 0, FVFa0, 0, [3, 0], [nGC_20478, nGC_20479])

    call avCT(4736, 2, 23, 7, 0, FVFa0, 0, [1, 2], [nGC_20474, nGC_20472])

    call avCT(4736, 3, 23, 7, 0, FVFa0, 0, [3, 0], [nGC_20478, nGC_20479])

    allocate(vertices(4737)%branchCT(0:3))
    call avCT(4737, 0, 28, 6, 0, FaFV0, 0, [1, 2], [nGC_20474, nGC_20472])

    call avCT(4737, 1, 28, 6, 0, FaFV0, 0, [3, 0], [nGC_20478, nGC_20479])

    call avCT(4737, 2, 29, 7, 0, FaFV0, 0, [3, 0], [nGC_20478, nGC_20479])

    call avCT(4737, 3, 29, 7, 0, FaFV0, 0, [1, 2], [nGC_20474, nGC_20472])

    allocate(vertices(4738)%branchCT(0:3))
    call avCT(4738, 0, 30, 6, 0, FaVF0, 0, [1, 2], [nGC_20474, nGC_20472])

    call avCT(4738, 1, 30, 6, 0, FaVF0, 0, [3, 0], [nGC_20478, nGC_20479])

    call avCT(4738, 2, 31, 7, 0, FaVF0, 0, [3, 0], [nGC_20478, nGC_20479])

    call avCT(4738, 3, 31, 7, 0, FaVF0, 0, [1, 2], [nGC_20474, nGC_20472])

    allocate(vertices(4739)%branchCT(0:3))
    call avCT(4739, 0, 24, 6, 0, VFFa0, 0, [3, 0], [nGC_20478, nGC_20479])

    call avCT(4739, 1, 24, 6, 0, VFFa0, 0, [1, 2], [nGC_20474, nGC_20472])

    call avCT(4739, 2, 25, 7, 0, VFFa0, 0, [3, 0], [nGC_20478, nGC_20479])

    call avCT(4739, 3, 25, 7, 0, VFFa0, 0, [1, 2], [nGC_20474, nGC_20472])

    allocate(vertices(4740)%branchCT(0:3))
    call avCT(4740, 0, 26, 6, 0, VFaF0, 0, [3, 0], [nGC_20478, nGC_20479])

    call avCT(4740, 1, 26, 6, 0, VFaF0, 0, [1, 2], [nGC_20474, nGC_20472])

    call avCT(4740, 2, 27, 7, 0, VFaF0, 0, [3, 0], [nGC_20478, nGC_20479])

    call avCT(4740, 3, 27, 7, 0, VFaF0, 0, [1, 2], [nGC_20474, nGC_20472])

    allocate(vertices(4741)%branchCT(0:3))
    call avCT(4741, 0, 22, 6, 0, FVFa0, 0, [3, 0], [nGC_20492, nGC_20493])

    call avCT(4741, 1, 22, 6, 0, FVFa0, 0, [1, 2], [nGC_20489, nGC_20487])

    call avCT(4741, 2, 23, 7, 0, FVFa0, 0, [3, 0], [nGC_20492, nGC_20493])

    call avCT(4741, 3, 23, 7, 0, FVFa0, 0, [1, 2], [nGC_20489, nGC_20487])

    allocate(vertices(4742)%branchCT(0:3))
    call avCT(4742, 0, 28, 6, 0, FaFV0, 0, [1, 2], [nGC_20489, nGC_20487])

    call avCT(4742, 1, 28, 6, 0, FaFV0, 0, [3, 0], [nGC_20492, nGC_20493])

    call avCT(4742, 2, 29, 7, 0, FaFV0, 0, [1, 2], [nGC_20489, nGC_20487])

    call avCT(4742, 3, 29, 7, 0, FaFV0, 0, [3, 0], [nGC_20492, nGC_20493])

    allocate(vertices(4743)%branchCT(0:3))
    call avCT(4743, 0, 30, 6, 0, FaVF0, 0, [1, 2], [nGC_20489, nGC_20487])

    call avCT(4743, 1, 30, 6, 0, FaVF0, 0, [3, 0], [nGC_20492, nGC_20493])

    call avCT(4743, 2, 31, 7, 0, FaVF0, 0, [3, 0], [nGC_20492, nGC_20493])

    call avCT(4743, 3, 31, 7, 0, FaVF0, 0, [1, 2], [nGC_20489, nGC_20487])

    allocate(vertices(4744)%branchCT(0:3))
    call avCT(4744, 0, 24, 6, 0, VFFa0, 0, [1, 2], [nGC_20489, nGC_20487])

    call avCT(4744, 1, 24, 6, 0, VFFa0, 0, [3, 0], [nGC_20492, nGC_20493])

    call avCT(4744, 2, 25, 7, 0, VFFa0, 0, [1, 2], [nGC_20489, nGC_20487])

    call avCT(4744, 3, 25, 7, 0, VFFa0, 0, [3, 0], [nGC_20492, nGC_20493])

    allocate(vertices(4745)%branchCT(0:3))
    call avCT(4745, 0, 26, 6, 0, VFaF0, 0, [1, 2], [nGC_20489, nGC_20487])

    call avCT(4745, 1, 26, 6, 0, VFaF0, 0, [3, 0], [nGC_20492, nGC_20493])

    call avCT(4745, 2, 27, 7, 0, VFaF0, 0, [1, 2], [nGC_20489, nGC_20487])

    call avCT(4745, 3, 27, 7, 0, VFaF0, 0, [3, 0], [nGC_20492, nGC_20493])

    allocate(vertices(4746)%branchCT(0:3))
    call avCT(4746, 0, 26, 6, 0, VFaF0, 0, [1, 2], [nGC_20503, nGC_20501])

    call avCT(4746, 1, 26, 6, 0, VFaF0, 0, [3, 0], [nGC_20506, nGC_20507])

    call avCT(4746, 2, 27, 7, 0, VFaF0, 0, [3, 0], [nGC_20506, nGC_20507])

    call avCT(4746, 3, 27, 7, 0, VFaF0, 0, [1, 2], [nGC_20503, nGC_20501])

    allocate(vertices(4747)%branchCT(0:3))
    call avCT(4747, 0, 24, 6, 0, VFFa0, 0, [3, 0], [nGC_20506, nGC_20507])

    call avCT(4747, 1, 24, 6, 0, VFFa0, 0, [1, 2], [nGC_20503, nGC_20501])

    call avCT(4747, 2, 25, 7, 0, VFFa0, 0, [3, 0], [nGC_20506, nGC_20507])

    call avCT(4747, 3, 25, 7, 0, VFFa0, 0, [1, 2], [nGC_20503, nGC_20501])

    allocate(vertices(4748)%branchCT(0:3))
    call avCT(4748, 0, 30, 6, 0, FaVF0, 0, [1, 2], [nGC_20503, nGC_20501])

    call avCT(4748, 1, 30, 6, 0, FaVF0, 0, [3, 0], [nGC_20506, nGC_20507])

    call avCT(4748, 2, 31, 7, 0, FaVF0, 0, [1, 2], [nGC_20503, nGC_20501])

    call avCT(4748, 3, 31, 7, 0, FaVF0, 0, [3, 0], [nGC_20506, nGC_20507])

    allocate(vertices(4749)%branchCT(0:3))
    call avCT(4749, 0, 28, 6, 0, FaFV0, 0, [1, 2], [nGC_20503, nGC_20501])

    call avCT(4749, 1, 28, 6, 0, FaFV0, 0, [3, 0], [nGC_20506, nGC_20507])

    call avCT(4749, 2, 29, 7, 0, FaFV0, 0, [3, 0], [nGC_20506, nGC_20507])

    call avCT(4749, 3, 29, 7, 0, FaFV0, 0, [1, 2], [nGC_20503, nGC_20501])

    allocate(vertices(4750)%branchCT(0:3))
    call avCT(4750, 0, 22, 6, 0, FVFa0, 0, [3, 0], [nGC_20506, nGC_20507])

    call avCT(4750, 1, 22, 6, 0, FVFa0, 0, [1, 2], [nGC_20503, nGC_20501])

    call avCT(4750, 2, 23, 7, 0, FVFa0, 0, [3, 0], [nGC_20506, nGC_20507])

    call avCT(4750, 3, 23, 7, 0, FVFa0, 0, [1, 2], [nGC_20503, nGC_20501])

    allocate(vertices(4751)%branchCT(0:3))
    call avCT(4751, 0, 28, 6, 0, FaFV0, 0, [1, 2], [nGC_20517, nGC_20515])

    call avCT(4751, 1, 28, 6, 0, FaFV0, 0, [3, 0], [nGC_20520, nGC_20521])

    call avCT(4751, 2, 29, 7, 0, FaFV0, 0, [1, 2], [nGC_20517, nGC_20515])

    call avCT(4751, 3, 29, 7, 0, FaFV0, 0, [3, 0], [nGC_20520, nGC_20521])

    allocate(vertices(4752)%branchCT(0:3))
    call avCT(4752, 0, 30, 6, 0, FaVF0, 0, [1, 2], [nGC_20517, nGC_20515])

    call avCT(4752, 1, 30, 6, 0, FaVF0, 0, [3, 0], [nGC_20520, nGC_20521])

    call avCT(4752, 2, 31, 7, 0, FaVF0, 0, [3, 0], [nGC_20520, nGC_20521])

    call avCT(4752, 3, 31, 7, 0, FaVF0, 0, [1, 2], [nGC_20517, nGC_20515])

    allocate(vertices(4753)%branchCT(0:3))
    call avCT(4753, 0, 22, 6, 0, FVFa0, 0, [3, 0], [nGC_20520, nGC_20521])

    call avCT(4753, 1, 22, 6, 0, FVFa0, 0, [1, 2], [nGC_20517, nGC_20515])

    call avCT(4753, 2, 23, 7, 0, FVFa0, 0, [1, 2], [nGC_20517, nGC_20515])

    call avCT(4753, 3, 23, 7, 0, FVFa0, 0, [3, 0], [nGC_20520, nGC_20521])

    allocate(vertices(4754)%branchCT(0:3))
    call avCT(4754, 0, 26, 6, 0, VFaF0, 0, [3, 0], [nGC_20520, nGC_20521])

    call avCT(4754, 1, 26, 6, 0, VFaF0, 0, [1, 2], [nGC_20517, nGC_20515])

    call avCT(4754, 2, 27, 7, 0, VFaF0, 0, [1, 2], [nGC_20517, nGC_20515])

    call avCT(4754, 3, 27, 7, 0, VFaF0, 0, [3, 0], [nGC_20520, nGC_20521])

    allocate(vertices(4755)%branchCT(0:3))
    call avCT(4755, 0, 24, 6, 0, VFFa0, 0, [3, 0], [nGC_20520, nGC_20521])

    call avCT(4755, 1, 24, 6, 0, VFFa0, 0, [1, 2], [nGC_20517, nGC_20515])

    call avCT(4755, 2, 25, 7, 0, VFFa0, 0, [3, 0], [nGC_20520, nGC_20521])

    call avCT(4755, 3, 25, 7, 0, VFFa0, 0, [1, 2], [nGC_20517, nGC_20515])

    allocate(vertices(4756)%branchCT(0:3))
    call avCT(4756, 0, 22, 6, 0, FVFa0, 0, [1, 2], [nGC_20531, nGC_20529])

    call avCT(4756, 1, 22, 6, 0, FVFa0, 0, [3, 0], [nGC_20534, nGC_20535])

    call avCT(4756, 2, 23, 7, 0, FVFa0, 0, [1, 2], [nGC_20531, nGC_20529])

    call avCT(4756, 3, 23, 7, 0, FVFa0, 0, [3, 0], [nGC_20534, nGC_20535])

    allocate(vertices(4757)%branchCT(0:3))
    call avCT(4757, 0, 28, 6, 0, FaFV0, 0, [3, 0], [nGC_20534, nGC_20535])

    call avCT(4757, 1, 28, 6, 0, FaFV0, 0, [1, 2], [nGC_20531, nGC_20529])

    call avCT(4757, 2, 29, 7, 0, FaFV0, 0, [1, 2], [nGC_20531, nGC_20529])

    call avCT(4757, 3, 29, 7, 0, FaFV0, 0, [3, 0], [nGC_20534, nGC_20535])

    allocate(vertices(4758)%branchCT(0:3))
    call avCT(4758, 0, 30, 6, 0, FaVF0, 0, [1, 2], [nGC_20531, nGC_20529])

    call avCT(4758, 1, 30, 6, 0, FaVF0, 0, [3, 0], [nGC_20534, nGC_20535])

    call avCT(4758, 2, 31, 7, 0, FaVF0, 0, [3, 0], [nGC_20534, nGC_20535])

    call avCT(4758, 3, 31, 7, 0, FaVF0, 0, [1, 2], [nGC_20531, nGC_20529])

    allocate(vertices(4759)%branchCT(0:3))
    call avCT(4759, 0, 24, 6, 0, VFFa0, 0, [1, 2], [nGC_20531, nGC_20529])

    call avCT(4759, 1, 24, 6, 0, VFFa0, 0, [3, 0], [nGC_20534, nGC_20535])

    call avCT(4759, 2, 25, 7, 0, VFFa0, 0, [3, 0], [nGC_20534, nGC_20535])

    call avCT(4759, 3, 25, 7, 0, VFFa0, 0, [1, 2], [nGC_20531, nGC_20529])

    allocate(vertices(4760)%branchCT(0:3))
    call avCT(4760, 0, 26, 6, 0, VFaF0, 0, [3, 0], [nGC_20534, nGC_20535])

    call avCT(4760, 1, 26, 6, 0, VFaF0, 0, [1, 2], [nGC_20531, nGC_20529])

    call avCT(4760, 2, 27, 7, 0, VFaF0, 0, [1, 2], [nGC_20531, nGC_20529])

    call avCT(4760, 3, 27, 7, 0, VFaF0, 0, [3, 0], [nGC_20534, nGC_20535])

    allocate(vertices(4761)%branchCT(0:3))
    call avCT(4761, 0, 22, 6, 0, FVFa0, 0, [3, 0], [nGC_20548, nGC_20549])

    call avCT(4761, 1, 22, 6, 0, FVFa0, 0, [1, 2], [nGC_20545, nGC_20543])

    call avCT(4761, 2, 23, 7, 0, FVFa0, 0, [1, 2], [nGC_20545, nGC_20543])

    call avCT(4761, 3, 23, 7, 0, FVFa0, 0, [3, 0], [nGC_20548, nGC_20549])

    allocate(vertices(4762)%branchCT(0:3))
    call avCT(4762, 0, 28, 6, 0, FaFV0, 0, [3, 0], [nGC_20548, nGC_20549])

    call avCT(4762, 1, 28, 6, 0, FaFV0, 0, [1, 2], [nGC_20545, nGC_20543])

    call avCT(4762, 2, 29, 7, 0, FaFV0, 0, [3, 0], [nGC_20548, nGC_20549])

    call avCT(4762, 3, 29, 7, 0, FaFV0, 0, [1, 2], [nGC_20545, nGC_20543])

    allocate(vertices(4763)%branchCT(0:3))
    call avCT(4763, 0, 30, 6, 0, FaVF0, 0, [3, 0], [nGC_20548, nGC_20549])

    call avCT(4763, 1, 30, 6, 0, FaVF0, 0, [1, 2], [nGC_20545, nGC_20543])

    call avCT(4763, 2, 31, 7, 0, FaVF0, 0, [3, 0], [nGC_20548, nGC_20549])

    call avCT(4763, 3, 31, 7, 0, FaVF0, 0, [1, 2], [nGC_20545, nGC_20543])

    allocate(vertices(4764)%branchCT(0:3))
    call avCT(4764, 0, 24, 6, 0, VFFa0, 0, [1, 2], [nGC_20545, nGC_20543])

    call avCT(4764, 1, 24, 6, 0, VFFa0, 0, [3, 0], [nGC_20548, nGC_20549])

    call avCT(4764, 2, 25, 7, 0, VFFa0, 0, [3, 0], [nGC_20548, nGC_20549])

    call avCT(4764, 3, 25, 7, 0, VFFa0, 0, [1, 2], [nGC_20545, nGC_20543])

    allocate(vertices(4765)%branchCT(0:3))
    call avCT(4765, 0, 26, 6, 0, VFaF0, 0, [1, 2], [nGC_20545, nGC_20543])

    call avCT(4765, 1, 26, 6, 0, VFaF0, 0, [3, 0], [nGC_20548, nGC_20549])

    call avCT(4765, 2, 27, 7, 0, VFaF0, 0, [1, 2], [nGC_20545, nGC_20543])

    call avCT(4765, 3, 27, 7, 0, VFaF0, 0, [3, 0], [nGC_20548, nGC_20549])

    allocate(vertices(4784)%branchCT(0:1))
    call avCT(4784, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_20559])

    call avCT(4784, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_20558])

    allocate(vertices(4785)%branchCT(0:1))
    call avCT(4785, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_20559])

    call avCT(4785, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_20558])

    allocate(vertices(4786)%branchCT(0:1))
    call avCT(4786, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_20559])

    call avCT(4786, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_20558])

    allocate(vertices(4787)%branchCT(0:1))
    call avCT(4787, 0, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_20559])

    call avCT(4787, 1, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_20558])

    allocate(vertices(4788)%branchCT(0:1))
    call avCT(4788, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_20559])

    call avCT(4788, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_20558])

    allocate(vertices(4789)%branchCT(0:1))
    call avCT(4789, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_20563])

    call avCT(4789, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_20562])

    allocate(vertices(4790)%branchCT(0:1))
    call avCT(4790, 0, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_20563])

    call avCT(4790, 1, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_20562])

    allocate(vertices(4791)%branchCT(0:1))
    call avCT(4791, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_20563])

    call avCT(4791, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_20562])

    allocate(vertices(4792)%branchCT(0:1))
    call avCT(4792, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_20563])

    call avCT(4792, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_20562])

    allocate(vertices(4793)%branchCT(0:1))
    call avCT(4793, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_20563])

    call avCT(4793, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_20562])

    allocate(vertices(4794)%branchCT(0:1))
    call avCT(4794, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_20567])

    call avCT(4794, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_20566])

    allocate(vertices(4795)%branchCT(0:1))
    call avCT(4795, 0, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_20567])

    call avCT(4795, 1, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_20566])

    allocate(vertices(4796)%branchCT(0:1))
    call avCT(4796, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_20567])

    call avCT(4796, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_20566])

    allocate(vertices(4797)%branchCT(0:1))
    call avCT(4797, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_20567])

    call avCT(4797, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_20566])

    allocate(vertices(4798)%branchCT(0:1))
    call avCT(4798, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_20567])

    call avCT(4798, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_20566])

    allocate(vertices(4808)%branchCT(0:1))
    call avCT(4808, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_20559])

    call avCT(4808, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_20558])

    allocate(vertices(4809)%branchCT(0:1))
    call avCT(4809, 0, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_20559])

    call avCT(4809, 1, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_20558])

    allocate(vertices(4810)%branchCT(0:1))
    call avCT(4810, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_20559])

    call avCT(4810, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_20558])

    allocate(vertices(4811)%branchCT(0:1))
    call avCT(4811, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_20559])

    call avCT(4811, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_20558])

    allocate(vertices(4812)%branchCT(0:1))
    call avCT(4812, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_20559])

    call avCT(4812, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_20558])

    allocate(vertices(4813)%branchCT(0:1))
    call avCT(4813, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_20563])

    call avCT(4813, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_20562])

    allocate(vertices(4814)%branchCT(0:1))
    call avCT(4814, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_20563])

    call avCT(4814, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_20562])

    allocate(vertices(4815)%branchCT(0:1))
    call avCT(4815, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_20563])

    call avCT(4815, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_20562])

    allocate(vertices(4816)%branchCT(0:1))
    call avCT(4816, 0, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_20563])

    call avCT(4816, 1, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_20562])

    allocate(vertices(4817)%branchCT(0:1))
    call avCT(4817, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_20563])

    call avCT(4817, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_20562])

    allocate(vertices(4818)%branchCT(0:1))
    call avCT(4818, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_20567])

    call avCT(4818, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_20566])

    allocate(vertices(4819)%branchCT(0:1))
    call avCT(4819, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_20567])

    call avCT(4819, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_20566])

    allocate(vertices(4820)%branchCT(0:1))
    call avCT(4820, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_20567])

    call avCT(4820, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_20566])

    allocate(vertices(4821)%branchCT(0:1))
    call avCT(4821, 0, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_20567])

    call avCT(4821, 1, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_20566])

    allocate(vertices(4822)%branchCT(0:1))
    call avCT(4822, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_20567])

    call avCT(4822, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_20566])

    allocate(vertices(4832)%branchCT(0:0))
    call avCT(4832, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_20579])

    allocate(vertices(4833)%branchCT(0:0))
    call avCT(4833, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_20579])

    allocate(vertices(4834)%branchCT(0:0))
    call avCT(4834, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_20579])

    allocate(vertices(4835)%branchCT(0:0))
    call avCT(4835, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_20579])

    allocate(vertices(4836)%branchCT(0:0))
    call avCT(4836, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_20579])

    allocate(vertices(4837)%branchCT(0:0))
    call avCT(4837, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_20582])

    allocate(vertices(4838)%branchCT(0:0))
    call avCT(4838, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_20582])

    allocate(vertices(4839)%branchCT(0:0))
    call avCT(4839, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_20582])

    allocate(vertices(4840)%branchCT(0:0))
    call avCT(4840, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_20582])

    allocate(vertices(4841)%branchCT(0:0))
    call avCT(4841, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_20582])

  end subroutine fill_vertices_mdl10
end module vertices_info10
