!******************************************************************************!
!                                                                              !
!    vertices_info12.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info12.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info12
  implicit none
  contains
  subroutine fill_vertices_mdl12()
    use class_vertices
    use class_couplings
    allocate(vertices(3574)%branchR2(0:0))
    call avR2(3574, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13253, nGC_13251,       &
    nGC_13252])

    allocate(vertices(3568)%branchR2(0:0))
    call avR2(3568, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13253, nGC_13252,       &
    nGC_13251])

    allocate(vertices(3569)%branchR2(0:0))
    call avR2(3569, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13252, nGC_13253,       &
    nGC_13251])

    allocate(vertices(3567)%branchR2(0:0))
    call avR2(3567, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13253, nGC_13251,       &
    nGC_13252])

    allocate(vertices(431)%branchR2(0:0))
    call avR2(431, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13251, nGC_13253,        &
    nGC_13252])

    allocate(vertices(3571)%branchR2(0:0))
    call avR2(3571, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13252, nGC_13251,       &
    nGC_13253])

    allocate(vertices(3570)%branchR2(0:0))
    call avR2(3570, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13251, nGC_13252,       &
    nGC_13253])

    allocate(vertices(3577)%branchR2(0:0))
    call avR2(3577, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13251, nGC_13253,       &
    nGC_13252])

    allocate(vertices(3576)%branchR2(0:0))
    call avR2(3576, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13251, nGC_13252,       &
    nGC_13253])

    allocate(vertices(3575)%branchR2(0:0))
    call avR2(3575, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13252, nGC_13251,       &
    nGC_13253])

    allocate(vertices(3219)%branchR2(0:0))
    call avR2(3219, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3218)%branchR2(0:0))
    call avR2(3218, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3221)%branchR2(0:0))
    call avR2(3221, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3220)%branchR2(0:0))
    call avR2(3220, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3216)%branchR2(0:0))
    call avR2(3216, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3217)%branchR2(0:0))
    call avR2(3217, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3213)%branchR2(0:0))
    call avR2(3213, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3212)%branchR2(0:0))
    call avR2(3212, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3215)%branchR2(0:0))
    call avR2(3215, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3214)%branchR2(0:0))
    call avR2(3214, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3210)%branchR2(0:0))
    call avR2(3210, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3211)%branchR2(0:0))
    call avR2(3211, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3227)%branchR2(0:0))
    call avR2(3227, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3226)%branchR2(0:0))
    call avR2(3226, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3225)%branchR2(0:0))
    call avR2(3225, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3224)%branchR2(0:0))
    call avR2(3224, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3223)%branchR2(0:0))
    call avR2(3223, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3222)%branchR2(0:0))
    call avR2(3222, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3206)%branchR2(0:0))
    call avR2(3206, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3207)%branchR2(0:0))
    call avR2(3207, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3205)%branchR2(0:0))
    call avR2(3205, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13254])

    allocate(vertices(393)%branchR2(0:0))
    call avR2(393, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3209)%branchR2(0:0))
    call avR2(3209, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3208)%branchR2(0:0))
    call avR2(3208, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13254])

    allocate(vertices(3270)%branchR2(0:0))
    call avR2(3270, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3271)%branchR2(0:0))
    call avR2(3271, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3268)%branchR2(0:0))
    call avR2(3268, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3269)%branchR2(0:0))
    call avR2(3269, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3273)%branchR2(0:0))
    call avR2(3273, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3272)%branchR2(0:0))
    call avR2(3272, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3264)%branchR2(0:0))
    call avR2(3264, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3265)%branchR2(0:0))
    call avR2(3265, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3262)%branchR2(0:0))
    call avR2(3262, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3263)%branchR2(0:0))
    call avR2(3263, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3267)%branchR2(0:0))
    call avR2(3267, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3266)%branchR2(0:0))
    call avR2(3266, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3258)%branchR2(0:0))
    call avR2(3258, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3259)%branchR2(0:0))
    call avR2(3259, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13255])

    allocate(vertices(397)%branchR2(0:0))
    call avR2(397, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3257)%branchR2(0:0))
    call avR2(3257, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3261)%branchR2(0:0))
    call avR2(3261, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3260)%branchR2(0:0))
    call avR2(3260, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3279)%branchR2(0:0))
    call avR2(3279, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3278)%branchR2(0:0))
    call avR2(3278, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3277)%branchR2(0:0))
    call avR2(3277, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3276)%branchR2(0:0))
    call avR2(3276, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3275)%branchR2(0:0))
    call avR2(3275, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3274)%branchR2(0:0))
    call avR2(3274, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13255])

    allocate(vertices(3927)%branchR2(0:0))
    call avR2(3927, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3926)%branchR2(0:0))
    call avR2(3926, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3925)%branchR2(0:0))
    call avR2(3925, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3924)%branchR2(0:0))
    call avR2(3924, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3923)%branchR2(0:0))
    call avR2(3923, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3922)%branchR2(0:0))
    call avR2(3922, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3921)%branchR2(0:0))
    call avR2(3921, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3920)%branchR2(0:0))
    call avR2(3920, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3919)%branchR2(0:0))
    call avR2(3919, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3918)%branchR2(0:0))
    call avR2(3918, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3917)%branchR2(0:0))
    call avR2(3917, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3916)%branchR2(0:0))
    call avR2(3916, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3913)%branchR2(0:0))
    call avR2(3913, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3912)%branchR2(0:0))
    call avR2(3912, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3915)%branchR2(0:0))
    call avR2(3915, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3914)%branchR2(0:0))
    call avR2(3914, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13256])

    allocate(vertices(517)%branchR2(0:0))
    call avR2(517, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3911)%branchR2(0:0))
    call avR2(3911, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3931)%branchR2(0:0))
    call avR2(3931, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3930)%branchR2(0:0))
    call avR2(3930, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3933)%branchR2(0:0))
    call avR2(3933, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3932)%branchR2(0:0))
    call avR2(3932, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3928)%branchR2(0:0))
    call avR2(3928, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3929)%branchR2(0:0))
    call avR2(3929, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13256])

    allocate(vertices(3244)%branchR2(0:0))
    call avR2(3244, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3245)%branchR2(0:0))
    call avR2(3245, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3242)%branchR2(0:0))
    call avR2(3242, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3243)%branchR2(0:0))
    call avR2(3243, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3247)%branchR2(0:0))
    call avR2(3247, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3246)%branchR2(0:0))
    call avR2(3246, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3238)%branchR2(0:0))
    call avR2(3238, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3239)%branchR2(0:0))
    call avR2(3239, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3236)%branchR2(0:0))
    call avR2(3236, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3237)%branchR2(0:0))
    call avR2(3237, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3241)%branchR2(0:0))
    call avR2(3241, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3240)%branchR2(0:0))
    call avR2(3240, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3232)%branchR2(0:0))
    call avR2(3232, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3233)%branchR2(0:0))
    call avR2(3233, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13257])

    allocate(vertices(395)%branchR2(0:0))
    call avR2(395, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3231)%branchR2(0:0))
    call avR2(3231, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3235)%branchR2(0:0))
    call avR2(3235, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3234)%branchR2(0:0))
    call avR2(3234, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3253)%branchR2(0:0))
    call avR2(3253, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3252)%branchR2(0:0))
    call avR2(3252, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3251)%branchR2(0:0))
    call avR2(3251, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3250)%branchR2(0:0))
    call avR2(3250, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3249)%branchR2(0:0))
    call avR2(3249, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13257])

    allocate(vertices(3248)%branchR2(0:0))
    call avR2(3248, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13257])

    allocate(vertices(2978)%branchR2(0:0))
    call avR2(2978, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2979)%branchR2(0:0))
    call avR2(2979, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2976)%branchR2(0:0))
    call avR2(2976, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2977)%branchR2(0:0))
    call avR2(2977, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2981)%branchR2(0:0))
    call avR2(2981, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2980)%branchR2(0:0))
    call avR2(2980, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2984)%branchR2(0:0))
    call avR2(2984, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2985)%branchR2(0:0))
    call avR2(2985, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2982)%branchR2(0:0))
    call avR2(2982, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2983)%branchR2(0:0))
    call avR2(2983, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2987)%branchR2(0:0))
    call avR2(2987, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2986)%branchR2(0:0))
    call avR2(2986, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2971)%branchR2(0:0))
    call avR2(2971, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2972)%branchR2(0:0))
    call avR2(2972, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2973)%branchR2(0:0))
    call avR2(2973, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2974)%branchR2(0:0))
    call avR2(2974, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(367)%branchR2(0:0))
    call avR2(367, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2975)%branchR2(0:0))
    call avR2(2975, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2991)%branchR2(0:0))
    call avR2(2991, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2990)%branchR2(0:0))
    call avR2(2990, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2993)%branchR2(0:0))
    call avR2(2993, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2992)%branchR2(0:0))
    call avR2(2992, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2988)%branchR2(0:0))
    call avR2(2988, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2989)%branchR2(0:0))
    call avR2(2989, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(3028)%branchR2(0:0))
    call avR2(3028, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3029)%branchR2(0:0))
    call avR2(3029, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3033)%branchR2(0:0))
    call avR2(3033, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3032)%branchR2(0:0))
    call avR2(3032, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3030)%branchR2(0:0))
    call avR2(3030, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3031)%branchR2(0:0))
    call avR2(3031, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3023)%branchR2(0:0))
    call avR2(3023, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3024)%branchR2(0:0))
    call avR2(3024, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13259])

    allocate(vertices(371)%branchR2(0:0))
    call avR2(371, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3025)%branchR2(0:0))
    call avR2(3025, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3027)%branchR2(0:0))
    call avR2(3027, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3026)%branchR2(0:0))
    call avR2(3026, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3045)%branchR2(0:0))
    call avR2(3045, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3044)%branchR2(0:0))
    call avR2(3044, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3043)%branchR2(0:0))
    call avR2(3043, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3042)%branchR2(0:0))
    call avR2(3042, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3041)%branchR2(0:0))
    call avR2(3041, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3040)%branchR2(0:0))
    call avR2(3040, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3039)%branchR2(0:0))
    call avR2(3039, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3038)%branchR2(0:0))
    call avR2(3038, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3036)%branchR2(0:0))
    call avR2(3036, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3037)%branchR2(0:0))
    call avR2(3037, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3034)%branchR2(0:0))
    call avR2(3034, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3035)%branchR2(0:0))
    call avR2(3035, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13259])

    allocate(vertices(3002)%branchR2(0:0))
    call avR2(3002, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3003)%branchR2(0:0))
    call avR2(3003, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3007)%branchR2(0:0))
    call avR2(3007, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3006)%branchR2(0:0))
    call avR2(3006, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3004)%branchR2(0:0))
    call avR2(3004, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3005)%branchR2(0:0))
    call avR2(3005, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13260])

    allocate(vertices(2997)%branchR2(0:0))
    call avR2(2997, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13260])

    allocate(vertices(2998)%branchR2(0:0))
    call avR2(2998, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13260])

    allocate(vertices(369)%branchR2(0:0))
    call avR2(369, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13260])

    allocate(vertices(2999)%branchR2(0:0))
    call avR2(2999, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3001)%branchR2(0:0))
    call avR2(3001, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3000)%branchR2(0:0))
    call avR2(3000, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3019)%branchR2(0:0))
    call avR2(3019, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3018)%branchR2(0:0))
    call avR2(3018, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3017)%branchR2(0:0))
    call avR2(3017, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3016)%branchR2(0:0))
    call avR2(3016, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3015)%branchR2(0:0))
    call avR2(3015, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3014)%branchR2(0:0))
    call avR2(3014, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3010)%branchR2(0:0))
    call avR2(3010, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3011)%branchR2(0:0))
    call avR2(3011, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3008)%branchR2(0:0))
    call avR2(3008, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3009)%branchR2(0:0))
    call avR2(3009, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3013)%branchR2(0:0))
    call avR2(3013, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13260])

    allocate(vertices(3012)%branchR2(0:0))
    call avR2(3012, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13260])

    allocate(vertices(5166)%branchR2(0:0))
    call avR2(5166, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13261, nGC_13261,       &
    nGC_13261])

    allocate(vertices(5167)%branchR2(0:0))
    call avR2(5167, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13262, nGC_13262,       &
    nGC_13262])

    allocate(vertices(5168)%branchR2(0:0))
    call avR2(5168, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13262, nGC_13262,       &
    nGC_13262])

    allocate(vertices(5169)%branchR2(0:0))
    call avR2(5169, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13262, nGC_13262,       &
    nGC_13262])

    allocate(vertices(5170)%branchR2(0:0))
    call avR2(5170, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13262, nGC_13262,       &
    nGC_13262])

    allocate(vertices(5033)%branchR2(0:0))
    call avR2(5033, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13263])

    allocate(vertices(5032)%branchR2(0:0))
    call avR2(5032, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13263])

    allocate(vertices(5031)%branchR2(0:0))
    call avR2(5031, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13263])

    allocate(vertices(5030)%branchR2(0:0))
    call avR2(5030, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13263])

    allocate(vertices(5029)%branchR2(0:0))
    call avR2(5029, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13263])

    allocate(vertices(5028)%branchR2(0:0))
    call avR2(5028, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13263])

    allocate(vertices(5027)%branchR2(0:0))
    call avR2(5027, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13263])

    allocate(vertices(5026)%branchR2(0:0))
    call avR2(5026, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13263])

    allocate(vertices(4978)%branchR2(0:0))
    call avR2(4978, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13263])

    allocate(vertices(5036)%branchR2(0:0))
    call avR2(5036, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13263])

    allocate(vertices(5035)%branchR2(0:0))
    call avR2(5035, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13263])

    allocate(vertices(5034)%branchR2(0:0))
    call avR2(5034, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13263])

    allocate(vertices(5073)%branchR2(0:0))
    call avR2(5073, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13264])

    allocate(vertices(5074)%branchR2(0:0))
    call avR2(5074, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13264])

    allocate(vertices(5075)%branchR2(0:0))
    call avR2(5075, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13264])

    allocate(vertices(4981)%branchR2(0:0))
    call avR2(4981, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13264])

    allocate(vertices(5071)%branchR2(0:0))
    call avR2(5071, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13264])

    allocate(vertices(5072)%branchR2(0:0))
    call avR2(5072, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13264])

    allocate(vertices(5078)%branchR2(0:0))
    call avR2(5078, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13264])

    allocate(vertices(5079)%branchR2(0:0))
    call avR2(5079, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13264])

    allocate(vertices(5076)%branchR2(0:0))
    call avR2(5076, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13264])

    allocate(vertices(5077)%branchR2(0:0))
    call avR2(5077, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13264])

    allocate(vertices(5080)%branchR2(0:0))
    call avR2(5080, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13264])

    allocate(vertices(5081)%branchR2(0:0))
    call avR2(5081, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13264])

    allocate(vertices(5060)%branchR2(0:0))
    call avR2(5060, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5059)%branchR2(0:0))
    call avR2(5059, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5063)%branchR2(0:0))
    call avR2(5063, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5064)%branchR2(0:0))
    call avR2(5064, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5061)%branchR2(0:0))
    call avR2(5061, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5062)%branchR2(0:0))
    call avR2(5062, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13265])

    allocate(vertices(4980)%branchR2(0:0))
    call avR2(4980, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5048)%branchR2(0:0))
    call avR2(5048, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5051)%branchR2(0:0))
    call avR2(5051, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5052)%branchR2(0:0))
    call avR2(5052, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5050)%branchR2(0:0))
    call avR2(5050, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5049)%branchR2(0:0))
    call avR2(5049, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5067)%branchR2(0:0))
    call avR2(5067, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5068)%branchR2(0:0))
    call avR2(5068, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5065)%branchR2(0:0))
    call avR2(5065, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5066)%branchR2(0:0))
    call avR2(5066, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5069)%branchR2(0:0))
    call avR2(5069, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5070)%branchR2(0:0))
    call avR2(5070, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5058)%branchR2(0:0))
    call avR2(5058, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5057)%branchR2(0:0))
    call avR2(5057, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5056)%branchR2(0:0))
    call avR2(5056, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5055)%branchR2(0:0))
    call avR2(5055, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5053)%branchR2(0:0))
    call avR2(5053, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5054)%branchR2(0:0))
    call avR2(5054, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13265])

    allocate(vertices(5039)%branchR2(0:0))
    call avR2(5039, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13266])

    allocate(vertices(5040)%branchR2(0:0))
    call avR2(5040, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13266])

    allocate(vertices(5041)%branchR2(0:0))
    call avR2(5041, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13266])

    allocate(vertices(4979)%branchR2(0:0))
    call avR2(4979, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13266])

    allocate(vertices(5037)%branchR2(0:0))
    call avR2(5037, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13266])

    allocate(vertices(5038)%branchR2(0:0))
    call avR2(5038, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13266])

    allocate(vertices(5044)%branchR2(0:0))
    call avR2(5044, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13266])

    allocate(vertices(5045)%branchR2(0:0))
    call avR2(5045, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13266])

    allocate(vertices(5042)%branchR2(0:0))
    call avR2(5042, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13266])

    allocate(vertices(5043)%branchR2(0:0))
    call avR2(5043, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13266])

    allocate(vertices(5046)%branchR2(0:0))
    call avR2(5046, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13266])

    allocate(vertices(5047)%branchR2(0:0))
    call avR2(5047, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13266])

    allocate(vertices(5171)%branchR2(0:0))
    call avR2(5171, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13267, nGC_13267,       &
    nGC_13268])

    allocate(vertices(5172)%branchR2(0:0))
    call avR2(5172, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13267, nGC_13268,       &
    nGC_13267])

    allocate(vertices(5173)%branchR2(0:0))
    call avR2(5173, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13268, nGC_13267,       &
    nGC_13267])

    allocate(vertices(5174)%branchR2(0:0))
    call avR2(5174, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13268, nGC_13267,       &
    nGC_13267])

    allocate(vertices(5175)%branchR2(0:0))
    call avR2(5175, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13267, nGC_13268,       &
    nGC_13267])

    allocate(vertices(5176)%branchR2(0:0))
    call avR2(5176, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13267, nGC_13267,       &
    nGC_13268])

    allocate(vertices(48)%branchR2(0:0))
    call avR2(48, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13269])

    allocate(vertices(1157)%branchR2(0:0))
    call avR2(1157, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13269])

    allocate(vertices(1158)%branchR2(0:0))
    call avR2(1158, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13269])

    allocate(vertices(1159)%branchR2(0:0))
    call avR2(1159, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13269])

    allocate(vertices(1160)%branchR2(0:0))
    call avR2(1160, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13269])

    allocate(vertices(1161)%branchR2(0:0))
    call avR2(1161, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13269])

    allocate(vertices(1146)%branchR2(0:0))
    call avR2(1146, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13270])

    allocate(vertices(1147)%branchR2(0:0))
    call avR2(1147, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13270])

    allocate(vertices(1148)%branchR2(0:0))
    call avR2(1148, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13270])

    allocate(vertices(1149)%branchR2(0:0))
    call avR2(1149, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13270])

    allocate(vertices(1150)%branchR2(0:0))
    call avR2(1150, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13270])

    allocate(vertices(47)%branchR2(0:0))
    call avR2(47, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13270])

    allocate(vertices(1151)%branchR2(0:0))
    call avR2(1151, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13270])

    allocate(vertices(1152)%branchR2(0:0))
    call avR2(1152, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13270])

    allocate(vertices(1153)%branchR2(0:0))
    call avR2(1153, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13270])

    allocate(vertices(1154)%branchR2(0:0))
    call avR2(1154, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13270])

    allocate(vertices(1155)%branchR2(0:0))
    call avR2(1155, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13270])

    allocate(vertices(1156)%branchR2(0:0))
    call avR2(1156, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13270])

    allocate(vertices(63)%branchR2(0:0))
    call avR2(63, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13271])

    allocate(vertices(1199)%branchR2(0:0))
    call avR2(1199, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13271])

    allocate(vertices(1200)%branchR2(0:0))
    call avR2(1200, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13271])

    allocate(vertices(1201)%branchR2(0:0))
    call avR2(1201, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13271])

    allocate(vertices(1202)%branchR2(0:0))
    call avR2(1202, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13271])

    allocate(vertices(1203)%branchR2(0:0))
    call avR2(1203, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13271])

    allocate(vertices(1204)%branchR2(0:0))
    call avR2(1204, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13271])

    allocate(vertices(1205)%branchR2(0:0))
    call avR2(1205, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13271])

    allocate(vertices(1206)%branchR2(0:0))
    call avR2(1206, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13271])

    allocate(vertices(1207)%branchR2(0:0))
    call avR2(1207, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13271])

    allocate(vertices(1208)%branchR2(0:0))
    call avR2(1208, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13271])

    allocate(vertices(1209)%branchR2(0:0))
    call avR2(1209, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13271])

    allocate(vertices(4333)%branchR2(0:0))
    call avR2(4333, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13273, nGC_13272,       &
    nGC_13274])

    allocate(vertices(4332)%branchR2(0:0))
    call avR2(4332, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13272, nGC_13273,       &
    nGC_13274])

    allocate(vertices(4331)%branchR2(0:0))
    call avR2(4331, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13274, nGC_13272,       &
    nGC_13273])

    allocate(vertices(4330)%branchR2(0:0))
    call avR2(4330, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13272, nGC_13274,       &
    nGC_13273])

    allocate(vertices(4335)%branchR2(0:0))
    call avR2(4335, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13273, nGC_13274,       &
    nGC_13272])

    allocate(vertices(4334)%branchR2(0:0))
    call avR2(4334, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13274, nGC_13273,       &
    nGC_13272])

    allocate(vertices(4328)%branchR2(0:0))
    call avR2(4328, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13272, nGC_13273,       &
    nGC_13274])

    allocate(vertices(4327)%branchR2(0:0))
    call avR2(4327, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13273, nGC_13272,       &
    nGC_13274])

    allocate(vertices(551)%branchR2(0:0))
    call avR2(551, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13272, nGC_13274,        &
    nGC_13273])

    allocate(vertices(4329)%branchR2(0:0))
    call avR2(4329, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13274, nGC_13272,       &
    nGC_13273])

    allocate(vertices(4325)%branchR2(0:0))
    call avR2(4325, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13273, nGC_13274,       &
    nGC_13272])

    allocate(vertices(4326)%branchR2(0:0))
    call avR2(4326, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13274, nGC_13273,       &
    nGC_13272])

    allocate(vertices(4339)%branchR2(0:0))
    call avR2(4339, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13272, nGC_13274,       &
    nGC_13273])

    allocate(vertices(4338)%branchR2(0:0))
    call avR2(4338, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13274, nGC_13272,       &
    nGC_13273])

    allocate(vertices(4341)%branchR2(0:0))
    call avR2(4341, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13272, nGC_13273,       &
    nGC_13274])

    allocate(vertices(4340)%branchR2(0:0))
    call avR2(4340, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13273, nGC_13272,       &
    nGC_13274])

    allocate(vertices(4336)%branchR2(0:0))
    call avR2(4336, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13274, nGC_13273,       &
    nGC_13272])

    allocate(vertices(4337)%branchR2(0:0))
    call avR2(4337, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13273, nGC_13274,       &
    nGC_13272])

    allocate(vertices(4345)%branchR2(0:0))
    call avR2(4345, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13274, nGC_13273,       &
    nGC_13272])

    allocate(vertices(4344)%branchR2(0:0))
    call avR2(4344, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13273, nGC_13274,       &
    nGC_13272])

    allocate(vertices(4343)%branchR2(0:0))
    call avR2(4343, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13274, nGC_13272,       &
    nGC_13273])

    allocate(vertices(4342)%branchR2(0:0))
    call avR2(4342, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13272, nGC_13274,       &
    nGC_13273])

    allocate(vertices(4347)%branchR2(0:0))
    call avR2(4347, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13273, nGC_13272,       &
    nGC_13274])

    allocate(vertices(4346)%branchR2(0:0))
    call avR2(4346, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13272, nGC_13273,       &
    nGC_13274])

    allocate(vertices(102)%branchR2(0:0))
    call avR2(102, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1452)%branchR2(0:0))
    call avR2(1452, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1453)%branchR2(0:0))
    call avR2(1453, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1454)%branchR2(0:0))
    call avR2(1454, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1450)%branchR2(0:0))
    call avR2(1450, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1451)%branchR2(0:0))
    call avR2(1451, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1462)%branchR2(0:0))
    call avR2(1462, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1461)%branchR2(0:0))
    call avR2(1461, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1465)%branchR2(0:0))
    call avR2(1465, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1466)%branchR2(0:0))
    call avR2(1466, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1463)%branchR2(0:0))
    call avR2(1463, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1464)%branchR2(0:0))
    call avR2(1464, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1467)%branchR2(0:0))
    call avR2(1467, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1468)%branchR2(0:0))
    call avR2(1468, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1469)%branchR2(0:0))
    call avR2(1469, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1470)%branchR2(0:0))
    call avR2(1470, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1471)%branchR2(0:0))
    call avR2(1471, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1472)%branchR2(0:0))
    call avR2(1472, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1455)%branchR2(0:0))
    call avR2(1455, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1456)%branchR2(0:0))
    call avR2(1456, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1457)%branchR2(0:0))
    call avR2(1457, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1458)%branchR2(0:0))
    call avR2(1458, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1459)%branchR2(0:0))
    call avR2(1459, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(1460)%branchR2(0:0))
    call avR2(1460, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13275])

    allocate(vertices(55)%branchR2(0:0))
    call avR2(55, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13276])

    allocate(vertices(1175)%branchR2(0:0))
    call avR2(1175, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13276])

    allocate(vertices(1176)%branchR2(0:0))
    call avR2(1176, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13276])

    allocate(vertices(1177)%branchR2(0:0))
    call avR2(1177, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13276])

    allocate(vertices(1178)%branchR2(0:0))
    call avR2(1178, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13276])

    allocate(vertices(1179)%branchR2(0:0))
    call avR2(1179, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13276])

    allocate(vertices(1180)%branchR2(0:0))
    call avR2(1180, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13276])

    allocate(vertices(1181)%branchR2(0:0))
    call avR2(1181, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13276])

    allocate(vertices(1182)%branchR2(0:0))
    call avR2(1182, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13276])

    allocate(vertices(1183)%branchR2(0:0))
    call avR2(1183, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13276])

    allocate(vertices(1184)%branchR2(0:0))
    call avR2(1184, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13276])

    allocate(vertices(1185)%branchR2(0:0))
    call avR2(1185, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13276])

    allocate(vertices(3442)%branchR2(0:0))
    call avR2(3442, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3443)%branchR2(0:0))
    call avR2(3443, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3440)%branchR2(0:0))
    call avR2(3440, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3441)%branchR2(0:0))
    call avR2(3441, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3444)%branchR2(0:0))
    call avR2(3444, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3445)%branchR2(0:0))
    call avR2(3445, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3436)%branchR2(0:0))
    call avR2(3436, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3437)%branchR2(0:0))
    call avR2(3437, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3434)%branchR2(0:0))
    call avR2(3434, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3435)%branchR2(0:0))
    call avR2(3435, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3438)%branchR2(0:0))
    call avR2(3438, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3439)%branchR2(0:0))
    call avR2(3439, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3448)%branchR2(0:0))
    call avR2(3448, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3449)%branchR2(0:0))
    call avR2(3449, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3446)%branchR2(0:0))
    call avR2(3446, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3447)%branchR2(0:0))
    call avR2(3447, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3451)%branchR2(0:0))
    call avR2(3451, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3450)%branchR2(0:0))
    call avR2(3450, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3453)%branchR2(0:0))
    call avR2(3453, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3454)%branchR2(0:0))
    call avR2(3454, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13277])

    allocate(vertices(418)%branchR2(0:0))
    call avR2(418, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3452)%branchR2(0:0))
    call avR2(3452, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3456)%branchR2(0:0))
    call avR2(3456, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13277])

    allocate(vertices(3455)%branchR2(0:0))
    call avR2(3455, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13277])

    allocate(vertices(4164)%branchR2(0:0))
    call avR2(4164, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4163)%branchR2(0:0))
    call avR2(4163, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4166)%branchR2(0:0))
    call avR2(4166, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4165)%branchR2(0:0))
    call avR2(4165, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4161)%branchR2(0:0))
    call avR2(4161, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4162)%branchR2(0:0))
    call avR2(4162, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4158)%branchR2(0:0))
    call avR2(4158, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4157)%branchR2(0:0))
    call avR2(4157, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4160)%branchR2(0:0))
    call avR2(4160, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4159)%branchR2(0:0))
    call avR2(4159, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4156)%branchR2(0:0))
    call avR2(4156, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13278])

    allocate(vertices(540)%branchR2(0:0))
    call avR2(540, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4172)%branchR2(0:0))
    call avR2(4172, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4171)%branchR2(0:0))
    call avR2(4171, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4170)%branchR2(0:0))
    call avR2(4170, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4169)%branchR2(0:0))
    call avR2(4169, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4168)%branchR2(0:0))
    call avR2(4168, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4167)%branchR2(0:0))
    call avR2(4167, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4152)%branchR2(0:0))
    call avR2(4152, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4153)%branchR2(0:0))
    call avR2(4153, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4150)%branchR2(0:0))
    call avR2(4150, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4151)%branchR2(0:0))
    call avR2(4151, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4155)%branchR2(0:0))
    call avR2(4155, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13278])

    allocate(vertices(4154)%branchR2(0:0))
    call avR2(4154, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13278])

    allocate(vertices(5177)%branchR2(0:1))
    call avR2(5177, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_13279, nGC_13279,      &
    nGC_13279])

    call avR2(5177, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_13280, nGC_13280,      &
    nGC_13280])

    allocate(vertices(5178)%branchR2(0:1))
    call avR2(5178, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_13279, nGC_13279,      &
    nGC_13279])

    call avR2(5178, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_13280, nGC_13280,      &
    nGC_13280])

    allocate(vertices(5179)%branchR2(0:1))
    call avR2(5179, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_13279, nGC_13279,      &
    nGC_13279])

    call avR2(5179, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_13280, nGC_13280,      &
    nGC_13280])

    allocate(vertices(5180)%branchR2(0:1))
    call avR2(5180, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_13279, nGC_13279,      &
    nGC_13279])

    call avR2(5180, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_13280, nGC_13280,      &
    nGC_13280])

    allocate(vertices(5181)%branchR2(0:1))
    call avR2(5181, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_13279, nGC_13279,      &
    nGC_13279])

    call avR2(5181, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_13280, nGC_13280,      &
    nGC_13280])

    allocate(vertices(5182)%branchR2(0:1))
    call avR2(5182, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_13279, nGC_13279,      &
    nGC_13279])

    call avR2(5182, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_13280, nGC_13280,      &
    nGC_13280])

    allocate(vertices(4215)%branchR2(0:0))
    call avR2(4215, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4216)%branchR2(0:0))
    call avR2(4216, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4213)%branchR2(0:0))
    call avR2(4213, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4214)%branchR2(0:0))
    call avR2(4214, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4218)%branchR2(0:0))
    call avR2(4218, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4217)%branchR2(0:0))
    call avR2(4217, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4209)%branchR2(0:0))
    call avR2(4209, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4210)%branchR2(0:0))
    call avR2(4210, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13281])

    allocate(vertices(544)%branchR2(0:0))
    call avR2(544, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4208)%branchR2(0:0))
    call avR2(4208, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4212)%branchR2(0:0))
    call avR2(4212, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4211)%branchR2(0:0))
    call avR2(4211, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4204)%branchR2(0:0))
    call avR2(4204, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4205)%branchR2(0:0))
    call avR2(4205, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4202)%branchR2(0:0))
    call avR2(4202, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4203)%branchR2(0:0))
    call avR2(4203, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4207)%branchR2(0:0))
    call avR2(4207, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4206)%branchR2(0:0))
    call avR2(4206, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4224)%branchR2(0:0))
    call avR2(4224, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4223)%branchR2(0:0))
    call avR2(4223, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4222)%branchR2(0:0))
    call avR2(4222, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4221)%branchR2(0:0))
    call avR2(4221, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4220)%branchR2(0:0))
    call avR2(4220, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4219)%branchR2(0:0))
    call avR2(4219, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13281])

    allocate(vertices(4435)%branchR2(0:0))
    call avR2(4435, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13282])

    allocate(vertices(4434)%branchR2(0:0))
    call avR2(4434, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13282])

    allocate(vertices(4433)%branchR2(0:0))
    call avR2(4433, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13282])

    allocate(vertices(4438)%branchR2(0:0))
    call avR2(4438, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13282])

    allocate(vertices(4437)%branchR2(0:0))
    call avR2(4437, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13282])

    allocate(vertices(4436)%branchR2(0:0))
    call avR2(4436, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13282])

    allocate(vertices(4430)%branchR2(0:0))
    call avR2(4430, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13282])

    allocate(vertices(4429)%branchR2(0:0))
    call avR2(4429, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13282])

    allocate(vertices(4432)%branchR2(0:0))
    call avR2(4432, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13282])

    allocate(vertices(4431)%branchR2(0:0))
    call avR2(4431, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13282])

    allocate(vertices(574)%branchR2(0:0))
    call avR2(574, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13282])

    allocate(vertices(4428)%branchR2(0:0))
    call avR2(4428, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13282])

    allocate(vertices(4189)%branchR2(0:0))
    call avR2(4189, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4190)%branchR2(0:0))
    call avR2(4190, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4187)%branchR2(0:0))
    call avR2(4187, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4188)%branchR2(0:0))
    call avR2(4188, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4192)%branchR2(0:0))
    call avR2(4192, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4191)%branchR2(0:0))
    call avR2(4191, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4183)%branchR2(0:0))
    call avR2(4183, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4184)%branchR2(0:0))
    call avR2(4184, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13283])

    allocate(vertices(542)%branchR2(0:0))
    call avR2(542, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4182)%branchR2(0:0))
    call avR2(4182, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4186)%branchR2(0:0))
    call avR2(4186, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4185)%branchR2(0:0))
    call avR2(4185, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4178)%branchR2(0:0))
    call avR2(4178, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4179)%branchR2(0:0))
    call avR2(4179, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4176)%branchR2(0:0))
    call avR2(4176, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4177)%branchR2(0:0))
    call avR2(4177, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4181)%branchR2(0:0))
    call avR2(4181, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4180)%branchR2(0:0))
    call avR2(4180, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4198)%branchR2(0:0))
    call avR2(4198, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4197)%branchR2(0:0))
    call avR2(4197, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4196)%branchR2(0:0))
    call avR2(4196, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4195)%branchR2(0:0))
    call avR2(4195, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4194)%branchR2(0:0))
    call avR2(4194, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13283])

    allocate(vertices(4193)%branchR2(0:0))
    call avR2(4193, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13283])

    allocate(vertices(3990)%branchR2(0:0))
    call avR2(3990, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3989)%branchR2(0:0))
    call avR2(3989, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3987)%branchR2(0:0))
    call avR2(3987, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3988)%branchR2(0:0))
    call avR2(3988, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3992)%branchR2(0:0))
    call avR2(3992, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3991)%branchR2(0:0))
    call avR2(3991, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3984)%branchR2(0:0))
    call avR2(3984, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3983)%branchR2(0:0))
    call avR2(3983, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3986)%branchR2(0:0))
    call avR2(3986, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3985)%branchR2(0:0))
    call avR2(3985, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3981)%branchR2(0:0))
    call avR2(3981, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3982)%branchR2(0:0))
    call avR2(3982, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3975)%branchR2(0:0))
    call avR2(3975, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3976)%branchR2(0:0))
    call avR2(3976, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3977)%branchR2(0:0))
    call avR2(3977, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3978)%branchR2(0:0))
    call avR2(3978, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3979)%branchR2(0:0))
    call avR2(3979, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3980)%branchR2(0:0))
    call avR2(3980, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3995)%branchR2(0:0))
    call avR2(3995, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3994)%branchR2(0:0))
    call avR2(3994, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3997)%branchR2(0:0))
    call avR2(3997, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3996)%branchR2(0:0))
    call avR2(3996, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13284])

    allocate(vertices(529)%branchR2(0:0))
    call avR2(529, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13284])

    allocate(vertices(3993)%branchR2(0:0))
    call avR2(3993, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13284])

    allocate(vertices(5183)%branchR2(0:1))
    call avR2(5183, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_13285])

    call avR2(5183, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_13286])

    allocate(vertices(5184)%branchR2(0:1))
    call avR2(5184, 0, 45, 1, 0, SVSV0, 0, [2, 2], [nGC_13285])

    call avR2(5184, 1, 46, 1, 0, SVSV0, 0, [2, 2], [nGC_13286])

    allocate(vertices(5185)%branchR2(0:1))
    call avR2(5185, 0, 47, 1, 0, SVVS0, 0, [2, 2], [nGC_13285])

    call avR2(5185, 1, 48, 1, 0, SVVS0, 0, [2, 2], [nGC_13286])

    allocate(vertices(5186)%branchR2(0:1))
    call avR2(5186, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_13285])

    call avR2(5186, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_13286])

    allocate(vertices(5187)%branchR2(0:1))
    call avR2(5187, 0, 45, 1, 0, SVSV0, 0, [2, 2], [nGC_13285])

    call avR2(5187, 1, 46, 1, 0, SVSV0, 0, [2, 2], [nGC_13286])

    allocate(vertices(5188)%branchR2(0:1))
    call avR2(5188, 0, 47, 1, 0, SVVS0, 0, [2, 2], [nGC_13285])

    call avR2(5188, 1, 48, 1, 0, SVVS0, 0, [2, 2], [nGC_13286])

    allocate(vertices(5189)%branchR2(0:1))
    call avR2(5189, 0, 49, 1, 0, VSSV0, 0, [2, 2], [nGC_13285])

    call avR2(5189, 1, 50, 1, 0, VSSV0, 0, [2, 2], [nGC_13286])

    allocate(vertices(5190)%branchR2(0:1))
    call avR2(5190, 0, 51, 1, 0, VSVS0, 0, [2, 2], [nGC_13285])

    call avR2(5190, 1, 52, 1, 0, VSVS0, 0, [2, 2], [nGC_13286])

    allocate(vertices(5191)%branchR2(0:1))
    call avR2(5191, 0, 49, 1, 0, VSSV0, 0, [2, 2], [nGC_13285])

    call avR2(5191, 1, 50, 1, 0, VSSV0, 0, [2, 2], [nGC_13286])

    allocate(vertices(5192)%branchR2(0:1))
    call avR2(5192, 0, 51, 1, 0, VSVS0, 0, [2, 2], [nGC_13285])

    call avR2(5192, 1, 52, 1, 0, VSVS0, 0, [2, 2], [nGC_13286])

    allocate(vertices(5193)%branchR2(0:1))
    call avR2(5193, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_13285])

    call avR2(5193, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_13286])

    allocate(vertices(5194)%branchR2(0:1))
    call avR2(5194, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_13285])

    call avR2(5194, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_13286])

    allocate(vertices(4027)%branchR2(0:0))
    call avR2(4027, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4028)%branchR2(0:0))
    call avR2(4028, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4032)%branchR2(0:0))
    call avR2(4032, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4031)%branchR2(0:0))
    call avR2(4031, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4029)%branchR2(0:0))
    call avR2(4029, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4030)%branchR2(0:0))
    call avR2(4030, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4033)%branchR2(0:0))
    call avR2(4033, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4034)%branchR2(0:0))
    call avR2(4034, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4035)%branchR2(0:0))
    call avR2(4035, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4036)%branchR2(0:0))
    call avR2(4036, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4038)%branchR2(0:0))
    call avR2(4038, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4037)%branchR2(0:0))
    call avR2(4037, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4049)%branchR2(0:0))
    call avR2(4049, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4048)%branchR2(0:0))
    call avR2(4048, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4047)%branchR2(0:0))
    call avR2(4047, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4046)%branchR2(0:0))
    call avR2(4046, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4045)%branchR2(0:0))
    call avR2(4045, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4044)%branchR2(0:0))
    call avR2(4044, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4043)%branchR2(0:0))
    call avR2(4043, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4042)%branchR2(0:0))
    call avR2(4042, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4041)%branchR2(0:0))
    call avR2(4041, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4040)%branchR2(0:0))
    call avR2(4040, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13287])

    allocate(vertices(533)%branchR2(0:0))
    call avR2(533, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4039)%branchR2(0:0))
    call avR2(4039, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13287])

    allocate(vertices(4001)%branchR2(0:0))
    call avR2(4001, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4002)%branchR2(0:0))
    call avR2(4002, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4006)%branchR2(0:0))
    call avR2(4006, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4005)%branchR2(0:0))
    call avR2(4005, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4003)%branchR2(0:0))
    call avR2(4003, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4004)%branchR2(0:0))
    call avR2(4004, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4007)%branchR2(0:0))
    call avR2(4007, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4008)%branchR2(0:0))
    call avR2(4008, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4009)%branchR2(0:0))
    call avR2(4009, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4010)%branchR2(0:0))
    call avR2(4010, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4012)%branchR2(0:0))
    call avR2(4012, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4011)%branchR2(0:0))
    call avR2(4011, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4023)%branchR2(0:0))
    call avR2(4023, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4022)%branchR2(0:0))
    call avR2(4022, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4021)%branchR2(0:0))
    call avR2(4021, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4020)%branchR2(0:0))
    call avR2(4020, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4019)%branchR2(0:0))
    call avR2(4019, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4018)%branchR2(0:0))
    call avR2(4018, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4014)%branchR2(0:0))
    call avR2(4014, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4015)%branchR2(0:0))
    call avR2(4015, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13288])

    allocate(vertices(531)%branchR2(0:0))
    call avR2(531, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4013)%branchR2(0:0))
    call avR2(4013, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4017)%branchR2(0:0))
    call avR2(4017, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13288])

    allocate(vertices(4016)%branchR2(0:0))
    call avR2(4016, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13288])

    allocate(vertices(5195)%branchR2(0:0))
    call avR2(5195, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13289, nGC_13289,       &
    nGC_13289])

    allocate(vertices(5196)%branchR2(0:0))
    call avR2(5196, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13289, nGC_13289,       &
    nGC_13289])

    allocate(vertices(5197)%branchR2(0:0))
    call avR2(5197, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13289, nGC_13289,       &
    nGC_13289])

    allocate(vertices(5198)%branchR2(0:0))
    call avR2(5198, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13289, nGC_13289,       &
    nGC_13289])

    allocate(vertices(46)%branchR2(0:0))
    call avR2(46, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13290])

    allocate(vertices(62)%branchR2(0:0))
    call avR2(62, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13291])

    allocate(vertices(1194)%branchR2(0:0))
    call avR2(1194, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13291])

    allocate(vertices(1195)%branchR2(0:0))
    call avR2(1195, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13291])

    allocate(vertices(1196)%branchR2(0:0))
    call avR2(1196, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13291])

    allocate(vertices(1197)%branchR2(0:0))
    call avR2(1197, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13291])

    allocate(vertices(1198)%branchR2(0:0))
    call avR2(1198, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13291])

    allocate(vertices(101)%branchR2(0:0))
    call avR2(101, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13292])

    allocate(vertices(1439)%branchR2(0:0))
    call avR2(1439, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13292])

    allocate(vertices(1442)%branchR2(0:0))
    call avR2(1442, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13292])

    allocate(vertices(1443)%branchR2(0:0))
    call avR2(1443, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13292])

    allocate(vertices(1440)%branchR2(0:0))
    call avR2(1440, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13292])

    allocate(vertices(1441)%branchR2(0:0))
    call avR2(1441, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13292])

    allocate(vertices(1447)%branchR2(0:0))
    call avR2(1447, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13292])

    allocate(vertices(1448)%branchR2(0:0))
    call avR2(1448, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13292])

    allocate(vertices(1449)%branchR2(0:0))
    call avR2(1449, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13292])

    allocate(vertices(1444)%branchR2(0:0))
    call avR2(1444, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13292])

    allocate(vertices(1445)%branchR2(0:0))
    call avR2(1445, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13292])

    allocate(vertices(1446)%branchR2(0:0))
    call avR2(1446, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13292])

    allocate(vertices(3354)%branchR2(0:0))
    call avR2(3354, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13293])

    allocate(vertices(3355)%branchR2(0:0))
    call avR2(3355, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13293])

    allocate(vertices(3356)%branchR2(0:0))
    call avR2(3356, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13293])

    allocate(vertices(3357)%branchR2(0:0))
    call avR2(3357, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13293])

    allocate(vertices(3358)%branchR2(0:0))
    call avR2(3358, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13293])

    allocate(vertices(3359)%branchR2(0:0))
    call avR2(3359, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13293])

    allocate(vertices(3360)%branchR2(0:0))
    call avR2(3360, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13293])

    allocate(vertices(3361)%branchR2(0:0))
    call avR2(3361, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13293])

    allocate(vertices(3362)%branchR2(0:0))
    call avR2(3362, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13293])

    allocate(vertices(414)%branchR2(0:0))
    call avR2(414, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13293])

    allocate(vertices(3363)%branchR2(0:0))
    call avR2(3363, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13293])

    allocate(vertices(3364)%branchR2(0:0))
    call avR2(3364, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13293])

    allocate(vertices(54)%branchR2(0:0))
    call avR2(54, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13294])

    allocate(vertices(1170)%branchR2(0:0))
    call avR2(1170, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13294])

    allocate(vertices(1171)%branchR2(0:0))
    call avR2(1171, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13294])

    allocate(vertices(1172)%branchR2(0:0))
    call avR2(1172, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13294])

    allocate(vertices(1173)%branchR2(0:0))
    call avR2(1173, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13294])

    allocate(vertices(1174)%branchR2(0:0))
    call avR2(1174, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13294])

    allocate(vertices(44)%branchR2(0:0))
    call avR2(44, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13295])

    allocate(vertices(3499)%branchR2(0:0))
    call avR2(3499, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13296])

    allocate(vertices(3500)%branchR2(0:0))
    call avR2(3500, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13296])

    allocate(vertices(3501)%branchR2(0:0))
    call avR2(3501, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13296])

    allocate(vertices(425)%branchR2(0:0))
    call avR2(425, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13296])

    allocate(vertices(3502)%branchR2(0:0))
    call avR2(3502, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13296])

    allocate(vertices(3503)%branchR2(0:0))
    call avR2(3503, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13296])

    allocate(vertices(3504)%branchR2(0:0))
    call avR2(3504, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13296])

    allocate(vertices(3505)%branchR2(0:0))
    call avR2(3505, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13296])

    allocate(vertices(3506)%branchR2(0:0))
    call avR2(3506, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13296])

    allocate(vertices(3507)%branchR2(0:0))
    call avR2(3507, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13296])

    allocate(vertices(3508)%branchR2(0:0))
    call avR2(3508, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13296])

    allocate(vertices(3509)%branchR2(0:0))
    call avR2(3509, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13296])

    allocate(vertices(5199)%branchR2(0:1))
    call avR2(5199, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_13297, nGC_13297,      &
    nGC_13297])

    call avR2(5199, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_13298, nGC_13298,      &
    nGC_13298])

    allocate(vertices(5200)%branchR2(0:1))
    call avR2(5200, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_13297, nGC_13297,      &
    nGC_13297])

    call avR2(5200, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_13298, nGC_13298,      &
    nGC_13298])

    allocate(vertices(5201)%branchR2(0:1))
    call avR2(5201, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_13297, nGC_13297,      &
    nGC_13297])

    call avR2(5201, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_13298, nGC_13298,      &
    nGC_13298])

    allocate(vertices(5202)%branchR2(0:1))
    call avR2(5202, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_13297, nGC_13297,      &
    nGC_13297])

    call avR2(5202, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_13298, nGC_13298,      &
    nGC_13298])

    allocate(vertices(5203)%branchR2(0:1))
    call avR2(5203, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_13297, nGC_13297,      &
    nGC_13297])

    call avR2(5203, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_13298, nGC_13298,      &
    nGC_13298])

    allocate(vertices(5204)%branchR2(0:1))
    call avR2(5204, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_13297, nGC_13297,      &
    nGC_13297])

    call avR2(5204, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_13298, nGC_13298,      &
    nGC_13298])

    allocate(vertices(5205)%branchR2(0:1))
    call avR2(5205, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_13297, nGC_13297,      &
    nGC_13297])

    call avR2(5205, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_13298, nGC_13298,      &
    nGC_13298])

    allocate(vertices(5206)%branchR2(0:1))
    call avR2(5206, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_13297, nGC_13297,      &
    nGC_13297])

    call avR2(5206, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_13298, nGC_13298,      &
    nGC_13298])

    allocate(vertices(5207)%branchR2(0:1))
    call avR2(5207, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_13297, nGC_13297,      &
    nGC_13297])

    call avR2(5207, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_13298, nGC_13298,      &
    nGC_13298])

    allocate(vertices(5208)%branchR2(0:1))
    call avR2(5208, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_13297, nGC_13297,      &
    nGC_13297])

    call avR2(5208, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_13298, nGC_13298,      &
    nGC_13298])

    allocate(vertices(5209)%branchR2(0:1))
    call avR2(5209, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_13297, nGC_13297,      &
    nGC_13297])

    call avR2(5209, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_13298, nGC_13298,      &
    nGC_13298])

    allocate(vertices(5210)%branchR2(0:1))
    call avR2(5210, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_13297, nGC_13297,      &
    nGC_13297])

    call avR2(5210, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_13298, nGC_13298,      &
    nGC_13298])

    allocate(vertices(98)%branchR2(0:0))
    call avR2(98, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13299])

    allocate(vertices(1436)%branchR2(0:0))
    call avR2(1436, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13299])

    allocate(vertices(1435)%branchR2(0:0))
    call avR2(1435, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13299])

    allocate(vertices(1434)%branchR2(0:0))
    call avR2(1434, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13299])

    allocate(vertices(4427)%branchR2(0:0))
    call avR2(4427, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13300])

    allocate(vertices(4426)%branchR2(0:0))
    call avR2(4426, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13300])

    allocate(vertices(4425)%branchR2(0:0))
    call avR2(4425, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13300])

    allocate(vertices(4424)%branchR2(0:0))
    call avR2(4424, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13300])

    allocate(vertices(4423)%branchR2(0:0))
    call avR2(4423, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13300])

    allocate(vertices(573)%branchR2(0:0))
    call avR2(573, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13300])

    allocate(vertices(71)%branchR2(0:0))
    call avR2(71, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13301])

    allocate(vertices(1225)%branchR2(0:0))
    call avR2(1225, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13301])

    allocate(vertices(1224)%branchR2(0:0))
    call avR2(1224, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13301])

    allocate(vertices(1223)%branchR2(0:0))
    call avR2(1223, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13301])

    allocate(vertices(1222)%branchR2(0:0))
    call avR2(1222, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13301])

    allocate(vertices(1221)%branchR2(0:0))
    call avR2(1221, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13301])

    allocate(vertices(3476)%branchR2(0:0))
    call avR2(3476, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3475)%branchR2(0:0))
    call avR2(3475, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3477)%branchR2(0:0))
    call avR2(3477, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3478)%branchR2(0:0))
    call avR2(3478, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3473)%branchR2(0:0))
    call avR2(3473, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3474)%branchR2(0:0))
    call avR2(3474, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13302])

    allocate(vertices(423)%branchR2(0:0))
    call avR2(423, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3485)%branchR2(0:0))
    call avR2(3485, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3488)%branchR2(0:0))
    call avR2(3488, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3489)%branchR2(0:0))
    call avR2(3489, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3486)%branchR2(0:0))
    call avR2(3486, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3487)%branchR2(0:0))
    call avR2(3487, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3490)%branchR2(0:0))
    call avR2(3490, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3491)%branchR2(0:0))
    call avR2(3491, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3492)%branchR2(0:0))
    call avR2(3492, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3493)%branchR2(0:0))
    call avR2(3493, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3494)%branchR2(0:0))
    call avR2(3494, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3495)%branchR2(0:0))
    call avR2(3495, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3479)%branchR2(0:0))
    call avR2(3479, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3480)%branchR2(0:0))
    call avR2(3480, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3481)%branchR2(0:0))
    call avR2(3481, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3482)%branchR2(0:0))
    call avR2(3482, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3483)%branchR2(0:0))
    call avR2(3483, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13302])

    allocate(vertices(3484)%branchR2(0:0))
    call avR2(3484, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13302])

    allocate(vertices(106)%branchR2(0:0))
    call avR2(106, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13303])

    allocate(vertices(1484)%branchR2(0:0))
    call avR2(1484, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13303])

    allocate(vertices(1483)%branchR2(0:0))
    call avR2(1483, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13303])

    allocate(vertices(1482)%branchR2(0:0))
    call avR2(1482, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13303])

    allocate(vertices(57)%branchR2(0:0))
    call avR2(57, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_13304])

    allocate(vertices(581)%branchR2(0:0))
    call avR2(581, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13305])

    allocate(vertices(4457)%branchR2(0:0))
    call avR2(4457, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13305])

    allocate(vertices(4458)%branchR2(0:0))
    call avR2(4458, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13305])

    allocate(vertices(4459)%branchR2(0:0))
    call avR2(4459, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13305])

    allocate(vertices(4460)%branchR2(0:0))
    call avR2(4460, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13305])

    allocate(vertices(4461)%branchR2(0:0))
    call avR2(4461, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13305])

    allocate(vertices(3461)%branchR2(0:0))
    call avR2(3461, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13306])

    allocate(vertices(3462)%branchR2(0:0))
    call avR2(3462, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13306])

    allocate(vertices(3463)%branchR2(0:0))
    call avR2(3463, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13306])

    allocate(vertices(421)%branchR2(0:0))
    call avR2(421, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13306])

    allocate(vertices(3464)%branchR2(0:0))
    call avR2(3464, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13306])

    allocate(vertices(3465)%branchR2(0:0))
    call avR2(3465, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13306])

    allocate(vertices(3466)%branchR2(0:0))
    call avR2(3466, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13306])

    allocate(vertices(3467)%branchR2(0:0))
    call avR2(3467, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13306])

    allocate(vertices(3468)%branchR2(0:0))
    call avR2(3468, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13306])

    allocate(vertices(3469)%branchR2(0:0))
    call avR2(3469, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13306])

    allocate(vertices(3470)%branchR2(0:0))
    call avR2(3470, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13306])

    allocate(vertices(3471)%branchR2(0:0))
    call avR2(3471, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13306])

    allocate(vertices(579)%branchR2(0:0))
    call avR2(579, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13307])

    allocate(vertices(4445)%branchR2(0:0))
    call avR2(4445, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13307])

    allocate(vertices(4448)%branchR2(0:0))
    call avR2(4448, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13307])

    allocate(vertices(4449)%branchR2(0:0))
    call avR2(4449, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13307])

    allocate(vertices(4447)%branchR2(0:0))
    call avR2(4447, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13307])

    allocate(vertices(4446)%branchR2(0:0))
    call avR2(4446, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13307])

    allocate(vertices(4453)%branchR2(0:0))
    call avR2(4453, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13307])

    allocate(vertices(4454)%branchR2(0:0))
    call avR2(4454, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13307])

    allocate(vertices(4455)%branchR2(0:0))
    call avR2(4455, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13307])

    allocate(vertices(4452)%branchR2(0:0))
    call avR2(4452, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13307])

    allocate(vertices(4451)%branchR2(0:0))
    call avR2(4451, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13307])

    allocate(vertices(4450)%branchR2(0:0))
    call avR2(4450, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13307])

    allocate(vertices(5211)%branchR2(0:1))
    call avR2(5211, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_13308])

    call avR2(5211, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_13309])

    allocate(vertices(5212)%branchR2(0:1))
    call avR2(5212, 0, 45, 1, 0, SVSV0, 0, [2, 2], [nGC_13308])

    call avR2(5212, 1, 46, 1, 0, SVSV0, 0, [2, 2], [nGC_13309])

    allocate(vertices(5213)%branchR2(0:1))
    call avR2(5213, 0, 47, 1, 0, SVVS0, 0, [2, 2], [nGC_13308])

    call avR2(5213, 1, 48, 1, 0, SVVS0, 0, [2, 2], [nGC_13309])

    allocate(vertices(5214)%branchR2(0:1))
    call avR2(5214, 0, 49, 1, 0, VSSV0, 0, [2, 2], [nGC_13308])

    call avR2(5214, 1, 50, 1, 0, VSSV0, 0, [2, 2], [nGC_13309])

    allocate(vertices(5215)%branchR2(0:1))
    call avR2(5215, 0, 51, 1, 0, VSVS0, 0, [2, 2], [nGC_13308])

    call avR2(5215, 1, 52, 1, 0, VSVS0, 0, [2, 2], [nGC_13309])

    allocate(vertices(5216)%branchR2(0:1))
    call avR2(5216, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_13308])

    call avR2(5216, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_13309])

    allocate(vertices(5217)%branchR2(0:1))
    call avR2(5217, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_13310, nGC_13310,      &
    nGC_13310])

    call avR2(5217, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_13311, nGC_13311,      &
    nGC_13311])

    allocate(vertices(5218)%branchR2(0:1))
    call avR2(5218, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_13310, nGC_13310,      &
    nGC_13310])

    call avR2(5218, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_13311, nGC_13311,      &
    nGC_13311])

    allocate(vertices(5219)%branchR2(0:1))
    call avR2(5219, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_13310, nGC_13310,      &
    nGC_13310])

    call avR2(5219, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_13311, nGC_13311,      &
    nGC_13311])

    allocate(vertices(5220)%branchR2(0:1))
    call avR2(5220, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_13310, nGC_13310,      &
    nGC_13310])

    call avR2(5220, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_13311, nGC_13311,      &
    nGC_13311])

    allocate(vertices(5221)%branchR2(0:1))
    call avR2(5221, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_13310, nGC_13310,      &
    nGC_13310])

    call avR2(5221, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_13311, nGC_13311,      &
    nGC_13311])

    allocate(vertices(5222)%branchR2(0:1))
    call avR2(5222, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_13310, nGC_13310,      &
    nGC_13310])

    call avR2(5222, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_13311, nGC_13311,      &
    nGC_13311])

    allocate(vertices(5223)%branchR2(0:1))
    call avR2(5223, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_13310, nGC_13310,      &
    nGC_13310])

    call avR2(5223, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_13311, nGC_13311,      &
    nGC_13311])

    allocate(vertices(5224)%branchR2(0:1))
    call avR2(5224, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_13310, nGC_13310,      &
    nGC_13310])

    call avR2(5224, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_13311, nGC_13311,      &
    nGC_13311])

    allocate(vertices(5225)%branchR2(0:1))
    call avR2(5225, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_13310, nGC_13310,      &
    nGC_13310])

    call avR2(5225, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_13311, nGC_13311,      &
    nGC_13311])

    allocate(vertices(5226)%branchR2(0:1))
    call avR2(5226, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_13310, nGC_13310,      &
    nGC_13310])

    call avR2(5226, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_13311, nGC_13311,      &
    nGC_13311])

    allocate(vertices(5227)%branchR2(0:1))
    call avR2(5227, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_13310, nGC_13310,      &
    nGC_13310])

    call avR2(5227, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_13311, nGC_13311,      &
    nGC_13311])

    allocate(vertices(5228)%branchR2(0:1))
    call avR2(5228, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_13310, nGC_13310,      &
    nGC_13310])

    call avR2(5228, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_13311, nGC_13311,      &
    nGC_13311])

    allocate(vertices(577)%branchR2(0:0))
    call avR2(577, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13312])

    allocate(vertices(4440)%branchR2(0:0))
    call avR2(4440, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13312])

    allocate(vertices(4441)%branchR2(0:0))
    call avR2(4441, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13312])

    allocate(vertices(4442)%branchR2(0:0))
    call avR2(4442, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13312])

    allocate(vertices(4443)%branchR2(0:0))
    call avR2(4443, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13312])

    allocate(vertices(4444)%branchR2(0:0))
    call avR2(4444, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13312])

    allocate(vertices(5229)%branchR2(0:1))
    call avR2(5229, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_13313])

    call avR2(5229, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_13314])

    allocate(vertices(5230)%branchR2(0:1))
    call avR2(5230, 0, 51, 1, 0, VSVS0, 0, [2, 2], [nGC_13313])

    call avR2(5230, 1, 52, 1, 0, VSVS0, 0, [2, 2], [nGC_13314])

    allocate(vertices(5231)%branchR2(0:1))
    call avR2(5231, 0, 49, 1, 0, VSSV0, 0, [2, 2], [nGC_13313])

    call avR2(5231, 1, 50, 1, 0, VSSV0, 0, [2, 2], [nGC_13314])

    allocate(vertices(5232)%branchR2(0:1))
    call avR2(5232, 0, 47, 1, 0, SVVS0, 0, [2, 2], [nGC_13313])

    call avR2(5232, 1, 48, 1, 0, SVVS0, 0, [2, 2], [nGC_13314])

    allocate(vertices(5233)%branchR2(0:1))
    call avR2(5233, 0, 45, 1, 0, SVSV0, 0, [2, 2], [nGC_13313])

    call avR2(5233, 1, 46, 1, 0, SVSV0, 0, [2, 2], [nGC_13314])

    allocate(vertices(5234)%branchR2(0:1))
    call avR2(5234, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_13313])

    call avR2(5234, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_13314])

    allocate(vertices(5235)%branchR2(0:1))
    call avR2(5235, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_13315])

    call avR2(5235, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_13316])

    allocate(vertices(5236)%branchR2(0:1))
    call avR2(5236, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_13315])

    call avR2(5236, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_13316])

    allocate(vertices(5237)%branchR2(0:1))
    call avR2(5237, 0, 51, 1, 0, VSVS0, 0, [2, 2], [nGC_13315])

    call avR2(5237, 1, 52, 1, 0, VSVS0, 0, [2, 2], [nGC_13316])

    allocate(vertices(5238)%branchR2(0:1))
    call avR2(5238, 0, 49, 1, 0, VSSV0, 0, [2, 2], [nGC_13315])

    call avR2(5238, 1, 50, 1, 0, VSSV0, 0, [2, 2], [nGC_13316])

    allocate(vertices(5239)%branchR2(0:1))
    call avR2(5239, 0, 49, 1, 0, VSSV0, 0, [2, 2], [nGC_13315])

    call avR2(5239, 1, 50, 1, 0, VSSV0, 0, [2, 2], [nGC_13316])

    allocate(vertices(5240)%branchR2(0:1))
    call avR2(5240, 0, 51, 1, 0, VSVS0, 0, [2, 2], [nGC_13315])

    call avR2(5240, 1, 52, 1, 0, VSVS0, 0, [2, 2], [nGC_13316])

    allocate(vertices(5241)%branchR2(0:1))
    call avR2(5241, 0, 47, 1, 0, SVVS0, 0, [2, 2], [nGC_13315])

    call avR2(5241, 1, 48, 1, 0, SVVS0, 0, [2, 2], [nGC_13316])

    allocate(vertices(5242)%branchR2(0:1))
    call avR2(5242, 0, 45, 1, 0, SVSV0, 0, [2, 2], [nGC_13315])

    call avR2(5242, 1, 46, 1, 0, SVSV0, 0, [2, 2], [nGC_13316])

    allocate(vertices(5243)%branchR2(0:1))
    call avR2(5243, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_13315])

    call avR2(5243, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_13316])

    allocate(vertices(5244)%branchR2(0:1))
    call avR2(5244, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_13315])

    call avR2(5244, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_13316])

    allocate(vertices(5245)%branchR2(0:1))
    call avR2(5245, 0, 45, 1, 0, SVSV0, 0, [2, 2], [nGC_13315])

    call avR2(5245, 1, 46, 1, 0, SVSV0, 0, [2, 2], [nGC_13316])

    allocate(vertices(5246)%branchR2(0:1))
    call avR2(5246, 0, 47, 1, 0, SVVS0, 0, [2, 2], [nGC_13315])

    call avR2(5246, 1, 48, 1, 0, SVVS0, 0, [2, 2], [nGC_13316])

    allocate(vertices(4496)%branchR2(0:0))
    call avR2(4496, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13317, nGC_13317,       &
    nGC_13318])

    allocate(vertices(4495)%branchR2(0:0))
    call avR2(4495, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13317, nGC_13318,       &
    nGC_13317])

    allocate(vertices(4494)%branchR2(0:0))
    call avR2(4494, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13318, nGC_13317,       &
    nGC_13317])

    allocate(vertices(587)%branchR2(0:0))
    call avR2(587, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13317, nGC_13317,        &
    nGC_13318])

    allocate(vertices(4498)%branchR2(0:0))
    call avR2(4498, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13317, nGC_13318,       &
    nGC_13317])

    allocate(vertices(4497)%branchR2(0:0))
    call avR2(4497, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13318, nGC_13317,       &
    nGC_13317])

    allocate(vertices(4491)%branchR2(0:0))
    call avR2(4491, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13318, nGC_13317,       &
    nGC_13317])

    allocate(vertices(4490)%branchR2(0:0))
    call avR2(4490, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13317, nGC_13318,       &
    nGC_13317])

    allocate(vertices(4493)%branchR2(0:0))
    call avR2(4493, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13318, nGC_13317,       &
    nGC_13317])

    allocate(vertices(4492)%branchR2(0:0))
    call avR2(4492, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13317, nGC_13318,       &
    nGC_13317])

    allocate(vertices(4488)%branchR2(0:0))
    call avR2(4488, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13317, nGC_13317,       &
    nGC_13318])

    allocate(vertices(4489)%branchR2(0:0))
    call avR2(4489, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13317, nGC_13317,       &
    nGC_13318])

    allocate(vertices(5247)%branchR2(0:1))
    call avR2(5247, 0, 53, 1, 0, VVSS0, 0, [2, 2], [nGC_13319])

    call avR2(5247, 1, 54, 1, 0, VVSS0, 0, [2, 2], [nGC_13320])

    allocate(vertices(5248)%branchR2(0:1))
    call avR2(5248, 0, 51, 1, 0, VSVS0, 0, [2, 2], [nGC_13319])

    call avR2(5248, 1, 52, 1, 0, VSVS0, 0, [2, 2], [nGC_13320])

    allocate(vertices(5249)%branchR2(0:1))
    call avR2(5249, 0, 49, 1, 0, VSSV0, 0, [2, 2], [nGC_13319])

    call avR2(5249, 1, 50, 1, 0, VSSV0, 0, [2, 2], [nGC_13320])

    allocate(vertices(5250)%branchR2(0:1))
    call avR2(5250, 0, 47, 1, 0, SVVS0, 0, [2, 2], [nGC_13319])

    call avR2(5250, 1, 48, 1, 0, SVVS0, 0, [2, 2], [nGC_13320])

    allocate(vertices(5251)%branchR2(0:1))
    call avR2(5251, 0, 45, 1, 0, SVSV0, 0, [2, 2], [nGC_13319])

    call avR2(5251, 1, 46, 1, 0, SVSV0, 0, [2, 2], [nGC_13320])

    allocate(vertices(5252)%branchR2(0:1))
    call avR2(5252, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_13319])

    call avR2(5252, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_13320])

    allocate(vertices(5253)%branchR2(0:5))
    call avR2(5253, 0, 55, 1, 0, VVVV0, 0, [3, 1], [nGC_13321, nGC_13321,      &
    nGC_13321])

    call avR2(5253, 1, 56, 1, 0, VVVV0, 0, [3, 1], [nGC_13322, nGC_13322,      &
    nGC_13322])

    call avR2(5253, 2, 57, 1, 0, VVVV0, 0, [3, 1], [nGC_13322, nGC_13322,      &
    nGC_13322])

    call avR2(5253, 3, 58, 1, 0, VVVV0, 0, [3, 1], [nGC_13323, nGC_13323,      &
    nGC_13323])

    call avR2(5253, 4, 59, 1, 0, VVVV0, 0, [3, 1], [nGC_13322, nGC_13322,      &
    nGC_13322])

    call avR2(5253, 5, 60, 1, 0, VVVV0, 0, [3, 1], [nGC_13321, nGC_13321,      &
    nGC_13321])

    allocate(vertices(5254)%branchR2(0:5))
    call avR2(5254, 0, 61, 1, 0, VVVV0, 0, [3, 1], [nGC_13321, nGC_13321,      &
    nGC_13321])

    call avR2(5254, 1, 62, 1, 0, VVVV0, 0, [3, 1], [nGC_13322, nGC_13322,      &
    nGC_13322])

    call avR2(5254, 2, 63, 1, 0, VVVV0, 0, [3, 1], [nGC_13322, nGC_13322,      &
    nGC_13322])

    call avR2(5254, 3, 64, 1, 0, VVVV0, 0, [3, 1], [nGC_13323, nGC_13323,      &
    nGC_13323])

    call avR2(5254, 4, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_13322, nGC_13322,      &
    nGC_13322])

    call avR2(5254, 5, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_13321, nGC_13321,      &
    nGC_13321])

    allocate(vertices(5255)%branchR2(0:5))
    call avR2(5255, 0, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_13321, nGC_13321,      &
    nGC_13321])

    call avR2(5255, 1, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_13322, nGC_13322,      &
    nGC_13322])

    call avR2(5255, 2, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_13322, nGC_13322,      &
    nGC_13322])

    call avR2(5255, 3, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_13323, nGC_13323,      &
    nGC_13323])

    call avR2(5255, 4, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_13322, nGC_13322,      &
    nGC_13322])

    call avR2(5255, 5, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_13321, nGC_13321,      &
    nGC_13321])

    allocate(vertices(5256)%branchR2(0:5))
    call avR2(5256, 0, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_13321, nGC_13321,      &
    nGC_13321])

    call avR2(5256, 1, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_13322, nGC_13322,      &
    nGC_13322])

    call avR2(5256, 2, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_13322, nGC_13322,      &
    nGC_13322])

    call avR2(5256, 3, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_13323, nGC_13323,      &
    nGC_13323])

    call avR2(5256, 4, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_13322, nGC_13322,      &
    nGC_13322])

    call avR2(5256, 5, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_13321, nGC_13321,      &
    nGC_13321])

    allocate(vertices(5257)%branchR2(0:0))
    call avR2(5257, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13324, nGC_13324,       &
    nGC_13324])

    allocate(vertices(3595)%branchR2(0:0))
    call avR2(3595, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13325, nGC_13325,       &
    nGC_13326])

    allocate(vertices(3596)%branchR2(0:0))
    call avR2(3596, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13325, nGC_13326,       &
    nGC_13325])

    allocate(vertices(3597)%branchR2(0:0))
    call avR2(3597, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13326, nGC_13325,       &
    nGC_13325])

    allocate(vertices(3598)%branchR2(0:0))
    call avR2(3598, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13326, nGC_13325,       &
    nGC_13325])

    allocate(vertices(3599)%branchR2(0:0))
    call avR2(3599, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13325, nGC_13326,       &
    nGC_13325])

    allocate(vertices(435)%branchR2(0:0))
    call avR2(435, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13325, nGC_13325,        &
    nGC_13326])

    allocate(vertices(5258)%branchR2(0:1))
    call avR2(5258, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_13327, nGC_13327,      &
    nGC_13327])

    call avR2(5258, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_13328, nGC_13328,      &
    nGC_13328])

    allocate(vertices(5259)%branchR2(0:1))
    call avR2(5259, 0, 51, 1, 0, VVVV0, 0, [2, 2], [nGC_13327, nGC_13327,      &
    nGC_13327])

    call avR2(5259, 1, 52, 1, 0, VVVV0, 0, [2, 2], [nGC_13328, nGC_13328,      &
    nGC_13328])

    allocate(vertices(5260)%branchR2(0:1))
    call avR2(5260, 0, 49, 1, 0, VVVV0, 0, [2, 2], [nGC_13327, nGC_13327,      &
    nGC_13327])

    call avR2(5260, 1, 50, 1, 0, VVVV0, 0, [2, 2], [nGC_13328, nGC_13328,      &
    nGC_13328])

    allocate(vertices(5261)%branchR2(0:1))
    call avR2(5261, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_13327, nGC_13327,      &
    nGC_13327])

    call avR2(5261, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_13328, nGC_13328,      &
    nGC_13328])

    allocate(vertices(5262)%branchR2(0:1))
    call avR2(5262, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_13327, nGC_13327,      &
    nGC_13327])

    call avR2(5262, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_13328, nGC_13328,      &
    nGC_13328])

    allocate(vertices(5263)%branchR2(0:1))
    call avR2(5263, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_13327, nGC_13327,      &
    nGC_13327])

    call avR2(5263, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_13328, nGC_13328,      &
    nGC_13328])

    allocate(vertices(5264)%branchR2(0:5))
    call avR2(5264, 0, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_13329, nGC_13329,      &
    nGC_13329])

    call avR2(5264, 1, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_13330, nGC_13330,      &
    nGC_13330])

    call avR2(5264, 2, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_13330, nGC_13330,      &
    nGC_13330])

    call avR2(5264, 3, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_13331, nGC_13331,      &
    nGC_13331])

    call avR2(5264, 4, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_13330, nGC_13330,      &
    nGC_13330])

    call avR2(5264, 5, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_13329, nGC_13329,      &
    nGC_13329])

    allocate(vertices(5265)%branchR2(0:5))
    call avR2(5265, 0, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_13329, nGC_13329,      &
    nGC_13329])

    call avR2(5265, 1, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_13330, nGC_13330,      &
    nGC_13330])

    call avR2(5265, 2, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_13330, nGC_13330,      &
    nGC_13330])

    call avR2(5265, 3, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_13331, nGC_13331,      &
    nGC_13331])

    call avR2(5265, 4, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_13330, nGC_13330,      &
    nGC_13330])

    call avR2(5265, 5, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_13329, nGC_13329,      &
    nGC_13329])

    allocate(vertices(5266)%branchR2(0:5))
    call avR2(5266, 0, 61, 1, 0, VVVV0, 0, [3, 1], [nGC_13329, nGC_13329,      &
    nGC_13329])

    call avR2(5266, 1, 62, 1, 0, VVVV0, 0, [3, 1], [nGC_13330, nGC_13330,      &
    nGC_13330])

    call avR2(5266, 2, 63, 1, 0, VVVV0, 0, [3, 1], [nGC_13330, nGC_13330,      &
    nGC_13330])

    call avR2(5266, 3, 64, 1, 0, VVVV0, 0, [3, 1], [nGC_13331, nGC_13331,      &
    nGC_13331])

    call avR2(5266, 4, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_13330, nGC_13330,      &
    nGC_13330])

    call avR2(5266, 5, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_13329, nGC_13329,      &
    nGC_13329])

    allocate(vertices(5267)%branchR2(0:5))
    call avR2(5267, 0, 55, 1, 0, VVVV0, 0, [3, 1], [nGC_13329, nGC_13329,      &
    nGC_13329])

    call avR2(5267, 1, 56, 1, 0, VVVV0, 0, [3, 1], [nGC_13330, nGC_13330,      &
    nGC_13330])

    call avR2(5267, 2, 57, 1, 0, VVVV0, 0, [3, 1], [nGC_13330, nGC_13330,      &
    nGC_13330])

    call avR2(5267, 3, 58, 1, 0, VVVV0, 0, [3, 1], [nGC_13331, nGC_13331,      &
    nGC_13331])

    call avR2(5267, 4, 59, 1, 0, VVVV0, 0, [3, 1], [nGC_13330, nGC_13330,      &
    nGC_13330])

    call avR2(5267, 5, 60, 1, 0, VVVV0, 0, [3, 1], [nGC_13329, nGC_13329,      &
    nGC_13329])

    allocate(vertices(284)%branchR2(0:23))
    call avR2(284, 0, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_13337, nGC_13333,        &
    nGC_13338])

    call avR2(284, 1, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_13333, nGC_13337,        &
    nGC_13339])

    call avR2(284, 2, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_13337, nGC_13333,        &
    nGC_13338])

    call avR2(284, 3, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_13333, nGC_13337,        &
    nGC_13339])

    call avR2(284, 4, 8, 1, 0, VVVV0, 0, [4, 0], [nGC_13332, nGC_13332,        &
    nGC_13333])

    call avR2(284, 5, 9, 1, 0, VVVV0, 0, [4, 0], [nGC_13332, nGC_13332,        &
    nGC_13333])

    call avR2(284, 6, 79, 1, 0, VVVV0, 0, [4, 0], [nGC_13334, nGC_13334,       &
    nGC_13334])

    call avR2(284, 7, 80, 1, 0, VVVV0, 0, [4, 0], [nGC_13334, nGC_13334,       &
    nGC_13334])

    call avR2(284, 8, 81, 1, 0, VVVV0, 0, [4, 0], [nGC_13335, nGC_13336,       &
    nGC_13336])

    call avR2(284, 9, 82, 1, 0, VVVV0, 0, [4, 0], [nGC_13334, nGC_13334,       &
    nGC_13334])

    call avR2(284, 10, 83, 1, 0, VVVV0, 0, [4, 0], [nGC_13336, nGC_13336,      &
    nGC_13335])

    call avR2(284, 11, 84, 1, 0, VVVV0, 0, [4, 0], [nGC_13336, nGC_13335,      &
    nGC_13336])

    call avR2(284, 12, 85, 1, 0, VVVV0, 0, [4, 0], [nGC_13334, nGC_13334,      &
    nGC_13334])

    call avR2(284, 13, 86, 1, 0, VVVV0, 0, [4, 0], [nGC_13334, nGC_13334,      &
    nGC_13334])

    call avR2(284, 14, 87, 1, 0, VVVV0, 0, [4, 0], [nGC_13334, nGC_13334,      &
    nGC_13334])

    call avR2(284, 15, 88, 1, 0, VVVV0, 0, [4, 0], [nGC_13334, nGC_13334,      &
    nGC_13334])

    call avR2(284, 16, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_13334, nGC_13334,      &
    nGC_13334])

    call avR2(284, 17, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_13340, nGC_13340,      &
    nGC_13340])

    call avR2(284, 18, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_13340, nGC_13340,      &
    nGC_13340])

    call avR2(284, 19, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_13340, nGC_13340,      &
    nGC_13340])

    call avR2(284, 20, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_13341, nGC_13341,      &
    nGC_13341])

    call avR2(284, 21, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_13340, nGC_13340,      &
    nGC_13340])

    call avR2(284, 22, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_13340, nGC_13340,      &
    nGC_13340])

    call avR2(284, 23, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_13340, nGC_13340,      &
    nGC_13340])

  end subroutine fill_vertices_mdl12
end module vertices_info12
