!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  implicit none
  contains
  subroutine fill_vertices_mdl9()
    use class_vertices
    use class_couplings
    allocate(vertices(3898)%branchCT(0:0))
    call avCT(3898, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19353])

    allocate(vertices(3899)%branchCT(0:0))
    call avCT(3899, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19353])

    allocate(vertices(3894)%branchCT(0:0))
    call avCT(3894, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19353])

    allocate(vertices(3895)%branchCT(0:0))
    call avCT(3895, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19353])

    allocate(vertices(3888)%branchCT(0:0))
    call avCT(3888, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19353])

    allocate(vertices(3889)%branchCT(0:0))
    call avCT(3889, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19353])

    allocate(vertices(3890)%branchCT(0:0))
    call avCT(3890, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19353])

    allocate(vertices(3891)%branchCT(0:0))
    call avCT(3891, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19353])

    allocate(vertices(3892)%branchCT(0:0))
    call avCT(3892, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19353])

    allocate(vertices(3893)%branchCT(0:0))
    call avCT(3893, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19353])

    allocate(vertices(3900)%branchCT(0:0))
    call avCT(3900, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19353])

    allocate(vertices(3901)%branchCT(0:0))
    call avCT(3901, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19353])

    allocate(vertices(3903)%branchCT(0:0))
    call avCT(3903, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19353])

    allocate(vertices(3904)%branchCT(0:0))
    call avCT(3904, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19353])

    allocate(vertices(2410)%branchCT(0:0))
    call avCT(2410, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19364])

    allocate(vertices(2411)%branchCT(0:0))
    call avCT(2411, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19364])

    allocate(vertices(2412)%branchCT(0:0))
    call avCT(2412, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19364])

    allocate(vertices(2413)%branchCT(0:0))
    call avCT(2413, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19364])

    allocate(vertices(2414)%branchCT(0:0))
    call avCT(2414, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19364])

    allocate(vertices(2415)%branchCT(0:0))
    call avCT(2415, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19364])

    allocate(vertices(2416)%branchCT(0:0))
    call avCT(2416, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19364])

    allocate(vertices(2417)%branchCT(0:0))
    call avCT(2417, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19364])

    allocate(vertices(2418)%branchCT(0:0))
    call avCT(2418, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19364])

    allocate(vertices(2419)%branchCT(0:0))
    call avCT(2419, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19364])

    allocate(vertices(2420)%branchCT(0:0))
    call avCT(2420, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19364])

    allocate(vertices(3929)%branchCT(0:0))
    call avCT(3929, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3930)%branchCT(0:0))
    call avCT(3930, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3931)%branchCT(0:0))
    call avCT(3931, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3932)%branchCT(0:0))
    call avCT(3932, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3933)%branchCT(0:0))
    call avCT(3933, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3911)%branchCT(0:0))
    call avCT(3911, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3912)%branchCT(0:0))
    call avCT(3912, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3913)%branchCT(0:0))
    call avCT(3913, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3914)%branchCT(0:0))
    call avCT(3914, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3915)%branchCT(0:0))
    call avCT(3915, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3922)%branchCT(0:0))
    call avCT(3922, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3923)%branchCT(0:0))
    call avCT(3923, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3924)%branchCT(0:0))
    call avCT(3924, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3925)%branchCT(0:0))
    call avCT(3925, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3926)%branchCT(0:0))
    call avCT(3926, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3927)%branchCT(0:0))
    call avCT(3927, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3916)%branchCT(0:0))
    call avCT(3916, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3917)%branchCT(0:0))
    call avCT(3917, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3918)%branchCT(0:0))
    call avCT(3918, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3919)%branchCT(0:0))
    call avCT(3919, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3920)%branchCT(0:0))
    call avCT(3920, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19369])

    allocate(vertices(3921)%branchCT(0:0))
    call avCT(3921, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19369])

    allocate(vertices(2443)%branchCT(0:0))
    call avCT(2443, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19373])

    allocate(vertices(2444)%branchCT(0:0))
    call avCT(2444, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19373])

    allocate(vertices(2445)%branchCT(0:0))
    call avCT(2445, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19373])

    allocate(vertices(2446)%branchCT(0:0))
    call avCT(2446, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19373])

    allocate(vertices(2447)%branchCT(0:0))
    call avCT(2447, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19373])

    allocate(vertices(2543)%branchCT(0:0))
    call avCT(2543, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19377])

    allocate(vertices(2544)%branchCT(0:0))
    call avCT(2544, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19377])

    allocate(vertices(2545)%branchCT(0:0))
    call avCT(2545, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19377])

    allocate(vertices(2546)%branchCT(0:0))
    call avCT(2546, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19377])

    allocate(vertices(2547)%branchCT(0:0))
    call avCT(2547, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19377])

    allocate(vertices(2451)%branchCT(0:0))
    call avCT(2451, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19381])

    allocate(vertices(2452)%branchCT(0:0))
    call avCT(2452, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19381])

    allocate(vertices(2453)%branchCT(0:0))
    call avCT(2453, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19381])

    allocate(vertices(2454)%branchCT(0:0))
    call avCT(2454, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19381])

    allocate(vertices(2455)%branchCT(0:0))
    call avCT(2455, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19381])

    allocate(vertices(2548)%branchCT(0:0))
    call avCT(2548, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19385])

    allocate(vertices(2549)%branchCT(0:0))
    call avCT(2549, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19385])

    allocate(vertices(2550)%branchCT(0:0))
    call avCT(2550, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19385])

    allocate(vertices(2551)%branchCT(0:0))
    call avCT(2551, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19385])

    allocate(vertices(2552)%branchCT(0:0))
    call avCT(2552, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19385])

    allocate(vertices(2459)%branchCT(0:0))
    call avCT(2459, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19392, nGC_19391])

    allocate(vertices(2460)%branchCT(0:0))
    call avCT(2460, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19391, nGC_19392])

    allocate(vertices(2461)%branchCT(0:0))
    call avCT(2461, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_19391, nGC_19392])

    allocate(vertices(2462)%branchCT(0:0))
    call avCT(2462, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19392, nGC_19391])

    allocate(vertices(2463)%branchCT(0:0))
    call avCT(2463, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_19392, nGC_19391])

    allocate(vertices(3967)%branchCT(0:0))
    call avCT(3967, 0, 1, 1, 0, VSS2, 0, [0, 3], [nGC_19401, nGC_19400])

    allocate(vertices(3968)%branchCT(0:0))
    call avCT(3968, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19400, nGC_19401])

    allocate(vertices(3969)%branchCT(0:0))
    call avCT(3969, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_19400, nGC_19401])

    allocate(vertices(3970)%branchCT(0:0))
    call avCT(3970, 0, 1, 1, 0, SVS1, 0, [0, 3], [nGC_19401, nGC_19400])

    allocate(vertices(3971)%branchCT(0:0))
    call avCT(3971, 0, 1, 1, 0, SSV2, 0, [0, 3], [nGC_19401, nGC_19400])

    allocate(vertices(2467)%branchCT(0:0))
    call avCT(2467, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19404])

    allocate(vertices(2468)%branchCT(0:0))
    call avCT(2468, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19404])

    allocate(vertices(2469)%branchCT(0:0))
    call avCT(2469, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19404])

    allocate(vertices(2470)%branchCT(0:0))
    call avCT(2470, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19404])

    allocate(vertices(2471)%branchCT(0:0))
    call avCT(2471, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19404])

    allocate(vertices(2472)%branchCT(0:0))
    call avCT(2472, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19407])

    allocate(vertices(2473)%branchCT(0:0))
    call avCT(2473, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19407])

    allocate(vertices(2474)%branchCT(0:0))
    call avCT(2474, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19407])

    allocate(vertices(2475)%branchCT(0:0))
    call avCT(2475, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19407])

    allocate(vertices(2476)%branchCT(0:0))
    call avCT(2476, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19407])

    allocate(vertices(2477)%branchCT(0:0))
    call avCT(2477, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19410])

    allocate(vertices(2478)%branchCT(0:0))
    call avCT(2478, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19410])

    allocate(vertices(2479)%branchCT(0:0))
    call avCT(2479, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19410])

    allocate(vertices(2480)%branchCT(0:0))
    call avCT(2480, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19410])

    allocate(vertices(2481)%branchCT(0:0))
    call avCT(2481, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19410])

    allocate(vertices(2482)%branchCT(0:0))
    call avCT(2482, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19413])

    allocate(vertices(2483)%branchCT(0:0))
    call avCT(2483, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19413])

    allocate(vertices(2484)%branchCT(0:0))
    call avCT(2484, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19413])

    allocate(vertices(2485)%branchCT(0:0))
    call avCT(2485, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19413])

    allocate(vertices(2486)%branchCT(0:0))
    call avCT(2486, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19413])

    allocate(vertices(2487)%branchCT(0:0))
    call avCT(2487, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19404])

    allocate(vertices(2488)%branchCT(0:0))
    call avCT(2488, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19404])

    allocate(vertices(2489)%branchCT(0:0))
    call avCT(2489, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19404])

    allocate(vertices(2490)%branchCT(0:0))
    call avCT(2490, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19404])

    allocate(vertices(2491)%branchCT(0:0))
    call avCT(2491, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19404])

    allocate(vertices(2492)%branchCT(0:0))
    call avCT(2492, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19407])

    allocate(vertices(2493)%branchCT(0:0))
    call avCT(2493, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19407])

    allocate(vertices(2494)%branchCT(0:0))
    call avCT(2494, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19407])

    allocate(vertices(2495)%branchCT(0:0))
    call avCT(2495, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19407])

    allocate(vertices(2496)%branchCT(0:0))
    call avCT(2496, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19407])

    allocate(vertices(2497)%branchCT(0:0))
    call avCT(2497, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19413])

    allocate(vertices(2498)%branchCT(0:0))
    call avCT(2498, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19413])

    allocate(vertices(2499)%branchCT(0:0))
    call avCT(2499, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19413])

    allocate(vertices(2500)%branchCT(0:0))
    call avCT(2500, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19413])

    allocate(vertices(2501)%branchCT(0:0))
    call avCT(2501, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19413])

    allocate(vertices(2502)%branchCT(0:0))
    call avCT(2502, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_19410])

    allocate(vertices(2503)%branchCT(0:0))
    call avCT(2503, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_19410])

    allocate(vertices(2504)%branchCT(0:0))
    call avCT(2504, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_19410])

    allocate(vertices(2505)%branchCT(0:0))
    call avCT(2505, 0, 1, 1, 0, VUaU0, 0, [0, 3], [nGC_19410])

    allocate(vertices(2506)%branchCT(0:0))
    call avCT(2506, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_19410])

    allocate(vertices(2565)%branchCT(0:1))
    call avCT(2565, 0, 2, 3, 0, UaVU0, 0, [3, 0], [nGC_19445])

    call avCT(2565, 1, 3, 2, 0, UaVU0, 0, [3, 0], [nGC_19445])

    allocate(vertices(2566)%branchCT(0:1))
    call avCT(2566, 0, 2, 3, 0, UUaV0, 0, [3, 0], [nGC_19445])

    call avCT(2566, 1, 3, 2, 0, UUaV0, 0, [3, 0], [nGC_19445])

    allocate(vertices(2567)%branchCT(0:1))
    call avCT(2567, 0, 2, 2, 0, UVUa0, 0, [3, 0], [nGC_19445])

    call avCT(2567, 1, 3, 3, 0, UVUa0, 0, [3, 0], [nGC_19445])

    allocate(vertices(2568)%branchCT(0:1))
    call avCT(2568, 0, 2, 2, 0, VUaU0, 0, [3, 0], [nGC_19445])

    call avCT(2568, 1, 3, 3, 0, VUaU0, 0, [3, 0], [nGC_19445])

    allocate(vertices(2569)%branchCT(0:1))
    call avCT(2569, 0, 2, 3, 0, VUUa0, 0, [3, 0], [nGC_19445])

    call avCT(2569, 1, 3, 2, 0, VUUa0, 0, [3, 0], [nGC_19445])

    allocate(vertices(2573)%branchCT(0:5))
    call avCT(2573, 0, 4, 4, 0, UaVUV0, 0, [4, 0], [nGC_19451])

    call avCT(2573, 1, 5, 5, 0, UaVUV0, 0, [4, 0], [nGC_19450])

    call avCT(2573, 2, 6, 4, 0, UaVUV0, 0, [4, 0], [nGC_19451])

    call avCT(2573, 3, 7, 5, 0, UaVUV0, 0, [4, 0], [nGC_19450])

    call avCT(2573, 4, 8, 5, 0, UaVUV0, 0, [4, 0], [nGC_19450])

    call avCT(2573, 5, 9, 5, 0, UaVUV0, 0, [4, 0], [nGC_19450])

    allocate(vertices(2574)%branchCT(0:5))
    call avCT(2574, 0, 4, 5, 0, UaVVU0, 0, [4, 0], [nGC_19450])

    call avCT(2574, 1, 5, 4, 0, UaVVU0, 0, [4, 0], [nGC_19451])

    call avCT(2574, 2, 6, 5, 0, UaVVU0, 0, [4, 0], [nGC_19450])

    call avCT(2574, 3, 7, 4, 0, UaVVU0, 0, [4, 0], [nGC_19451])

    call avCT(2574, 4, 8, 5, 0, UaVVU0, 0, [4, 0], [nGC_19450])

    call avCT(2574, 5, 9, 5, 0, UaVVU0, 0, [4, 0], [nGC_19450])

    allocate(vertices(2575)%branchCT(0:5))
    call avCT(2575, 0, 4, 5, 0, UUaVV0, 0, [4, 0], [nGC_19450])

    call avCT(2575, 1, 5, 5, 0, UUaVV0, 0, [4, 0], [nGC_19450])

    call avCT(2575, 2, 6, 5, 0, UUaVV0, 0, [4, 0], [nGC_19450])

    call avCT(2575, 3, 7, 5, 0, UUaVV0, 0, [4, 0], [nGC_19450])

    call avCT(2575, 4, 8, 4, 0, UUaVV0, 0, [4, 0], [nGC_19451])

    call avCT(2575, 5, 9, 4, 0, UUaVV0, 0, [4, 0], [nGC_19451])

    allocate(vertices(2576)%branchCT(0:5))
    call avCT(2576, 0, 4, 4, 0, UVUaV0, 0, [4, 0], [nGC_19451])

    call avCT(2576, 1, 5, 5, 0, UVUaV0, 0, [4, 0], [nGC_19450])

    call avCT(2576, 2, 6, 4, 0, UVUaV0, 0, [4, 0], [nGC_19451])

    call avCT(2576, 3, 7, 5, 0, UVUaV0, 0, [4, 0], [nGC_19450])

    call avCT(2576, 4, 8, 5, 0, UVUaV0, 0, [4, 0], [nGC_19450])

    call avCT(2576, 5, 9, 5, 0, UVUaV0, 0, [4, 0], [nGC_19450])

    allocate(vertices(2577)%branchCT(0:5))
    call avCT(2577, 0, 4, 5, 0, UVVUa0, 0, [4, 0], [nGC_19450])

    call avCT(2577, 1, 5, 4, 0, UVVUa0, 0, [4, 0], [nGC_19451])

    call avCT(2577, 2, 6, 5, 0, UVVUa0, 0, [4, 0], [nGC_19450])

    call avCT(2577, 3, 7, 4, 0, UVVUa0, 0, [4, 0], [nGC_19451])

    call avCT(2577, 4, 8, 5, 0, UVVUa0, 0, [4, 0], [nGC_19450])

    call avCT(2577, 5, 9, 5, 0, UVVUa0, 0, [4, 0], [nGC_19450])

    allocate(vertices(2578)%branchCT(0:5))
    call avCT(2578, 0, 4, 5, 0, VUaUV0, 0, [4, 0], [nGC_19450])

    call avCT(2578, 1, 5, 4, 0, VUaUV0, 0, [4, 0], [nGC_19451])

    call avCT(2578, 2, 6, 5, 0, VUaUV0, 0, [4, 0], [nGC_19450])

    call avCT(2578, 3, 7, 4, 0, VUaUV0, 0, [4, 0], [nGC_19451])

    call avCT(2578, 4, 8, 5, 0, VUaUV0, 0, [4, 0], [nGC_19450])

    call avCT(2578, 5, 9, 5, 0, VUaUV0, 0, [4, 0], [nGC_19450])

    allocate(vertices(2579)%branchCT(0:5))
    call avCT(2579, 0, 4, 4, 0, VUaVU0, 0, [4, 0], [nGC_19451])

    call avCT(2579, 1, 5, 5, 0, VUaVU0, 0, [4, 0], [nGC_19450])

    call avCT(2579, 2, 6, 4, 0, VUaVU0, 0, [4, 0], [nGC_19451])

    call avCT(2579, 3, 7, 5, 0, VUaVU0, 0, [4, 0], [nGC_19450])

    call avCT(2579, 4, 8, 5, 0, VUaVU0, 0, [4, 0], [nGC_19450])

    call avCT(2579, 5, 9, 5, 0, VUaVU0, 0, [4, 0], [nGC_19450])

    allocate(vertices(2580)%branchCT(0:5))
    call avCT(2580, 0, 4, 5, 0, VUUaV0, 0, [4, 0], [nGC_19450])

    call avCT(2580, 1, 5, 4, 0, VUUaV0, 0, [4, 0], [nGC_19451])

    call avCT(2580, 2, 6, 5, 0, VUUaV0, 0, [4, 0], [nGC_19450])

    call avCT(2580, 3, 7, 4, 0, VUUaV0, 0, [4, 0], [nGC_19451])

    call avCT(2580, 4, 8, 5, 0, VUUaV0, 0, [4, 0], [nGC_19450])

    call avCT(2580, 5, 9, 5, 0, VUUaV0, 0, [4, 0], [nGC_19450])

    allocate(vertices(2581)%branchCT(0:5))
    call avCT(2581, 0, 4, 4, 0, VUVUa0, 0, [4, 0], [nGC_19451])

    call avCT(2581, 1, 5, 5, 0, VUVUa0, 0, [4, 0], [nGC_19450])

    call avCT(2581, 2, 6, 4, 0, VUVUa0, 0, [4, 0], [nGC_19451])

    call avCT(2581, 3, 7, 5, 0, VUVUa0, 0, [4, 0], [nGC_19450])

    call avCT(2581, 4, 8, 5, 0, VUVUa0, 0, [4, 0], [nGC_19450])

    call avCT(2581, 5, 9, 5, 0, VUVUa0, 0, [4, 0], [nGC_19450])

    allocate(vertices(2582)%branchCT(0:5))
    call avCT(2582, 0, 4, 5, 0, VVUaU0, 0, [4, 0], [nGC_19450])

    call avCT(2582, 1, 5, 5, 0, VVUaU0, 0, [4, 0], [nGC_19450])

    call avCT(2582, 2, 6, 5, 0, VVUaU0, 0, [4, 0], [nGC_19450])

    call avCT(2582, 3, 7, 5, 0, VVUaU0, 0, [4, 0], [nGC_19450])

    call avCT(2582, 4, 8, 4, 0, VVUaU0, 0, [4, 0], [nGC_19451])

    call avCT(2582, 5, 9, 4, 0, VVUaU0, 0, [4, 0], [nGC_19451])

    allocate(vertices(2583)%branchCT(0:5))
    call avCT(2583, 0, 4, 5, 0, VVUUa0, 0, [4, 0], [nGC_19450])

    call avCT(2583, 1, 5, 5, 0, VVUUa0, 0, [4, 0], [nGC_19450])

    call avCT(2583, 2, 6, 5, 0, VVUUa0, 0, [4, 0], [nGC_19450])

    call avCT(2583, 3, 7, 5, 0, VVUUa0, 0, [4, 0], [nGC_19450])

    call avCT(2583, 4, 8, 4, 0, VVUUa0, 0, [4, 0], [nGC_19451])

    call avCT(2583, 5, 9, 4, 0, VVUUa0, 0, [4, 0], [nGC_19451])

    allocate(vertices(2591)%branchCT(0:1))
    call avCT(2591, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19470, nGC_19471])

    call avCT(2591, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19472, nGC_19473])

    allocate(vertices(2592)%branchCT(0:1))
    call avCT(2592, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19470, nGC_19471])

    call avCT(2592, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19472, nGC_19473])

    allocate(vertices(2593)%branchCT(0:1))
    call avCT(2593, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19470, nGC_19471])

    call avCT(2593, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19472, nGC_19473])

    allocate(vertices(2594)%branchCT(0:1))
    call avCT(2594, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19470, nGC_19471])

    call avCT(2594, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19472, nGC_19473])

    allocate(vertices(2595)%branchCT(0:1))
    call avCT(2595, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19470, nGC_19471])

    call avCT(2595, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19472, nGC_19473])

    allocate(vertices(2596)%branchCT(0:1))
    call avCT(2596, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19482, nGC_19483])

    call avCT(2596, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19484, nGC_19485])

    allocate(vertices(2597)%branchCT(0:1))
    call avCT(2597, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19482, nGC_19483])

    call avCT(2597, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19484, nGC_19485])

    allocate(vertices(2598)%branchCT(0:1))
    call avCT(2598, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19482, nGC_19483])

    call avCT(2598, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19484, nGC_19485])

    allocate(vertices(2599)%branchCT(0:1))
    call avCT(2599, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19482, nGC_19483])

    call avCT(2599, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19484, nGC_19485])

    allocate(vertices(2600)%branchCT(0:1))
    call avCT(2600, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19482, nGC_19483])

    call avCT(2600, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19484, nGC_19485])

    allocate(vertices(2601)%branchCT(0:1))
    call avCT(2601, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19494, nGC_19495])

    call avCT(2601, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19496, nGC_19497])

    allocate(vertices(2602)%branchCT(0:1))
    call avCT(2602, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19494, nGC_19495])

    call avCT(2602, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19496, nGC_19497])

    allocate(vertices(2603)%branchCT(0:1))
    call avCT(2603, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19494, nGC_19495])

    call avCT(2603, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19496, nGC_19497])

    allocate(vertices(2604)%branchCT(0:1))
    call avCT(2604, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19494, nGC_19495])

    call avCT(2604, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19496, nGC_19497])

    allocate(vertices(2605)%branchCT(0:1))
    call avCT(2605, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19494, nGC_19495])

    call avCT(2605, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19496, nGC_19497])

    allocate(vertices(2615)%branchCT(0:1))
    call avCT(2615, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19504, nGC_19505])

    call avCT(2615, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19506, nGC_19507])

    allocate(vertices(2616)%branchCT(0:1))
    call avCT(2616, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19506, nGC_19507])

    call avCT(2616, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19504, nGC_19505])

    allocate(vertices(2617)%branchCT(0:1))
    call avCT(2617, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19506, nGC_19507])

    call avCT(2617, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19504, nGC_19505])

    allocate(vertices(2618)%branchCT(0:1))
    call avCT(2618, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19506, nGC_19507])

    call avCT(2618, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19504, nGC_19505])

    allocate(vertices(2619)%branchCT(0:1))
    call avCT(2619, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19506, nGC_19507])

    call avCT(2619, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19504, nGC_19505])

    allocate(vertices(2620)%branchCT(0:1))
    call avCT(2620, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19514, nGC_19515])

    call avCT(2620, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19516, nGC_19517])

    allocate(vertices(2621)%branchCT(0:1))
    call avCT(2621, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19516, nGC_19517])

    call avCT(2621, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19514, nGC_19515])

    allocate(vertices(2622)%branchCT(0:1))
    call avCT(2622, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19514, nGC_19515])

    call avCT(2622, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19516, nGC_19517])

    allocate(vertices(2623)%branchCT(0:1))
    call avCT(2623, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19514, nGC_19515])

    call avCT(2623, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19516, nGC_19517])

    allocate(vertices(2624)%branchCT(0:1))
    call avCT(2624, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19514, nGC_19515])

    call avCT(2624, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19516, nGC_19517])

    allocate(vertices(2625)%branchCT(0:1))
    call avCT(2625, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19524, nGC_19525])

    call avCT(2625, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19526, nGC_19527])

    allocate(vertices(2626)%branchCT(0:1))
    call avCT(2626, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19524, nGC_19525])

    call avCT(2626, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19526, nGC_19527])

    allocate(vertices(2627)%branchCT(0:1))
    call avCT(2627, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19526, nGC_19527])

    call avCT(2627, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19524, nGC_19525])

    allocate(vertices(2628)%branchCT(0:1))
    call avCT(2628, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19524, nGC_19525])

    call avCT(2628, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19526, nGC_19527])

    allocate(vertices(2629)%branchCT(0:1))
    call avCT(2629, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19524, nGC_19525])

    call avCT(2629, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19526, nGC_19527])

    allocate(vertices(2639)%branchCT(0:1))
    call avCT(2639, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19536, nGC_19536])

    call avCT(2639, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19538, nGC_19538])

    allocate(vertices(2640)%branchCT(0:1))
    call avCT(2640, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19536, nGC_19536])

    call avCT(2640, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19538, nGC_19538])

    allocate(vertices(2641)%branchCT(0:1))
    call avCT(2641, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19536, nGC_19536])

    call avCT(2641, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19538, nGC_19538])

    allocate(vertices(2642)%branchCT(0:1))
    call avCT(2642, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19536, nGC_19536])

    call avCT(2642, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19538, nGC_19538])

    allocate(vertices(2643)%branchCT(0:1))
    call avCT(2643, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19538, nGC_19538])

    call avCT(2643, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19536, nGC_19536])

    allocate(vertices(2663)%branchCT(0:1))
    call avCT(2663, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19547, nGC_19547])

    call avCT(2663, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19549, nGC_19549])

    allocate(vertices(2664)%branchCT(0:1))
    call avCT(2664, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19547, nGC_19547])

    call avCT(2664, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19549, nGC_19549])

    allocate(vertices(2665)%branchCT(0:1))
    call avCT(2665, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19547, nGC_19547])

    call avCT(2665, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19549, nGC_19549])

    allocate(vertices(2666)%branchCT(0:1))
    call avCT(2666, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19547, nGC_19547])

    call avCT(2666, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19549, nGC_19549])

    allocate(vertices(2667)%branchCT(0:1))
    call avCT(2667, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19547, nGC_19547])

    call avCT(2667, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19549, nGC_19549])

    allocate(vertices(2644)%branchCT(0:1))
    call avCT(2644, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19560, nGC_19560])

    call avCT(2644, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19559, nGC_19559])

    allocate(vertices(2645)%branchCT(0:1))
    call avCT(2645, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19560, nGC_19560])

    call avCT(2645, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19559, nGC_19559])

    allocate(vertices(2646)%branchCT(0:1))
    call avCT(2646, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19560, nGC_19560])

    call avCT(2646, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19559, nGC_19559])

    allocate(vertices(2647)%branchCT(0:1))
    call avCT(2647, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19559, nGC_19559])

    call avCT(2647, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19560, nGC_19560])

    allocate(vertices(2648)%branchCT(0:1))
    call avCT(2648, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19559, nGC_19559])

    call avCT(2648, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19560, nGC_19560])

    allocate(vertices(2668)%branchCT(0:1))
    call avCT(2668, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19569, nGC_19569])

    call avCT(2668, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19571, nGC_19571])

    allocate(vertices(2669)%branchCT(0:1))
    call avCT(2669, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19569, nGC_19569])

    call avCT(2669, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19571, nGC_19571])

    allocate(vertices(2670)%branchCT(0:1))
    call avCT(2670, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19569, nGC_19569])

    call avCT(2670, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19571, nGC_19571])

    allocate(vertices(2671)%branchCT(0:1))
    call avCT(2671, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19569, nGC_19569])

    call avCT(2671, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19571, nGC_19571])

    allocate(vertices(2672)%branchCT(0:1))
    call avCT(2672, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19569, nGC_19569])

    call avCT(2672, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19571, nGC_19571])

    allocate(vertices(2649)%branchCT(0:1))
    call avCT(2649, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19581, nGC_19581])

    call avCT(2649, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19582, nGC_19582])

    allocate(vertices(2650)%branchCT(0:1))
    call avCT(2650, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19582, nGC_19582])

    call avCT(2650, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19581, nGC_19581])

    allocate(vertices(2651)%branchCT(0:1))
    call avCT(2651, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19582, nGC_19582])

    call avCT(2651, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19581, nGC_19581])

    allocate(vertices(2652)%branchCT(0:1))
    call avCT(2652, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19582, nGC_19582])

    call avCT(2652, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19581, nGC_19581])

    allocate(vertices(2653)%branchCT(0:1))
    call avCT(2653, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19581, nGC_19581])

    call avCT(2653, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19582, nGC_19582])

    allocate(vertices(2673)%branchCT(0:1))
    call avCT(2673, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19591, nGC_19591])

    call avCT(2673, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19593, nGC_19593])

    allocate(vertices(2674)%branchCT(0:1))
    call avCT(2674, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19591, nGC_19591])

    call avCT(2674, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19593, nGC_19593])

    allocate(vertices(2675)%branchCT(0:1))
    call avCT(2675, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19591, nGC_19591])

    call avCT(2675, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19593, nGC_19593])

    allocate(vertices(2676)%branchCT(0:1))
    call avCT(2676, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19591, nGC_19591])

    call avCT(2676, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19593, nGC_19593])

    allocate(vertices(2677)%branchCT(0:1))
    call avCT(2677, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19591, nGC_19591])

    call avCT(2677, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19593, nGC_19593])

    allocate(vertices(2687)%branchCT(0:0))
    call avCT(2687, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_19596])

    allocate(vertices(2688)%branchCT(0:0))
    call avCT(2688, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_19596])

    allocate(vertices(2689)%branchCT(0:0))
    call avCT(2689, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_19596])

    allocate(vertices(2690)%branchCT(0:0))
    call avCT(2690, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_19596])

    allocate(vertices(2691)%branchCT(0:0))
    call avCT(2691, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_19596])

    allocate(vertices(2692)%branchCT(0:0))
    call avCT(2692, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_19599])

    allocate(vertices(2693)%branchCT(0:0))
    call avCT(2693, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_19599])

    allocate(vertices(2694)%branchCT(0:0))
    call avCT(2694, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_19599])

    allocate(vertices(2695)%branchCT(0:0))
    call avCT(2695, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_19599])

    allocate(vertices(2696)%branchCT(0:0))
    call avCT(2696, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_19599])

    allocate(vertices(2697)%branchCT(0:0))
    call avCT(2697, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_19602])

    allocate(vertices(2698)%branchCT(0:0))
    call avCT(2698, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_19602])

    allocate(vertices(2699)%branchCT(0:0))
    call avCT(2699, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_19602])

    allocate(vertices(2700)%branchCT(0:0))
    call avCT(2700, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_19602])

    allocate(vertices(2701)%branchCT(0:0))
    call avCT(2701, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_19602])

    allocate(vertices(2711)%branchCT(0:0))
    call avCT(2711, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19606, nGC_19607])

    allocate(vertices(2712)%branchCT(0:0))
    call avCT(2712, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19606, nGC_19607])

    allocate(vertices(2713)%branchCT(0:0))
    call avCT(2713, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19606, nGC_19607])

    allocate(vertices(2714)%branchCT(0:0))
    call avCT(2714, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19606, nGC_19607])

    allocate(vertices(2715)%branchCT(0:0))
    call avCT(2715, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19606, nGC_19607])

    allocate(vertices(2716)%branchCT(0:0))
    call avCT(2716, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19611, nGC_19612])

    allocate(vertices(2717)%branchCT(0:0))
    call avCT(2717, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19611, nGC_19612])

    allocate(vertices(2718)%branchCT(0:0))
    call avCT(2718, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19611, nGC_19612])

    allocate(vertices(2719)%branchCT(0:0))
    call avCT(2719, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19611, nGC_19612])

    allocate(vertices(2720)%branchCT(0:0))
    call avCT(2720, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19611, nGC_19612])

    allocate(vertices(2721)%branchCT(0:0))
    call avCT(2721, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19616, nGC_19617])

    allocate(vertices(2722)%branchCT(0:0))
    call avCT(2722, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19616, nGC_19617])

    allocate(vertices(2723)%branchCT(0:0))
    call avCT(2723, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19616, nGC_19617])

    allocate(vertices(2724)%branchCT(0:0))
    call avCT(2724, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19616, nGC_19617])

    allocate(vertices(2725)%branchCT(0:0))
    call avCT(2725, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19616, nGC_19617])

    allocate(vertices(2735)%branchCT(0:0))
    call avCT(2735, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19624, nGC_19624])

    allocate(vertices(2736)%branchCT(0:0))
    call avCT(2736, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19624, nGC_19624])

    allocate(vertices(2737)%branchCT(0:0))
    call avCT(2737, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19624, nGC_19624])

    allocate(vertices(2738)%branchCT(0:0))
    call avCT(2738, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19624, nGC_19624])

    allocate(vertices(2739)%branchCT(0:0))
    call avCT(2739, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19624, nGC_19624])

    allocate(vertices(2759)%branchCT(0:0))
    call avCT(2759, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19631, nGC_19631])

    allocate(vertices(2760)%branchCT(0:0))
    call avCT(2760, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19631, nGC_19631])

    allocate(vertices(2761)%branchCT(0:0))
    call avCT(2761, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19631, nGC_19631])

    allocate(vertices(2762)%branchCT(0:0))
    call avCT(2762, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19631, nGC_19631])

    allocate(vertices(2763)%branchCT(0:0))
    call avCT(2763, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19631, nGC_19631])

    allocate(vertices(2740)%branchCT(0:0))
    call avCT(2740, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19638, nGC_19638])

    allocate(vertices(2741)%branchCT(0:0))
    call avCT(2741, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19638, nGC_19638])

    allocate(vertices(2742)%branchCT(0:0))
    call avCT(2742, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19638, nGC_19638])

    allocate(vertices(2743)%branchCT(0:0))
    call avCT(2743, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19638, nGC_19638])

    allocate(vertices(2744)%branchCT(0:0))
    call avCT(2744, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19638, nGC_19638])

    allocate(vertices(2764)%branchCT(0:0))
    call avCT(2764, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19645, nGC_19645])

    allocate(vertices(2765)%branchCT(0:0))
    call avCT(2765, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19645, nGC_19645])

    allocate(vertices(2766)%branchCT(0:0))
    call avCT(2766, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19645, nGC_19645])

    allocate(vertices(2767)%branchCT(0:0))
    call avCT(2767, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19645, nGC_19645])

    allocate(vertices(2768)%branchCT(0:0))
    call avCT(2768, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19645, nGC_19645])

    allocate(vertices(2745)%branchCT(0:0))
    call avCT(2745, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19652, nGC_19652])

    allocate(vertices(2746)%branchCT(0:0))
    call avCT(2746, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19652, nGC_19652])

    allocate(vertices(2747)%branchCT(0:0))
    call avCT(2747, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19652, nGC_19652])

    allocate(vertices(2748)%branchCT(0:0))
    call avCT(2748, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19652, nGC_19652])

    allocate(vertices(2749)%branchCT(0:0))
    call avCT(2749, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19652, nGC_19652])

    allocate(vertices(2769)%branchCT(0:0))
    call avCT(2769, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_19659, nGC_19659])

    allocate(vertices(2770)%branchCT(0:0))
    call avCT(2770, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_19659, nGC_19659])

    allocate(vertices(2771)%branchCT(0:0))
    call avCT(2771, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_19659, nGC_19659])

    allocate(vertices(2772)%branchCT(0:0))
    call avCT(2772, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_19659, nGC_19659])

    allocate(vertices(2773)%branchCT(0:0))
    call avCT(2773, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_19659, nGC_19659])

    allocate(vertices(2783)%branchCT(0:1))
    call avCT(2783, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19471, nGC_19470])

    call avCT(2783, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19473, nGC_19472])

    allocate(vertices(2784)%branchCT(0:1))
    call avCT(2784, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19471, nGC_19470])

    call avCT(2784, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19473, nGC_19472])

    allocate(vertices(2785)%branchCT(0:1))
    call avCT(2785, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19471, nGC_19470])

    call avCT(2785, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19473, nGC_19472])

    allocate(vertices(2786)%branchCT(0:1))
    call avCT(2786, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19471, nGC_19470])

    call avCT(2786, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19473, nGC_19472])

    allocate(vertices(2787)%branchCT(0:1))
    call avCT(2787, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19471, nGC_19470])

    call avCT(2787, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19473, nGC_19472])

    allocate(vertices(2788)%branchCT(0:1))
    call avCT(2788, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19483, nGC_19482])

    call avCT(2788, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19485, nGC_19484])

    allocate(vertices(2789)%branchCT(0:1))
    call avCT(2789, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19483, nGC_19482])

    call avCT(2789, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19485, nGC_19484])

    allocate(vertices(2790)%branchCT(0:1))
    call avCT(2790, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19483, nGC_19482])

    call avCT(2790, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19485, nGC_19484])

    allocate(vertices(2791)%branchCT(0:1))
    call avCT(2791, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19483, nGC_19482])

    call avCT(2791, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19485, nGC_19484])

    allocate(vertices(2792)%branchCT(0:1))
    call avCT(2792, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19483, nGC_19482])

    call avCT(2792, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19485, nGC_19484])

    allocate(vertices(2793)%branchCT(0:1))
    call avCT(2793, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19495, nGC_19494])

    call avCT(2793, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19497, nGC_19496])

    allocate(vertices(2794)%branchCT(0:1))
    call avCT(2794, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19495, nGC_19494])

    call avCT(2794, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19497, nGC_19496])

    allocate(vertices(2795)%branchCT(0:1))
    call avCT(2795, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19495, nGC_19494])

    call avCT(2795, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19497, nGC_19496])

    allocate(vertices(2796)%branchCT(0:1))
    call avCT(2796, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19495, nGC_19494])

    call avCT(2796, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19497, nGC_19496])

    allocate(vertices(2797)%branchCT(0:1))
    call avCT(2797, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19495, nGC_19494])

    call avCT(2797, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19497, nGC_19496])

    allocate(vertices(2807)%branchCT(0:1))
    call avCT(2807, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19692, nGC_19693])

    call avCT(2807, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19690, nGC_19691])

    allocate(vertices(2808)%branchCT(0:1))
    call avCT(2808, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19690, nGC_19691])

    call avCT(2808, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19692, nGC_19693])

    allocate(vertices(2809)%branchCT(0:1))
    call avCT(2809, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19690, nGC_19691])

    call avCT(2809, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19692, nGC_19693])

    allocate(vertices(2810)%branchCT(0:1))
    call avCT(2810, 0, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19690, nGC_19691])

    call avCT(2810, 1, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19692, nGC_19693])

    allocate(vertices(2811)%branchCT(0:1))
    call avCT(2811, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19690, nGC_19691])

    call avCT(2811, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19692, nGC_19693])

    allocate(vertices(2812)%branchCT(0:1))
    call avCT(2812, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19700, nGC_19701])

    call avCT(2812, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19702, nGC_19703])

    allocate(vertices(2813)%branchCT(0:1))
    call avCT(2813, 0, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19702, nGC_19703])

    call avCT(2813, 1, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19700, nGC_19701])

    allocate(vertices(2814)%branchCT(0:1))
    call avCT(2814, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19700, nGC_19701])

    call avCT(2814, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19702, nGC_19703])

    allocate(vertices(2815)%branchCT(0:1))
    call avCT(2815, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19702, nGC_19703])

    call avCT(2815, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19700, nGC_19701])

    allocate(vertices(2816)%branchCT(0:1))
    call avCT(2816, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19702, nGC_19703])

    call avCT(2816, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19700, nGC_19701])

    allocate(vertices(2817)%branchCT(0:1))
    call avCT(2817, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19710, nGC_19711])

    call avCT(2817, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19712, nGC_19713])

    allocate(vertices(2818)%branchCT(0:1))
    call avCT(2818, 0, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19710, nGC_19711])

    call avCT(2818, 1, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19712, nGC_19713])

    allocate(vertices(2819)%branchCT(0:1))
    call avCT(2819, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19710, nGC_19711])

    call avCT(2819, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19712, nGC_19713])

    allocate(vertices(2820)%branchCT(0:1))
    call avCT(2820, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19712, nGC_19713])

    call avCT(2820, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19710, nGC_19711])

    allocate(vertices(2821)%branchCT(0:1))
    call avCT(2821, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19712, nGC_19713])

    call avCT(2821, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19710, nGC_19711])

    allocate(vertices(2831)%branchCT(0:1))
    call avCT(2831, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19723, nGC_19723])

    call avCT(2831, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19724, nGC_19724])

    allocate(vertices(2832)%branchCT(0:1))
    call avCT(2832, 0, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19723, nGC_19723])

    call avCT(2832, 1, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19724, nGC_19724])

    allocate(vertices(2833)%branchCT(0:1))
    call avCT(2833, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19724, nGC_19724])

    call avCT(2833, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19723, nGC_19723])

    allocate(vertices(2834)%branchCT(0:1))
    call avCT(2834, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19724, nGC_19724])

    call avCT(2834, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19723, nGC_19723])

    allocate(vertices(2835)%branchCT(0:1))
    call avCT(2835, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19723, nGC_19723])

    call avCT(2835, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19724, nGC_19724])

    allocate(vertices(2855)%branchCT(0:1))
    call avCT(2855, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19733, nGC_19733])

    call avCT(2855, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19735, nGC_19735])

    allocate(vertices(2856)%branchCT(0:1))
    call avCT(2856, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19733, nGC_19733])

    call avCT(2856, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19735, nGC_19735])

    allocate(vertices(2857)%branchCT(0:1))
    call avCT(2857, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19733, nGC_19733])

    call avCT(2857, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19735, nGC_19735])

    allocate(vertices(2858)%branchCT(0:1))
    call avCT(2858, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19733, nGC_19733])

    call avCT(2858, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19735, nGC_19735])

    allocate(vertices(2859)%branchCT(0:1))
    call avCT(2859, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19733, nGC_19733])

    call avCT(2859, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19735, nGC_19735])

    allocate(vertices(2836)%branchCT(0:1))
    call avCT(2836, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19746, nGC_19746])

    call avCT(2836, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19744, nGC_19744])

    allocate(vertices(2837)%branchCT(0:1))
    call avCT(2837, 0, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19746, nGC_19746])

    call avCT(2837, 1, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19744, nGC_19744])

    allocate(vertices(2838)%branchCT(0:1))
    call avCT(2838, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19746, nGC_19746])

    call avCT(2838, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19744, nGC_19744])

    allocate(vertices(2839)%branchCT(0:1))
    call avCT(2839, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19744, nGC_19744])

    call avCT(2839, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19746, nGC_19746])

    allocate(vertices(2840)%branchCT(0:1))
    call avCT(2840, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19746, nGC_19746])

    call avCT(2840, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19744, nGC_19744])

    allocate(vertices(2860)%branchCT(0:1))
    call avCT(2860, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19755, nGC_19755])

    call avCT(2860, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19757, nGC_19757])

    allocate(vertices(2861)%branchCT(0:1))
    call avCT(2861, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19755, nGC_19755])

    call avCT(2861, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19757, nGC_19757])

    allocate(vertices(2862)%branchCT(0:1))
    call avCT(2862, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19755, nGC_19755])

    call avCT(2862, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19757, nGC_19757])

    allocate(vertices(2863)%branchCT(0:1))
    call avCT(2863, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19755, nGC_19755])

    call avCT(2863, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19757, nGC_19757])

    allocate(vertices(2864)%branchCT(0:1))
    call avCT(2864, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19755, nGC_19755])

    call avCT(2864, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19757, nGC_19757])

    allocate(vertices(2841)%branchCT(0:1))
    call avCT(2841, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19768, nGC_19768])

    call avCT(2841, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19766, nGC_19766])

    allocate(vertices(2842)%branchCT(0:1))
    call avCT(2842, 0, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19768, nGC_19768])

    call avCT(2842, 1, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19766, nGC_19766])

    allocate(vertices(2843)%branchCT(0:1))
    call avCT(2843, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19766, nGC_19766])

    call avCT(2843, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19768, nGC_19768])

    allocate(vertices(2844)%branchCT(0:1))
    call avCT(2844, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19768, nGC_19768])

    call avCT(2844, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19766, nGC_19766])

    allocate(vertices(2845)%branchCT(0:1))
    call avCT(2845, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19768, nGC_19768])

    call avCT(2845, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19766, nGC_19766])

    allocate(vertices(2865)%branchCT(0:1))
    call avCT(2865, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_19777, nGC_19777])

    call avCT(2865, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_19779, nGC_19779])

    allocate(vertices(2866)%branchCT(0:1))
    call avCT(2866, 0, 20, 1, 0, FaFS0, 0, [2, 1], [nGC_19777, nGC_19777])

    call avCT(2866, 1, 20, 1, 0, FaFS0, 0, [0, 3], [nGC_19779, nGC_19779])

    allocate(vertices(2867)%branchCT(0:1))
    call avCT(2867, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_19777, nGC_19777])

    call avCT(2867, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_19779, nGC_19779])

    allocate(vertices(2868)%branchCT(0:1))
    call avCT(2868, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_19777, nGC_19777])

    call avCT(2868, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_19779, nGC_19779])

    allocate(vertices(2869)%branchCT(0:1))
    call avCT(2869, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_19777, nGC_19777])

    call avCT(2869, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_19779, nGC_19779])

    allocate(vertices(2879)%branchCT(0:0))
    call avCT(2879, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2880)%branchCT(0:0))
    call avCT(2880, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2881)%branchCT(0:0))
    call avCT(2881, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2882)%branchCT(0:0))
    call avCT(2882, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2884)%branchCT(0:0))
    call avCT(2884, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2885)%branchCT(0:0))
    call avCT(2885, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2886)%branchCT(0:0))
    call avCT(2886, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2887)%branchCT(0:0))
    call avCT(2887, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2888)%branchCT(0:0))
    call avCT(2888, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2889)%branchCT(0:0))
    call avCT(2889, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2890)%branchCT(0:0))
    call avCT(2890, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2891)%branchCT(0:0))
    call avCT(2891, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2892)%branchCT(0:0))
    call avCT(2892, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2893)%branchCT(0:0))
    call avCT(2893, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2894)%branchCT(0:0))
    call avCT(2894, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2895)%branchCT(0:0))
    call avCT(2895, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2896)%branchCT(0:0))
    call avCT(2896, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2897)%branchCT(0:0))
    call avCT(2897, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2898)%branchCT(0:0))
    call avCT(2898, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2899)%branchCT(0:0))
    call avCT(2899, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2900)%branchCT(0:0))
    call avCT(2900, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2901)%branchCT(0:0))
    call avCT(2901, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(4099)%branchCT(0:0))
    call avCT(4099, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4100)%branchCT(0:0))
    call avCT(4100, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4101)%branchCT(0:0))
    call avCT(4101, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4102)%branchCT(0:0))
    call avCT(4102, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4112)%branchCT(0:0))
    call avCT(4112, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4113)%branchCT(0:0))
    call avCT(4113, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4110)%branchCT(0:0))
    call avCT(4110, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4111)%branchCT(0:0))
    call avCT(4111, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4115)%branchCT(0:0))
    call avCT(4115, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4114)%branchCT(0:0))
    call avCT(4114, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4104)%branchCT(0:0))
    call avCT(4104, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4105)%branchCT(0:0))
    call avCT(4105, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4106)%branchCT(0:0))
    call avCT(4106, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4107)%branchCT(0:0))
    call avCT(4107, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4108)%branchCT(0:0))
    call avCT(4108, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4109)%branchCT(0:0))
    call avCT(4109, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4116)%branchCT(0:0))
    call avCT(4116, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4117)%branchCT(0:0))
    call avCT(4117, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4120)%branchCT(0:0))
    call avCT(4120, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4121)%branchCT(0:0))
    call avCT(4121, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4119)%branchCT(0:0))
    call avCT(4119, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4118)%branchCT(0:0))
    call avCT(4118, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(2902)%branchCT(0:0))
    call avCT(2902, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2903)%branchCT(0:0))
    call avCT(2903, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2904)%branchCT(0:0))
    call avCT(2904, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2905)%branchCT(0:0))
    call avCT(2905, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2906)%branchCT(0:0))
    call avCT(2906, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2907)%branchCT(0:0))
    call avCT(2907, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2908)%branchCT(0:0))
    call avCT(2908, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2909)%branchCT(0:0))
    call avCT(2909, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2911)%branchCT(0:0))
    call avCT(2911, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2912)%branchCT(0:0))
    call avCT(2912, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2913)%branchCT(0:0))
    call avCT(2913, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2914)%branchCT(0:0))
    call avCT(2914, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2915)%branchCT(0:0))
    call avCT(2915, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2916)%branchCT(0:0))
    call avCT(2916, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2917)%branchCT(0:0))
    call avCT(2917, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2918)%branchCT(0:0))
    call avCT(2918, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2919)%branchCT(0:0))
    call avCT(2919, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2920)%branchCT(0:0))
    call avCT(2920, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2921)%branchCT(0:0))
    call avCT(2921, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2922)%branchCT(0:0))
    call avCT(2922, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2923)%branchCT(0:0))
    call avCT(2923, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(2924)%branchCT(0:0))
    call avCT(2924, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(4122)%branchCT(0:0))
    call avCT(4122, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4123)%branchCT(0:0))
    call avCT(4123, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4124)%branchCT(0:0))
    call avCT(4124, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4125)%branchCT(0:0))
    call avCT(4125, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4126)%branchCT(0:0))
    call avCT(4126, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4127)%branchCT(0:0))
    call avCT(4127, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4128)%branchCT(0:0))
    call avCT(4128, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4129)%branchCT(0:0))
    call avCT(4129, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4131)%branchCT(0:0))
    call avCT(4131, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4132)%branchCT(0:0))
    call avCT(4132, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4133)%branchCT(0:0))
    call avCT(4133, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4134)%branchCT(0:0))
    call avCT(4134, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4135)%branchCT(0:0))
    call avCT(4135, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4136)%branchCT(0:0))
    call avCT(4136, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4137)%branchCT(0:0))
    call avCT(4137, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4138)%branchCT(0:0))
    call avCT(4138, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4139)%branchCT(0:0))
    call avCT(4139, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4140)%branchCT(0:0))
    call avCT(4140, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4141)%branchCT(0:0))
    call avCT(4141, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4142)%branchCT(0:0))
    call avCT(4142, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4143)%branchCT(0:0))
    call avCT(4143, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4144)%branchCT(0:0))
    call avCT(4144, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(2925)%branchCT(0:0))
    call avCT(2925, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2926)%branchCT(0:0))
    call avCT(2926, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2927)%branchCT(0:0))
    call avCT(2927, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2928)%branchCT(0:0))
    call avCT(2928, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2929)%branchCT(0:0))
    call avCT(2929, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2930)%branchCT(0:0))
    call avCT(2930, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2931)%branchCT(0:0))
    call avCT(2931, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2932)%branchCT(0:0))
    call avCT(2932, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2933)%branchCT(0:0))
    call avCT(2933, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2934)%branchCT(0:0))
    call avCT(2934, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2935)%branchCT(0:0))
    call avCT(2935, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2936)%branchCT(0:0))
    call avCT(2936, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2937)%branchCT(0:0))
    call avCT(2937, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2938)%branchCT(0:0))
    call avCT(2938, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2940)%branchCT(0:0))
    call avCT(2940, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2941)%branchCT(0:0))
    call avCT(2941, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2942)%branchCT(0:0))
    call avCT(2942, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2943)%branchCT(0:0))
    call avCT(2943, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2944)%branchCT(0:0))
    call avCT(2944, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2945)%branchCT(0:0))
    call avCT(2945, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2946)%branchCT(0:0))
    call avCT(2946, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2947)%branchCT(0:0))
    call avCT(2947, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(4053)%branchCT(0:0))
    call avCT(4053, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4054)%branchCT(0:0))
    call avCT(4054, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4055)%branchCT(0:0))
    call avCT(4055, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4056)%branchCT(0:0))
    call avCT(4056, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4057)%branchCT(0:0))
    call avCT(4057, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4058)%branchCT(0:0))
    call avCT(4058, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4059)%branchCT(0:0))
    call avCT(4059, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4060)%branchCT(0:0))
    call avCT(4060, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4061)%branchCT(0:0))
    call avCT(4061, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4062)%branchCT(0:0))
    call avCT(4062, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4063)%branchCT(0:0))
    call avCT(4063, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4064)%branchCT(0:0))
    call avCT(4064, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4065)%branchCT(0:0))
    call avCT(4065, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4066)%branchCT(0:0))
    call avCT(4066, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4068)%branchCT(0:0))
    call avCT(4068, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4069)%branchCT(0:0))
    call avCT(4069, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4070)%branchCT(0:0))
    call avCT(4070, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4071)%branchCT(0:0))
    call avCT(4071, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4072)%branchCT(0:0))
    call avCT(4072, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4073)%branchCT(0:0))
    call avCT(4073, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4074)%branchCT(0:0))
    call avCT(4074, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4075)%branchCT(0:0))
    call avCT(4075, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(2948)%branchCT(0:0))
    call avCT(2948, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2949)%branchCT(0:0))
    call avCT(2949, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2950)%branchCT(0:0))
    call avCT(2950, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2951)%branchCT(0:0))
    call avCT(2951, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2952)%branchCT(0:0))
    call avCT(2952, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2953)%branchCT(0:0))
    call avCT(2953, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2954)%branchCT(0:0))
    call avCT(2954, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2955)%branchCT(0:0))
    call avCT(2955, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2956)%branchCT(0:0))
    call avCT(2956, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2957)%branchCT(0:0))
    call avCT(2957, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2958)%branchCT(0:0))
    call avCT(2958, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2959)%branchCT(0:0))
    call avCT(2959, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2960)%branchCT(0:0))
    call avCT(2960, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2961)%branchCT(0:0))
    call avCT(2961, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2962)%branchCT(0:0))
    call avCT(2962, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2963)%branchCT(0:0))
    call avCT(2963, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2965)%branchCT(0:0))
    call avCT(2965, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2966)%branchCT(0:0))
    call avCT(2966, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2967)%branchCT(0:0))
    call avCT(2967, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2968)%branchCT(0:0))
    call avCT(2968, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2969)%branchCT(0:0))
    call avCT(2969, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(2970)%branchCT(0:0))
    call avCT(2970, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(4076)%branchCT(0:0))
    call avCT(4076, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4077)%branchCT(0:0))
    call avCT(4077, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4078)%branchCT(0:0))
    call avCT(4078, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4079)%branchCT(0:0))
    call avCT(4079, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4080)%branchCT(0:0))
    call avCT(4080, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4081)%branchCT(0:0))
    call avCT(4081, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4082)%branchCT(0:0))
    call avCT(4082, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4083)%branchCT(0:0))
    call avCT(4083, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4084)%branchCT(0:0))
    call avCT(4084, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4085)%branchCT(0:0))
    call avCT(4085, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4086)%branchCT(0:0))
    call avCT(4086, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4087)%branchCT(0:0))
    call avCT(4087, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4088)%branchCT(0:0))
    call avCT(4088, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4089)%branchCT(0:0))
    call avCT(4089, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4090)%branchCT(0:0))
    call avCT(4090, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4091)%branchCT(0:0))
    call avCT(4091, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4093)%branchCT(0:0))
    call avCT(4093, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4094)%branchCT(0:0))
    call avCT(4094, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4095)%branchCT(0:0))
    call avCT(4095, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4096)%branchCT(0:0))
    call avCT(4096, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4097)%branchCT(0:0))
    call avCT(4097, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4098)%branchCT(0:0))
    call avCT(4098, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(2971)%branchCT(0:0))
    call avCT(2971, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2972)%branchCT(0:0))
    call avCT(2972, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2973)%branchCT(0:0))
    call avCT(2973, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2974)%branchCT(0:0))
    call avCT(2974, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2975)%branchCT(0:0))
    call avCT(2975, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2976)%branchCT(0:0))
    call avCT(2976, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2977)%branchCT(0:0))
    call avCT(2977, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2978)%branchCT(0:0))
    call avCT(2978, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2979)%branchCT(0:0))
    call avCT(2979, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2980)%branchCT(0:0))
    call avCT(2980, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2981)%branchCT(0:0))
    call avCT(2981, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2982)%branchCT(0:0))
    call avCT(2982, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2983)%branchCT(0:0))
    call avCT(2983, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2984)%branchCT(0:0))
    call avCT(2984, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2985)%branchCT(0:0))
    call avCT(2985, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2986)%branchCT(0:0))
    call avCT(2986, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2987)%branchCT(0:0))
    call avCT(2987, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2989)%branchCT(0:0))
    call avCT(2989, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2990)%branchCT(0:0))
    call avCT(2990, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2991)%branchCT(0:0))
    call avCT(2991, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2992)%branchCT(0:0))
    call avCT(2992, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19811])

    allocate(vertices(2993)%branchCT(0:0))
    call avCT(2993, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19811])

    allocate(vertices(3975)%branchCT(0:0))
    call avCT(3975, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3976)%branchCT(0:0))
    call avCT(3976, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3977)%branchCT(0:0))
    call avCT(3977, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3978)%branchCT(0:0))
    call avCT(3978, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3980)%branchCT(0:0))
    call avCT(3980, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3981)%branchCT(0:0))
    call avCT(3981, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3982)%branchCT(0:0))
    call avCT(3982, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3983)%branchCT(0:0))
    call avCT(3983, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3984)%branchCT(0:0))
    call avCT(3984, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3985)%branchCT(0:0))
    call avCT(3985, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3986)%branchCT(0:0))
    call avCT(3986, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3987)%branchCT(0:0))
    call avCT(3987, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3988)%branchCT(0:0))
    call avCT(3988, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3989)%branchCT(0:0))
    call avCT(3989, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3990)%branchCT(0:0))
    call avCT(3990, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3991)%branchCT(0:0))
    call avCT(3991, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3992)%branchCT(0:0))
    call avCT(3992, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3993)%branchCT(0:0))
    call avCT(3993, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3994)%branchCT(0:0))
    call avCT(3994, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3995)%branchCT(0:0))
    call avCT(3995, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3996)%branchCT(0:0))
    call avCT(3996, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19815])

    allocate(vertices(3997)%branchCT(0:0))
    call avCT(3997, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19815])

    allocate(vertices(2997)%branchCT(0:0))
    call avCT(2997, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(2998)%branchCT(0:0))
    call avCT(2998, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(2999)%branchCT(0:0))
    call avCT(2999, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3000)%branchCT(0:0))
    call avCT(3000, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3001)%branchCT(0:0))
    call avCT(3001, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3002)%branchCT(0:0))
    call avCT(3002, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3003)%branchCT(0:0))
    call avCT(3003, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3004)%branchCT(0:0))
    call avCT(3004, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3005)%branchCT(0:0))
    call avCT(3005, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3006)%branchCT(0:0))
    call avCT(3006, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3007)%branchCT(0:0))
    call avCT(3007, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3009)%branchCT(0:0))
    call avCT(3009, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3010)%branchCT(0:0))
    call avCT(3010, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3011)%branchCT(0:0))
    call avCT(3011, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3012)%branchCT(0:0))
    call avCT(3012, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3013)%branchCT(0:0))
    call avCT(3013, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3014)%branchCT(0:0))
    call avCT(3014, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3015)%branchCT(0:0))
    call avCT(3015, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3016)%branchCT(0:0))
    call avCT(3016, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3017)%branchCT(0:0))
    call avCT(3017, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3018)%branchCT(0:0))
    call avCT(3018, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(3019)%branchCT(0:0))
    call avCT(3019, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19820])

    allocate(vertices(4001)%branchCT(0:0))
    call avCT(4001, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4002)%branchCT(0:0))
    call avCT(4002, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4004)%branchCT(0:0))
    call avCT(4004, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4005)%branchCT(0:0))
    call avCT(4005, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4006)%branchCT(0:0))
    call avCT(4006, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4007)%branchCT(0:0))
    call avCT(4007, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4008)%branchCT(0:0))
    call avCT(4008, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4009)%branchCT(0:0))
    call avCT(4009, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4010)%branchCT(0:0))
    call avCT(4010, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4011)%branchCT(0:0))
    call avCT(4011, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4012)%branchCT(0:0))
    call avCT(4012, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4013)%branchCT(0:0))
    call avCT(4013, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4014)%branchCT(0:0))
    call avCT(4014, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4015)%branchCT(0:0))
    call avCT(4015, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4016)%branchCT(0:0))
    call avCT(4016, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4017)%branchCT(0:0))
    call avCT(4017, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4018)%branchCT(0:0))
    call avCT(4018, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4019)%branchCT(0:0))
    call avCT(4019, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4020)%branchCT(0:0))
    call avCT(4020, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4021)%branchCT(0:0))
    call avCT(4021, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4022)%branchCT(0:0))
    call avCT(4022, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(4023)%branchCT(0:0))
    call avCT(4023, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19825])

    allocate(vertices(3023)%branchCT(0:0))
    call avCT(3023, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3024)%branchCT(0:0))
    call avCT(3024, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3025)%branchCT(0:0))
    call avCT(3025, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3026)%branchCT(0:0))
    call avCT(3026, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3027)%branchCT(0:0))
    call avCT(3027, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3028)%branchCT(0:0))
    call avCT(3028, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3029)%branchCT(0:0))
    call avCT(3029, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3030)%branchCT(0:0))
    call avCT(3030, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3031)%branchCT(0:0))
    call avCT(3031, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3032)%branchCT(0:0))
    call avCT(3032, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3033)%branchCT(0:0))
    call avCT(3033, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3035)%branchCT(0:0))
    call avCT(3035, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3036)%branchCT(0:0))
    call avCT(3036, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3037)%branchCT(0:0))
    call avCT(3037, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3038)%branchCT(0:0))
    call avCT(3038, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3039)%branchCT(0:0))
    call avCT(3039, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3040)%branchCT(0:0))
    call avCT(3040, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3041)%branchCT(0:0))
    call avCT(3041, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3042)%branchCT(0:0))
    call avCT(3042, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3043)%branchCT(0:0))
    call avCT(3043, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3044)%branchCT(0:0))
    call avCT(3044, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(3045)%branchCT(0:0))
    call avCT(3045, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19830])

    allocate(vertices(4027)%branchCT(0:0))
    call avCT(4027, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4028)%branchCT(0:0))
    call avCT(4028, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4030)%branchCT(0:0))
    call avCT(4030, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4031)%branchCT(0:0))
    call avCT(4031, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4032)%branchCT(0:0))
    call avCT(4032, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4033)%branchCT(0:0))
    call avCT(4033, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4034)%branchCT(0:0))
    call avCT(4034, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4035)%branchCT(0:0))
    call avCT(4035, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4036)%branchCT(0:0))
    call avCT(4036, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4037)%branchCT(0:0))
    call avCT(4037, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4038)%branchCT(0:0))
    call avCT(4038, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4039)%branchCT(0:0))
    call avCT(4039, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4040)%branchCT(0:0))
    call avCT(4040, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4041)%branchCT(0:0))
    call avCT(4041, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4042)%branchCT(0:0))
    call avCT(4042, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4043)%branchCT(0:0))
    call avCT(4043, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4044)%branchCT(0:0))
    call avCT(4044, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4045)%branchCT(0:0))
    call avCT(4045, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4046)%branchCT(0:0))
    call avCT(4046, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4047)%branchCT(0:0))
    call avCT(4047, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4048)%branchCT(0:0))
    call avCT(4048, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(4049)%branchCT(0:0))
    call avCT(4049, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_19835])

    allocate(vertices(3049)%branchCT(0:0))
    call avCT(3049, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19841])

    allocate(vertices(3050)%branchCT(0:0))
    call avCT(3050, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19841])

    allocate(vertices(3051)%branchCT(0:0))
    call avCT(3051, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19841])

    allocate(vertices(3053)%branchCT(0:0))
    call avCT(3053, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19841])

    allocate(vertices(4145)%branchCT(0:0))
    call avCT(4145, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19847])

    allocate(vertices(4147)%branchCT(0:0))
    call avCT(4147, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19847])

    allocate(vertices(4148)%branchCT(0:0))
    call avCT(4148, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_19847])

    allocate(vertices(4149)%branchCT(0:0))
    call avCT(4149, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_19847])

    allocate(vertices(3078)%branchCT(0:0))
    call avCT(3078, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_26087])

    allocate(vertices(3079)%branchCT(0:0))
    call avCT(3079, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19850])

    allocate(vertices(3080)%branchCT(0:0))
    call avCT(3080, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19850])

    allocate(vertices(3081)%branchCT(0:0))
    call avCT(3081, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_26087])

    allocate(vertices(3082)%branchCT(0:0))
    call avCT(3082, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_26087])

    allocate(vertices(3083)%branchCT(0:0))
    call avCT(3083, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_26099])

    allocate(vertices(3084)%branchCT(0:0))
    call avCT(3084, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19854])

    allocate(vertices(3085)%branchCT(0:0))
    call avCT(3085, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_26099])

    allocate(vertices(3086)%branchCT(0:0))
    call avCT(3086, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19854])

    allocate(vertices(3087)%branchCT(0:0))
    call avCT(3087, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_26099])

    allocate(vertices(3088)%branchCT(0:0))
    call avCT(3088, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_26115])

    allocate(vertices(3089)%branchCT(0:0))
    call avCT(3089, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_19858])

    allocate(vertices(3090)%branchCT(0:0))
    call avCT(3090, 0, 1, 1, 0, VSS0, 0, [0, 3], [nGC_26115])

    allocate(vertices(3091)%branchCT(0:0))
    call avCT(3091, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_19858])

    allocate(vertices(3092)%branchCT(0:0))
    call avCT(3092, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_26115])

    allocate(vertices(3096)%branchCT(0:0))
    call avCT(3096, 0, 1, 1, 0, VVV3, 0, [0, 3], [nGC_19865, nGC_19864])

    allocate(vertices(3097)%branchCT(0:0))
    call avCT(3097, 0, 1, 1, 0, VVV3, 0, [0, 3], [nGC_19864, nGC_19865])

    allocate(vertices(3098)%branchCT(0:0))
    call avCT(3098, 0, 1, 1, 0, VVV3, 0, [0, 3], [nGC_19865, nGC_19864])

    allocate(vertices(3099)%branchCT(0:0))
    call avCT(3099, 0, 1, 1, 0, VVV3, 0, [0, 3], [nGC_19865, nGC_19864])

    allocate(vertices(3579)%branchCT(0:0))
    call avCT(3579, 0, 1, 1, 0, VVV3, 0, [0, 3], [nGC_19874, nGC_19873])

    allocate(vertices(3581)%branchCT(0:0))
    call avCT(3581, 0, 1, 1, 0, VVV3, 0, [0, 3], [nGC_19873, nGC_19874])

    allocate(vertices(3582)%branchCT(0:0))
    call avCT(3582, 0, 1, 1, 0, VVV3, 0, [0, 3], [nGC_19874, nGC_19873])

    allocate(vertices(3583)%branchCT(0:0))
    call avCT(3583, 0, 1, 1, 0, VVV3, 0, [0, 3], [nGC_19874, nGC_19873])

    allocate(vertices(3102)%branchCT(0:0))
    call avCT(3102, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3103)%branchCT(0:0))
    call avCT(3103, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3104)%branchCT(0:0))
    call avCT(3104, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3105)%branchCT(0:0))
    call avCT(3105, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3106)%branchCT(0:0))
    call avCT(3106, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3107)%branchCT(0:0))
    call avCT(3107, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3108)%branchCT(0:0))
    call avCT(3108, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3109)%branchCT(0:0))
    call avCT(3109, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3110)%branchCT(0:0))
    call avCT(3110, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3111)%branchCT(0:0))
    call avCT(3111, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3112)%branchCT(0:0))
    call avCT(3112, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19877])

    allocate(vertices(3113)%branchCT(0:0))
    call avCT(3113, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3114)%branchCT(0:0))
    call avCT(3114, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3115)%branchCT(0:0))
    call avCT(3115, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3116)%branchCT(0:0))
    call avCT(3116, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3117)%branchCT(0:0))
    call avCT(3117, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3118)%branchCT(0:0))
    call avCT(3118, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3119)%branchCT(0:0))
    call avCT(3119, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3120)%branchCT(0:0))
    call avCT(3120, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3121)%branchCT(0:0))
    call avCT(3121, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3122)%branchCT(0:0))
    call avCT(3122, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3123)%branchCT(0:0))
    call avCT(3123, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3124)%branchCT(0:0))
    call avCT(3124, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3125)%branchCT(0:0))
    call avCT(3125, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3126)%branchCT(0:0))
    call avCT(3126, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3127)%branchCT(0:0))
    call avCT(3127, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3128)%branchCT(0:0))
    call avCT(3128, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3130)%branchCT(0:0))
    call avCT(3130, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3131)%branchCT(0:0))
    call avCT(3131, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3132)%branchCT(0:0))
    call avCT(3132, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3133)%branchCT(0:0))
    call avCT(3133, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3134)%branchCT(0:0))
    call avCT(3134, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3135)%branchCT(0:0))
    call avCT(3135, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(4274)%branchCT(0:0))
    call avCT(4274, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4275)%branchCT(0:0))
    call avCT(4275, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4276)%branchCT(0:0))
    call avCT(4276, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4277)%branchCT(0:0))
    call avCT(4277, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4278)%branchCT(0:0))
    call avCT(4278, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4279)%branchCT(0:0))
    call avCT(4279, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4280)%branchCT(0:0))
    call avCT(4280, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4281)%branchCT(0:0))
    call avCT(4281, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4282)%branchCT(0:0))
    call avCT(4282, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4283)%branchCT(0:0))
    call avCT(4283, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4284)%branchCT(0:0))
    call avCT(4284, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4285)%branchCT(0:0))
    call avCT(4285, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4286)%branchCT(0:0))
    call avCT(4286, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4287)%branchCT(0:0))
    call avCT(4287, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4288)%branchCT(0:0))
    call avCT(4288, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4289)%branchCT(0:0))
    call avCT(4289, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4291)%branchCT(0:0))
    call avCT(4291, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4292)%branchCT(0:0))
    call avCT(4292, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4293)%branchCT(0:0))
    call avCT(4293, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4294)%branchCT(0:0))
    call avCT(4294, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4295)%branchCT(0:0))
    call avCT(4295, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4296)%branchCT(0:0))
    call avCT(4296, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(3136)%branchCT(0:0))
    call avCT(3136, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3137)%branchCT(0:0))
    call avCT(3137, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3139)%branchCT(0:0))
    call avCT(3139, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3140)%branchCT(0:0))
    call avCT(3140, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3141)%branchCT(0:0))
    call avCT(3141, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3142)%branchCT(0:0))
    call avCT(3142, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3143)%branchCT(0:0))
    call avCT(3143, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3144)%branchCT(0:0))
    call avCT(3144, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3145)%branchCT(0:0))
    call avCT(3145, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3146)%branchCT(0:0))
    call avCT(3146, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3147)%branchCT(0:0))
    call avCT(3147, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3148)%branchCT(0:0))
    call avCT(3148, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3149)%branchCT(0:0))
    call avCT(3149, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3150)%branchCT(0:0))
    call avCT(3150, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3151)%branchCT(0:0))
    call avCT(3151, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3152)%branchCT(0:0))
    call avCT(3152, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3153)%branchCT(0:0))
    call avCT(3153, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3154)%branchCT(0:0))
    call avCT(3154, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3155)%branchCT(0:0))
    call avCT(3155, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3156)%branchCT(0:0))
    call avCT(3156, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3157)%branchCT(0:0))
    call avCT(3157, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19783])

    allocate(vertices(3158)%branchCT(0:0))
    call avCT(3158, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19783])

    allocate(vertices(4297)%branchCT(0:0))
    call avCT(4297, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4298)%branchCT(0:0))
    call avCT(4298, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4300)%branchCT(0:0))
    call avCT(4300, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4301)%branchCT(0:0))
    call avCT(4301, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4302)%branchCT(0:0))
    call avCT(4302, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4303)%branchCT(0:0))
    call avCT(4303, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4304)%branchCT(0:0))
    call avCT(4304, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4305)%branchCT(0:0))
    call avCT(4305, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4306)%branchCT(0:0))
    call avCT(4306, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4307)%branchCT(0:0))
    call avCT(4307, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4308)%branchCT(0:0))
    call avCT(4308, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4309)%branchCT(0:0))
    call avCT(4309, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4310)%branchCT(0:0))
    call avCT(4310, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4311)%branchCT(0:0))
    call avCT(4311, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4312)%branchCT(0:0))
    call avCT(4312, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4313)%branchCT(0:0))
    call avCT(4313, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4314)%branchCT(0:0))
    call avCT(4314, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4315)%branchCT(0:0))
    call avCT(4315, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4316)%branchCT(0:0))
    call avCT(4316, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4317)%branchCT(0:0))
    call avCT(4317, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4318)%branchCT(0:0))
    call avCT(4318, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19787])

    allocate(vertices(4319)%branchCT(0:0))
    call avCT(4319, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19787])

    allocate(vertices(3159)%branchCT(0:0))
    call avCT(3159, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3160)%branchCT(0:0))
    call avCT(3160, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3161)%branchCT(0:0))
    call avCT(3161, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3162)%branchCT(0:0))
    call avCT(3162, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3163)%branchCT(0:0))
    call avCT(3163, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3164)%branchCT(0:0))
    call avCT(3164, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3165)%branchCT(0:0))
    call avCT(3165, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3166)%branchCT(0:0))
    call avCT(3166, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3167)%branchCT(0:0))
    call avCT(3167, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3168)%branchCT(0:0))
    call avCT(3168, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3169)%branchCT(0:0))
    call avCT(3169, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3170)%branchCT(0:0))
    call avCT(3170, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3171)%branchCT(0:0))
    call avCT(3171, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3172)%branchCT(0:0))
    call avCT(3172, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3173)%branchCT(0:0))
    call avCT(3173, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3174)%branchCT(0:0))
    call avCT(3174, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3176)%branchCT(0:0))
    call avCT(3176, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3177)%branchCT(0:0))
    call avCT(3177, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3178)%branchCT(0:0))
    call avCT(3178, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3179)%branchCT(0:0))
    call avCT(3179, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3180)%branchCT(0:0))
    call avCT(3180, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3181)%branchCT(0:0))
    call avCT(3181, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(4228)%branchCT(0:0))
    call avCT(4228, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4229)%branchCT(0:0))
    call avCT(4229, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4230)%branchCT(0:0))
    call avCT(4230, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4231)%branchCT(0:0))
    call avCT(4231, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4232)%branchCT(0:0))
    call avCT(4232, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4233)%branchCT(0:0))
    call avCT(4233, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4234)%branchCT(0:0))
    call avCT(4234, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4235)%branchCT(0:0))
    call avCT(4235, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4236)%branchCT(0:0))
    call avCT(4236, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4237)%branchCT(0:0))
    call avCT(4237, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4238)%branchCT(0:0))
    call avCT(4238, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4239)%branchCT(0:0))
    call avCT(4239, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4240)%branchCT(0:0))
    call avCT(4240, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4241)%branchCT(0:0))
    call avCT(4241, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4242)%branchCT(0:0))
    call avCT(4242, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4243)%branchCT(0:0))
    call avCT(4243, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4245)%branchCT(0:0))
    call avCT(4245, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4246)%branchCT(0:0))
    call avCT(4246, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4247)%branchCT(0:0))
    call avCT(4247, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4248)%branchCT(0:0))
    call avCT(4248, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4249)%branchCT(0:0))
    call avCT(4249, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(4250)%branchCT(0:0))
    call avCT(4250, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_19801])

    allocate(vertices(3182)%branchCT(0:0))
    call avCT(3182, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3183)%branchCT(0:0))
    call avCT(3183, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3184)%branchCT(0:0))
    call avCT(3184, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3185)%branchCT(0:0))
    call avCT(3185, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_19797])

    allocate(vertices(3186)%branchCT(0:0))
    call avCT(3186, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_19797])

  end subroutine fill_vertices_mdl9
end module vertices_info9
