!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_13352) = -cima*dl2_QED4
    coupl(nGC_13423) = -cima*dye_QED3
    coupl(nGC_13424) = -cima*dym_QED3
    coupl(nGC_13425) = -cima*dytau_QED3
    coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_29_Hl) = -coupl(nGC_29)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_184_Hl) = -coupl(nGC_184)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_191_Hl) = -coupl(nGC_191)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_192_Hh) = -coupl(nGC_192)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_179_Hh) = -coupl(nGC_179)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_189_Hl) = -coupl(nGC_189)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_189_Hh) = -coupl(nGC_189)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_190_Hh) = -coupl(nGC_190)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_203_Hl) = -coupl(nGC_203)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_215_Hl) = -coupl(nGC_215)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_195_Hl) = -coupl(nGC_195)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_204_Hh) = -coupl(nGC_204)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_216_Hh) = -coupl(nGC_216)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_196_Hh) = -coupl(nGC_196)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_207_Hl) = -coupl(nGC_207)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_211_Hl) = -coupl(nGC_211)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_223_Hl) = -coupl(nGC_223)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_208_Hh) = -coupl(nGC_208)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_212_Hh) = -coupl(nGC_212)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_224_Hh) = -coupl(nGC_224)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_227_Hl) = -coupl(nGC_227)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_199_Hl) = -coupl(nGC_199)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_219_Hl) = -coupl(nGC_219)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_228_Hh) = -coupl(nGC_228)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_200_Hh) = -coupl(nGC_200)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_220_Hh) = -coupl(nGC_220)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_110_Hl) = -coupl(nGC_110)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_119_Hh) = -coupl(nGC_119)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_101_Hl) = -coupl(nGC_101)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_100_Hl) = -coupl(nGC_100)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_117_Hh) = -coupl(nGC_117)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_82_Hl) = -coupl(nGC_82)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_93_Hl) = -coupl(nGC_93)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_93_Hh) = -coupl(nGC_93)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_96_Hh) = -coupl(nGC_96)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_162_Hl) = -coupl(nGC_162)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_165_Hh) = -coupl(nGC_165)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_31_Hl) = -coupl(nGC_31)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_130_Hl) = -coupl(nGC_130)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_135_Hh) = -coupl(nGC_135)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_15_Hl) = -coupl(nGC_15)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_27_Hh) = -coupl(nGC_27)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_145_Hl) = -coupl(nGC_145)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_148_Hl) = -coupl(nGC_148)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_148_Hh) = -coupl(nGC_148)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_151_Hh) = -coupl(nGC_151)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_175_Hl) = -coupl(nGC_175)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_178_Hh) = -coupl(nGC_178)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_30_Hh) = -coupl(nGC_30)*dtHh_QED1/cMHH**2d0
    coupl(nGC_13571) = -cima*dMHL2_QED2
    coupl(nGC_13573) = -cima*dMHH2_QED2
    coupl(nGC_13575) = -cima*dME_QED2
    coupl(nGC_13576) = -cima*dMM_QED2
    coupl(nGC_13577) = -cima*dMTA_QED2
    coupl(nGC_13590) = cima*dMZ2_QED2
    coupl(nGC_13591) = cima*dMW2_QED2
    coupl(nGC_19388) = coupl(nGC_127)*dZZA_QED2/2d0
    coupl(nGC_19389) = coupl(nGC_128)*dZZA_QED2/2d0
    coupl(nGC_19393) = coupl(nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_19501) = coupl(nGC_202)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_19500) = coupl(nGC_202)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_19510) = coupl(nGC_214)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_19511) = coupl(nGC_214)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_19520) = coupl(nGC_194)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_19521) = coupl(nGC_194)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_19530) = coupl(nGC_203)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_19531) = coupl(nGC_203)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_19545) = coupl(nGC_204)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_19546) = coupl(nGC_204)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_19553) = coupl(nGC_215)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_19552) = coupl(nGC_215)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_19567) = coupl(nGC_216)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_19568) = coupl(nGC_216)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_19575) = coupl(nGC_195)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_19574) = coupl(nGC_195)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_19589) = coupl(nGC_196)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_19590) = coupl(nGC_196)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_19596) = coupl(nGC_13423) + coupl(nGC_205)*dZeMinusR_QED2/2d0 +  &
                       coupl(nGC_205)*dZnu_eL_QED2/2d0
    coupl(nGC_19599) = coupl(nGC_13424) + coupl(nGC_209)*dZmuMinusR_QED2/2d0 + &
                       coupl(nGC_209)*dZnu_muL_QED2/2d0
    coupl(nGC_19602) = coupl(nGC_13425) + coupl(nGC_221)*dZnu_tauL_QED2/2d0 +  &
                       coupl(nGC_221)*dZtauMinusR_QED2/2d0
    coupl(nGC_19604) = coupl(nGC_206)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_19609) = coupl(nGC_210)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_19614) = coupl(nGC_222)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_19619) = coupl(nGC_207)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_19629) = coupl(nGC_208)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_19633) = coupl(nGC_211)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_19643) = coupl(nGC_212)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_19647) = coupl(nGC_223)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_19657) = coupl(nGC_224)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_19687) = coupl(nGC_226)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_19686) = coupl(nGC_226)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_19696) = coupl(nGC_198)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_19697) = coupl(nGC_198)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_19707) = coupl(nGC_218)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_19706) = coupl(nGC_218)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_19717) = coupl(nGC_227)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_19716) = coupl(nGC_227)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_19731) = coupl(nGC_228)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_19732) = coupl(nGC_228)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_19738) = coupl(nGC_199)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_19739) = coupl(nGC_199)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_19753) = coupl(nGC_200)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_19754) = coupl(nGC_200)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_19760) = coupl(nGC_219)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_19761) = coupl(nGC_219)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_19775) = coupl(nGC_220)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_19776) = coupl(nGC_220)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_19861) = coupl(nGC_102)*dZZA_QED2/2d0
    coupl(nGC_19862) = coupl(nGC_103)*dZZA_QED2/2d0
    coupl(nGC_19866) = coupl(nGC_3)*dZAZ_QED2/2d0
    coupl(nGC_19940) = coupl(nGC_118)*dZHhHl_QED2/2d0
    coupl(nGC_19941) = coupl(nGC_117)*dZHhHl_QED2/2d0
    coupl(nGC_19945) = coupl(nGC_100)*dZHlHh_QED2/2d0
    coupl(nGC_20076) = coupl(nGC_131)*dZZA_QED2/2d0
    coupl(nGC_20077) = coupl(nGC_130)*dZZA_QED2/2d0
    coupl(nGC_20086) = coupl(nGC_136)*dZZA_QED2/2d0
    coupl(nGC_20087) = coupl(nGC_135)*dZZA_QED2/2d0
    coupl(nGC_20225) = coupl(nGC_142)*dZZA_QED2/2d0
    coupl(nGC_20230) = coupl(nGC_145)*dZZA_QED2/2d0
    coupl(nGC_20236) = coupl(nGC_148)*dZZA_QED2/2d0
    coupl(nGC_20241) = coupl(nGC_151)*dZZA_QED2/2d0
    coupl(nGC_20252) = coupl(nGC_175)*dZZA_QED2/2d0
    coupl(nGC_20259) = coupl(nGC_178)*dZZA_QED2/2d0
    coupl(nGC_20280) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZeMinusL_QED2
    coupl(nGC_20281) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZeMinusR_QED2
    coupl(nGC_20299) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZmuMinusL_QED2
    coupl(nGC_20300) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZmuMinusR_QED2
    coupl(nGC_20318) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZtauMinusL_QED2
    coupl(nGC_20319) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZtauMinusR_QED2
    coupl(nGC_20339) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2
    coupl(nGC_20340) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2
    coupl(nGC_20331) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_20334) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_20344) = coupl(nGC_2)*dZAZ_QED2/2d0
    coupl(nGC_20347) = coupl(nGC_123)*dZuR_QCD2
    coupl(nGC_20350) = coupl(nGC_126)*dZuL_QCD2
    coupl(nGC_20363) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2
    coupl(nGC_20364) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2
    coupl(nGC_20355) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_20358) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_20370) = coupl(nGC_123)*dZcR_QCD2
    coupl(nGC_20373) = coupl(nGC_126)*dZcL_QCD2
    coupl(nGC_20378) = coupl(nGC_2)*dZtL_QCD2
    coupl(nGC_20381) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_20386) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2
    coupl(nGC_20387) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2
    coupl(nGC_20393) = coupl(nGC_123)*dZtR_QCD2
    coupl(nGC_20396) = coupl(nGC_126)*dZtL_QCD2
    coupl(nGC_20409) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_125)*dZZA_QED2/2d0
    coupl(nGC_20410) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_122)*dZZA_QED2/2d0
    coupl(nGC_20401) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_20404) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_20414) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_20417) = coupl(nGC_122)*dZdR_QCD2
    coupl(nGC_20420) = coupl(nGC_125)*dZdL_QCD2
    coupl(nGC_20433) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_125)*dZZA_QED2/2d0
    coupl(nGC_20434) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_122)*dZZA_QED2/2d0
    coupl(nGC_20425) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_20428) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_20440) = coupl(nGC_122)*dZsR_QCD2
    coupl(nGC_20443) = coupl(nGC_125)*dZsL_QCD2
    coupl(nGC_20456) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_125)*dZZA_QED2/2d0
    coupl(nGC_20457) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_122)*dZZA_QED2/2d0
    coupl(nGC_20448) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_20451) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_20463) = coupl(nGC_122)*dZbR_QCD2
    coupl(nGC_20466) = coupl(nGC_125)*dZbL_QCD2
    coupl(nGC_20471) = coupl(nGC_19)*dZuL_QCD2
    coupl(nGC_20473) = coupl(nGC_19)*dZuR_QCD2
    coupl(nGC_20472) = coupl(nGC_19)*dZuL_QED2
    coupl(nGC_20474) = coupl(nGC_19)*dZuR_QED2
    coupl(nGC_20487) = coupl(nGC_19)*dZcL_QED2
    coupl(nGC_20489) = coupl(nGC_19)*dZcR_QED2
    coupl(nGC_20486) = coupl(nGC_19)*dZcL_QCD2
    coupl(nGC_20488) = coupl(nGC_19)*dZcR_QCD2
    coupl(nGC_20501) = coupl(nGC_19)*dZtL_QED2
    coupl(nGC_20503) = coupl(nGC_19)*dZtR_QED2
    coupl(nGC_20500) = coupl(nGC_19)*dZtL_QCD2
    coupl(nGC_20502) = coupl(nGC_19)*dZtR_QCD2
    coupl(nGC_20514) = coupl(nGC_19)*dZdL_QCD2
    coupl(nGC_20516) = coupl(nGC_19)*dZdR_QCD2
    coupl(nGC_20515) = coupl(nGC_19)*dZdL_QED2
    coupl(nGC_20517) = coupl(nGC_19)*dZdR_QED2
    coupl(nGC_20529) = coupl(nGC_19)*dZsL_QED2
    coupl(nGC_20531) = coupl(nGC_19)*dZsR_QED2
    coupl(nGC_20528) = coupl(nGC_19)*dZsL_QCD2
    coupl(nGC_20530) = coupl(nGC_19)*dZsR_QCD2
    coupl(nGC_20543) = coupl(nGC_19)*dZbL_QED2
    coupl(nGC_20545) = coupl(nGC_19)*dZbR_QED2
    coupl(nGC_20542) = coupl(nGC_19)*dZbL_QCD2
    coupl(nGC_20544) = coupl(nGC_19)*dZbR_QCD2
    coupl(nGC_20558) = coupl(nGC_99)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_20562) = coupl(nGC_99)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_20566) = coupl(nGC_99)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_20595) = coupl(nGC_129)*dZZA_QED2/2d0
    coupl(nGC_20606) = coupl(nGC_TS_GC_179_Hh) + coupl(nGC_TS_GC_184_Hl)
    coupl(nGC_20614) = coupl(nGC_13571) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                       nGC_TS_GC_189_Hh) + coupl(nGC_TS_GC_191_Hl)
    coupl(nGC_20613) = coupl(nGC_I)*dZHl_QED2
    coupl(nGC_20620) = coupl(nGC_13573) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                       nGC_TS_GC_190_Hh) + coupl(nGC_TS_GC_192_Hl)
    coupl(nGC_20619) = coupl(nGC_I)*dZHh_QED2
    coupl(nGC_20627) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*        &
                       dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_189_Hl) + coupl(      &
                       nGC_TS_GC_192_Hh)
    coupl(nGC_20625) = coupl(nGC_I)*dZHlHh_QED2/2d0
    coupl(nGC_20626) = coupl(nGC_I)*dZHhHl_QED2/2d0
    coupl(nGC_13584) = -cima*dMD_QCD2
    coupl(nGC_20634) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_20636) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_20638) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_20640) = coupl(nGC_13584) + coupl(nGC_20634)
    coupl(nGC_20635) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_20637) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_20639) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_13586) = -cima*dMS_QCD2
    coupl(nGC_20649) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_20651) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_20653) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_20655) = coupl(nGC_13586) + coupl(nGC_20649)
    coupl(nGC_20650) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_20652) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_20654) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_13588) = -cima*dMB_QCD2
    coupl(nGC_20664) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_20666) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_20668) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_20670) = coupl(nGC_13588) + coupl(nGC_20664)
    coupl(nGC_20665) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_20667) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_20669) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_20680) = coupl(nGC_13575) + coupl(nGC_TS_GC_207_Hl) + coupl(     &
                       nGC_TS_GC_208_Hh)
    coupl(nGC_20677) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_20678) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_20679) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_20681) = coupl(nGC_20677) + coupl(nGC_20680)
    coupl(nGC_20689) = coupl(nGC_13576) + coupl(nGC_TS_GC_211_Hl) + coupl(     &
                       nGC_TS_GC_212_Hh)
    coupl(nGC_20686) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
