!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 18:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl5()
    coupl(nGC_19943) = coupl(nGC_19940) - coupl(nGC_19942)
    coupl(nGC_19944) = coupl(nGC_19941) + coupl(nGC_19942)
    coupl(nGC_19950) = coupl(nGC_118)*dZHh_QED2/2d0 + coupl(nGC_118)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_13460)
    coupl(nGC_19951) = coupl(nGC_117)*dZHh_QED2/2d0 + coupl(nGC_117)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_13464)
    coupl(nGC_19952) = -coupl(nGC_19945) + coupl(nGC_19950)
    coupl(nGC_19953) = coupl(nGC_19945) + coupl(nGC_19951)
    coupl(nGC_19956) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_13384)
    coupl(nGC_19959) = coupl(nGC_13465) + coupl(nGC_71)*dZWMinus_QED2
    coupl(nGC_19962) = coupl(nGC_13466) + coupl(nGC_73)*dZWMinus_QED2
    coupl(nGC_19967) = coupl(nGC_13467) + coupl(nGC_86)*dZWMinus_QED2
    coupl(nGC_19973) = coupl(nGC_13468) + coupl(nGC_82)*dZHl_QED2 + coupl(     &
                       nGC_82)*dZWMinus_QED2 + coupl(nGC_93)*dZHhHl_QED2
    coupl(nGC_19978) = coupl(nGC_13469) + coupl(nGC_82)*dZHlHh_QED2/2d0 + coupl&
                       (nGC_93)*dZHh_QED2/2d0 + coupl(nGC_93)*dZHl_QED2/2d0 +  &
                       coupl(nGC_93)*dZWMinus_QED2 + coupl(nGC_96)*dZHhHl_QED2/&
                       2d0
    coupl(nGC_19982) = coupl(nGC_13470) + coupl(nGC_93)*dZHlHh_QED2 + coupl(   &
                       nGC_96)*dZHh_QED2 + coupl(nGC_96)*dZWMinus_QED2
    coupl(nGC_19989) = coupl(nGC_115)*dZWMinus_QED2 + coupl(nGC_13471)
    coupl(nGC_19997) = coupl(nGC_13472) + coupl(nGC_162)*dZHl_QED2/2d0 + coupl(&
                       nGC_162)*dZWMinus_QED2 + coupl(nGC_165)*dZHhHl_QED2/2d0 &
                        + coupl(nGC_TS_GC_82_Hl) + coupl(nGC_TS_GC_93_Hh)
    coupl(nGC_20003) = coupl(nGC_13473) + coupl(nGC_162)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_165)*dZHh_QED2/2d0 + coupl(nGC_165)*          &
                       dZWMinus_QED2 + coupl(nGC_TS_GC_93_Hl) + coupl(         &
                       nGC_TS_GC_96_Hh)
    coupl(nGC_20010) = coupl(nGC_116)*dZZA_QED2 + coupl(nGC_13345) + coupl(    &
                       nGC_9)*dZA_QED2 + coupl(nGC_9)*dZWMinus_QED2
    coupl(nGC_20011) = coupl(nGC_113)*dZZA_QED2 + coupl(nGC_13474) + coupl(    &
                       nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2
    coupl(nGC_20020) = coupl(nGC_116)*dZA_QED2/2d0 + coupl(nGC_116)*           &
                       dZWMinus_QED2 + coupl(nGC_116)*dZZ_QED2/2d0 + coupl(    &
                       nGC_13491) + coupl(nGC_85)*dZZA_QED2/2d0 + coupl(nGC_9)*&
                       dZAZ_QED2/2d0
    coupl(nGC_20021) = coupl(nGC_113)*dZA_QED2/2d0 + coupl(nGC_113)*           &
                       dZWMinus_QED2 + coupl(nGC_113)*dZZ_QED2/2d0 + coupl(    &
                       nGC_13490) + coupl(nGC_8)*dZAZ_QED2/2d0 + coupl(nGC_84)*&
                       dZZA_QED2/2d0
    coupl(nGC_20037) = coupl(nGC_13477) + 2d0*coupl(nGC_75)*dZWMinus_QED2
    coupl(nGC_20038) = coupl(nGC_13478) + 2d0*coupl(nGC_72)*dZWMinus_QED2
    coupl(nGC_20052) = coupl(nGC_115)*dZAZ_QED2 + coupl(nGC_13467) + coupl(    &
                       nGC_86)*dZZ_QED2
    coupl(nGC_20067) = coupl(nGC_134)*dZAZ_QED2 + coupl(nGC_13493) + coupl(    &
                       nGC_141)*dZZ_QED2
    coupl(nGC_20074) = coupl(nGC_131)*dZHl_QED2/2d0 + coupl(nGC_131)*dZZ_QED2/ &
                       2d0 + coupl(nGC_13480) + coupl(nGC_136)*dZHhHl_QED2/2d0
    coupl(nGC_20075) = coupl(nGC_130)*dZHl_QED2/2d0 + coupl(nGC_130)*dZZ_QED2/ &
                       2d0 + coupl(nGC_13481) + coupl(nGC_135)*dZHhHl_QED2/2d0
    coupl(nGC_20084) = coupl(nGC_131)*dZHlHh_QED2/2d0 + coupl(nGC_13482) +     &
                       coupl(nGC_136)*dZHh_QED2/2d0 + coupl(nGC_136)*dZZ_QED2/ &
                       2d0
    coupl(nGC_20085) = coupl(nGC_130)*dZHlHh_QED2/2d0 + coupl(nGC_13483) +     &
                       coupl(nGC_135)*dZHh_QED2/2d0 + coupl(nGC_135)*dZZ_QED2/ &
                       2d0
    coupl(nGC_20214) = coupl(nGC_113)*dZAZ_QED2 + coupl(nGC_13500) + coupl(    &
                       nGC_84)*dZWMinus_QED2 + coupl(nGC_84)*dZZ_QED2
    coupl(nGC_20215) = coupl(nGC_116)*dZAZ_QED2 + coupl(nGC_13499) + coupl(    &
                       nGC_85)*dZWMinus_QED2 + coupl(nGC_85)*dZZ_QED2
    coupl(nGC_20224) = coupl(nGC_13492) + coupl(nGC_142)*dZZ_QED2
    coupl(nGC_20229) = coupl(nGC_13494) + coupl(nGC_145)*dZHl_QED2 + coupl(    &
                       nGC_145)*dZZ_QED2 + coupl(nGC_148)*dZHhHl_QED2
    coupl(nGC_20235) = coupl(nGC_13495) + coupl(nGC_145)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_148)*dZHh_QED2/2d0 + coupl(nGC_148)*dZHl_QED2/&
                       2d0 + coupl(nGC_148)*dZZ_QED2 + coupl(nGC_151)*         &
                       dZHhHl_QED2/2d0
    coupl(nGC_20240) = coupl(nGC_13496) + coupl(nGC_148)*dZHlHh_QED2 + coupl(  &
                       nGC_151)*dZHh_QED2 + coupl(nGC_151)*dZZ_QED2
    coupl(nGC_20251) = coupl(nGC_13497) + coupl(nGC_175)*dZHl_QED2/2d0 + coupl(&
                       nGC_175)*dZZ_QED2 + coupl(nGC_178)*dZHhHl_QED2/2d0 +    &
                       coupl(nGC_TS_GC_145_Hl) + coupl(nGC_TS_GC_148_Hh)
    coupl(nGC_20258) = coupl(nGC_13498) + coupl(nGC_175)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_178)*dZHh_QED2/2d0 + coupl(nGC_178)*dZZ_QED2  &
                        + coupl(nGC_TS_GC_148_Hl) + coupl(nGC_TS_GC_151_Hh)
    coupl(nGC_20282) = coupl(nGC_19390) + coupl(nGC_20281)
    coupl(nGC_20283) = coupl(nGC_19390) + coupl(nGC_20280)
    coupl(nGC_20289) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*           &
                       dZeMinusR_QED2 + coupl(nGC_13510)
    coupl(nGC_20290) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*           &
                       dZeMinusL_QED2 + coupl(nGC_13485)
    coupl(nGC_20291) = coupl(nGC_19393) + coupl(nGC_20289)
    coupl(nGC_20292) = coupl(nGC_19393) + coupl(nGC_20290)
    coupl(nGC_20301) = coupl(nGC_19390) + coupl(nGC_20300)
    coupl(nGC_20302) = coupl(nGC_19390) + coupl(nGC_20299)
    coupl(nGC_20308) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*           &
                       dZmuMinusR_QED2 + coupl(nGC_13510)
    coupl(nGC_20309) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*           &
                       dZmuMinusL_QED2 + coupl(nGC_13485)
    coupl(nGC_20310) = coupl(nGC_19393) + coupl(nGC_20308)
    coupl(nGC_20311) = coupl(nGC_19393) + coupl(nGC_20309)
    coupl(nGC_20320) = coupl(nGC_19390) + coupl(nGC_20319)
    coupl(nGC_20321) = coupl(nGC_19390) + coupl(nGC_20318)
    coupl(nGC_20327) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*           &
                       dZtauMinusR_QED2 + coupl(nGC_13510)
    coupl(nGC_20328) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*           &
                       dZtauMinusL_QED2 + coupl(nGC_13485)
    coupl(nGC_20329) = coupl(nGC_19393) + coupl(nGC_20327)
    coupl(nGC_20330) = coupl(nGC_19393) + coupl(nGC_20328)
    coupl(nGC_20341) = coupl(nGC_13501) + coupl(nGC_2)*dZA_QED2/2d0
    coupl(nGC_20342) = coupl(nGC_20340) + coupl(nGC_20341)
    coupl(nGC_20343) = coupl(nGC_20339) + coupl(nGC_20341)
    coupl(nGC_20351) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZuR_QED2  &
                        + coupl(nGC_13505)
    coupl(nGC_20352) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZuL_QED2  &
                        + coupl(nGC_13506)
    coupl(nGC_20353) = coupl(nGC_20344) + coupl(nGC_20351)
    coupl(nGC_20354) = coupl(nGC_20344) + coupl(nGC_20352)
    coupl(nGC_20365) = coupl(nGC_20341) + coupl(nGC_20364)
    coupl(nGC_20366) = coupl(nGC_20341) + coupl(nGC_20363)
    coupl(nGC_20374) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZcR_QED2  &
                        + coupl(nGC_13505)
    coupl(nGC_20375) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZcL_QED2  &
                        + coupl(nGC_13506)
    coupl(nGC_20376) = coupl(nGC_20344) + coupl(nGC_20374)
    coupl(nGC_20377) = coupl(nGC_20344) + coupl(nGC_20375)
    coupl(nGC_20388) = coupl(nGC_20341) + coupl(nGC_20387)
    coupl(nGC_20389) = coupl(nGC_20341) + coupl(nGC_20386)
    coupl(nGC_20397) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZtR_QED2  &
                        + coupl(nGC_13505)
    coupl(nGC_20398) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZtL_QED2  &
                        + coupl(nGC_13506)
    coupl(nGC_20399) = coupl(nGC_20344) + coupl(nGC_20397)
    coupl(nGC_20400) = coupl(nGC_20344) + coupl(nGC_20398)
    coupl(nGC_20411) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_13502)
    coupl(nGC_20412) = coupl(nGC_20410) + coupl(nGC_20411)
    coupl(nGC_20413) = coupl(nGC_20409) + coupl(nGC_20411)
    coupl(nGC_20421) = coupl(nGC_122)*dZZ_QED2/2d0 + coupl(nGC_122)*dZdR_QED2  &
                        + coupl(nGC_13507)
    coupl(nGC_20422) = coupl(nGC_125)*dZZ_QED2/2d0 + coupl(nGC_125)*dZdL_QED2  &
                        + coupl(nGC_13508)
    coupl(nGC_20423) = coupl(nGC_20414) + coupl(nGC_20421)
    coupl(nGC_20424) = coupl(nGC_20414) + coupl(nGC_20422)
    coupl(nGC_20435) = coupl(nGC_20411) + coupl(nGC_20434)
    coupl(nGC_20436) = coupl(nGC_20411) + coupl(nGC_20433)
    coupl(nGC_20444) = coupl(nGC_122)*dZZ_QED2/2d0 + coupl(nGC_122)*dZsR_QED2  &
                        + coupl(nGC_13507)
    coupl(nGC_20445) = coupl(nGC_125)*dZZ_QED2/2d0 + coupl(nGC_125)*dZsL_QED2  &
                        + coupl(nGC_13508)
    coupl(nGC_20446) = coupl(nGC_20414) + coupl(nGC_20444)
    coupl(nGC_20447) = coupl(nGC_20414) + coupl(nGC_20445)
    coupl(nGC_20458) = coupl(nGC_20411) + coupl(nGC_20457)
    coupl(nGC_20459) = coupl(nGC_20411) + coupl(nGC_20456)
    coupl(nGC_20467) = coupl(nGC_122)*dZZ_QED2/2d0 + coupl(nGC_122)*dZbR_QED2  &
                        + coupl(nGC_13507)
    coupl(nGC_20468) = coupl(nGC_125)*dZZ_QED2/2d0 + coupl(nGC_125)*dZbL_QED2  &
                        + coupl(nGC_13508)
    coupl(nGC_20469) = coupl(nGC_20414) + coupl(nGC_20467)
    coupl(nGC_20470) = coupl(nGC_20414) + coupl(nGC_20468)
    coupl(nGC_20477) = coupl(nGC_13503) + coupl(nGC_19)*dZg_QCD2/2d0
    coupl(nGC_20478) = coupl(nGC_20473) + coupl(nGC_20477)
    coupl(nGC_20479) = coupl(nGC_20471) + coupl(nGC_20477)
    coupl(nGC_20492) = coupl(nGC_20477) + coupl(nGC_20488)
    coupl(nGC_20493) = coupl(nGC_20477) + coupl(nGC_20486)
    coupl(nGC_20506) = coupl(nGC_20477) + coupl(nGC_20502)
    coupl(nGC_20507) = coupl(nGC_20477) + coupl(nGC_20500)
    coupl(nGC_20520) = coupl(nGC_20477) + coupl(nGC_20516)
    coupl(nGC_20521) = coupl(nGC_20477) + coupl(nGC_20514)
    coupl(nGC_20534) = coupl(nGC_20477) + coupl(nGC_20530)
    coupl(nGC_20535) = coupl(nGC_20477) + coupl(nGC_20528)
    coupl(nGC_20548) = coupl(nGC_20477) + coupl(nGC_20544)
    coupl(nGC_20549) = coupl(nGC_20477) + coupl(nGC_20542)
    coupl(nGC_20559) = coupl(nGC_13504) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_99)*dZdL_QED2/2d0 + coupl(nGC_99)*dZuL_QED2/  &
                       2d0
    coupl(nGC_20563) = coupl(nGC_13504) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_99)*dZcL_QED2/2d0 + coupl(nGC_99)*dZsL_QED2/  &
                       2d0
    coupl(nGC_20567) = coupl(nGC_13504) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_99)*dZbL_QED2/2d0 + coupl(nGC_99)*dZtL_QED2/  &
                       2d0
    coupl(nGC_20579) = coupl(nGC_13504) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_99)*dZeMinusL_QED2/2d0 + coupl(nGC_99)*       &
                       dZnu_eL_QED2/2d0
    coupl(nGC_20582) = coupl(nGC_13504) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_99)*dZmuMinusL_QED2/2d0 + coupl(nGC_99)*      &
                       dZnu_muL_QED2/2d0
    coupl(nGC_20585) = coupl(nGC_13504) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                       coupl(nGC_99)*dZnu_tauL_QED2/2d0 + coupl(nGC_99)*       &
                       dZtauMinusL_QED2/2d0
    coupl(nGC_20594) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*           &
                       dZnu_eL_QED2 + coupl(nGC_13509)
    coupl(nGC_20598) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*           &
                       dZnu_muL_QED2 + coupl(nGC_13509)
    coupl(nGC_20602) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*           &
                       dZnu_tauL_QED2 + coupl(nGC_13509)
    coupl(nGC_20641) = coupl(nGC_13585) + coupl(nGC_TS_GC_203_Hl) + coupl(     &
                       nGC_TS_GC_204_Hh)
    coupl(nGC_20642) = coupl(nGC_20635) + coupl(nGC_20641)
    coupl(nGC_20656) = coupl(nGC_13587) + coupl(nGC_TS_GC_215_Hl) + coupl(     &
                       nGC_TS_GC_216_Hh)
    coupl(nGC_20657) = coupl(nGC_20650) + coupl(nGC_20656)
    coupl(nGC_20671) = coupl(nGC_13589) + coupl(nGC_TS_GC_195_Hl) + coupl(     &
                       nGC_TS_GC_196_Hh)
    coupl(nGC_20672) = coupl(nGC_20665) + coupl(nGC_20671)
    coupl(nGC_20713) = coupl(nGC_13579) + coupl(nGC_TS_GC_227_Hl) + coupl(     &
                       nGC_TS_GC_228_Hh)
    coupl(nGC_20714) = coupl(nGC_20707) + coupl(nGC_20713)
    coupl(nGC_20728) = coupl(nGC_13581) + coupl(nGC_TS_GC_199_Hl) + coupl(     &
                       nGC_TS_GC_200_Hh)
    coupl(nGC_20729) = coupl(nGC_20722) + coupl(nGC_20728)
    coupl(nGC_20743) = coupl(nGC_13583) + coupl(nGC_TS_GC_219_Hl) + coupl(     &
                       nGC_TS_GC_220_Hh)
    coupl(nGC_20744) = coupl(nGC_20737) + coupl(nGC_20743)
    coupl(nGC_20750) = coupl(nGC_13593) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_20756) = coupl(nGC_13592) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_20769) = coupl(nGC_13594) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_26087) = -coupl(nGC_19850)
    coupl(nGC_26099) = -coupl(nGC_19854)
    coupl(nGC_26115) = -coupl(nGC_19858)
    coupl(nGC_13412) = coupl(nGC_12580)*dydo_QED3 + coupl(nGC_12581)*da_QED2
    coupl(nGC_13418) = coupl(nGC_12578)*dydo_QED3 + coupl(nGC_12579)*da_QED2
    coupl(nGC_13414) = coupl(nGC_12516)*dys_QED3 + coupl(nGC_12517)*da_QED2
    coupl(nGC_13420) = coupl(nGC_12522)*dys_QED3 + coupl(nGC_12523)*da_QED2
    coupl(nGC_13416) = coupl(nGC_12572)*dyb_QED3 + coupl(nGC_12573)*da_QED2
    coupl(nGC_13422) = coupl(nGC_12574)*dyb_QED3 + coupl(nGC_12575)*da_QED2
    coupl(nGC_13442) = coupl(nGC_12567)*dyup_QED3 + coupl(nGC_12568)*da_QED2
    coupl(nGC_13448) = coupl(nGC_12569)*dyup_QED3 + coupl(nGC_12570)*da_QED2
    coupl(nGC_13444) = coupl(nGC_12582)*dyc_QED3 + coupl(nGC_12583)*da_QED2
    coupl(nGC_13450) = coupl(nGC_12585)*dyc_QED3 + coupl(nGC_12586)*da_QED2
    coupl(nGC_13446) = coupl(nGC_375)*dyt_QED3 + coupl(nGC_377)*da_QED2
    coupl(nGC_13452) = coupl(nGC_381)*dyt_QED3 + coupl(nGC_383)*da_QED2
    coupl(nGC_19537) = coupl(nGC_13412) + coupl(nGC_203)*dZHl_QED2/2d0 + coupl(&
                       nGC_204)*dZHhHl_QED2/2d0
    coupl(nGC_19538) = coupl(nGC_19531) + coupl(nGC_19537)
    coupl(nGC_19548) = coupl(nGC_13418) + coupl(nGC_203)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_204)*dZHh_QED2/2d0
    coupl(nGC_19549) = coupl(nGC_19546) + coupl(nGC_19548)
    coupl(nGC_19558) = coupl(nGC_13414) + coupl(nGC_215)*dZHl_QED2/2d0 + coupl(&
                       nGC_216)*dZHhHl_QED2/2d0
    coupl(nGC_19559) = coupl(nGC_19553) + coupl(nGC_19558)
    coupl(nGC_19570) = coupl(nGC_13420) + coupl(nGC_215)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_216)*dZHh_QED2/2d0
    coupl(nGC_19571) = coupl(nGC_19568) + coupl(nGC_19570)
    coupl(nGC_19580) = coupl(nGC_13416) + coupl(nGC_195)*dZHl_QED2/2d0 + coupl(&
                       nGC_196)*dZHhHl_QED2/2d0
    coupl(nGC_19581) = coupl(nGC_19575) + coupl(nGC_19580)
    coupl(nGC_19592) = coupl(nGC_13422) + coupl(nGC_195)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_196)*dZHh_QED2/2d0
    coupl(nGC_19593) = coupl(nGC_19590) + coupl(nGC_19592)
    coupl(nGC_19722) = coupl(nGC_13442) + coupl(nGC_227)*dZHl_QED2/2d0 + coupl(&
                       nGC_228)*dZHhHl_QED2/2d0
    coupl(nGC_19723) = coupl(nGC_19717) + coupl(nGC_19722)
    coupl(nGC_19734) = coupl(nGC_13448) + coupl(nGC_227)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_228)*dZHh_QED2/2d0
    coupl(nGC_19735) = coupl(nGC_19732) + coupl(nGC_19734)
    coupl(nGC_19745) = coupl(nGC_13444) + coupl(nGC_199)*dZHl_QED2/2d0 + coupl(&
                       nGC_200)*dZHhHl_QED2/2d0
    coupl(nGC_19746) = coupl(nGC_19739) + coupl(nGC_19745)
    coupl(nGC_19756) = coupl(nGC_13450) + coupl(nGC_199)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_200)*dZHh_QED2/2d0
    coupl(nGC_19757) = coupl(nGC_19754) + coupl(nGC_19756)
    coupl(nGC_19767) = coupl(nGC_13446) + coupl(nGC_219)*dZHl_QED2/2d0 + coupl(&
                       nGC_220)*dZHhHl_QED2/2d0
    coupl(nGC_19768) = coupl(nGC_19761) + coupl(nGC_19767)
    coupl(nGC_19778) = coupl(nGC_13452) + coupl(nGC_219)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_220)*dZHh_QED2/2d0
    coupl(nGC_19779) = coupl(nGC_19776) + coupl(nGC_19778)
  end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
